export declare type Param = number | string | Array<any>;
export declare type Sheet = {
    [propertyName: string]: string;
};
declare function mqAnd(...values: (string | number)[]): string;
declare function mqOr(...values: (string | number)[]): string;
declare function mqNot(value: string | number): string;
declare function mqOnly(value: string | number): string;
export declare const Keyword: {
    ABOVE: string;
    ABSOLUTE: string;
    ACTIVE: string;
    ADD: string;
    AFTER: string;
    ALIAS: string;
    ALICEBLUE: string;
    ALL: string;
    ALLOW_END: string;
    ALL_PETITE_CAPS: string;
    ALL_SCROLL: string;
    ALL_SMALL_CAPS: string;
    ALPHA: string;
    ALPHABETIC: string;
    ALTERNATE: string;
    ALTERNATE_REVERSE: string;
    ALWAYS: string;
    AMP: string;
    AND: string;
    ANGLE: string;
    ANTIQUEWHITE: string;
    AQUA: string;
    AQUAMARINE: string;
    AT: string;
    AUTO: string;
    AUTO_FILL: string;
    AUTO_FIT: string;
    AUTO_FLOW: string;
    AVAILABLE: string;
    AVOID: string;
    AVOID_COLUMN: string;
    AVOID_PAGE: string;
    AVOID_REGION: string;
    AZURE: string;
    BACKWARDS: string;
    BALANCE: string;
    BALANCE_ALL: string;
    BASELINE: string;
    BEFORE: string;
    BEHIND: string;
    BEIGE: string;
    BELOW: string;
    BIDI_OVERRIDE: string;
    BISQUE: string;
    BLACK: string;
    BLANCHEDALMOND: string;
    BLANK: string;
    BLINK: string;
    BLOCK: string;
    BLOCK_AXIS: string;
    BLOCK_END: string;
    BLOCK_START: string;
    BLUE: string;
    BLUEVIOLET: string;
    BOLD: string;
    BOLDER: string;
    BORDER: string;
    BORDER_BOX: string;
    BOTH: string;
    BOTTOM: string;
    BOX_DECORATION: string;
    BREAK_ALL: string;
    BREAK_WORD: string;
    BROWN: string;
    BT: string;
    BURLYWOOD: string;
    BUTTON: string;
    BUTTON_ARROW_DOWN: string;
    BUTTON_ARROW_NEXT: string;
    BUTTON_ARROW_PREVIOUS: string;
    BUTTON_ARROW_UP: string;
    BUTTON_BEVEL: string;
    BUTTON_FOCUS: string;
    CADETBLUE: string;
    CAPITALIZE: string;
    CAPTION: string;
    CARET: string;
    CELL: string;
    CENTER: string;
    CENTER_LEFT: string;
    CENTER_RIGHT: string;
    CHAINED: string;
    CHARTREUSE: string;
    CHECKBOX: string;
    CHECKBOX_CONTAINER: string;
    CHECKBOX_LABEL: string;
    CHECKMENUITEM: string;
    CHOCOLATE: string;
    CIRCLE: string;
    CLEAR: string;
    CLIP: string;
    CLONE: string;
    CLOSEST_CORNER: string;
    CLOSEST_SIDE: string;
    CLOSE_QUOTE: string;
    CM: string;
    COLLAPSE: string;
    COLOR: string;
    COLOR_BURN: string;
    COLOR_DODGE: string;
    COLUMN: string;
    COLUMN_REVERSE: string;
    COL_RESIZE: string;
    COMMON_LIGATURES: string;
    CONDENSED: string;
    CONTAIN: string;
    CONTENT: string;
    CONTENTS: string;
    CONTENT_BOX: string;
    CONTEXTUAL: string;
    CONTEXT_MENU: string;
    COPY: string;
    CORAL: string;
    CORNFLOWERBLUE: string;
    CORNSILK: string;
    COVER: string;
    CRIMSON: string;
    CRISP_EDGES: string;
    CROSSHAIR: string;
    CURRENTCOLOR: string;
    CURSIVE: string;
    CYAN: string;
    DARKBLUE: string;
    DARKCYAN: string;
    DARKEN: string;
    DARKGOLDENROD: string;
    DARKGRAY: string;
    DARKGREEN: string;
    DARKGREY: string;
    DARKKHAKI: string;
    DARKMAGENTA: string;
    DARKOLIVEGREEN: string;
    DARKORANGE: string;
    DARKORCHID: string;
    DARKRED: string;
    DARKSALMON: string;
    DARKSEAGREEN: string;
    DARKSLATEBLUE: string;
    DARKSLATEGRAY: string;
    DARKSLATEGREY: string;
    DARKTURQUOISE: string;
    DARKVIOLET: string;
    DASHED: string;
    DEEPPINK: string;
    DEEPSKYBLUE: string;
    DEFAULT: string;
    DEFAULT_BUTTON: string;
    DEG: string;
    DENSE: string;
    DESTINATION_ATOP: string;
    DESTINATION_IN: string;
    DESTINATION_OUT: string;
    DESTINATION_OVER: string;
    DIAGONAL_FRACTIONS: string;
    DIFFERENCE: string;
    DIGITS: string;
    DIMGRAY: string;
    DIMGREY: string;
    DISABLED: string;
    DISCRETIONARY_LIGATURES: string;
    DODGERBLUE: string;
    DOT: string;
    DOTTED: string;
    DOUBLE: string;
    DOUBLE_CIRCLE: string;
    DRAG: string;
    DUALBUTTON: string;
    EACH_LINE: string;
    EASE: string;
    EASE_IN: string;
    EASE_IN_OUT: string;
    EASE_OUT: string;
    ECONOMY: string;
    EDGES: string;
    ELEMENT: string;
    ELLIPSE: string;
    ELLIPSIS: string;
    EM: string;
    EMBED: string;
    ENABLED: string;
    END: string;
    EVEN: string;
    EVENODD: string;
    EW_RESIZE: string;
    EX: string;
    EXACT: string;
    EXCLUDE: string;
    EXCLUSION: string;
    EXPANDED: string;
    EXTRA_CONDENSED: string;
    EXTRA_EXPANDED: string;
    E_RESIZE: string;
    FALSE: string;
    FANTASY: string;
    FARTHEST_CORNER: string;
    FARTHEST_SIDE: string;
    FAR_LEFT: string;
    FAR_RIGHT: string;
    FILL: string;
    FILLED: string;
    FILL_AVAILABLE: string;
    FILL_BOX: string;
    FILL_OPACITY: string;
    FIREBRICK: string;
    FIRST: string;
    FIRST_LETTER: string;
    FIT_CONTENT: string;
    FIXED: string;
    FLAT: string;
    FLEX: string;
    FLEX_END: string;
    FLEX_START: string;
    FLIP: string;
    FLORALWHITE: string;
    FLOW: string;
    FLOW_ROOT: string;
    FORCE_END: string;
    FORESTGREEN: string;
    FORWARDS: string;
    FREQUENCY: string;
    FROM: string;
    FROM_IMAGE: string;
    FUCHSIA: string;
    FULL_WIDTH: string;
    GAINSBORO: string;
    GEOMETRICPRECISION: string;
    GHOSTWHITE: string;
    GOLD: string;
    GOLDENROD: string;
    GRAB: string;
    GRABBING: string;
    GRAD: string;
    GRAY: string;
    GREEN: string;
    GREENYELLOW: string;
    GREY: string;
    GRID: string;
    GRIPPERS: string;
    GROOVE: string;
    GROUPBOX: string;
    HANGING: string;
    HARD_LIGHT: string;
    HELP: string;
    HIDDEN: string;
    HIDE: string;
    HISTORICAL_FORMS: string;
    HISTORICAL_LIGATURES: string;
    HONEYDEW: string;
    HORIZONTAL: string;
    HORIZONTAL_TB: string;
    HOTPINK: string;
    HUE: string;
    I: string;
    ICON: string;
    IDEOGRAPHIC: string;
    IDEOGRAPH_ALPHA: string;
    IDEOGRAPH_NUMERIC: string;
    IDEOGRAPH_PARENTHESIS: string;
    IDEOGRAPH_SPACE: string;
    IGNORE: string;
    IN: string;
    INACTIVE: string;
    INDIANRED: string;
    INDIGO: string;
    INFINITE: string;
    INHERIT: string;
    INITIAL: string;
    INLINE: string;
    INLINE_AXIS: string;
    INLINE_BLOCK: string;
    INLINE_END: string;
    INLINE_FLEX: string;
    INLINE_GRID: string;
    INLINE_LIST_ITEM: string;
    INLINE_START: string;
    INLINE_TABLE: string;
    INNER_SPIN_BUTTON: string;
    INSET: string;
    INSIDE: string;
    INTEGER: string;
    INTERSECT: string;
    INTER_CHARACTER: string;
    INTER_WORD: string;
    INVERT: string;
    ISOLATE: string;
    ISOLATE_OVERRIDE: string;
    ITALIC: string;
    IVORY: string;
    JIS04: string;
    JIS78: string;
    JIS83: string;
    JIS90: string;
    JUSTIFY: string;
    KEEP_ALL: string;
    KHAKI: string;
    KHZ: string;
    LARGE: string;
    LARGER: string;
    LAST: string;
    LAVENDER: string;
    LAVENDERBLUSH: string;
    LAWNGREEN: string;
    LAYOUT: string;
    LEADING_SPACES: string;
    LEFT: string;
    LEFTWARDS: string;
    LEFT_SIDE: string;
    LEGACY: string;
    LEMONCHIFFON: string;
    LENGTH: string;
    LIGHTBLUE: string;
    LIGHTCORAL: string;
    LIGHTCYAN: string;
    LIGHTEN: string;
    LIGHTER: string;
    LIGHTGOLDENRODYELLOW: string;
    LIGHTGRAY: string;
    LIGHTGREEN: string;
    LIGHTGREY: string;
    LIGHTPINK: string;
    LIGHTSALMON: string;
    LIGHTSEAGREEN: string;
    LIGHTSKYBLUE: string;
    LIGHTSLATEGRAY: string;
    LIGHTSLATEGREY: string;
    LIGHTSTEELBLUE: string;
    LIGHTYELLOW: string;
    LIME: string;
    LIMEGREEN: string;
    LINEAR: string;
    LINEN: string;
    LINE_THROUGH: string;
    LINING_NUMS: string;
    LISTBOX: string;
    LISTITEM: string;
    LIST_ITEM: string;
    LOCAL: string;
    LOOSE: string;
    LOWERCASE: string;
    LR: string;
    LTR: string;
    LUMINANCE: string;
    LUMINOSITY: string;
    MAGENTA: string;
    MANDATORY: string;
    MANIPULATION: string;
    MANUAL: string;
    MARGIN_BOX: string;
    MARKERS: string;
    MAROON: string;
    MATCH_PARENT: string;
    MATCH_SOURCE: string;
    MAXIMUM: string;
    MAX_CONTENT: string;
    MEDIA_CONTROLS_BACKGROUND: string;
    MEDIA_CONTROLS_FULLSCREEN_BACKGROUND: string;
    MEDIA_CURRENT_TIME_DISPLAY: string;
    MEDIA_ENTER_FULLSCREEN_BUTTON: string;
    MEDIA_EXIT_FULLSCREEN_BUTTON: string;
    MEDIA_FULLSCREEN_BUTTON: string;
    MEDIA_MUTE_BUTTON: string;
    MEDIA_OVERLAY_PLAY_BUTTON: string;
    MEDIA_PLAY_BUTTON: string;
    MEDIA_SEEK_BACK_BUTTON: string;
    MEDIA_SEEK_FORWARD_BUTTON: string;
    MEDIA_SLIDER: string;
    MEDIA_SLIDERTHUMB: string;
    MEDIA_TIME_REMAINING_DISPLAY: string;
    MEDIA_TOGGLE_CLOSED_CAPTIONS_BUTTON: string;
    MEDIA_VOLUME_SLIDER: string;
    MEDIA_VOLUME_SLIDERTHUMB: string;
    MEDIA_VOLUME_SLIDER_CONTAINER: string;
    MEDIUM: string;
    MEDIUMAQUAMARINE: string;
    MEDIUMBLUE: string;
    MEDIUMORCHID: string;
    MEDIUMPURPLE: string;
    MEDIUMSEAGREEN: string;
    MEDIUMSLATEBLUE: string;
    MEDIUMSPRINGGREEN: string;
    MEDIUMTURQUOISE: string;
    MEDIUMVIOLETRED: string;
    MENU: string;
    MENUARROW: string;
    MENUBAR: string;
    MENUCHECKBOX: string;
    MENUIMAGE: string;
    MENUITEM: string;
    MENUITEMTEXT: string;
    MENULIST: string;
    MENULIST_BUTTON: string;
    MENULIST_TEXT: string;
    MENULIST_TEXTFIELD: string;
    MENUPOPUP: string;
    MENURADIO: string;
    MENUSEPARATOR: string;
    MESSAGE_BOX: string;
    METER: string;
    METERBAR: string;
    METERCHUNK: string;
    MIDDLE: string;
    MIDNIGHTBLUE: string;
    MINTCREAM: string;
    MIN_CONTENT: string;
    MISTYROSE: string;
    MIXED: string;
    MM: string;
    MOCCASIN: string;
    MONOSPACE: string;
    MOVE: string;
    MS: string;
    MULTIPLE: string;
    MULTIPLY: string;
    NAVAJOWHITE: string;
    NAVY: string;
    NESW_RESIZE: string;
    NE_RESIZE: string;
    NONE: string;
    NONZERO: string;
    NORMAL: string;
    NOT: string;
    NOT_ALLOWED: string;
    NOWRAP: string;
    NO_CLIP: string;
    NO_CLOSE_QUOTE: string;
    NO_COMMON_LIGATURES: string;
    NO_CONTEXTUAL: string;
    NO_DISCRETIONARY_LIGATURES: string;
    NO_DRAG: string;
    NO_DROP: string;
    NO_HISTORICAL_LIGATURES: string;
    NO_LIMIT: string;
    NO_OPEN_QUOTE: string;
    NO_REPEAT: string;
    NS_RESIZE: string;
    NUMBER: string;
    NWSE_RESIZE: string;
    NW_RESIZE: string;
    N_RESIZE: string;
    OBJECTS: string;
    OBLIQUE: string;
    ODD: string;
    OFF: string;
    OLDLACE: string;
    OLDSTYLE_NUMS: string;
    OLIVE: string;
    OLIVEDRAB: string;
    ON: string;
    ONLY: string;
    OPEN: string;
    OPEN_QUOTE: string;
    OPTIMIZELEGIBILITY: string;
    OPTIMIZESPEED: string;
    OR: string;
    ORANGE: string;
    ORANGERED: string;
    ORCHID: string;
    ORDINAL: string;
    OUTSET: string;
    OUTSIDE: string;
    OVER: string;
    OVERLAY: string;
    OVERLINE: string;
    PADDING: string;
    PADDING_BOX: string;
    PAGE: string;
    PAINT: string;
    PAINTED: string;
    PALEGOLDENROD: string;
    PALEGREEN: string;
    PALETURQUOISE: string;
    PALEVIOLETRED: string;
    PAN_DOWN: string;
    PAN_LEFT: string;
    PAN_RIGHT: string;
    PAN_UP: string;
    PAN_X: string;
    PAN_Y: string;
    PAPAYAWHIP: string;
    PAUSED: string;
    PC: string;
    PEACHPUFF: string;
    PERU: string;
    PETITE_CAPS: string;
    PINCH_ZOOM: string;
    PINK: string;
    PIXELATED: string;
    PLAINTEXT: string;
    PLUM: string;
    POINTER: string;
    POWDERBLUE: string;
    PRE: string;
    PRESERVE_3D: string;
    PRE_LINE: string;
    PRE_WRAP: string;
    PROGRESS: string;
    PROGRESSBAR: string;
    PROGRESSBAR_VERTICAL: string;
    PROGRESSCHUNK: string;
    PROGRESSCHUNK_VERTICAL: string;
    PROGRESS_BAR: string;
    PROGRESS_BAR_VALUE: string;
    PROPORTIONAL_NUMS: string;
    PROPORTIONAL_WIDTH: string;
    PROXIMITY: string;
    PT: string;
    PURPLE: string;
    PUSH_BUTTON: string;
    PX: string;
    Q: string;
    RAD: string;
    RADIO: string;
    RADIOMENUITEM: string;
    RADIO_CONTAINER: string;
    RADIO_LABEL: string;
    RAILED: string;
    RANGE: string;
    RANGE_THUMB: string;
    READ_ONLY: string;
    READ_WRITE: string;
    READ_WRITE_PLAINTEXT_ONLY: string;
    REBECCAPURPLE: string;
    RECTO: string;
    RED: string;
    REGION: string;
    RELATIVE: string;
    REM: string;
    REPEAT: string;
    REPEAT_X: string;
    REPEAT_Y: string;
    RESET: string;
    RESIZER: string;
    RESIZERPANEL: string;
    REVERSE: string;
    REVERT: string;
    RIDGE: string;
    RIGHT: string;
    RIGHTWARDS: string;
    RIGHT_SIDE: string;
    RL: string;
    ROSYBROWN: string;
    ROUND: string;
    ROW: string;
    ROW_RESIZE: string;
    ROW_REVERSE: string;
    ROYALBLUE: string;
    RTL: string;
    RUBY: string;
    RUBY_BASE: string;
    RUBY_BASE_CONTAINER: string;
    RUBY_TEXT: string;
    RUBY_TEXT_CONTAINER: string;
    RUNNING: string;
    RUN_IN: string;
    S: string;
    SADDLEBROWN: string;
    SAFE: string;
    SALMON: string;
    SANDYBROWN: string;
    SANS_SERIF: string;
    SATURATION: string;
    SCALETHUMBEND: string;
    SCALETHUMBSTART: string;
    SCALETHUMBTICK: string;
    SCALETHUMB_HORIZONTAL: string;
    SCALETHUMB_VERTICAL: string;
    SCALE_DOWN: string;
    SCALE_HORIZONTAL: string;
    SCALE_VERTICAL: string;
    SCREEN: string;
    SCROLL: string;
    SCROLLBAR: string;
    SCROLLBARBUTTON_DOWN: string;
    SCROLLBARBUTTON_LEFT: string;
    SCROLLBARBUTTON_RIGHT: string;
    SCROLLBARBUTTON_UP: string;
    SCROLLBARTHUMB_HORIZONTAL: string;
    SCROLLBARTHUMB_VERTICAL: string;
    SCROLLBARTRACK_HORIZONTAL: string;
    SCROLLBARTRACK_VERTICAL: string;
    SCROLL_POSITION: string;
    SEAGREEN: string;
    SEARCHFIELD: string;
    SEARCHFIELD_CANCEL_BUTTON: string;
    SEARCHFIELD_DECORATION: string;
    SEARCHFIELD_RESULTS_BUTTON: string;
    SEARCHFIELD_RESULTS_DECORATION: string;
    SEASHELL: string;
    SELECT_AFTER: string;
    SELECT_ALL: string;
    SELECT_BEFORE: string;
    SELECT_MENU: string;
    SELECT_SAME: string;
    SELF_END: string;
    SELF_START: string;
    SEMI_CONDENSED: string;
    SEMI_EXPANDED: string;
    SEPARATE: string;
    SEPARATOR: string;
    SERIF: string;
    SESAME: string;
    SE_RESIZE: string;
    SHEET: string;
    SHOW: string;
    SIDEWAYS: string;
    SIDEWAYS_LR: string;
    SIDEWAYS_RL: string;
    SIENNA: string;
    SILVER: string;
    SIMPLIFIED: string;
    SINGLE: string;
    SIZE: string;
    SKYBLUE: string;
    SLASHED_ZERO: string;
    SLATEBLUE: string;
    SLATEGRAY: string;
    SLATEGREY: string;
    SLICE: string;
    SLIDERTHUMB_HORIZONTAL: string;
    SLIDERTHUMB_VERTICAL: string;
    SLIDER_HORIZONTAL: string;
    SLIDER_VERTICAL: string;
    SMALL: string;
    SMALLER: string;
    SMALL_CAPS: string;
    SMALL_CAPTION: string;
    SMOOTH: string;
    SNAP: string;
    SNOW: string;
    SOFT_LIGHT: string;
    SOLID: string;
    SOURCE_ATOP: string;
    SOURCE_IN: string;
    SOURCE_OUT: string;
    SOURCE_OVER: string;
    SPACE: string;
    SPACES: string;
    SPACE_AROUND: string;
    SPACE_BETWEEN: string;
    SPACE_EVENLY: string;
    SPAN: string;
    SPINNER: string;
    SPINNER_DOWNBUTTON: string;
    SPINNER_TEXTFIELD: string;
    SPINNER_UPBUTTON: string;
    SPLITTER: string;
    SPRINGGREEN: string;
    SQUARE_BUTTON: string;
    STACKED_FRACTIONS: string;
    START: string;
    STATIC: string;
    STATUSBAR: string;
    STATUSBARPANEL: string;
    STATUS_BAR: string;
    STEELBLUE: string;
    STEP_END: string;
    STEP_START: string;
    STICKY: string;
    STRETCH: string;
    STRETCH_TO_FIT: string;
    STRICT: string;
    STRING: string;
    STROKE: string;
    STROKE_BOX: string;
    STROKE_OPACITY: string;
    STYLE: string;
    SUB: string;
    SUBTRACT: string;
    SUPER: string;
    SW_RESIZE: string;
    S_RESIZE: string;
    TAB: string;
    TABLE: string;
    TABLE_CAPTION: string;
    TABLE_CELL: string;
    TABLE_COLUMN: string;
    TABLE_COLUMN_GROUP: string;
    TABLE_FOOTER_GROUP: string;
    TABLE_HEADER_GROUP: string;
    TABLE_ROW: string;
    TABLE_ROW_GROUP: string;
    TABPANEL: string;
    TABPANELS: string;
    TABULAR_NUMS: string;
    TAB_SCROLL_ARROW_BACK: string;
    TAB_SCROLL_ARROW_FORWARD: string;
    TAN: string;
    TB: string;
    TEAL: string;
    TEXT: string;
    TEXTAREA: string;
    TEXTFIELD: string;
    TEXTFIELD_MULTILINE: string;
    TEXT_BOTTOM: string;
    TEXT_TOP: string;
    THICK: string;
    THIN: string;
    THISTLE: string;
    TIME: string;
    TITLING_CAPS: string;
    TO: string;
    TOMATO: string;
    TOOLBAR: string;
    TOOLBARBUTTON: string;
    TOOLBARBUTTON_DROPDOWN: string;
    TOOLBARGRIPPER: string;
    TOOLBOX: string;
    TOOLTIP: string;
    TOP: string;
    TOUCH: string;
    TRADITIONAL: string;
    TRAILING_SPACES: string;
    TRANSPARENT: string;
    TREEHEADER: string;
    TREEHEADERCELL: string;
    TREEHEADERSORTARROW: string;
    TREEITEM: string;
    TREELINE: string;
    TREETWISTY: string;
    TREETWISTYOPEN: string;
    TREEVIEW: string;
    TRIANGLE: string;
    TRUE: string;
    TURQUOISE: string;
    ULTRA_CONDENSED: string;
    ULTRA_EXPANDED: string;
    UNDER: string;
    UNDERLINE: string;
    UNICASE: string;
    UNSAFE: string;
    UNSET: string;
    UPPERCASE: string;
    UPRIGHT: string;
    URL: string;
    VERSO: string;
    VERTICAL: string;
    VERTICAL_LR: string;
    VERTICAL_RL: string;
    VERTICAL_TEXT: string;
    VERTICAL_TO_HORIZONTAL: string;
    VH: string;
    VIEW_BOX: string;
    VIOLET: string;
    VISIBLE: string;
    VISIBLEFILL: string;
    VISIBLEPAINTED: string;
    VISIBLESTROKE: string;
    VMAX: string;
    VMIN: string;
    VW: string;
    WAIT: string;
    WAVY: string;
    WEIGHT: string;
    WHEAT: string;
    WHITE: string;
    WHITESMOKE: string;
    WRAP: string;
    WRAP_REVERSE: string;
    WRITE_ONLY: string;
    W_RESIZE: string;
    X: string;
    XOR: string;
    XX_LARGE: string;
    XX_SMALL: string;
    X_END: string;
    X_LARGE: string;
    X_SMALL: string;
    X_START: string;
    Y: string;
    YELLOW: string;
    YELLOWGREEN: string;
    Y_END: string;
    Y_START: string;
    Z: string;
    ZOOM: string;
    ZOOM_IN: string;
    ZOOM_OUT: string;
    _ACTIVEBORDER: string;
    _ACTIVECAPTION: string;
    _ANNOTATION: string;
    _APPWORKSPACE: string;
    _BACKGROUND: string;
    _BOTTOM_CENTER: string;
    _BOTTOM_LEFT: string;
    _BOTTOM_LEFT_CORNER: string;
    _BOTTOM_RIGHT: string;
    _BOTTOM_RIGHT_CORNER: string;
    _BUTTONFACE: string;
    _BUTTONHIGHLIGHT: string;
    _BUTTONSHADOW: string;
    _BUTTONTEXT: string;
    _CAPTIONTEXT: string;
    _CHARACTER_VARIANT: string;
    _DECLARATION_LIST: string;
    _FEATURE_VALUE_DECLARATION_LIST: string;
    _GRAYTEXT: string;
    _HIGHLIGHT: string;
    _HIGHLIGHTTEXT: string;
    _HISTORICAL_FORMS: string;
    _HZ: string;
    _INACTIVEBORDER: string;
    _INACTIVECAPTION: string;
    _INACTIVECAPTIONTEXT: string;
    _INFOBACKGROUND: string;
    _INFOTEXT: string;
    _LEFT_BOTTOM: string;
    _LEFT_MIDDLE: string;
    _LEFT_TOP: string;
    _MENU: string;
    _MENUTEXT: string;
    _MOZ_MAC_UNIFIED_TOOLBAR: string;
    _MOZ_WINDOW_BUTTON_BOX: string;
    _MOZ_WINDOW_BUTTON_BOX_MAXIMIZED: string;
    _MOZ_WINDOW_BUTTON_CLOSE: string;
    _MOZ_WINDOW_BUTTON_MAXIMIZE: string;
    _MOZ_WINDOW_BUTTON_MINIMIZE: string;
    _MOZ_WINDOW_BUTTON_RESTORE: string;
    _MOZ_WINDOW_FRAME_BOTTOM: string;
    _MOZ_WINDOW_FRAME_LEFT: string;
    _MOZ_WINDOW_FRAME_RIGHT: string;
    _MOZ_WINDOW_TITLEBAR: string;
    _MOZ_WINDOW_TITLEBAR_MAXIMIZED: string;
    _MOZ_WIN_BORDERLESS_GLASS: string;
    _MOZ_WIN_BROWSERTABBAR_TOOLBOX: string;
    _MOZ_WIN_COMMUNICATIONSTEXT: string;
    _MOZ_WIN_COMMUNICATIONS_TOOLBOX: string;
    _MOZ_WIN_EXCLUDE_GLASS: string;
    _MOZ_WIN_GLASS: string;
    _MOZ_WIN_MEDIATEXT: string;
    _MOZ_WIN_MEDIA_TOOLBOX: string;
    _MS_AUTOHIDING_SCROLLBAR: string;
    _ORNAMENTS: string;
    _RIGHT_BOTTOM: string;
    _RIGHT_MIDDLE: string;
    _RIGHT_TOP: string;
    _SCROLLBAR: string;
    _STYLESET: string;
    _STYLISTIC: string;
    _SWASH: string;
    _THREEDDARKSHADOW: string;
    _THREEDFACE: string;
    _THREEDHIGHLIGHT: string;
    _THREEDLIGHTSHADOW: string;
    _THREEDSHADOW: string;
    _TOP_CENTER: string;
    _TOP_LEFT: string;
    _TOP_LEFT_CORNER: string;
    _TOP_RIGHT: string;
    _TOP_RIGHT_CORNER: string;
    _WINDOW: string;
    _WINDOWFRAME: string;
    _WINDOWTEXT: string;
};
export declare const Property: {
    MOZ_APPEARANCE: string;
    MOZ_BINDING: string;
    MOZ_BORDER_BOTTOM_COLORS: string;
    MOZ_BORDER_LEFT_COLORS: string;
    MOZ_BORDER_RIGHT_COLORS: string;
    MOZ_BORDER_TOP_COLORS: string;
    MOZ_CONTEXT_PROPERTIES: string;
    MOZ_FLOAT_EDGE: string;
    MOZ_FORCE_BROKEN_IMAGE_ICON: string;
    MOZ_IMAGE_REGION: string;
    MOZ_ORIENT: string;
    MOZ_OUTLINE_RADIUS: string;
    MOZ_OUTLINE_RADIUS_BOTTOMLEFT: string;
    MOZ_OUTLINE_RADIUS_BOTTOMRIGHT: string;
    MOZ_OUTLINE_RADIUS_TOPLEFT: string;
    MOZ_OUTLINE_RADIUS_TOPRIGHT: string;
    MOZ_STACK_SIZING: string;
    MOZ_TEXT_BLINK: string;
    MOZ_USER_FOCUS: string;
    MOZ_USER_INPUT: string;
    MOZ_USER_MODIFY: string;
    MOZ_WINDOW_DRAGGING: string;
    MOZ_WINDOW_SHADOW: string;
    MS_ACCELERATOR: string;
    MS_BLOCK_PROGRESSION: string;
    MS_CONTENT_ZOOM_CHAINING: string;
    MS_CONTENT_ZOOM_LIMIT: string;
    MS_CONTENT_ZOOM_LIMIT_MAX: string;
    MS_CONTENT_ZOOM_LIMIT_MIN: string;
    MS_CONTENT_ZOOM_SNAP: string;
    MS_CONTENT_ZOOM_SNAP_POINTS: string;
    MS_CONTENT_ZOOM_SNAP_TYPE: string;
    MS_CONTENT_ZOOMING: string;
    MS_FILTER: string;
    MS_FLOW_FROM: string;
    MS_FLOW_INTO: string;
    MS_HIGH_CONTRAST_ADJUST: string;
    MS_HYPHENATE_LIMIT_CHARS: string;
    MS_HYPHENATE_LIMIT_LINES: string;
    MS_HYPHENATE_LIMIT_ZONE: string;
    MS_IME_ALIGN: string;
    MS_OVERFLOW_STYLE: string;
    MS_SCROLL_CHAINING: string;
    MS_SCROLL_LIMIT: string;
    MS_SCROLL_LIMIT_X_MAX: string;
    MS_SCROLL_LIMIT_X_MIN: string;
    MS_SCROLL_LIMIT_Y_MAX: string;
    MS_SCROLL_LIMIT_Y_MIN: string;
    MS_SCROLL_RAILS: string;
    MS_SCROLL_SNAP_POINTS_X: string;
    MS_SCROLL_SNAP_POINTS_Y: string;
    MS_SCROLL_SNAP_TYPE: string;
    MS_SCROLL_SNAP_X: string;
    MS_SCROLL_SNAP_Y: string;
    MS_SCROLL_TRANSLATION: string;
    MS_SCROLLBAR_3DLIGHT_COLOR: string;
    MS_SCROLLBAR_ARROW_COLOR: string;
    MS_SCROLLBAR_BASE_COLOR: string;
    MS_SCROLLBAR_DARKSHADOW_COLOR: string;
    MS_SCROLLBAR_FACE_COLOR: string;
    MS_SCROLLBAR_HIGHLIGHT_COLOR: string;
    MS_SCROLLBAR_SHADOW_COLOR: string;
    MS_SCROLLBAR_TRACK_COLOR: string;
    MS_TEXT_AUTOSPACE: string;
    MS_TOUCH_SELECT: string;
    MS_USER_SELECT: string;
    MS_WRAP_FLOW: string;
    MS_WRAP_MARGIN: string;
    MS_WRAP_THROUGH: string;
    WEBKIT_APPEARANCE: string;
    WEBKIT_BORDER_BEFORE: string;
    WEBKIT_BORDER_BEFORE_COLOR: string;
    WEBKIT_BORDER_BEFORE_STYLE: string;
    WEBKIT_BORDER_BEFORE_WIDTH: string;
    WEBKIT_BOX_REFLECT: string;
    WEBKIT_MASK: string;
    WEBKIT_MASK_ATTACHMENT: string;
    WEBKIT_MASK_CLIP: string;
    WEBKIT_MASK_COMPOSITE: string;
    WEBKIT_MASK_IMAGE: string;
    WEBKIT_MASK_ORIGIN: string;
    WEBKIT_MASK_POSITION: string;
    WEBKIT_MASK_POSITION_X: string;
    WEBKIT_MASK_POSITION_Y: string;
    WEBKIT_MASK_REPEAT: string;
    WEBKIT_MASK_REPEAT_X: string;
    WEBKIT_MASK_REPEAT_Y: string;
    WEBKIT_MASK_SIZE: string;
    WEBKIT_OVERFLOW_SCROLLING: string;
    WEBKIT_TAP_HIGHLIGHT_COLOR: string;
    WEBKIT_TEXT_FILL_COLOR: string;
    WEBKIT_TEXT_STROKE: string;
    WEBKIT_TEXT_STROKE_COLOR: string;
    WEBKIT_TEXT_STROKE_WIDTH: string;
    WEBKIT_TOUCH_CALLOUT: string;
    WEBKIT_USER_MODIFY: string;
    ALIGN_CONTENT: string;
    ALIGN_ITEMS: string;
    ALIGN_SELF: string;
    ALL: string;
    ANIMATION: string;
    ANIMATION_DELAY: string;
    ANIMATION_DIRECTION: string;
    ANIMATION_DURATION: string;
    ANIMATION_FILL_MODE: string;
    ANIMATION_ITERATION_COUNT: string;
    ANIMATION_NAME: string;
    ANIMATION_PLAY_STATE: string;
    ANIMATION_TIMING_FUNCTION: string;
    APPEARANCE: string;
    AZIMUTH: string;
    BACKDROP_FILTER: string;
    BACKFACE_VISIBILITY: string;
    BACKGROUND: string;
    BACKGROUND_ATTACHMENT: string;
    BACKGROUND_BLEND_MODE: string;
    BACKGROUND_CLIP: string;
    BACKGROUND_COLOR: string;
    BACKGROUND_IMAGE: string;
    BACKGROUND_ORIGIN: string;
    BACKGROUND_POSITION: string;
    BACKGROUND_POSITION_X: string;
    BACKGROUND_POSITION_Y: string;
    BACKGROUND_REPEAT: string;
    BACKGROUND_SIZE: string;
    BLOCK_OVERFLOW: string;
    BLOCK_SIZE: string;
    BORDER: string;
    BORDER_BLOCK_END: string;
    BORDER_BLOCK_END_COLOR: string;
    BORDER_BLOCK_END_STYLE: string;
    BORDER_BLOCK_END_WIDTH: string;
    BORDER_BLOCK_START: string;
    BORDER_BLOCK_START_COLOR: string;
    BORDER_BLOCK_START_STYLE: string;
    BORDER_BLOCK_START_WIDTH: string;
    BORDER_BOTTOM: string;
    BORDER_BOTTOM_COLOR: string;
    BORDER_BOTTOM_LEFT_RADIUS: string;
    BORDER_BOTTOM_RIGHT_RADIUS: string;
    BORDER_BOTTOM_STYLE: string;
    BORDER_BOTTOM_WIDTH: string;
    BORDER_COLLAPSE: string;
    BORDER_COLOR: string;
    BORDER_IMAGE: string;
    BORDER_IMAGE_OUTSET: string;
    BORDER_IMAGE_REPEAT: string;
    BORDER_IMAGE_SLICE: string;
    BORDER_IMAGE_SOURCE: string;
    BORDER_IMAGE_WIDTH: string;
    BORDER_INLINE_END: string;
    BORDER_INLINE_END_COLOR: string;
    BORDER_INLINE_END_STYLE: string;
    BORDER_INLINE_END_WIDTH: string;
    BORDER_INLINE_START: string;
    BORDER_INLINE_START_COLOR: string;
    BORDER_INLINE_START_STYLE: string;
    BORDER_INLINE_START_WIDTH: string;
    BORDER_LEFT: string;
    BORDER_LEFT_COLOR: string;
    BORDER_LEFT_STYLE: string;
    BORDER_LEFT_WIDTH: string;
    BORDER_RADIUS: string;
    BORDER_RIGHT: string;
    BORDER_RIGHT_COLOR: string;
    BORDER_RIGHT_STYLE: string;
    BORDER_RIGHT_WIDTH: string;
    BORDER_SPACING: string;
    BORDER_STYLE: string;
    BORDER_TOP: string;
    BORDER_TOP_COLOR: string;
    BORDER_TOP_LEFT_RADIUS: string;
    BORDER_TOP_RIGHT_RADIUS: string;
    BORDER_TOP_STYLE: string;
    BORDER_TOP_WIDTH: string;
    BORDER_WIDTH: string;
    BOTTOM: string;
    BOX_ALIGN: string;
    BOX_DECORATION_BREAK: string;
    BOX_DIRECTION: string;
    BOX_FLEX: string;
    BOX_FLEX_GROUP: string;
    BOX_LINES: string;
    BOX_ORDINAL_GROUP: string;
    BOX_ORIENT: string;
    BOX_PACK: string;
    BOX_SHADOW: string;
    BOX_SIZING: string;
    BREAK_AFTER: string;
    BREAK_BEFORE: string;
    BREAK_INSIDE: string;
    CAPTION_SIDE: string;
    CARET_COLOR: string;
    CLEAR: string;
    CLIP: string;
    CLIP_PATH: string;
    COLOR: string;
    COLOR_ADJUST: string;
    COLUMN_COUNT: string;
    COLUMN_FILL: string;
    COLUMN_GAP: string;
    COLUMN_RULE: string;
    COLUMN_RULE_COLOR: string;
    COLUMN_RULE_STYLE: string;
    COLUMN_RULE_WIDTH: string;
    COLUMN_SPAN: string;
    COLUMN_WIDTH: string;
    COLUMNS: string;
    CONTAIN: string;
    CONTENT: string;
    COUNTER_INCREMENT: string;
    COUNTER_RESET: string;
    CURSOR: string;
    DIRECTION: string;
    DISPLAY: string;
    EMPTY_CELLS: string;
    FILTER: string;
    FLEX: string;
    FLEX_BASIS: string;
    FLEX_DIRECTION: string;
    FLEX_FLOW: string;
    FLEX_GROW: string;
    FLEX_SHRINK: string;
    FLEX_WRAP: string;
    FLOAT: string;
    FONT: string;
    FONT_FAMILY: string;
    FONT_FEATURE_SETTINGS: string;
    FONT_KERNING: string;
    FONT_LANGUAGE_OVERRIDE: string;
    FONT_OPTICAL_SIZING: string;
    FONT_SIZE: string;
    FONT_SIZE_ADJUST: string;
    FONT_STRETCH: string;
    FONT_STYLE: string;
    FONT_SYNTHESIS: string;
    FONT_VARIANT: string;
    FONT_VARIANT_ALTERNATES: string;
    FONT_VARIANT_CAPS: string;
    FONT_VARIANT_EAST_ASIAN: string;
    FONT_VARIANT_LIGATURES: string;
    FONT_VARIANT_NUMERIC: string;
    FONT_VARIANT_POSITION: string;
    FONT_VARIATION_SETTINGS: string;
    FONT_WEIGHT: string;
    GAP: string;
    GRID: string;
    GRID_AREA: string;
    GRID_AUTO_COLUMNS: string;
    GRID_AUTO_FLOW: string;
    GRID_AUTO_ROWS: string;
    GRID_COLUMN: string;
    GRID_COLUMN_END: string;
    GRID_COLUMN_GAP: string;
    GRID_COLUMN_START: string;
    GRID_GAP: string;
    GRID_ROW: string;
    GRID_ROW_END: string;
    GRID_ROW_GAP: string;
    GRID_ROW_START: string;
    GRID_TEMPLATE: string;
    GRID_TEMPLATE_AREAS: string;
    GRID_TEMPLATE_COLUMNS: string;
    GRID_TEMPLATE_ROWS: string;
    HANGING_PUNCTUATION: string;
    HEIGHT: string;
    HYPHENS: string;
    IMAGE_ORIENTATION: string;
    IMAGE_RENDERING: string;
    IMAGE_RESOLUTION: string;
    IME_MODE: string;
    INITIAL_LETTER: string;
    INITIAL_LETTER_ALIGN: string;
    INLINE_SIZE: string;
    INSET_BLOCK_END: string;
    INSET_BLOCK_START: string;
    INSET_INLINE_END: string;
    INSET_INLINE_START: string;
    ISOLATION: string;
    JUSTIFY_CONTENT: string;
    JUSTIFY_ITEMS: string;
    JUSTIFY_SELF: string;
    LEFT: string;
    LETTER_SPACING: string;
    LINE_BREAK: string;
    LINE_CLAMP: string;
    LINE_HEIGHT: string;
    LIST_STYLE: string;
    LIST_STYLE_IMAGE: string;
    LIST_STYLE_POSITION: string;
    LIST_STYLE_TYPE: string;
    MARGIN: string;
    MARGIN_BLOCK_END: string;
    MARGIN_BLOCK_START: string;
    MARGIN_BOTTOM: string;
    MARGIN_INLINE_END: string;
    MARGIN_INLINE_START: string;
    MARGIN_LEFT: string;
    MARGIN_RIGHT: string;
    MARGIN_TOP: string;
    MASK: string;
    MASK_BORDER: string;
    MASK_BORDER_MODE: string;
    MASK_BORDER_OUTSET: string;
    MASK_BORDER_REPEAT: string;
    MASK_BORDER_SLICE: string;
    MASK_BORDER_SOURCE: string;
    MASK_BORDER_WIDTH: string;
    MASK_CLIP: string;
    MASK_COMPOSITE: string;
    MASK_IMAGE: string;
    MASK_MODE: string;
    MASK_ORIGIN: string;
    MASK_POSITION: string;
    MASK_REPEAT: string;
    MASK_SIZE: string;
    MASK_TYPE: string;
    MAX_BLOCK_SIZE: string;
    MAX_HEIGHT: string;
    MAX_INLINE_SIZE: string;
    MAX_LINES: string;
    MAX_WIDTH: string;
    MIN_BLOCK_SIZE: string;
    MIN_HEIGHT: string;
    MIN_INLINE_SIZE: string;
    MIN_WIDTH: string;
    MIX_BLEND_MODE: string;
    MOTION: string;
    MOTION_OFFSET: string;
    MOTION_PATH: string;
    MOTION_ROTATION: string;
    OBJECT_FIT: string;
    OBJECT_POSITION: string;
    OFFSET_POSITION: string;
    OPACITY: string;
    ORDER: string;
    ORPHANS: string;
    OUTLINE: string;
    OUTLINE_COLOR: string;
    OUTLINE_OFFSET: string;
    OUTLINE_STYLE: string;
    OUTLINE_WIDTH: string;
    OVERFLOW: string;
    OVERFLOW_ANCHOR: string;
    OVERFLOW_BLOCK: string;
    OVERFLOW_CLIP_BOX: string;
    OVERFLOW_INLINE: string;
    OVERFLOW_WRAP: string;
    OVERFLOW_X: string;
    OVERFLOW_Y: string;
    OVERSCROLL_BEHAVIOR: string;
    OVERSCROLL_BEHAVIOR_X: string;
    OVERSCROLL_BEHAVIOR_Y: string;
    PADDING: string;
    PADDING_BLOCK_END: string;
    PADDING_BLOCK_START: string;
    PADDING_BOTTOM: string;
    PADDING_INLINE_END: string;
    PADDING_INLINE_START: string;
    PADDING_LEFT: string;
    PADDING_RIGHT: string;
    PADDING_TOP: string;
    PAGE_BREAK_AFTER: string;
    PAGE_BREAK_BEFORE: string;
    PAGE_BREAK_INSIDE: string;
    PAINT_ORDER: string;
    PERSPECTIVE: string;
    PERSPECTIVE_ORIGIN: string;
    PLACE_CONTENT: string;
    PLACE_ITEMS: string;
    POINTER_EVENTS: string;
    POSITION: string;
    QUOTES: string;
    RESIZE: string;
    RIGHT: string;
    ROTATE: string;
    ROW_GAP: string;
    RUBY_ALIGN: string;
    RUBY_MERGE: string;
    RUBY_POSITION: string;
    SCALE: string;
    SCROLL_BEHAVIOR: string;
    SCROLL_SNAP_COORDINATE: string;
    SCROLL_SNAP_DESTINATION: string;
    SCROLL_SNAP_POINTS_X: string;
    SCROLL_SNAP_POINTS_Y: string;
    SCROLL_SNAP_TYPE: string;
    SCROLL_SNAP_TYPE_X: string;
    SCROLL_SNAP_TYPE_Y: string;
    SHAPE_IMAGE_THRESHOLD: string;
    SHAPE_MARGIN: string;
    SHAPE_OUTSIDE: string;
    TAB_SIZE: string;
    TABLE_LAYOUT: string;
    TEXT_ALIGN: string;
    TEXT_ALIGN_LAST: string;
    TEXT_COMBINE_UPRIGHT: string;
    TEXT_DECORATION: string;
    TEXT_DECORATION_COLOR: string;
    TEXT_DECORATION_LINE: string;
    TEXT_DECORATION_SKIP: string;
    TEXT_DECORATION_SKIP_INK: string;
    TEXT_DECORATION_STYLE: string;
    TEXT_EMPHASIS: string;
    TEXT_EMPHASIS_COLOR: string;
    TEXT_EMPHASIS_POSITION: string;
    TEXT_EMPHASIS_STYLE: string;
    TEXT_INDENT: string;
    TEXT_JUSTIFY: string;
    TEXT_ORIENTATION: string;
    TEXT_OVERFLOW: string;
    TEXT_RENDERING: string;
    TEXT_SHADOW: string;
    TEXT_SIZE_ADJUST: string;
    TEXT_TRANSFORM: string;
    TEXT_UNDERLINE_POSITION: string;
    TOP: string;
    TOUCH_ACTION: string;
    TRANSFORM: string;
    TRANSFORM_BOX: string;
    TRANSFORM_ORIGIN: string;
    TRANSFORM_STYLE: string;
    TRANSITION: string;
    TRANSITION_DELAY: string;
    TRANSITION_DURATION: string;
    TRANSITION_PROPERTY: string;
    TRANSITION_TIMING_FUNCTION: string;
    TRANSLATE: string;
    UNICODE_BIDI: string;
    USER_SELECT: string;
    VERTICAL_ALIGN: string;
    VISIBILITY: string;
    WHITE_SPACE: string;
    WIDOWS: string;
    WIDTH: string;
    WILL_CHANGE: string;
    WORD_BREAK: string;
    WORD_SPACING: string;
    WORD_WRAP: string;
    WRITING_MODE: string;
    Z_INDEX: string;
    ZOOM: string;
};
export declare const Color: {
    ALICEBLUE: string;
    ANTIQUEWHITE: string;
    AQUA: string;
    AQUAMARINE: string;
    AZURE: string;
    BEIGE: string;
    BISQUE: string;
    BLACK: string;
    BLANCHEDALMOND: string;
    BLUE: string;
    BLUEVIOLET: string;
    BROWN: string;
    BURLYWOOD: string;
    CADETBLUE: string;
    CHARTREUSE: string;
    CHOCOLATE: string;
    CORAL: string;
    CORNFLOWERBLUE: string;
    CORNSILK: string;
    CRIMSON: string;
    CYAN: string;
    DARKBLUE: string;
    DARKCYAN: string;
    DARKGOLDENROD: string;
    DARKGRAY: string;
    DARKGREEN: string;
    DARKGREY: string;
    DARKKHAKI: string;
    DARKMAGENTA: string;
    DARKOLIVEGREEN: string;
    DARKORANGE: string;
    DARKORCHID: string;
    DARKRED: string;
    DARKSALMON: string;
    DARKSEAGREEN: string;
    DARKSLATEBLUE: string;
    DARKSLATEGRAY: string;
    DARKSLATEGREY: string;
    DARKTURQUOISE: string;
    DARKVIOLET: string;
    DEEPPINK: string;
    DEEPSKYBLUE: string;
    DIMGRAY: string;
    DIMGREY: string;
    DODGERBLUE: string;
    FIREBRICK: string;
    FLORALWHITE: string;
    FORESTGREEN: string;
    FUCHSIA: string;
    GAINSBORO: string;
    GHOSTWHITE: string;
    GOLD: string;
    GOLDENROD: string;
    GRAY: string;
    GREEN: string;
    GREENYELLOW: string;
    GREY: string;
    HONEYDEW: string;
    HOTPINK: string;
    INDIANRED: string;
    INDIGO: string;
    IVORY: string;
    KHAKI: string;
    LAVENDER: string;
    LAVENDERBLUSH: string;
    LAWNGREEN: string;
    LEMONCHIFFON: string;
    LIGHTBLUE: string;
    LIGHTCORAL: string;
    LIGHTCYAN: string;
    LIGHTGOLDENRODYELLOW: string;
    LIGHTGRAY: string;
    LIGHTGREEN: string;
    LIGHTGREY: string;
    LIGHTPINK: string;
    LIGHTSALMON: string;
    LIGHTSEAGREEN: string;
    LIGHTSKYBLUE: string;
    LIGHTSLATEGRAY: string;
    LIGHTSLATEGREY: string;
    LIGHTSTEELBLUE: string;
    LIGHTYELLOW: string;
    LIME: string;
    LIMEGREEN: string;
    LINEN: string;
    MAGENTA: string;
    MAROON: string;
    MEDIUMAQUAMARINE: string;
    MEDIUMBLUE: string;
    MEDIUMORCHID: string;
    MEDIUMPURPLE: string;
    MEDIUMSEAGREEN: string;
    MEDIUMSLATEBLUE: string;
    MEDIUMSPRINGGREEN: string;
    MEDIUMTURQUOISE: string;
    MEDIUMVIOLETRED: string;
    MIDNIGHTBLUE: string;
    MINTCREAM: string;
    MISTYROSE: string;
    MOCCASIN: string;
    NAVAJOWHITE: string;
    NAVY: string;
    OLDLACE: string;
    OLIVE: string;
    OLIVEDRAB: string;
    ORANGE: string;
    ORANGERED: string;
    ORCHID: string;
    PALEGOLDENROD: string;
    PALEGREEN: string;
    PALETURQUOISE: string;
    PALEVIOLETRED: string;
    PAPAYAWHIP: string;
    PEACHPUFF: string;
    PERU: string;
    PINK: string;
    PLUM: string;
    POWDERBLUE: string;
    PURPLE: string;
    REBECCAPURPLE: string;
    RED: string;
    ROSYBROWN: string;
    ROYALBLUE: string;
    SADDLEBROWN: string;
    SALMON: string;
    SANDYBROWN: string;
    SEAGREEN: string;
    SEASHELL: string;
    SIENNA: string;
    SILVER: string;
    SKYBLUE: string;
    SLATEBLUE: string;
    SLATEGRAY: string;
    SLATEGREY: string;
    SNOW: string;
    SPRINGGREEN: string;
    STEELBLUE: string;
    TAN: string;
    TEAL: string;
    THISTLE: string;
    TOMATO: string;
    TRANSPARENT: string;
    TURQUOISE: string;
    VIOLET: string;
    WHEAT: string;
    WHITE: string;
    WHITESMOKE: string;
    YELLOW: string;
    YELLOWGREEN: string;
    hex: (code: string) => string;
    hexa: (code: string, alpha: number) => string;
};
export declare const Unit: {
    HZ: string;
    Q: string;
    CAP: string;
    CH: string;
    CM: string;
    DEG: string;
    DPCM: string;
    DPI: string;
    DPPX: string;
    EM: string;
    EX: string;
    FR: string;
    GRAD: string;
    IC: string;
    IN: string;
    KHZ: string;
    LH: string;
    MM: string;
    MS: string;
    PC: string;
    PERCENTAGE: string;
    PT: string;
    PX: string;
    RAD: string;
    REM: string;
    RLH: string;
    S: string;
    TURN: string;
    VB: string;
    VH: string;
    VI: string;
    VMAX: string;
    VMIN: string;
    VW: string;
    X: string;
};
export declare const Angle: {
    deg: (...params: number[]) => string;
    grad: (...params: number[]) => string;
    rad: (...params: number[]) => string;
    turn: (...params: number[]) => string;
};
export declare const Frequency: {
    Hz: (...params: number[]) => string;
    kHz: (...params: number[]) => string;
};
export declare const Length: {
    Q: (...params: number[]) => string;
    X: (...params: number[]) => string;
    cap: (...params: number[]) => string;
    ch: (...params: number[]) => string;
    cm: (...params: number[]) => string;
    em: (...params: number[]) => string;
    ex: (...params: number[]) => string;
    fr: (...params: number[]) => string;
    ic: (...params: number[]) => string;
    in: (...params: number[]) => string;
    lh: (...params: number[]) => string;
    mm: (...params: number[]) => string;
    pc: (...params: number[]) => string;
    pt: (...params: number[]) => string;
    px: (...params: number[]) => string;
    rem: (...params: number[]) => string;
    rlh: (...params: number[]) => string;
    vb: (...params: number[]) => string;
    vh: (...params: number[]) => string;
    vi: (...params: number[]) => string;
    vmax: (...params: number[]) => string;
    vmin: (...params: number[]) => string;
    vw: (...params: number[]) => string;
};
export declare const Resolution: {
    dpcm: (...params: number[]) => string;
    dpi: (...params: number[]) => string;
    dppx: (...params: number[]) => string;
    x: (...params: number[]) => string;
};
export declare const Time: {
    ms: (...params: number[]) => string;
    s: (...params: number[]) => string;
};
export declare const Method: {
    annotation: (...params: Param[]) => string;
    attr: (...params: Param[]) => string;
    blur: (...params: Param[]) => string;
    brightness: (...params: Param[]) => string;
    calc: (...params: Param[]) => string;
    characterVariant: (...params: Param[]) => string;
    circle: (...params: Param[]) => string;
    contrast: (...params: Param[]) => string;
    crossFade: (...params: Param[]) => string;
    cubicBezier: (...params: Param[]) => string;
    dropShadow: (...params: Param[]) => string;
    element: (...params: Param[]) => string;
    ellipse: (...params: Param[]) => string;
    fitContent: (...params: Param[]) => string;
    frames: (...params: Param[]) => string;
    grayscale: (...params: Param[]) => string;
    hsl: (...params: Param[]) => string;
    hsla: (...params: Param[]) => string;
    hueRotate: (...params: Param[]) => string;
    image: (...params: Param[]) => string;
    imageSet: (...params: Param[]) => string;
    inset: (...params: Param[]) => string;
    invert: (...params: Param[]) => string;
    leader: (...params: Param[]) => string;
    linearGradient: (...params: Param[]) => string;
    matrix: (...params: Param[]) => string;
    matrix3d: (...params: Param[]) => string;
    minmax: (...params: Param[]) => string;
    opacity: (...params: Param[]) => string;
    ornaments: (...params: Param[]) => string;
    perspective: (...params: Param[]) => string;
    polygon: (...params: Param[]) => string;
    radialGradient: (...params: Param[]) => string;
    rect: (...params: Param[]) => string;
    repeat: (...params: Param[]) => string;
    repeatingLinearGradient: (...params: Param[]) => string;
    repeatingRadialGradient: (...params: Param[]) => string;
    rgb: (...params: Param[]) => string;
    rgba: (...params: Param[]) => string;
    rotate: (...params: Param[]) => string;
    rotate3d: (...params: Param[]) => string;
    rotateX: (...params: Param[]) => string;
    rotateY: (...params: Param[]) => string;
    rotateZ: (...params: Param[]) => string;
    saturate: (...params: Param[]) => string;
    scale: (...params: Param[]) => string;
    scale3d: (...params: Param[]) => string;
    scaleX: (...params: Param[]) => string;
    scaleY: (...params: Param[]) => string;
    scaleZ: (...params: Param[]) => string;
    sepia: (...params: Param[]) => string;
    skew: (...params: Param[]) => string;
    skewX: (...params: Param[]) => string;
    skewY: (...params: Param[]) => string;
    snapInterval: (...params: Param[]) => string;
    snapList: (...params: Param[]) => string;
    steps: (...params: Param[]) => string;
    styleset: (...params: Param[]) => string;
    stylistic: (...params: Param[]) => string;
    swash: (...params: Param[]) => string;
    symbols: (...params: Param[]) => string;
    targetCounter: (...params: Param[]) => string;
    targetCounters: (...params: Param[]) => string;
    targetText: (...params: Param[]) => string;
    translate: (...params: Param[]) => string;
    translate3d: (...params: Param[]) => string;
    translateX: (...params: Param[]) => string;
    translateY: (...params: Param[]) => string;
    translateZ: (...params: Param[]) => string;
    var: (...params: Param[]) => string;
};
export declare const Css: {
    AlignContent: {
        set: (...params: Param[]) => Sheet;
        NORMAL: {
            alignContent: string;
        };
        FIRST: {
            alignContent: string;
        };
        LAST: {
            alignContent: string;
        };
        BASELINE: {
            alignContent: string;
        };
        SPACE_BETWEEN: {
            alignContent: string;
        };
        SPACE_AROUND: {
            alignContent: string;
        };
        SPACE_EVENLY: {
            alignContent: string;
        };
        STRETCH: {
            alignContent: string;
        };
        UNSAFE: {
            alignContent: string;
        };
        SAFE: {
            alignContent: string;
        };
        CENTER: {
            alignContent: string;
        };
        START: {
            alignContent: string;
        };
        END: {
            alignContent: string;
        };
        FLEX_START: {
            alignContent: string;
        };
        FLEX_END: {
            alignContent: string;
        };
    };
    AlignItems: {
        set: (...params: Param[]) => Sheet;
        NORMAL: {
            alignItems: string;
        };
        STRETCH: {
            alignItems: string;
        };
        FIRST: {
            alignItems: string;
        };
        LAST: {
            alignItems: string;
        };
        BASELINE: {
            alignItems: string;
        };
        UNSAFE: {
            alignItems: string;
        };
        SAFE: {
            alignItems: string;
        };
        CENTER: {
            alignItems: string;
        };
        START: {
            alignItems: string;
        };
        END: {
            alignItems: string;
        };
        SELF_START: {
            alignItems: string;
        };
        SELF_END: {
            alignItems: string;
        };
        FLEX_START: {
            alignItems: string;
        };
        FLEX_END: {
            alignItems: string;
        };
    };
    AlignSelf: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            alignSelf: string;
        };
        NORMAL: {
            alignSelf: string;
        };
        STRETCH: {
            alignSelf: string;
        };
        FIRST: {
            alignSelf: string;
        };
        LAST: {
            alignSelf: string;
        };
        BASELINE: {
            alignSelf: string;
        };
        UNSAFE: {
            alignSelf: string;
        };
        SAFE: {
            alignSelf: string;
        };
        CENTER: {
            alignSelf: string;
        };
        START: {
            alignSelf: string;
        };
        END: {
            alignSelf: string;
        };
        SELF_START: {
            alignSelf: string;
        };
        SELF_END: {
            alignSelf: string;
        };
        FLEX_START: {
            alignSelf: string;
        };
        FLEX_END: {
            alignSelf: string;
        };
    };
    All: {
        set: (...params: Param[]) => Sheet;
        INITIAL: {
            all: string;
        };
        INHERIT: {
            all: string;
        };
        UNSET: {
            all: string;
        };
        REVERT: {
            all: string;
        };
    };
    Animation: {
        set: (...params: Param[]) => Sheet;
        s: (...nums: number[]) => Sheet;
        ms: (...nums: number[]) => Sheet;
        LINEAR: {
            animation: string;
        };
        EASE: {
            animation: string;
        };
        EASE_IN: {
            animation: string;
        };
        EASE_OUT: {
            animation: string;
        };
        EASE_IN_OUT: {
            animation: string;
        };
        cubicBezier: (...params: Param[]) => Sheet;
        STEP_START: {
            animation: string;
        };
        STEP_END: {
            animation: string;
        };
        steps: (...params: Param[]) => Sheet;
        frames: (...params: Param[]) => Sheet;
        INFINITE: {
            animation: string;
        };
        NORMAL: {
            animation: string;
        };
        REVERSE: {
            animation: string;
        };
        ALTERNATE: {
            animation: string;
        };
        ALTERNATE_REVERSE: {
            animation: string;
        };
        NONE: {
            animation: string;
        };
        FORWARDS: {
            animation: string;
        };
        BACKWARDS: {
            animation: string;
        };
        BOTH: {
            animation: string;
        };
        RUNNING: {
            animation: string;
        };
        PAUSED: {
            animation: string;
        };
    };
    AnimationDelay: {
        set: (...params: Param[]) => Sheet;
        s: (...nums: number[]) => Sheet;
        ms: (...nums: number[]) => Sheet;
    };
    AnimationDirection: {
        set: (...params: Param[]) => Sheet;
        NORMAL: {
            animationDirection: string;
        };
        REVERSE: {
            animationDirection: string;
        };
        ALTERNATE: {
            animationDirection: string;
        };
        ALTERNATE_REVERSE: {
            animationDirection: string;
        };
    };
    AnimationDuration: {
        set: (...params: Param[]) => Sheet;
        s: (...nums: number[]) => Sheet;
        ms: (...nums: number[]) => Sheet;
    };
    AnimationFillMode: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            animationFillMode: string;
        };
        FORWARDS: {
            animationFillMode: string;
        };
        BACKWARDS: {
            animationFillMode: string;
        };
        BOTH: {
            animationFillMode: string;
        };
    };
    AnimationIterationCount: {
        set: (...params: Param[]) => Sheet;
        INFINITE: {
            animationIterationCount: string;
        };
    };
    AnimationName: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            animationName: string;
        };
    };
    AnimationPlayState: {
        set: (...params: Param[]) => Sheet;
        RUNNING: {
            animationPlayState: string;
        };
        PAUSED: {
            animationPlayState: string;
        };
    };
    AnimationTimingFunction: {
        set: (...params: Param[]) => Sheet;
        LINEAR: {
            animationTimingFunction: string;
        };
        EASE: {
            animationTimingFunction: string;
        };
        EASE_IN: {
            animationTimingFunction: string;
        };
        EASE_OUT: {
            animationTimingFunction: string;
        };
        EASE_IN_OUT: {
            animationTimingFunction: string;
        };
        cubicBezier: (...params: Param[]) => Sheet;
        STEP_START: {
            animationTimingFunction: string;
        };
        STEP_END: {
            animationTimingFunction: string;
        };
        steps: (...params: Param[]) => Sheet;
        frames: (...params: Param[]) => Sheet;
    };
    Appearance: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            appearance: string;
        };
        NONE: {
            appearance: string;
        };
    };
    Azimuth: {
        set: (...params: Param[]) => Sheet;
        deg: (...nums: number[]) => Sheet;
        rad: (...nums: number[]) => Sheet;
        grad: (...nums: number[]) => Sheet;
        turn: (...nums: number[]) => Sheet;
        LEFT_SIDE: {
            azimuth: string;
        };
        FAR_LEFT: {
            azimuth: string;
        };
        LEFT: {
            azimuth: string;
        };
        CENTER_LEFT: {
            azimuth: string;
        };
        CENTER: {
            azimuth: string;
        };
        CENTER_RIGHT: {
            azimuth: string;
        };
        RIGHT: {
            azimuth: string;
        };
        FAR_RIGHT: {
            azimuth: string;
        };
        RIGHT_SIDE: {
            azimuth: string;
        };
        BEHIND: {
            azimuth: string;
        };
        LEFTWARDS: {
            azimuth: string;
        };
        RIGHTWARDS: {
            azimuth: string;
        };
    };
    BackdropFilter: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            backdropFilter: string;
        };
        blur: (...params: Param[]) => Sheet;
        brightness: (...params: Param[]) => Sheet;
        contrast: (...params: Param[]) => Sheet;
        dropShadow: (...params: Param[]) => Sheet;
        grayscale: (...params: Param[]) => Sheet;
        hueRotate: (...params: Param[]) => Sheet;
        invert: (...params: Param[]) => Sheet;
        opacity: (...params: Param[]) => Sheet;
        saturate: (...params: Param[]) => Sheet;
        sepia: (...params: Param[]) => Sheet;
    };
    BackfaceVisibility: {
        set: (...params: Param[]) => Sheet;
        VISIBLE: {
            backfaceVisibility: string;
        };
        HIDDEN: {
            backfaceVisibility: string;
        };
    };
    Background: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            background: string;
        };
        image: (...params: Param[]) => Sheet;
        imageSet: (...params: Param[]) => Sheet;
        element: (...params: Param[]) => Sheet;
        crossFade: (...params: Param[]) => Sheet;
        linearGradient: (...params: Param[]) => Sheet;
        repeatingLinearGradient: (...params: Param[]) => Sheet;
        radialGradient: (...params: Param[]) => Sheet;
        repeatingRadialGradient: (...params: Param[]) => Sheet;
        LEFT: {
            background: string;
        };
        CENTER: {
            background: string;
        };
        RIGHT: {
            background: string;
        };
        TOP: {
            background: string;
        };
        BOTTOM: {
            background: string;
        };
        AUTO: {
            background: string;
        };
        COVER: {
            background: string;
        };
        CONTAIN: {
            background: string;
        };
        REPEAT_X: {
            background: string;
        };
        REPEAT_Y: {
            background: string;
        };
        REPEAT: {
            background: string;
        };
        SPACE: {
            background: string;
        };
        ROUND: {
            background: string;
        };
        NO_REPEAT: {
            background: string;
        };
        SCROLL: {
            background: string;
        };
        FIXED: {
            background: string;
        };
        LOCAL: {
            background: string;
        };
        BORDER_BOX: {
            background: string;
        };
        PADDING_BOX: {
            background: string;
        };
        CONTENT_BOX: {
            background: string;
        };
    };
    BackgroundAttachment: {
        set: (...params: Param[]) => Sheet;
        SCROLL: {
            backgroundAttachment: string;
        };
        FIXED: {
            backgroundAttachment: string;
        };
        LOCAL: {
            backgroundAttachment: string;
        };
    };
    BackgroundBlendMode: {
        set: (...params: Param[]) => Sheet;
        NORMAL: {
            backgroundBlendMode: string;
        };
        MULTIPLY: {
            backgroundBlendMode: string;
        };
        SCREEN: {
            backgroundBlendMode: string;
        };
        OVERLAY: {
            backgroundBlendMode: string;
        };
        DARKEN: {
            backgroundBlendMode: string;
        };
        LIGHTEN: {
            backgroundBlendMode: string;
        };
        COLOR_DODGE: {
            backgroundBlendMode: string;
        };
        COLOR_BURN: {
            backgroundBlendMode: string;
        };
        HARD_LIGHT: {
            backgroundBlendMode: string;
        };
        SOFT_LIGHT: {
            backgroundBlendMode: string;
        };
        DIFFERENCE: {
            backgroundBlendMode: string;
        };
        EXCLUSION: {
            backgroundBlendMode: string;
        };
        HUE: {
            backgroundBlendMode: string;
        };
        SATURATION: {
            backgroundBlendMode: string;
        };
        COLOR: {
            backgroundBlendMode: string;
        };
        LUMINOSITY: {
            backgroundBlendMode: string;
        };
    };
    BackgroundClip: {
        set: (...params: Param[]) => Sheet;
        BORDER_BOX: {
            backgroundClip: string;
        };
        PADDING_BOX: {
            backgroundClip: string;
        };
        CONTENT_BOX: {
            backgroundClip: string;
        };
    };
    BackgroundColor: {
        set: (...params: Param[]) => Sheet;
        rgb: (...params: Param[]) => Sheet;
        hex: (code: string) => Sheet;
        hexa: (code: string, alpha: number) => Sheet;
        rgba: (...params: Param[]) => Sheet;
        hsl: (...params: Param[]) => Sheet;
        hsla: (...params: Param[]) => Sheet;
        BLACK: {
            backgroundColor: string;
        };
        SILVER: {
            backgroundColor: string;
        };
        GRAY: {
            backgroundColor: string;
        };
        WHITE: {
            backgroundColor: string;
        };
        MAROON: {
            backgroundColor: string;
        };
        RED: {
            backgroundColor: string;
        };
        PURPLE: {
            backgroundColor: string;
        };
        FUCHSIA: {
            backgroundColor: string;
        };
        GREEN: {
            backgroundColor: string;
        };
        LIME: {
            backgroundColor: string;
        };
        OLIVE: {
            backgroundColor: string;
        };
        YELLOW: {
            backgroundColor: string;
        };
        NAVY: {
            backgroundColor: string;
        };
        BLUE: {
            backgroundColor: string;
        };
        TEAL: {
            backgroundColor: string;
        };
        AQUA: {
            backgroundColor: string;
        };
        CURRENTCOLOR: {
            backgroundColor: string;
        };
        ACTIVEBORDER: {
            backgroundColor: string;
        };
        ACTIVECAPTION: {
            backgroundColor: string;
        };
        APPWORKSPACE: {
            backgroundColor: string;
        };
        BACKGROUND: {
            backgroundColor: string;
        };
        BUTTONFACE: {
            backgroundColor: string;
        };
        BUTTONHIGHLIGHT: {
            backgroundColor: string;
        };
        BUTTONSHADOW: {
            backgroundColor: string;
        };
        BUTTONTEXT: {
            backgroundColor: string;
        };
        CAPTIONTEXT: {
            backgroundColor: string;
        };
        GRAYTEXT: {
            backgroundColor: string;
        };
        HIGHLIGHT: {
            backgroundColor: string;
        };
        HIGHLIGHTTEXT: {
            backgroundColor: string;
        };
        INACTIVEBORDER: {
            backgroundColor: string;
        };
        INACTIVECAPTION: {
            backgroundColor: string;
        };
        INACTIVECAPTIONTEXT: {
            backgroundColor: string;
        };
        INFOBACKGROUND: {
            backgroundColor: string;
        };
        INFOTEXT: {
            backgroundColor: string;
        };
        MENU: {
            backgroundColor: string;
        };
        MENUTEXT: {
            backgroundColor: string;
        };
        SCROLLBAR: {
            backgroundColor: string;
        };
        THREEDDARKSHADOW: {
            backgroundColor: string;
        };
        THREEDFACE: {
            backgroundColor: string;
        };
        THREEDHIGHLIGHT: {
            backgroundColor: string;
        };
        THREEDLIGHTSHADOW: {
            backgroundColor: string;
        };
        THREEDSHADOW: {
            backgroundColor: string;
        };
        WINDOW: {
            backgroundColor: string;
        };
        WINDOWFRAME: {
            backgroundColor: string;
        };
        WINDOWTEXT: {
            backgroundColor: string;
        };
    };
    BackgroundImage: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            backgroundImage: string;
        };
        image: (...params: Param[]) => Sheet;
        imageSet: (...params: Param[]) => Sheet;
        element: (...params: Param[]) => Sheet;
        crossFade: (...params: Param[]) => Sheet;
        linearGradient: (...params: Param[]) => Sheet;
        repeatingLinearGradient: (...params: Param[]) => Sheet;
        radialGradient: (...params: Param[]) => Sheet;
        repeatingRadialGradient: (...params: Param[]) => Sheet;
    };
    BackgroundOrigin: {
        set: (...params: Param[]) => Sheet;
        BORDER_BOX: {
            backgroundOrigin: string;
        };
        PADDING_BOX: {
            backgroundOrigin: string;
        };
        CONTENT_BOX: {
            backgroundOrigin: string;
        };
    };
    BackgroundPosition: {
        set: (...params: Param[]) => Sheet;
        LEFT: {
            backgroundPosition: string;
        };
        CENTER: {
            backgroundPosition: string;
        };
        RIGHT: {
            backgroundPosition: string;
        };
        TOP: {
            backgroundPosition: string;
        };
        BOTTOM: {
            backgroundPosition: string;
        };
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    BackgroundPositionX: {
        set: (...params: Param[]) => Sheet;
        CENTER: {
            backgroundPositionX: string;
        };
        LEFT: {
            backgroundPositionX: string;
        };
        RIGHT: {
            backgroundPositionX: string;
        };
        X_START: {
            backgroundPositionX: string;
        };
        X_END: {
            backgroundPositionX: string;
        };
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    BackgroundPositionY: {
        set: (...params: Param[]) => Sheet;
        CENTER: {
            backgroundPositionY: string;
        };
        TOP: {
            backgroundPositionY: string;
        };
        BOTTOM: {
            backgroundPositionY: string;
        };
        Y_START: {
            backgroundPositionY: string;
        };
        Y_END: {
            backgroundPositionY: string;
        };
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    BackgroundRepeat: {
        set: (...params: Param[]) => Sheet;
        REPEAT_X: {
            backgroundRepeat: string;
        };
        REPEAT_Y: {
            backgroundRepeat: string;
        };
        REPEAT: {
            backgroundRepeat: string;
        };
        SPACE: {
            backgroundRepeat: string;
        };
        ROUND: {
            backgroundRepeat: string;
        };
        NO_REPEAT: {
            backgroundRepeat: string;
        };
    };
    BackgroundSize: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        AUTO: {
            backgroundSize: string;
        };
        COVER: {
            backgroundSize: string;
        };
        CONTAIN: {
            backgroundSize: string;
        };
    };
    BlockOverflow: {
        set: (...params: Param[]) => Sheet;
        CLIP: {
            blockOverflow: string;
        };
        ELLIPSIS: {
            blockOverflow: string;
        };
    };
    BlockSize: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        BORDER_BOX: {
            blockSize: string;
        };
        CONTENT_BOX: {
            blockSize: string;
        };
        AVAILABLE: {
            blockSize: string;
        };
        MIN_CONTENT: {
            blockSize: string;
        };
        MAX_CONTENT: {
            blockSize: string;
        };
        FIT_CONTENT: {
            blockSize: string;
        };
        AUTO: {
            blockSize: string;
        };
    };
    Border: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        THIN: {
            border: string;
        };
        MEDIUM: {
            border: string;
        };
        THICK: {
            border: string;
        };
        NONE: {
            border: string;
        };
        HIDDEN: {
            border: string;
        };
        DOTTED: {
            border: string;
        };
        DASHED: {
            border: string;
        };
        SOLID: {
            border: string;
        };
        DOUBLE: {
            border: string;
        };
        GROOVE: {
            border: string;
        };
        RIDGE: {
            border: string;
        };
        INSET: {
            border: string;
        };
        OUTSET: {
            border: string;
        };
        rgb: (...params: Param[]) => Sheet;
        hex: (code: string) => Sheet;
        hexa: (code: string, alpha: number) => Sheet;
        rgba: (...params: Param[]) => Sheet;
        hsl: (...params: Param[]) => Sheet;
        hsla: (...params: Param[]) => Sheet;
        BLACK: {
            border: string;
        };
        SILVER: {
            border: string;
        };
        GRAY: {
            border: string;
        };
        WHITE: {
            border: string;
        };
        MAROON: {
            border: string;
        };
        RED: {
            border: string;
        };
        PURPLE: {
            border: string;
        };
        FUCHSIA: {
            border: string;
        };
        GREEN: {
            border: string;
        };
        LIME: {
            border: string;
        };
        OLIVE: {
            border: string;
        };
        YELLOW: {
            border: string;
        };
        NAVY: {
            border: string;
        };
        BLUE: {
            border: string;
        };
        TEAL: {
            border: string;
        };
        AQUA: {
            border: string;
        };
        CURRENTCOLOR: {
            border: string;
        };
        ACTIVEBORDER: {
            border: string;
        };
        ACTIVECAPTION: {
            border: string;
        };
        APPWORKSPACE: {
            border: string;
        };
        BACKGROUND: {
            border: string;
        };
        BUTTONFACE: {
            border: string;
        };
        BUTTONHIGHLIGHT: {
            border: string;
        };
        BUTTONSHADOW: {
            border: string;
        };
        BUTTONTEXT: {
            border: string;
        };
        CAPTIONTEXT: {
            border: string;
        };
        GRAYTEXT: {
            border: string;
        };
        HIGHLIGHT: {
            border: string;
        };
        HIGHLIGHTTEXT: {
            border: string;
        };
        INACTIVEBORDER: {
            border: string;
        };
        INACTIVECAPTION: {
            border: string;
        };
        INACTIVECAPTIONTEXT: {
            border: string;
        };
        INFOBACKGROUND: {
            border: string;
        };
        INFOTEXT: {
            border: string;
        };
        MENU: {
            border: string;
        };
        MENUTEXT: {
            border: string;
        };
        SCROLLBAR: {
            border: string;
        };
        THREEDDARKSHADOW: {
            border: string;
        };
        THREEDFACE: {
            border: string;
        };
        THREEDHIGHLIGHT: {
            border: string;
        };
        THREEDLIGHTSHADOW: {
            border: string;
        };
        THREEDSHADOW: {
            border: string;
        };
        WINDOW: {
            border: string;
        };
        WINDOWFRAME: {
            border: string;
        };
        WINDOWTEXT: {
            border: string;
        };
    };
    BorderBlockEnd: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        THIN: {
            borderBlockEnd: string;
        };
        MEDIUM: {
            borderBlockEnd: string;
        };
        THICK: {
            borderBlockEnd: string;
        };
        NONE: {
            borderBlockEnd: string;
        };
        HIDDEN: {
            borderBlockEnd: string;
        };
        DOTTED: {
            borderBlockEnd: string;
        };
        DASHED: {
            borderBlockEnd: string;
        };
        SOLID: {
            borderBlockEnd: string;
        };
        DOUBLE: {
            borderBlockEnd: string;
        };
        GROOVE: {
            borderBlockEnd: string;
        };
        RIDGE: {
            borderBlockEnd: string;
        };
        INSET: {
            borderBlockEnd: string;
        };
        OUTSET: {
            borderBlockEnd: string;
        };
    };
    BorderBlockEndColor: {
        set: (...params: Param[]) => Sheet;
    };
    BorderBlockEndStyle: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            borderBlockEndStyle: string;
        };
        HIDDEN: {
            borderBlockEndStyle: string;
        };
        DOTTED: {
            borderBlockEndStyle: string;
        };
        DASHED: {
            borderBlockEndStyle: string;
        };
        SOLID: {
            borderBlockEndStyle: string;
        };
        DOUBLE: {
            borderBlockEndStyle: string;
        };
        GROOVE: {
            borderBlockEndStyle: string;
        };
        RIDGE: {
            borderBlockEndStyle: string;
        };
        INSET: {
            borderBlockEndStyle: string;
        };
        OUTSET: {
            borderBlockEndStyle: string;
        };
    };
    BorderBlockEndWidth: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        THIN: {
            borderBlockEndWidth: string;
        };
        MEDIUM: {
            borderBlockEndWidth: string;
        };
        THICK: {
            borderBlockEndWidth: string;
        };
    };
    BorderBlockStart: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        THIN: {
            borderBlockStart: string;
        };
        MEDIUM: {
            borderBlockStart: string;
        };
        THICK: {
            borderBlockStart: string;
        };
        NONE: {
            borderBlockStart: string;
        };
        HIDDEN: {
            borderBlockStart: string;
        };
        DOTTED: {
            borderBlockStart: string;
        };
        DASHED: {
            borderBlockStart: string;
        };
        SOLID: {
            borderBlockStart: string;
        };
        DOUBLE: {
            borderBlockStart: string;
        };
        GROOVE: {
            borderBlockStart: string;
        };
        RIDGE: {
            borderBlockStart: string;
        };
        INSET: {
            borderBlockStart: string;
        };
        OUTSET: {
            borderBlockStart: string;
        };
    };
    BorderBlockStartColor: {
        set: (...params: Param[]) => Sheet;
    };
    BorderBlockStartStyle: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            borderBlockStartStyle: string;
        };
        HIDDEN: {
            borderBlockStartStyle: string;
        };
        DOTTED: {
            borderBlockStartStyle: string;
        };
        DASHED: {
            borderBlockStartStyle: string;
        };
        SOLID: {
            borderBlockStartStyle: string;
        };
        DOUBLE: {
            borderBlockStartStyle: string;
        };
        GROOVE: {
            borderBlockStartStyle: string;
        };
        RIDGE: {
            borderBlockStartStyle: string;
        };
        INSET: {
            borderBlockStartStyle: string;
        };
        OUTSET: {
            borderBlockStartStyle: string;
        };
    };
    BorderBlockStartWidth: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        THIN: {
            borderBlockStartWidth: string;
        };
        MEDIUM: {
            borderBlockStartWidth: string;
        };
        THICK: {
            borderBlockStartWidth: string;
        };
    };
    BorderBottom: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        THIN: {
            borderBottom: string;
        };
        MEDIUM: {
            borderBottom: string;
        };
        THICK: {
            borderBottom: string;
        };
        NONE: {
            borderBottom: string;
        };
        HIDDEN: {
            borderBottom: string;
        };
        DOTTED: {
            borderBottom: string;
        };
        DASHED: {
            borderBottom: string;
        };
        SOLID: {
            borderBottom: string;
        };
        DOUBLE: {
            borderBottom: string;
        };
        GROOVE: {
            borderBottom: string;
        };
        RIDGE: {
            borderBottom: string;
        };
        INSET: {
            borderBottom: string;
        };
        OUTSET: {
            borderBottom: string;
        };
        rgb: (...params: Param[]) => Sheet;
        hex: (code: string) => Sheet;
        hexa: (code: string, alpha: number) => Sheet;
        rgba: (...params: Param[]) => Sheet;
        hsl: (...params: Param[]) => Sheet;
        hsla: (...params: Param[]) => Sheet;
        BLACK: {
            borderBottom: string;
        };
        SILVER: {
            borderBottom: string;
        };
        GRAY: {
            borderBottom: string;
        };
        WHITE: {
            borderBottom: string;
        };
        MAROON: {
            borderBottom: string;
        };
        RED: {
            borderBottom: string;
        };
        PURPLE: {
            borderBottom: string;
        };
        FUCHSIA: {
            borderBottom: string;
        };
        GREEN: {
            borderBottom: string;
        };
        LIME: {
            borderBottom: string;
        };
        OLIVE: {
            borderBottom: string;
        };
        YELLOW: {
            borderBottom: string;
        };
        NAVY: {
            borderBottom: string;
        };
        BLUE: {
            borderBottom: string;
        };
        TEAL: {
            borderBottom: string;
        };
        AQUA: {
            borderBottom: string;
        };
        CURRENTCOLOR: {
            borderBottom: string;
        };
        ACTIVEBORDER: {
            borderBottom: string;
        };
        ACTIVECAPTION: {
            borderBottom: string;
        };
        APPWORKSPACE: {
            borderBottom: string;
        };
        BACKGROUND: {
            borderBottom: string;
        };
        BUTTONFACE: {
            borderBottom: string;
        };
        BUTTONHIGHLIGHT: {
            borderBottom: string;
        };
        BUTTONSHADOW: {
            borderBottom: string;
        };
        BUTTONTEXT: {
            borderBottom: string;
        };
        CAPTIONTEXT: {
            borderBottom: string;
        };
        GRAYTEXT: {
            borderBottom: string;
        };
        HIGHLIGHT: {
            borderBottom: string;
        };
        HIGHLIGHTTEXT: {
            borderBottom: string;
        };
        INACTIVEBORDER: {
            borderBottom: string;
        };
        INACTIVECAPTION: {
            borderBottom: string;
        };
        INACTIVECAPTIONTEXT: {
            borderBottom: string;
        };
        INFOBACKGROUND: {
            borderBottom: string;
        };
        INFOTEXT: {
            borderBottom: string;
        };
        MENU: {
            borderBottom: string;
        };
        MENUTEXT: {
            borderBottom: string;
        };
        SCROLLBAR: {
            borderBottom: string;
        };
        THREEDDARKSHADOW: {
            borderBottom: string;
        };
        THREEDFACE: {
            borderBottom: string;
        };
        THREEDHIGHLIGHT: {
            borderBottom: string;
        };
        THREEDLIGHTSHADOW: {
            borderBottom: string;
        };
        THREEDSHADOW: {
            borderBottom: string;
        };
        WINDOW: {
            borderBottom: string;
        };
        WINDOWFRAME: {
            borderBottom: string;
        };
        WINDOWTEXT: {
            borderBottom: string;
        };
    };
    BorderBottomColor: {
        set: (...params: Param[]) => Sheet;
        rgb: (...params: Param[]) => Sheet;
        hex: (code: string) => Sheet;
        hexa: (code: string, alpha: number) => Sheet;
        rgba: (...params: Param[]) => Sheet;
        hsl: (...params: Param[]) => Sheet;
        hsla: (...params: Param[]) => Sheet;
        BLACK: {
            borderBottomColor: string;
        };
        SILVER: {
            borderBottomColor: string;
        };
        GRAY: {
            borderBottomColor: string;
        };
        WHITE: {
            borderBottomColor: string;
        };
        MAROON: {
            borderBottomColor: string;
        };
        RED: {
            borderBottomColor: string;
        };
        PURPLE: {
            borderBottomColor: string;
        };
        FUCHSIA: {
            borderBottomColor: string;
        };
        GREEN: {
            borderBottomColor: string;
        };
        LIME: {
            borderBottomColor: string;
        };
        OLIVE: {
            borderBottomColor: string;
        };
        YELLOW: {
            borderBottomColor: string;
        };
        NAVY: {
            borderBottomColor: string;
        };
        BLUE: {
            borderBottomColor: string;
        };
        TEAL: {
            borderBottomColor: string;
        };
        AQUA: {
            borderBottomColor: string;
        };
        CURRENTCOLOR: {
            borderBottomColor: string;
        };
        ACTIVEBORDER: {
            borderBottomColor: string;
        };
        ACTIVECAPTION: {
            borderBottomColor: string;
        };
        APPWORKSPACE: {
            borderBottomColor: string;
        };
        BACKGROUND: {
            borderBottomColor: string;
        };
        BUTTONFACE: {
            borderBottomColor: string;
        };
        BUTTONHIGHLIGHT: {
            borderBottomColor: string;
        };
        BUTTONSHADOW: {
            borderBottomColor: string;
        };
        BUTTONTEXT: {
            borderBottomColor: string;
        };
        CAPTIONTEXT: {
            borderBottomColor: string;
        };
        GRAYTEXT: {
            borderBottomColor: string;
        };
        HIGHLIGHT: {
            borderBottomColor: string;
        };
        HIGHLIGHTTEXT: {
            borderBottomColor: string;
        };
        INACTIVEBORDER: {
            borderBottomColor: string;
        };
        INACTIVECAPTION: {
            borderBottomColor: string;
        };
        INACTIVECAPTIONTEXT: {
            borderBottomColor: string;
        };
        INFOBACKGROUND: {
            borderBottomColor: string;
        };
        INFOTEXT: {
            borderBottomColor: string;
        };
        MENU: {
            borderBottomColor: string;
        };
        MENUTEXT: {
            borderBottomColor: string;
        };
        SCROLLBAR: {
            borderBottomColor: string;
        };
        THREEDDARKSHADOW: {
            borderBottomColor: string;
        };
        THREEDFACE: {
            borderBottomColor: string;
        };
        THREEDHIGHLIGHT: {
            borderBottomColor: string;
        };
        THREEDLIGHTSHADOW: {
            borderBottomColor: string;
        };
        THREEDSHADOW: {
            borderBottomColor: string;
        };
        WINDOW: {
            borderBottomColor: string;
        };
        WINDOWFRAME: {
            borderBottomColor: string;
        };
        WINDOWTEXT: {
            borderBottomColor: string;
        };
    };
    BorderBottomLeftRadius: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    BorderBottomRightRadius: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    BorderBottomStyle: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            borderBottomStyle: string;
        };
        HIDDEN: {
            borderBottomStyle: string;
        };
        DOTTED: {
            borderBottomStyle: string;
        };
        DASHED: {
            borderBottomStyle: string;
        };
        SOLID: {
            borderBottomStyle: string;
        };
        DOUBLE: {
            borderBottomStyle: string;
        };
        GROOVE: {
            borderBottomStyle: string;
        };
        RIDGE: {
            borderBottomStyle: string;
        };
        INSET: {
            borderBottomStyle: string;
        };
        OUTSET: {
            borderBottomStyle: string;
        };
    };
    BorderBottomWidth: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        THIN: {
            borderBottomWidth: string;
        };
        MEDIUM: {
            borderBottomWidth: string;
        };
        THICK: {
            borderBottomWidth: string;
        };
    };
    BorderCollapse: {
        set: (...params: Param[]) => Sheet;
        COLLAPSE: {
            borderCollapse: string;
        };
        SEPARATE: {
            borderCollapse: string;
        };
    };
    BorderColor: {
        set: (...params: Param[]) => Sheet;
        rgb: (...params: Param[]) => Sheet;
        hex: (code: string) => Sheet;
        hexa: (code: string, alpha: number) => Sheet;
        rgba: (...params: Param[]) => Sheet;
        hsl: (...params: Param[]) => Sheet;
        hsla: (...params: Param[]) => Sheet;
        BLACK: {
            borderColor: string;
        };
        SILVER: {
            borderColor: string;
        };
        GRAY: {
            borderColor: string;
        };
        WHITE: {
            borderColor: string;
        };
        MAROON: {
            borderColor: string;
        };
        RED: {
            borderColor: string;
        };
        PURPLE: {
            borderColor: string;
        };
        FUCHSIA: {
            borderColor: string;
        };
        GREEN: {
            borderColor: string;
        };
        LIME: {
            borderColor: string;
        };
        OLIVE: {
            borderColor: string;
        };
        YELLOW: {
            borderColor: string;
        };
        NAVY: {
            borderColor: string;
        };
        BLUE: {
            borderColor: string;
        };
        TEAL: {
            borderColor: string;
        };
        AQUA: {
            borderColor: string;
        };
        CURRENTCOLOR: {
            borderColor: string;
        };
        ACTIVEBORDER: {
            borderColor: string;
        };
        ACTIVECAPTION: {
            borderColor: string;
        };
        APPWORKSPACE: {
            borderColor: string;
        };
        BACKGROUND: {
            borderColor: string;
        };
        BUTTONFACE: {
            borderColor: string;
        };
        BUTTONHIGHLIGHT: {
            borderColor: string;
        };
        BUTTONSHADOW: {
            borderColor: string;
        };
        BUTTONTEXT: {
            borderColor: string;
        };
        CAPTIONTEXT: {
            borderColor: string;
        };
        GRAYTEXT: {
            borderColor: string;
        };
        HIGHLIGHT: {
            borderColor: string;
        };
        HIGHLIGHTTEXT: {
            borderColor: string;
        };
        INACTIVEBORDER: {
            borderColor: string;
        };
        INACTIVECAPTION: {
            borderColor: string;
        };
        INACTIVECAPTIONTEXT: {
            borderColor: string;
        };
        INFOBACKGROUND: {
            borderColor: string;
        };
        INFOTEXT: {
            borderColor: string;
        };
        MENU: {
            borderColor: string;
        };
        MENUTEXT: {
            borderColor: string;
        };
        SCROLLBAR: {
            borderColor: string;
        };
        THREEDDARKSHADOW: {
            borderColor: string;
        };
        THREEDFACE: {
            borderColor: string;
        };
        THREEDHIGHLIGHT: {
            borderColor: string;
        };
        THREEDLIGHTSHADOW: {
            borderColor: string;
        };
        THREEDSHADOW: {
            borderColor: string;
        };
        WINDOW: {
            borderColor: string;
        };
        WINDOWFRAME: {
            borderColor: string;
        };
        WINDOWTEXT: {
            borderColor: string;
        };
    };
    BorderImage: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            borderImage: string;
        };
        image: (...params: Param[]) => Sheet;
        imageSet: (...params: Param[]) => Sheet;
        element: (...params: Param[]) => Sheet;
        crossFade: (...params: Param[]) => Sheet;
        linearGradient: (...params: Param[]) => Sheet;
        repeatingLinearGradient: (...params: Param[]) => Sheet;
        radialGradient: (...params: Param[]) => Sheet;
        repeatingRadialGradient: (...params: Param[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        FILL: {
            borderImage: string;
        };
        AUTO: {
            borderImage: string;
        };
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        STRETCH: {
            borderImage: string;
        };
        REPEAT: {
            borderImage: string;
        };
        ROUND: {
            borderImage: string;
        };
        SPACE: {
            borderImage: string;
        };
    };
    BorderImageOutset: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
    };
    BorderImageRepeat: {
        set: (...params: Param[]) => Sheet;
        STRETCH: {
            borderImageRepeat: string;
        };
        REPEAT: {
            borderImageRepeat: string;
        };
        ROUND: {
            borderImageRepeat: string;
        };
        SPACE: {
            borderImageRepeat: string;
        };
    };
    BorderImageSlice: {
        set: (...params: Param[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        FILL: {
            borderImageSlice: string;
        };
    };
    BorderImageSource: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            borderImageSource: string;
        };
        image: (...params: Param[]) => Sheet;
        imageSet: (...params: Param[]) => Sheet;
        element: (...params: Param[]) => Sheet;
        crossFade: (...params: Param[]) => Sheet;
        linearGradient: (...params: Param[]) => Sheet;
        repeatingLinearGradient: (...params: Param[]) => Sheet;
        radialGradient: (...params: Param[]) => Sheet;
        repeatingRadialGradient: (...params: Param[]) => Sheet;
    };
    BorderImageWidth: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        AUTO: {
            borderImageWidth: string;
        };
    };
    BorderInlineEnd: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        THIN: {
            borderInlineEnd: string;
        };
        MEDIUM: {
            borderInlineEnd: string;
        };
        THICK: {
            borderInlineEnd: string;
        };
        NONE: {
            borderInlineEnd: string;
        };
        HIDDEN: {
            borderInlineEnd: string;
        };
        DOTTED: {
            borderInlineEnd: string;
        };
        DASHED: {
            borderInlineEnd: string;
        };
        SOLID: {
            borderInlineEnd: string;
        };
        DOUBLE: {
            borderInlineEnd: string;
        };
        GROOVE: {
            borderInlineEnd: string;
        };
        RIDGE: {
            borderInlineEnd: string;
        };
        INSET: {
            borderInlineEnd: string;
        };
        OUTSET: {
            borderInlineEnd: string;
        };
    };
    BorderInlineEndColor: {
        set: (...params: Param[]) => Sheet;
    };
    BorderInlineEndStyle: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            borderInlineEndStyle: string;
        };
        HIDDEN: {
            borderInlineEndStyle: string;
        };
        DOTTED: {
            borderInlineEndStyle: string;
        };
        DASHED: {
            borderInlineEndStyle: string;
        };
        SOLID: {
            borderInlineEndStyle: string;
        };
        DOUBLE: {
            borderInlineEndStyle: string;
        };
        GROOVE: {
            borderInlineEndStyle: string;
        };
        RIDGE: {
            borderInlineEndStyle: string;
        };
        INSET: {
            borderInlineEndStyle: string;
        };
        OUTSET: {
            borderInlineEndStyle: string;
        };
    };
    BorderInlineEndWidth: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        THIN: {
            borderInlineEndWidth: string;
        };
        MEDIUM: {
            borderInlineEndWidth: string;
        };
        THICK: {
            borderInlineEndWidth: string;
        };
    };
    BorderInlineStart: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        THIN: {
            borderInlineStart: string;
        };
        MEDIUM: {
            borderInlineStart: string;
        };
        THICK: {
            borderInlineStart: string;
        };
        NONE: {
            borderInlineStart: string;
        };
        HIDDEN: {
            borderInlineStart: string;
        };
        DOTTED: {
            borderInlineStart: string;
        };
        DASHED: {
            borderInlineStart: string;
        };
        SOLID: {
            borderInlineStart: string;
        };
        DOUBLE: {
            borderInlineStart: string;
        };
        GROOVE: {
            borderInlineStart: string;
        };
        RIDGE: {
            borderInlineStart: string;
        };
        INSET: {
            borderInlineStart: string;
        };
        OUTSET: {
            borderInlineStart: string;
        };
    };
    BorderInlineStartColor: {
        set: (...params: Param[]) => Sheet;
    };
    BorderInlineStartStyle: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            borderInlineStartStyle: string;
        };
        HIDDEN: {
            borderInlineStartStyle: string;
        };
        DOTTED: {
            borderInlineStartStyle: string;
        };
        DASHED: {
            borderInlineStartStyle: string;
        };
        SOLID: {
            borderInlineStartStyle: string;
        };
        DOUBLE: {
            borderInlineStartStyle: string;
        };
        GROOVE: {
            borderInlineStartStyle: string;
        };
        RIDGE: {
            borderInlineStartStyle: string;
        };
        INSET: {
            borderInlineStartStyle: string;
        };
        OUTSET: {
            borderInlineStartStyle: string;
        };
    };
    BorderInlineStartWidth: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        THIN: {
            borderInlineStartWidth: string;
        };
        MEDIUM: {
            borderInlineStartWidth: string;
        };
        THICK: {
            borderInlineStartWidth: string;
        };
    };
    BorderLeft: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        THIN: {
            borderLeft: string;
        };
        MEDIUM: {
            borderLeft: string;
        };
        THICK: {
            borderLeft: string;
        };
        NONE: {
            borderLeft: string;
        };
        HIDDEN: {
            borderLeft: string;
        };
        DOTTED: {
            borderLeft: string;
        };
        DASHED: {
            borderLeft: string;
        };
        SOLID: {
            borderLeft: string;
        };
        DOUBLE: {
            borderLeft: string;
        };
        GROOVE: {
            borderLeft: string;
        };
        RIDGE: {
            borderLeft: string;
        };
        INSET: {
            borderLeft: string;
        };
        OUTSET: {
            borderLeft: string;
        };
        rgb: (...params: Param[]) => Sheet;
        hex: (code: string) => Sheet;
        hexa: (code: string, alpha: number) => Sheet;
        rgba: (...params: Param[]) => Sheet;
        hsl: (...params: Param[]) => Sheet;
        hsla: (...params: Param[]) => Sheet;
        BLACK: {
            borderLeft: string;
        };
        SILVER: {
            borderLeft: string;
        };
        GRAY: {
            borderLeft: string;
        };
        WHITE: {
            borderLeft: string;
        };
        MAROON: {
            borderLeft: string;
        };
        RED: {
            borderLeft: string;
        };
        PURPLE: {
            borderLeft: string;
        };
        FUCHSIA: {
            borderLeft: string;
        };
        GREEN: {
            borderLeft: string;
        };
        LIME: {
            borderLeft: string;
        };
        OLIVE: {
            borderLeft: string;
        };
        YELLOW: {
            borderLeft: string;
        };
        NAVY: {
            borderLeft: string;
        };
        BLUE: {
            borderLeft: string;
        };
        TEAL: {
            borderLeft: string;
        };
        AQUA: {
            borderLeft: string;
        };
        CURRENTCOLOR: {
            borderLeft: string;
        };
        ACTIVEBORDER: {
            borderLeft: string;
        };
        ACTIVECAPTION: {
            borderLeft: string;
        };
        APPWORKSPACE: {
            borderLeft: string;
        };
        BACKGROUND: {
            borderLeft: string;
        };
        BUTTONFACE: {
            borderLeft: string;
        };
        BUTTONHIGHLIGHT: {
            borderLeft: string;
        };
        BUTTONSHADOW: {
            borderLeft: string;
        };
        BUTTONTEXT: {
            borderLeft: string;
        };
        CAPTIONTEXT: {
            borderLeft: string;
        };
        GRAYTEXT: {
            borderLeft: string;
        };
        HIGHLIGHT: {
            borderLeft: string;
        };
        HIGHLIGHTTEXT: {
            borderLeft: string;
        };
        INACTIVEBORDER: {
            borderLeft: string;
        };
        INACTIVECAPTION: {
            borderLeft: string;
        };
        INACTIVECAPTIONTEXT: {
            borderLeft: string;
        };
        INFOBACKGROUND: {
            borderLeft: string;
        };
        INFOTEXT: {
            borderLeft: string;
        };
        MENU: {
            borderLeft: string;
        };
        MENUTEXT: {
            borderLeft: string;
        };
        SCROLLBAR: {
            borderLeft: string;
        };
        THREEDDARKSHADOW: {
            borderLeft: string;
        };
        THREEDFACE: {
            borderLeft: string;
        };
        THREEDHIGHLIGHT: {
            borderLeft: string;
        };
        THREEDLIGHTSHADOW: {
            borderLeft: string;
        };
        THREEDSHADOW: {
            borderLeft: string;
        };
        WINDOW: {
            borderLeft: string;
        };
        WINDOWFRAME: {
            borderLeft: string;
        };
        WINDOWTEXT: {
            borderLeft: string;
        };
    };
    BorderLeftColor: {
        set: (...params: Param[]) => Sheet;
        rgb: (...params: Param[]) => Sheet;
        hex: (code: string) => Sheet;
        hexa: (code: string, alpha: number) => Sheet;
        rgba: (...params: Param[]) => Sheet;
        hsl: (...params: Param[]) => Sheet;
        hsla: (...params: Param[]) => Sheet;
        BLACK: {
            borderLeftColor: string;
        };
        SILVER: {
            borderLeftColor: string;
        };
        GRAY: {
            borderLeftColor: string;
        };
        WHITE: {
            borderLeftColor: string;
        };
        MAROON: {
            borderLeftColor: string;
        };
        RED: {
            borderLeftColor: string;
        };
        PURPLE: {
            borderLeftColor: string;
        };
        FUCHSIA: {
            borderLeftColor: string;
        };
        GREEN: {
            borderLeftColor: string;
        };
        LIME: {
            borderLeftColor: string;
        };
        OLIVE: {
            borderLeftColor: string;
        };
        YELLOW: {
            borderLeftColor: string;
        };
        NAVY: {
            borderLeftColor: string;
        };
        BLUE: {
            borderLeftColor: string;
        };
        TEAL: {
            borderLeftColor: string;
        };
        AQUA: {
            borderLeftColor: string;
        };
        CURRENTCOLOR: {
            borderLeftColor: string;
        };
        ACTIVEBORDER: {
            borderLeftColor: string;
        };
        ACTIVECAPTION: {
            borderLeftColor: string;
        };
        APPWORKSPACE: {
            borderLeftColor: string;
        };
        BACKGROUND: {
            borderLeftColor: string;
        };
        BUTTONFACE: {
            borderLeftColor: string;
        };
        BUTTONHIGHLIGHT: {
            borderLeftColor: string;
        };
        BUTTONSHADOW: {
            borderLeftColor: string;
        };
        BUTTONTEXT: {
            borderLeftColor: string;
        };
        CAPTIONTEXT: {
            borderLeftColor: string;
        };
        GRAYTEXT: {
            borderLeftColor: string;
        };
        HIGHLIGHT: {
            borderLeftColor: string;
        };
        HIGHLIGHTTEXT: {
            borderLeftColor: string;
        };
        INACTIVEBORDER: {
            borderLeftColor: string;
        };
        INACTIVECAPTION: {
            borderLeftColor: string;
        };
        INACTIVECAPTIONTEXT: {
            borderLeftColor: string;
        };
        INFOBACKGROUND: {
            borderLeftColor: string;
        };
        INFOTEXT: {
            borderLeftColor: string;
        };
        MENU: {
            borderLeftColor: string;
        };
        MENUTEXT: {
            borderLeftColor: string;
        };
        SCROLLBAR: {
            borderLeftColor: string;
        };
        THREEDDARKSHADOW: {
            borderLeftColor: string;
        };
        THREEDFACE: {
            borderLeftColor: string;
        };
        THREEDHIGHLIGHT: {
            borderLeftColor: string;
        };
        THREEDLIGHTSHADOW: {
            borderLeftColor: string;
        };
        THREEDSHADOW: {
            borderLeftColor: string;
        };
        WINDOW: {
            borderLeftColor: string;
        };
        WINDOWFRAME: {
            borderLeftColor: string;
        };
        WINDOWTEXT: {
            borderLeftColor: string;
        };
    };
    BorderLeftStyle: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            borderLeftStyle: string;
        };
        HIDDEN: {
            borderLeftStyle: string;
        };
        DOTTED: {
            borderLeftStyle: string;
        };
        DASHED: {
            borderLeftStyle: string;
        };
        SOLID: {
            borderLeftStyle: string;
        };
        DOUBLE: {
            borderLeftStyle: string;
        };
        GROOVE: {
            borderLeftStyle: string;
        };
        RIDGE: {
            borderLeftStyle: string;
        };
        INSET: {
            borderLeftStyle: string;
        };
        OUTSET: {
            borderLeftStyle: string;
        };
    };
    BorderLeftWidth: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        THIN: {
            borderLeftWidth: string;
        };
        MEDIUM: {
            borderLeftWidth: string;
        };
        THICK: {
            borderLeftWidth: string;
        };
    };
    BorderRadius: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    BorderRight: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        THIN: {
            borderRight: string;
        };
        MEDIUM: {
            borderRight: string;
        };
        THICK: {
            borderRight: string;
        };
        NONE: {
            borderRight: string;
        };
        HIDDEN: {
            borderRight: string;
        };
        DOTTED: {
            borderRight: string;
        };
        DASHED: {
            borderRight: string;
        };
        SOLID: {
            borderRight: string;
        };
        DOUBLE: {
            borderRight: string;
        };
        GROOVE: {
            borderRight: string;
        };
        RIDGE: {
            borderRight: string;
        };
        INSET: {
            borderRight: string;
        };
        OUTSET: {
            borderRight: string;
        };
        rgb: (...params: Param[]) => Sheet;
        hex: (code: string) => Sheet;
        hexa: (code: string, alpha: number) => Sheet;
        rgba: (...params: Param[]) => Sheet;
        hsl: (...params: Param[]) => Sheet;
        hsla: (...params: Param[]) => Sheet;
        BLACK: {
            borderRight: string;
        };
        SILVER: {
            borderRight: string;
        };
        GRAY: {
            borderRight: string;
        };
        WHITE: {
            borderRight: string;
        };
        MAROON: {
            borderRight: string;
        };
        RED: {
            borderRight: string;
        };
        PURPLE: {
            borderRight: string;
        };
        FUCHSIA: {
            borderRight: string;
        };
        GREEN: {
            borderRight: string;
        };
        LIME: {
            borderRight: string;
        };
        OLIVE: {
            borderRight: string;
        };
        YELLOW: {
            borderRight: string;
        };
        NAVY: {
            borderRight: string;
        };
        BLUE: {
            borderRight: string;
        };
        TEAL: {
            borderRight: string;
        };
        AQUA: {
            borderRight: string;
        };
        CURRENTCOLOR: {
            borderRight: string;
        };
        ACTIVEBORDER: {
            borderRight: string;
        };
        ACTIVECAPTION: {
            borderRight: string;
        };
        APPWORKSPACE: {
            borderRight: string;
        };
        BACKGROUND: {
            borderRight: string;
        };
        BUTTONFACE: {
            borderRight: string;
        };
        BUTTONHIGHLIGHT: {
            borderRight: string;
        };
        BUTTONSHADOW: {
            borderRight: string;
        };
        BUTTONTEXT: {
            borderRight: string;
        };
        CAPTIONTEXT: {
            borderRight: string;
        };
        GRAYTEXT: {
            borderRight: string;
        };
        HIGHLIGHT: {
            borderRight: string;
        };
        HIGHLIGHTTEXT: {
            borderRight: string;
        };
        INACTIVEBORDER: {
            borderRight: string;
        };
        INACTIVECAPTION: {
            borderRight: string;
        };
        INACTIVECAPTIONTEXT: {
            borderRight: string;
        };
        INFOBACKGROUND: {
            borderRight: string;
        };
        INFOTEXT: {
            borderRight: string;
        };
        MENU: {
            borderRight: string;
        };
        MENUTEXT: {
            borderRight: string;
        };
        SCROLLBAR: {
            borderRight: string;
        };
        THREEDDARKSHADOW: {
            borderRight: string;
        };
        THREEDFACE: {
            borderRight: string;
        };
        THREEDHIGHLIGHT: {
            borderRight: string;
        };
        THREEDLIGHTSHADOW: {
            borderRight: string;
        };
        THREEDSHADOW: {
            borderRight: string;
        };
        WINDOW: {
            borderRight: string;
        };
        WINDOWFRAME: {
            borderRight: string;
        };
        WINDOWTEXT: {
            borderRight: string;
        };
    };
    BorderRightColor: {
        set: (...params: Param[]) => Sheet;
        rgb: (...params: Param[]) => Sheet;
        hex: (code: string) => Sheet;
        hexa: (code: string, alpha: number) => Sheet;
        rgba: (...params: Param[]) => Sheet;
        hsl: (...params: Param[]) => Sheet;
        hsla: (...params: Param[]) => Sheet;
        BLACK: {
            borderRightColor: string;
        };
        SILVER: {
            borderRightColor: string;
        };
        GRAY: {
            borderRightColor: string;
        };
        WHITE: {
            borderRightColor: string;
        };
        MAROON: {
            borderRightColor: string;
        };
        RED: {
            borderRightColor: string;
        };
        PURPLE: {
            borderRightColor: string;
        };
        FUCHSIA: {
            borderRightColor: string;
        };
        GREEN: {
            borderRightColor: string;
        };
        LIME: {
            borderRightColor: string;
        };
        OLIVE: {
            borderRightColor: string;
        };
        YELLOW: {
            borderRightColor: string;
        };
        NAVY: {
            borderRightColor: string;
        };
        BLUE: {
            borderRightColor: string;
        };
        TEAL: {
            borderRightColor: string;
        };
        AQUA: {
            borderRightColor: string;
        };
        CURRENTCOLOR: {
            borderRightColor: string;
        };
        ACTIVEBORDER: {
            borderRightColor: string;
        };
        ACTIVECAPTION: {
            borderRightColor: string;
        };
        APPWORKSPACE: {
            borderRightColor: string;
        };
        BACKGROUND: {
            borderRightColor: string;
        };
        BUTTONFACE: {
            borderRightColor: string;
        };
        BUTTONHIGHLIGHT: {
            borderRightColor: string;
        };
        BUTTONSHADOW: {
            borderRightColor: string;
        };
        BUTTONTEXT: {
            borderRightColor: string;
        };
        CAPTIONTEXT: {
            borderRightColor: string;
        };
        GRAYTEXT: {
            borderRightColor: string;
        };
        HIGHLIGHT: {
            borderRightColor: string;
        };
        HIGHLIGHTTEXT: {
            borderRightColor: string;
        };
        INACTIVEBORDER: {
            borderRightColor: string;
        };
        INACTIVECAPTION: {
            borderRightColor: string;
        };
        INACTIVECAPTIONTEXT: {
            borderRightColor: string;
        };
        INFOBACKGROUND: {
            borderRightColor: string;
        };
        INFOTEXT: {
            borderRightColor: string;
        };
        MENU: {
            borderRightColor: string;
        };
        MENUTEXT: {
            borderRightColor: string;
        };
        SCROLLBAR: {
            borderRightColor: string;
        };
        THREEDDARKSHADOW: {
            borderRightColor: string;
        };
        THREEDFACE: {
            borderRightColor: string;
        };
        THREEDHIGHLIGHT: {
            borderRightColor: string;
        };
        THREEDLIGHTSHADOW: {
            borderRightColor: string;
        };
        THREEDSHADOW: {
            borderRightColor: string;
        };
        WINDOW: {
            borderRightColor: string;
        };
        WINDOWFRAME: {
            borderRightColor: string;
        };
        WINDOWTEXT: {
            borderRightColor: string;
        };
    };
    BorderRightStyle: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            borderRightStyle: string;
        };
        HIDDEN: {
            borderRightStyle: string;
        };
        DOTTED: {
            borderRightStyle: string;
        };
        DASHED: {
            borderRightStyle: string;
        };
        SOLID: {
            borderRightStyle: string;
        };
        DOUBLE: {
            borderRightStyle: string;
        };
        GROOVE: {
            borderRightStyle: string;
        };
        RIDGE: {
            borderRightStyle: string;
        };
        INSET: {
            borderRightStyle: string;
        };
        OUTSET: {
            borderRightStyle: string;
        };
    };
    BorderRightWidth: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        THIN: {
            borderRightWidth: string;
        };
        MEDIUM: {
            borderRightWidth: string;
        };
        THICK: {
            borderRightWidth: string;
        };
    };
    BorderSpacing: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
    };
    BorderStyle: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            borderStyle: string;
        };
        HIDDEN: {
            borderStyle: string;
        };
        DOTTED: {
            borderStyle: string;
        };
        DASHED: {
            borderStyle: string;
        };
        SOLID: {
            borderStyle: string;
        };
        DOUBLE: {
            borderStyle: string;
        };
        GROOVE: {
            borderStyle: string;
        };
        RIDGE: {
            borderStyle: string;
        };
        INSET: {
            borderStyle: string;
        };
        OUTSET: {
            borderStyle: string;
        };
    };
    BorderTop: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        THIN: {
            borderTop: string;
        };
        MEDIUM: {
            borderTop: string;
        };
        THICK: {
            borderTop: string;
        };
        NONE: {
            borderTop: string;
        };
        HIDDEN: {
            borderTop: string;
        };
        DOTTED: {
            borderTop: string;
        };
        DASHED: {
            borderTop: string;
        };
        SOLID: {
            borderTop: string;
        };
        DOUBLE: {
            borderTop: string;
        };
        GROOVE: {
            borderTop: string;
        };
        RIDGE: {
            borderTop: string;
        };
        INSET: {
            borderTop: string;
        };
        OUTSET: {
            borderTop: string;
        };
        rgb: (...params: Param[]) => Sheet;
        hex: (code: string) => Sheet;
        hexa: (code: string, alpha: number) => Sheet;
        rgba: (...params: Param[]) => Sheet;
        hsl: (...params: Param[]) => Sheet;
        hsla: (...params: Param[]) => Sheet;
        BLACK: {
            borderTop: string;
        };
        SILVER: {
            borderTop: string;
        };
        GRAY: {
            borderTop: string;
        };
        WHITE: {
            borderTop: string;
        };
        MAROON: {
            borderTop: string;
        };
        RED: {
            borderTop: string;
        };
        PURPLE: {
            borderTop: string;
        };
        FUCHSIA: {
            borderTop: string;
        };
        GREEN: {
            borderTop: string;
        };
        LIME: {
            borderTop: string;
        };
        OLIVE: {
            borderTop: string;
        };
        YELLOW: {
            borderTop: string;
        };
        NAVY: {
            borderTop: string;
        };
        BLUE: {
            borderTop: string;
        };
        TEAL: {
            borderTop: string;
        };
        AQUA: {
            borderTop: string;
        };
        CURRENTCOLOR: {
            borderTop: string;
        };
        ACTIVEBORDER: {
            borderTop: string;
        };
        ACTIVECAPTION: {
            borderTop: string;
        };
        APPWORKSPACE: {
            borderTop: string;
        };
        BACKGROUND: {
            borderTop: string;
        };
        BUTTONFACE: {
            borderTop: string;
        };
        BUTTONHIGHLIGHT: {
            borderTop: string;
        };
        BUTTONSHADOW: {
            borderTop: string;
        };
        BUTTONTEXT: {
            borderTop: string;
        };
        CAPTIONTEXT: {
            borderTop: string;
        };
        GRAYTEXT: {
            borderTop: string;
        };
        HIGHLIGHT: {
            borderTop: string;
        };
        HIGHLIGHTTEXT: {
            borderTop: string;
        };
        INACTIVEBORDER: {
            borderTop: string;
        };
        INACTIVECAPTION: {
            borderTop: string;
        };
        INACTIVECAPTIONTEXT: {
            borderTop: string;
        };
        INFOBACKGROUND: {
            borderTop: string;
        };
        INFOTEXT: {
            borderTop: string;
        };
        MENU: {
            borderTop: string;
        };
        MENUTEXT: {
            borderTop: string;
        };
        SCROLLBAR: {
            borderTop: string;
        };
        THREEDDARKSHADOW: {
            borderTop: string;
        };
        THREEDFACE: {
            borderTop: string;
        };
        THREEDHIGHLIGHT: {
            borderTop: string;
        };
        THREEDLIGHTSHADOW: {
            borderTop: string;
        };
        THREEDSHADOW: {
            borderTop: string;
        };
        WINDOW: {
            borderTop: string;
        };
        WINDOWFRAME: {
            borderTop: string;
        };
        WINDOWTEXT: {
            borderTop: string;
        };
    };
    BorderTopColor: {
        set: (...params: Param[]) => Sheet;
        rgb: (...params: Param[]) => Sheet;
        hex: (code: string) => Sheet;
        hexa: (code: string, alpha: number) => Sheet;
        rgba: (...params: Param[]) => Sheet;
        hsl: (...params: Param[]) => Sheet;
        hsla: (...params: Param[]) => Sheet;
        BLACK: {
            borderTopColor: string;
        };
        SILVER: {
            borderTopColor: string;
        };
        GRAY: {
            borderTopColor: string;
        };
        WHITE: {
            borderTopColor: string;
        };
        MAROON: {
            borderTopColor: string;
        };
        RED: {
            borderTopColor: string;
        };
        PURPLE: {
            borderTopColor: string;
        };
        FUCHSIA: {
            borderTopColor: string;
        };
        GREEN: {
            borderTopColor: string;
        };
        LIME: {
            borderTopColor: string;
        };
        OLIVE: {
            borderTopColor: string;
        };
        YELLOW: {
            borderTopColor: string;
        };
        NAVY: {
            borderTopColor: string;
        };
        BLUE: {
            borderTopColor: string;
        };
        TEAL: {
            borderTopColor: string;
        };
        AQUA: {
            borderTopColor: string;
        };
        CURRENTCOLOR: {
            borderTopColor: string;
        };
        ACTIVEBORDER: {
            borderTopColor: string;
        };
        ACTIVECAPTION: {
            borderTopColor: string;
        };
        APPWORKSPACE: {
            borderTopColor: string;
        };
        BACKGROUND: {
            borderTopColor: string;
        };
        BUTTONFACE: {
            borderTopColor: string;
        };
        BUTTONHIGHLIGHT: {
            borderTopColor: string;
        };
        BUTTONSHADOW: {
            borderTopColor: string;
        };
        BUTTONTEXT: {
            borderTopColor: string;
        };
        CAPTIONTEXT: {
            borderTopColor: string;
        };
        GRAYTEXT: {
            borderTopColor: string;
        };
        HIGHLIGHT: {
            borderTopColor: string;
        };
        HIGHLIGHTTEXT: {
            borderTopColor: string;
        };
        INACTIVEBORDER: {
            borderTopColor: string;
        };
        INACTIVECAPTION: {
            borderTopColor: string;
        };
        INACTIVECAPTIONTEXT: {
            borderTopColor: string;
        };
        INFOBACKGROUND: {
            borderTopColor: string;
        };
        INFOTEXT: {
            borderTopColor: string;
        };
        MENU: {
            borderTopColor: string;
        };
        MENUTEXT: {
            borderTopColor: string;
        };
        SCROLLBAR: {
            borderTopColor: string;
        };
        THREEDDARKSHADOW: {
            borderTopColor: string;
        };
        THREEDFACE: {
            borderTopColor: string;
        };
        THREEDHIGHLIGHT: {
            borderTopColor: string;
        };
        THREEDLIGHTSHADOW: {
            borderTopColor: string;
        };
        THREEDSHADOW: {
            borderTopColor: string;
        };
        WINDOW: {
            borderTopColor: string;
        };
        WINDOWFRAME: {
            borderTopColor: string;
        };
        WINDOWTEXT: {
            borderTopColor: string;
        };
    };
    BorderTopLeftRadius: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    BorderTopRightRadius: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    BorderTopStyle: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            borderTopStyle: string;
        };
        HIDDEN: {
            borderTopStyle: string;
        };
        DOTTED: {
            borderTopStyle: string;
        };
        DASHED: {
            borderTopStyle: string;
        };
        SOLID: {
            borderTopStyle: string;
        };
        DOUBLE: {
            borderTopStyle: string;
        };
        GROOVE: {
            borderTopStyle: string;
        };
        RIDGE: {
            borderTopStyle: string;
        };
        INSET: {
            borderTopStyle: string;
        };
        OUTSET: {
            borderTopStyle: string;
        };
    };
    BorderTopWidth: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        THIN: {
            borderTopWidth: string;
        };
        MEDIUM: {
            borderTopWidth: string;
        };
        THICK: {
            borderTopWidth: string;
        };
    };
    BorderWidth: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        THIN: {
            borderWidth: string;
        };
        MEDIUM: {
            borderWidth: string;
        };
        THICK: {
            borderWidth: string;
        };
    };
    Bottom: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        AUTO: {
            bottom: string;
        };
    };
    BoxAlign: {
        set: (...params: Param[]) => Sheet;
        START: {
            boxAlign: string;
        };
        CENTER: {
            boxAlign: string;
        };
        END: {
            boxAlign: string;
        };
        BASELINE: {
            boxAlign: string;
        };
        STRETCH: {
            boxAlign: string;
        };
    };
    BoxDecorationBreak: {
        set: (...params: Param[]) => Sheet;
        SLICE: {
            boxDecorationBreak: string;
        };
        CLONE: {
            boxDecorationBreak: string;
        };
    };
    BoxDirection: {
        set: (...params: Param[]) => Sheet;
        NORMAL: {
            boxDirection: string;
        };
        REVERSE: {
            boxDirection: string;
        };
        INHERIT: {
            boxDirection: string;
        };
    };
    BoxFlex: {
        set: (...params: Param[]) => Sheet;
    };
    BoxFlexGroup: {
        set: (...params: Param[]) => Sheet;
    };
    BoxLines: {
        set: (...params: Param[]) => Sheet;
        SINGLE: {
            boxLines: string;
        };
        MULTIPLE: {
            boxLines: string;
        };
    };
    BoxOrdinalGroup: {
        set: (...params: Param[]) => Sheet;
    };
    BoxOrient: {
        set: (...params: Param[]) => Sheet;
        HORIZONTAL: {
            boxOrient: string;
        };
        VERTICAL: {
            boxOrient: string;
        };
        INLINE_AXIS: {
            boxOrient: string;
        };
        BLOCK_AXIS: {
            boxOrient: string;
        };
        INHERIT: {
            boxOrient: string;
        };
    };
    BoxPack: {
        set: (...params: Param[]) => Sheet;
        START: {
            boxPack: string;
        };
        CENTER: {
            boxPack: string;
        };
        END: {
            boxPack: string;
        };
        JUSTIFY: {
            boxPack: string;
        };
    };
    BoxShadow: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            boxShadow: string;
        };
        INSET: {
            boxShadow: string;
        };
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        rgb: (...params: Param[]) => Sheet;
        hex: (code: string) => Sheet;
        hexa: (code: string, alpha: number) => Sheet;
        rgba: (...params: Param[]) => Sheet;
        hsl: (...params: Param[]) => Sheet;
        hsla: (...params: Param[]) => Sheet;
        BLACK: {
            boxShadow: string;
        };
        SILVER: {
            boxShadow: string;
        };
        GRAY: {
            boxShadow: string;
        };
        WHITE: {
            boxShadow: string;
        };
        MAROON: {
            boxShadow: string;
        };
        RED: {
            boxShadow: string;
        };
        PURPLE: {
            boxShadow: string;
        };
        FUCHSIA: {
            boxShadow: string;
        };
        GREEN: {
            boxShadow: string;
        };
        LIME: {
            boxShadow: string;
        };
        OLIVE: {
            boxShadow: string;
        };
        YELLOW: {
            boxShadow: string;
        };
        NAVY: {
            boxShadow: string;
        };
        BLUE: {
            boxShadow: string;
        };
        TEAL: {
            boxShadow: string;
        };
        AQUA: {
            boxShadow: string;
        };
        CURRENTCOLOR: {
            boxShadow: string;
        };
        ACTIVEBORDER: {
            boxShadow: string;
        };
        ACTIVECAPTION: {
            boxShadow: string;
        };
        APPWORKSPACE: {
            boxShadow: string;
        };
        BACKGROUND: {
            boxShadow: string;
        };
        BUTTONFACE: {
            boxShadow: string;
        };
        BUTTONHIGHLIGHT: {
            boxShadow: string;
        };
        BUTTONSHADOW: {
            boxShadow: string;
        };
        BUTTONTEXT: {
            boxShadow: string;
        };
        CAPTIONTEXT: {
            boxShadow: string;
        };
        GRAYTEXT: {
            boxShadow: string;
        };
        HIGHLIGHT: {
            boxShadow: string;
        };
        HIGHLIGHTTEXT: {
            boxShadow: string;
        };
        INACTIVEBORDER: {
            boxShadow: string;
        };
        INACTIVECAPTION: {
            boxShadow: string;
        };
        INACTIVECAPTIONTEXT: {
            boxShadow: string;
        };
        INFOBACKGROUND: {
            boxShadow: string;
        };
        INFOTEXT: {
            boxShadow: string;
        };
        MENU: {
            boxShadow: string;
        };
        MENUTEXT: {
            boxShadow: string;
        };
        SCROLLBAR: {
            boxShadow: string;
        };
        THREEDDARKSHADOW: {
            boxShadow: string;
        };
        THREEDFACE: {
            boxShadow: string;
        };
        THREEDHIGHLIGHT: {
            boxShadow: string;
        };
        THREEDLIGHTSHADOW: {
            boxShadow: string;
        };
        THREEDSHADOW: {
            boxShadow: string;
        };
        WINDOW: {
            boxShadow: string;
        };
        WINDOWFRAME: {
            boxShadow: string;
        };
        WINDOWTEXT: {
            boxShadow: string;
        };
    };
    BoxSizing: {
        set: (...params: Param[]) => Sheet;
        CONTENT_BOX: {
            boxSizing: string;
        };
        BORDER_BOX: {
            boxSizing: string;
        };
    };
    BreakAfter: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            breakAfter: string;
        };
        AVOID: {
            breakAfter: string;
        };
        AVOID_PAGE: {
            breakAfter: string;
        };
        PAGE: {
            breakAfter: string;
        };
        LEFT: {
            breakAfter: string;
        };
        RIGHT: {
            breakAfter: string;
        };
        RECTO: {
            breakAfter: string;
        };
        VERSO: {
            breakAfter: string;
        };
        AVOID_COLUMN: {
            breakAfter: string;
        };
        COLUMN: {
            breakAfter: string;
        };
        AVOID_REGION: {
            breakAfter: string;
        };
        REGION: {
            breakAfter: string;
        };
    };
    BreakBefore: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            breakBefore: string;
        };
        AVOID: {
            breakBefore: string;
        };
        AVOID_PAGE: {
            breakBefore: string;
        };
        PAGE: {
            breakBefore: string;
        };
        LEFT: {
            breakBefore: string;
        };
        RIGHT: {
            breakBefore: string;
        };
        RECTO: {
            breakBefore: string;
        };
        VERSO: {
            breakBefore: string;
        };
        AVOID_COLUMN: {
            breakBefore: string;
        };
        COLUMN: {
            breakBefore: string;
        };
        AVOID_REGION: {
            breakBefore: string;
        };
        REGION: {
            breakBefore: string;
        };
    };
    BreakInside: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            breakInside: string;
        };
        AVOID: {
            breakInside: string;
        };
        AVOID_PAGE: {
            breakInside: string;
        };
        AVOID_COLUMN: {
            breakInside: string;
        };
        AVOID_REGION: {
            breakInside: string;
        };
    };
    CaptionSide: {
        set: (...params: Param[]) => Sheet;
        TOP: {
            captionSide: string;
        };
        BOTTOM: {
            captionSide: string;
        };
        BLOCK_START: {
            captionSide: string;
        };
        BLOCK_END: {
            captionSide: string;
        };
        INLINE_START: {
            captionSide: string;
        };
        INLINE_END: {
            captionSide: string;
        };
    };
    CaretColor: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            caretColor: string;
        };
        rgb: (...params: Param[]) => Sheet;
        hex: (code: string) => Sheet;
        hexa: (code: string, alpha: number) => Sheet;
        rgba: (...params: Param[]) => Sheet;
        hsl: (...params: Param[]) => Sheet;
        hsla: (...params: Param[]) => Sheet;
        BLACK: {
            caretColor: string;
        };
        SILVER: {
            caretColor: string;
        };
        GRAY: {
            caretColor: string;
        };
        WHITE: {
            caretColor: string;
        };
        MAROON: {
            caretColor: string;
        };
        RED: {
            caretColor: string;
        };
        PURPLE: {
            caretColor: string;
        };
        FUCHSIA: {
            caretColor: string;
        };
        GREEN: {
            caretColor: string;
        };
        LIME: {
            caretColor: string;
        };
        OLIVE: {
            caretColor: string;
        };
        YELLOW: {
            caretColor: string;
        };
        NAVY: {
            caretColor: string;
        };
        BLUE: {
            caretColor: string;
        };
        TEAL: {
            caretColor: string;
        };
        AQUA: {
            caretColor: string;
        };
        CURRENTCOLOR: {
            caretColor: string;
        };
        ACTIVEBORDER: {
            caretColor: string;
        };
        ACTIVECAPTION: {
            caretColor: string;
        };
        APPWORKSPACE: {
            caretColor: string;
        };
        BACKGROUND: {
            caretColor: string;
        };
        BUTTONFACE: {
            caretColor: string;
        };
        BUTTONHIGHLIGHT: {
            caretColor: string;
        };
        BUTTONSHADOW: {
            caretColor: string;
        };
        BUTTONTEXT: {
            caretColor: string;
        };
        CAPTIONTEXT: {
            caretColor: string;
        };
        GRAYTEXT: {
            caretColor: string;
        };
        HIGHLIGHT: {
            caretColor: string;
        };
        HIGHLIGHTTEXT: {
            caretColor: string;
        };
        INACTIVEBORDER: {
            caretColor: string;
        };
        INACTIVECAPTION: {
            caretColor: string;
        };
        INACTIVECAPTIONTEXT: {
            caretColor: string;
        };
        INFOBACKGROUND: {
            caretColor: string;
        };
        INFOTEXT: {
            caretColor: string;
        };
        MENU: {
            caretColor: string;
        };
        MENUTEXT: {
            caretColor: string;
        };
        SCROLLBAR: {
            caretColor: string;
        };
        THREEDDARKSHADOW: {
            caretColor: string;
        };
        THREEDFACE: {
            caretColor: string;
        };
        THREEDHIGHLIGHT: {
            caretColor: string;
        };
        THREEDLIGHTSHADOW: {
            caretColor: string;
        };
        THREEDSHADOW: {
            caretColor: string;
        };
        WINDOW: {
            caretColor: string;
        };
        WINDOWFRAME: {
            caretColor: string;
        };
        WINDOWTEXT: {
            caretColor: string;
        };
    };
    Clear: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            clear: string;
        };
        LEFT: {
            clear: string;
        };
        RIGHT: {
            clear: string;
        };
        BOTH: {
            clear: string;
        };
        INLINE_START: {
            clear: string;
        };
        INLINE_END: {
            clear: string;
        };
    };
    Clip: {
        set: (...params: Param[]) => Sheet;
        rect: (...params: Param[]) => Sheet;
        AUTO: {
            clip: string;
        };
    };
    ClipPath: {
        set: (...params: Param[]) => Sheet;
        inset: (...params: Param[]) => Sheet;
        circle: (...params: Param[]) => Sheet;
        ellipse: (...params: Param[]) => Sheet;
        polygon: (...params: Param[]) => Sheet;
        BORDER_BOX: {
            clipPath: string;
        };
        PADDING_BOX: {
            clipPath: string;
        };
        CONTENT_BOX: {
            clipPath: string;
        };
        MARGIN_BOX: {
            clipPath: string;
        };
        FILL_BOX: {
            clipPath: string;
        };
        STROKE_BOX: {
            clipPath: string;
        };
        VIEW_BOX: {
            clipPath: string;
        };
        NONE: {
            clipPath: string;
        };
    };
    Color: {
        set: (...params: Param[]) => Sheet;
        rgb: (...params: Param[]) => Sheet;
        hex: (code: string) => Sheet;
        hexa: (code: string, alpha: number) => Sheet;
        rgba: (...params: Param[]) => Sheet;
        hsl: (...params: Param[]) => Sheet;
        hsla: (...params: Param[]) => Sheet;
        BLACK: {
            color: string;
        };
        SILVER: {
            color: string;
        };
        GRAY: {
            color: string;
        };
        WHITE: {
            color: string;
        };
        MAROON: {
            color: string;
        };
        RED: {
            color: string;
        };
        PURPLE: {
            color: string;
        };
        FUCHSIA: {
            color: string;
        };
        GREEN: {
            color: string;
        };
        LIME: {
            color: string;
        };
        OLIVE: {
            color: string;
        };
        YELLOW: {
            color: string;
        };
        NAVY: {
            color: string;
        };
        BLUE: {
            color: string;
        };
        TEAL: {
            color: string;
        };
        AQUA: {
            color: string;
        };
        CURRENTCOLOR: {
            color: string;
        };
        ACTIVEBORDER: {
            color: string;
        };
        ACTIVECAPTION: {
            color: string;
        };
        APPWORKSPACE: {
            color: string;
        };
        BACKGROUND: {
            color: string;
        };
        BUTTONFACE: {
            color: string;
        };
        BUTTONHIGHLIGHT: {
            color: string;
        };
        BUTTONSHADOW: {
            color: string;
        };
        BUTTONTEXT: {
            color: string;
        };
        CAPTIONTEXT: {
            color: string;
        };
        GRAYTEXT: {
            color: string;
        };
        HIGHLIGHT: {
            color: string;
        };
        HIGHLIGHTTEXT: {
            color: string;
        };
        INACTIVEBORDER: {
            color: string;
        };
        INACTIVECAPTION: {
            color: string;
        };
        INACTIVECAPTIONTEXT: {
            color: string;
        };
        INFOBACKGROUND: {
            color: string;
        };
        INFOTEXT: {
            color: string;
        };
        MENU: {
            color: string;
        };
        MENUTEXT: {
            color: string;
        };
        SCROLLBAR: {
            color: string;
        };
        THREEDDARKSHADOW: {
            color: string;
        };
        THREEDFACE: {
            color: string;
        };
        THREEDHIGHLIGHT: {
            color: string;
        };
        THREEDLIGHTSHADOW: {
            color: string;
        };
        THREEDSHADOW: {
            color: string;
        };
        WINDOW: {
            color: string;
        };
        WINDOWFRAME: {
            color: string;
        };
        WINDOWTEXT: {
            color: string;
        };
    };
    ColorAdjust: {
        set: (...params: Param[]) => Sheet;
        ECONOMY: {
            colorAdjust: string;
        };
        EXACT: {
            colorAdjust: string;
        };
    };
    ColumnCount: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            columnCount: string;
        };
    };
    ColumnFill: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            columnFill: string;
        };
        BALANCE: {
            columnFill: string;
        };
        BALANCE_ALL: {
            columnFill: string;
        };
    };
    ColumnGap: {
        set: (...params: Param[]) => Sheet;
        NORMAL: {
            columnGap: string;
        };
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    ColumnRule: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        THIN: {
            columnRule: string;
        };
        MEDIUM: {
            columnRule: string;
        };
        THICK: {
            columnRule: string;
        };
        NONE: {
            columnRule: string;
        };
        HIDDEN: {
            columnRule: string;
        };
        DOTTED: {
            columnRule: string;
        };
        DASHED: {
            columnRule: string;
        };
        SOLID: {
            columnRule: string;
        };
        DOUBLE: {
            columnRule: string;
        };
        GROOVE: {
            columnRule: string;
        };
        RIDGE: {
            columnRule: string;
        };
        INSET: {
            columnRule: string;
        };
        OUTSET: {
            columnRule: string;
        };
        rgb: (...params: Param[]) => Sheet;
        hex: (code: string) => Sheet;
        hexa: (code: string, alpha: number) => Sheet;
        rgba: (...params: Param[]) => Sheet;
        hsl: (...params: Param[]) => Sheet;
        hsla: (...params: Param[]) => Sheet;
        BLACK: {
            columnRule: string;
        };
        SILVER: {
            columnRule: string;
        };
        GRAY: {
            columnRule: string;
        };
        WHITE: {
            columnRule: string;
        };
        MAROON: {
            columnRule: string;
        };
        RED: {
            columnRule: string;
        };
        PURPLE: {
            columnRule: string;
        };
        FUCHSIA: {
            columnRule: string;
        };
        GREEN: {
            columnRule: string;
        };
        LIME: {
            columnRule: string;
        };
        OLIVE: {
            columnRule: string;
        };
        YELLOW: {
            columnRule: string;
        };
        NAVY: {
            columnRule: string;
        };
        BLUE: {
            columnRule: string;
        };
        TEAL: {
            columnRule: string;
        };
        AQUA: {
            columnRule: string;
        };
        CURRENTCOLOR: {
            columnRule: string;
        };
        ACTIVEBORDER: {
            columnRule: string;
        };
        ACTIVECAPTION: {
            columnRule: string;
        };
        APPWORKSPACE: {
            columnRule: string;
        };
        BACKGROUND: {
            columnRule: string;
        };
        BUTTONFACE: {
            columnRule: string;
        };
        BUTTONHIGHLIGHT: {
            columnRule: string;
        };
        BUTTONSHADOW: {
            columnRule: string;
        };
        BUTTONTEXT: {
            columnRule: string;
        };
        CAPTIONTEXT: {
            columnRule: string;
        };
        GRAYTEXT: {
            columnRule: string;
        };
        HIGHLIGHT: {
            columnRule: string;
        };
        HIGHLIGHTTEXT: {
            columnRule: string;
        };
        INACTIVEBORDER: {
            columnRule: string;
        };
        INACTIVECAPTION: {
            columnRule: string;
        };
        INACTIVECAPTIONTEXT: {
            columnRule: string;
        };
        INFOBACKGROUND: {
            columnRule: string;
        };
        INFOTEXT: {
            columnRule: string;
        };
        MENU: {
            columnRule: string;
        };
        MENUTEXT: {
            columnRule: string;
        };
        SCROLLBAR: {
            columnRule: string;
        };
        THREEDDARKSHADOW: {
            columnRule: string;
        };
        THREEDFACE: {
            columnRule: string;
        };
        THREEDHIGHLIGHT: {
            columnRule: string;
        };
        THREEDLIGHTSHADOW: {
            columnRule: string;
        };
        THREEDSHADOW: {
            columnRule: string;
        };
        WINDOW: {
            columnRule: string;
        };
        WINDOWFRAME: {
            columnRule: string;
        };
        WINDOWTEXT: {
            columnRule: string;
        };
    };
    ColumnRuleColor: {
        set: (...params: Param[]) => Sheet;
        rgb: (...params: Param[]) => Sheet;
        hex: (code: string) => Sheet;
        hexa: (code: string, alpha: number) => Sheet;
        rgba: (...params: Param[]) => Sheet;
        hsl: (...params: Param[]) => Sheet;
        hsla: (...params: Param[]) => Sheet;
        BLACK: {
            columnRuleColor: string;
        };
        SILVER: {
            columnRuleColor: string;
        };
        GRAY: {
            columnRuleColor: string;
        };
        WHITE: {
            columnRuleColor: string;
        };
        MAROON: {
            columnRuleColor: string;
        };
        RED: {
            columnRuleColor: string;
        };
        PURPLE: {
            columnRuleColor: string;
        };
        FUCHSIA: {
            columnRuleColor: string;
        };
        GREEN: {
            columnRuleColor: string;
        };
        LIME: {
            columnRuleColor: string;
        };
        OLIVE: {
            columnRuleColor: string;
        };
        YELLOW: {
            columnRuleColor: string;
        };
        NAVY: {
            columnRuleColor: string;
        };
        BLUE: {
            columnRuleColor: string;
        };
        TEAL: {
            columnRuleColor: string;
        };
        AQUA: {
            columnRuleColor: string;
        };
        CURRENTCOLOR: {
            columnRuleColor: string;
        };
        ACTIVEBORDER: {
            columnRuleColor: string;
        };
        ACTIVECAPTION: {
            columnRuleColor: string;
        };
        APPWORKSPACE: {
            columnRuleColor: string;
        };
        BACKGROUND: {
            columnRuleColor: string;
        };
        BUTTONFACE: {
            columnRuleColor: string;
        };
        BUTTONHIGHLIGHT: {
            columnRuleColor: string;
        };
        BUTTONSHADOW: {
            columnRuleColor: string;
        };
        BUTTONTEXT: {
            columnRuleColor: string;
        };
        CAPTIONTEXT: {
            columnRuleColor: string;
        };
        GRAYTEXT: {
            columnRuleColor: string;
        };
        HIGHLIGHT: {
            columnRuleColor: string;
        };
        HIGHLIGHTTEXT: {
            columnRuleColor: string;
        };
        INACTIVEBORDER: {
            columnRuleColor: string;
        };
        INACTIVECAPTION: {
            columnRuleColor: string;
        };
        INACTIVECAPTIONTEXT: {
            columnRuleColor: string;
        };
        INFOBACKGROUND: {
            columnRuleColor: string;
        };
        INFOTEXT: {
            columnRuleColor: string;
        };
        MENU: {
            columnRuleColor: string;
        };
        MENUTEXT: {
            columnRuleColor: string;
        };
        SCROLLBAR: {
            columnRuleColor: string;
        };
        THREEDDARKSHADOW: {
            columnRuleColor: string;
        };
        THREEDFACE: {
            columnRuleColor: string;
        };
        THREEDHIGHLIGHT: {
            columnRuleColor: string;
        };
        THREEDLIGHTSHADOW: {
            columnRuleColor: string;
        };
        THREEDSHADOW: {
            columnRuleColor: string;
        };
        WINDOW: {
            columnRuleColor: string;
        };
        WINDOWFRAME: {
            columnRuleColor: string;
        };
        WINDOWTEXT: {
            columnRuleColor: string;
        };
    };
    ColumnRuleStyle: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            columnRuleStyle: string;
        };
        HIDDEN: {
            columnRuleStyle: string;
        };
        DOTTED: {
            columnRuleStyle: string;
        };
        DASHED: {
            columnRuleStyle: string;
        };
        SOLID: {
            columnRuleStyle: string;
        };
        DOUBLE: {
            columnRuleStyle: string;
        };
        GROOVE: {
            columnRuleStyle: string;
        };
        RIDGE: {
            columnRuleStyle: string;
        };
        INSET: {
            columnRuleStyle: string;
        };
        OUTSET: {
            columnRuleStyle: string;
        };
    };
    ColumnRuleWidth: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        THIN: {
            columnRuleWidth: string;
        };
        MEDIUM: {
            columnRuleWidth: string;
        };
        THICK: {
            columnRuleWidth: string;
        };
    };
    ColumnSpan: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            columnSpan: string;
        };
        ALL: {
            columnSpan: string;
        };
    };
    ColumnWidth: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        AUTO: {
            columnWidth: string;
        };
    };
    Columns: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        AUTO: {
            columns: string;
        };
    };
    Contain: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            contain: string;
        };
        STRICT: {
            contain: string;
        };
        CONTENT: {
            contain: string;
        };
        SIZE: {
            contain: string;
        };
        LAYOUT: {
            contain: string;
        };
        STYLE: {
            contain: string;
        };
        PAINT: {
            contain: string;
        };
    };
    Content: {
        set: (...params: Param[]) => Sheet;
        NORMAL: {
            content: string;
        };
        NONE: {
            content: string;
        };
        image: (...params: Param[]) => Sheet;
        imageSet: (...params: Param[]) => Sheet;
        element: (...params: Param[]) => Sheet;
        crossFade: (...params: Param[]) => Sheet;
        linearGradient: (...params: Param[]) => Sheet;
        repeatingLinearGradient: (...params: Param[]) => Sheet;
        radialGradient: (...params: Param[]) => Sheet;
        repeatingRadialGradient: (...params: Param[]) => Sheet;
        CONTENTS: {
            content: string;
        };
        OPEN_QUOTE: {
            content: string;
        };
        CLOSE_QUOTE: {
            content: string;
        };
        NO_OPEN_QUOTE: {
            content: string;
        };
        NO_CLOSE_QUOTE: {
            content: string;
        };
        targetCounter: (...params: Param[]) => Sheet;
        targetCounters: (...params: Param[]) => Sheet;
        targetText: (...params: Param[]) => Sheet;
        leader: (...params: Param[]) => Sheet;
    };
    CounterIncrement: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            counterIncrement: string;
        };
    };
    CounterReset: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            counterReset: string;
        };
    };
    Cursor: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            cursor: string;
        };
        DEFAULT: {
            cursor: string;
        };
        NONE: {
            cursor: string;
        };
        CONTEXT_MENU: {
            cursor: string;
        };
        HELP: {
            cursor: string;
        };
        POINTER: {
            cursor: string;
        };
        PROGRESS: {
            cursor: string;
        };
        WAIT: {
            cursor: string;
        };
        CELL: {
            cursor: string;
        };
        CROSSHAIR: {
            cursor: string;
        };
        TEXT: {
            cursor: string;
        };
        VERTICAL_TEXT: {
            cursor: string;
        };
        ALIAS: {
            cursor: string;
        };
        COPY: {
            cursor: string;
        };
        MOVE: {
            cursor: string;
        };
        NO_DROP: {
            cursor: string;
        };
        NOT_ALLOWED: {
            cursor: string;
        };
        E_RESIZE: {
            cursor: string;
        };
        N_RESIZE: {
            cursor: string;
        };
        NE_RESIZE: {
            cursor: string;
        };
        NW_RESIZE: {
            cursor: string;
        };
        S_RESIZE: {
            cursor: string;
        };
        SE_RESIZE: {
            cursor: string;
        };
        SW_RESIZE: {
            cursor: string;
        };
        W_RESIZE: {
            cursor: string;
        };
        EW_RESIZE: {
            cursor: string;
        };
        NS_RESIZE: {
            cursor: string;
        };
        NESW_RESIZE: {
            cursor: string;
        };
        NWSE_RESIZE: {
            cursor: string;
        };
        COL_RESIZE: {
            cursor: string;
        };
        ROW_RESIZE: {
            cursor: string;
        };
        ALL_SCROLL: {
            cursor: string;
        };
        ZOOM_IN: {
            cursor: string;
        };
        ZOOM_OUT: {
            cursor: string;
        };
        GRAB: {
            cursor: string;
        };
        GRABBING: {
            cursor: string;
        };
    };
    Direction: {
        set: (...params: Param[]) => Sheet;
        LTR: {
            direction: string;
        };
        RTL: {
            direction: string;
        };
    };
    Display: {
        set: (...params: Param[]) => Sheet;
        BLOCK: {
            display: string;
        };
        INLINE: {
            display: string;
        };
        RUN_IN: {
            display: string;
        };
        FLOW: {
            display: string;
        };
        FLOW_ROOT: {
            display: string;
        };
        TABLE: {
            display: string;
        };
        FLEX: {
            display: string;
        };
        GRID: {
            display: string;
        };
        RUBY: {
            display: string;
        };
        LIST_ITEM: {
            display: string;
        };
        TABLE_ROW_GROUP: {
            display: string;
        };
        TABLE_HEADER_GROUP: {
            display: string;
        };
        TABLE_FOOTER_GROUP: {
            display: string;
        };
        TABLE_ROW: {
            display: string;
        };
        TABLE_CELL: {
            display: string;
        };
        TABLE_COLUMN_GROUP: {
            display: string;
        };
        TABLE_COLUMN: {
            display: string;
        };
        TABLE_CAPTION: {
            display: string;
        };
        RUBY_BASE: {
            display: string;
        };
        RUBY_TEXT: {
            display: string;
        };
        RUBY_BASE_CONTAINER: {
            display: string;
        };
        RUBY_TEXT_CONTAINER: {
            display: string;
        };
        CONTENTS: {
            display: string;
        };
        NONE: {
            display: string;
        };
        INLINE_BLOCK: {
            display: string;
        };
        INLINE_LIST_ITEM: {
            display: string;
        };
        INLINE_TABLE: {
            display: string;
        };
        INLINE_FLEX: {
            display: string;
        };
        INLINE_GRID: {
            display: string;
        };
    };
    EmptyCells: {
        set: (...params: Param[]) => Sheet;
        SHOW: {
            emptyCells: string;
        };
        HIDE: {
            emptyCells: string;
        };
    };
    Filter: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            filter: string;
        };
        blur: (...params: Param[]) => Sheet;
        brightness: (...params: Param[]) => Sheet;
        contrast: (...params: Param[]) => Sheet;
        dropShadow: (...params: Param[]) => Sheet;
        grayscale: (...params: Param[]) => Sheet;
        hueRotate: (...params: Param[]) => Sheet;
        invert: (...params: Param[]) => Sheet;
        opacity: (...params: Param[]) => Sheet;
        saturate: (...params: Param[]) => Sheet;
        sepia: (...params: Param[]) => Sheet;
    };
    Flex: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            flex: string;
        };
        CONTENT: {
            flex: string;
        };
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        BORDER_BOX: {
            flex: string;
        };
        CONTENT_BOX: {
            flex: string;
        };
        AVAILABLE: {
            flex: string;
        };
        MIN_CONTENT: {
            flex: string;
        };
        MAX_CONTENT: {
            flex: string;
        };
        FIT_CONTENT: {
            flex: string;
        };
        AUTO: {
            flex: string;
        };
    };
    FlexBasis: {
        set: (...params: Param[]) => Sheet;
        CONTENT: {
            flexBasis: string;
        };
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        BORDER_BOX: {
            flexBasis: string;
        };
        CONTENT_BOX: {
            flexBasis: string;
        };
        AVAILABLE: {
            flexBasis: string;
        };
        MIN_CONTENT: {
            flexBasis: string;
        };
        MAX_CONTENT: {
            flexBasis: string;
        };
        FIT_CONTENT: {
            flexBasis: string;
        };
        AUTO: {
            flexBasis: string;
        };
    };
    FlexDirection: {
        set: (...params: Param[]) => Sheet;
        ROW: {
            flexDirection: string;
        };
        ROW_REVERSE: {
            flexDirection: string;
        };
        COLUMN: {
            flexDirection: string;
        };
        COLUMN_REVERSE: {
            flexDirection: string;
        };
    };
    FlexFlow: {
        set: (...params: Param[]) => Sheet;
        ROW: {
            flexFlow: string;
        };
        ROW_REVERSE: {
            flexFlow: string;
        };
        COLUMN: {
            flexFlow: string;
        };
        COLUMN_REVERSE: {
            flexFlow: string;
        };
        NOWRAP: {
            flexFlow: string;
        };
        WRAP: {
            flexFlow: string;
        };
        WRAP_REVERSE: {
            flexFlow: string;
        };
    };
    FlexGrow: {
        set: (...params: Param[]) => Sheet;
    };
    FlexShrink: {
        set: (...params: Param[]) => Sheet;
    };
    FlexWrap: {
        set: (...params: Param[]) => Sheet;
        NOWRAP: {
            flexWrap: string;
        };
        WRAP: {
            flexWrap: string;
        };
        WRAP_REVERSE: {
            flexWrap: string;
        };
    };
    Float: {
        set: (...params: Param[]) => Sheet;
        LEFT: {
            float: string;
        };
        RIGHT: {
            float: string;
        };
        NONE: {
            float: string;
        };
        INLINE_START: {
            float: string;
        };
        INLINE_END: {
            float: string;
        };
    };
    Font: {
        set: (...params: Param[]) => Sheet;
        NORMAL: {
            font: string;
        };
        ITALIC: {
            font: string;
        };
        OBLIQUE: {
            font: string;
        };
        deg: (...nums: number[]) => Sheet;
        rad: (...nums: number[]) => Sheet;
        grad: (...nums: number[]) => Sheet;
        turn: (...nums: number[]) => Sheet;
        SMALL_CAPS: {
            font: string;
        };
        BOLD: {
            font: string;
        };
        BOLDER: {
            font: string;
        };
        LIGHTER: {
            font: string;
        };
        ULTRA_CONDENSED: {
            font: string;
        };
        EXTRA_CONDENSED: {
            font: string;
        };
        CONDENSED: {
            font: string;
        };
        SEMI_CONDENSED: {
            font: string;
        };
        SEMI_EXPANDED: {
            font: string;
        };
        EXPANDED: {
            font: string;
        };
        EXTRA_EXPANDED: {
            font: string;
        };
        ULTRA_EXPANDED: {
            font: string;
        };
        X: (...nums: number[]) => Sheet;
        XX_SMALL: {
            font: string;
        };
        X_SMALL: {
            font: string;
        };
        SMALL: {
            font: string;
        };
        MEDIUM: {
            font: string;
        };
        LARGE: {
            font: string;
        };
        X_LARGE: {
            font: string;
        };
        XX_LARGE: {
            font: string;
        };
        LARGER: {
            font: string;
        };
        SMALLER: {
            font: string;
        };
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        SERIF: {
            font: string;
        };
        SANS_SERIF: {
            font: string;
        };
        CURSIVE: {
            font: string;
        };
        FANTASY: {
            font: string;
        };
        MONOSPACE: {
            font: string;
        };
        CAPTION: {
            font: string;
        };
        ICON: {
            font: string;
        };
        MENU: {
            font: string;
        };
        MESSAGE_BOX: {
            font: string;
        };
        SMALL_CAPTION: {
            font: string;
        };
        STATUS_BAR: {
            font: string;
        };
    };
    FontFamily: {
        set: (...params: Param[]) => Sheet;
        SERIF: {
            fontFamily: string;
        };
        SANS_SERIF: {
            fontFamily: string;
        };
        CURSIVE: {
            fontFamily: string;
        };
        FANTASY: {
            fontFamily: string;
        };
        MONOSPACE: {
            fontFamily: string;
        };
    };
    FontFeatureSettings: {
        set: (...params: Param[]) => Sheet;
        NORMAL: {
            fontFeatureSettings: string;
        };
        ON: {
            fontFeatureSettings: string;
        };
        OFF: {
            fontFeatureSettings: string;
        };
    };
    FontKerning: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            fontKerning: string;
        };
        NORMAL: {
            fontKerning: string;
        };
        NONE: {
            fontKerning: string;
        };
    };
    FontLanguageOverride: {
        set: (...params: Param[]) => Sheet;
        NORMAL: {
            fontLanguageOverride: string;
        };
    };
    FontOpticalSizing: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            fontOpticalSizing: string;
        };
        NONE: {
            fontOpticalSizing: string;
        };
    };
    FontSize: {
        set: (...params: Param[]) => Sheet;
        XX_SMALL: {
            fontSize: string;
        };
        X_SMALL: {
            fontSize: string;
        };
        SMALL: {
            fontSize: string;
        };
        MEDIUM: {
            fontSize: string;
        };
        LARGE: {
            fontSize: string;
        };
        X_LARGE: {
            fontSize: string;
        };
        XX_LARGE: {
            fontSize: string;
        };
        LARGER: {
            fontSize: string;
        };
        SMALLER: {
            fontSize: string;
        };
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    FontSizeAdjust: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            fontSizeAdjust: string;
        };
    };
    FontStretch: {
        set: (...params: Param[]) => Sheet;
        NORMAL: {
            fontStretch: string;
        };
        ULTRA_CONDENSED: {
            fontStretch: string;
        };
        EXTRA_CONDENSED: {
            fontStretch: string;
        };
        CONDENSED: {
            fontStretch: string;
        };
        SEMI_CONDENSED: {
            fontStretch: string;
        };
        SEMI_EXPANDED: {
            fontStretch: string;
        };
        EXPANDED: {
            fontStretch: string;
        };
        EXTRA_EXPANDED: {
            fontStretch: string;
        };
        ULTRA_EXPANDED: {
            fontStretch: string;
        };
        X: (...nums: number[]) => Sheet;
    };
    FontStyle: {
        set: (...params: Param[]) => Sheet;
        NORMAL: {
            fontStyle: string;
        };
        ITALIC: {
            fontStyle: string;
        };
        OBLIQUE: {
            fontStyle: string;
        };
        deg: (...nums: number[]) => Sheet;
        rad: (...nums: number[]) => Sheet;
        grad: (...nums: number[]) => Sheet;
        turn: (...nums: number[]) => Sheet;
    };
    FontSynthesis: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            fontSynthesis: string;
        };
        WEIGHT: {
            fontSynthesis: string;
        };
        STYLE: {
            fontSynthesis: string;
        };
    };
    FontVariant: {
        set: (...params: Param[]) => Sheet;
        NORMAL: {
            fontVariant: string;
        };
        NONE: {
            fontVariant: string;
        };
        COMMON_LIGATURES: {
            fontVariant: string;
        };
        NO_COMMON_LIGATURES: {
            fontVariant: string;
        };
        DISCRETIONARY_LIGATURES: {
            fontVariant: string;
        };
        NO_DISCRETIONARY_LIGATURES: {
            fontVariant: string;
        };
        HISTORICAL_LIGATURES: {
            fontVariant: string;
        };
        NO_HISTORICAL_LIGATURES: {
            fontVariant: string;
        };
        CONTEXTUAL: {
            fontVariant: string;
        };
        NO_CONTEXTUAL: {
            fontVariant: string;
        };
        stylistic: (...params: Param[]) => Sheet;
        HISTORICAL_FORMS: {
            fontVariant: string;
        };
        styleset: (...params: Param[]) => Sheet;
        characterVariant: (...params: Param[]) => Sheet;
        swash: (...params: Param[]) => Sheet;
        ornaments: (...params: Param[]) => Sheet;
        annotation: (...params: Param[]) => Sheet;
        SMALL_CAPS: {
            fontVariant: string;
        };
        ALL_SMALL_CAPS: {
            fontVariant: string;
        };
        PETITE_CAPS: {
            fontVariant: string;
        };
        ALL_PETITE_CAPS: {
            fontVariant: string;
        };
        UNICASE: {
            fontVariant: string;
        };
        TITLING_CAPS: {
            fontVariant: string;
        };
        LINING_NUMS: {
            fontVariant: string;
        };
        OLDSTYLE_NUMS: {
            fontVariant: string;
        };
        PROPORTIONAL_NUMS: {
            fontVariant: string;
        };
        TABULAR_NUMS: {
            fontVariant: string;
        };
        DIAGONAL_FRACTIONS: {
            fontVariant: string;
        };
        STACKED_FRACTIONS: {
            fontVariant: string;
        };
        ORDINAL: {
            fontVariant: string;
        };
        SLASHED_ZERO: {
            fontVariant: string;
        };
        JIS78: {
            fontVariant: string;
        };
        JIS83: {
            fontVariant: string;
        };
        JIS90: {
            fontVariant: string;
        };
        JIS04: {
            fontVariant: string;
        };
        SIMPLIFIED: {
            fontVariant: string;
        };
        TRADITIONAL: {
            fontVariant: string;
        };
        FULL_WIDTH: {
            fontVariant: string;
        };
        PROPORTIONAL_WIDTH: {
            fontVariant: string;
        };
        RUBY: {
            fontVariant: string;
        };
    };
    FontVariantAlternates: {
        set: (...params: Param[]) => Sheet;
        NORMAL: {
            fontVariantAlternates: string;
        };
        stylistic: (...params: Param[]) => Sheet;
        HISTORICAL_FORMS: {
            fontVariantAlternates: string;
        };
        styleset: (...params: Param[]) => Sheet;
        characterVariant: (...params: Param[]) => Sheet;
        swash: (...params: Param[]) => Sheet;
        ornaments: (...params: Param[]) => Sheet;
        annotation: (...params: Param[]) => Sheet;
    };
    FontVariantCaps: {
        set: (...params: Param[]) => Sheet;
        NORMAL: {
            fontVariantCaps: string;
        };
        SMALL_CAPS: {
            fontVariantCaps: string;
        };
        ALL_SMALL_CAPS: {
            fontVariantCaps: string;
        };
        PETITE_CAPS: {
            fontVariantCaps: string;
        };
        ALL_PETITE_CAPS: {
            fontVariantCaps: string;
        };
        UNICASE: {
            fontVariantCaps: string;
        };
        TITLING_CAPS: {
            fontVariantCaps: string;
        };
    };
    FontVariantEastAsian: {
        set: (...params: Param[]) => Sheet;
        NORMAL: {
            fontVariantEastAsian: string;
        };
        JIS78: {
            fontVariantEastAsian: string;
        };
        JIS83: {
            fontVariantEastAsian: string;
        };
        JIS90: {
            fontVariantEastAsian: string;
        };
        JIS04: {
            fontVariantEastAsian: string;
        };
        SIMPLIFIED: {
            fontVariantEastAsian: string;
        };
        TRADITIONAL: {
            fontVariantEastAsian: string;
        };
        FULL_WIDTH: {
            fontVariantEastAsian: string;
        };
        PROPORTIONAL_WIDTH: {
            fontVariantEastAsian: string;
        };
        RUBY: {
            fontVariantEastAsian: string;
        };
    };
    FontVariantLigatures: {
        set: (...params: Param[]) => Sheet;
        NORMAL: {
            fontVariantLigatures: string;
        };
        NONE: {
            fontVariantLigatures: string;
        };
        COMMON_LIGATURES: {
            fontVariantLigatures: string;
        };
        NO_COMMON_LIGATURES: {
            fontVariantLigatures: string;
        };
        DISCRETIONARY_LIGATURES: {
            fontVariantLigatures: string;
        };
        NO_DISCRETIONARY_LIGATURES: {
            fontVariantLigatures: string;
        };
        HISTORICAL_LIGATURES: {
            fontVariantLigatures: string;
        };
        NO_HISTORICAL_LIGATURES: {
            fontVariantLigatures: string;
        };
        CONTEXTUAL: {
            fontVariantLigatures: string;
        };
        NO_CONTEXTUAL: {
            fontVariantLigatures: string;
        };
    };
    FontVariantNumeric: {
        set: (...params: Param[]) => Sheet;
        NORMAL: {
            fontVariantNumeric: string;
        };
        LINING_NUMS: {
            fontVariantNumeric: string;
        };
        OLDSTYLE_NUMS: {
            fontVariantNumeric: string;
        };
        PROPORTIONAL_NUMS: {
            fontVariantNumeric: string;
        };
        TABULAR_NUMS: {
            fontVariantNumeric: string;
        };
        DIAGONAL_FRACTIONS: {
            fontVariantNumeric: string;
        };
        STACKED_FRACTIONS: {
            fontVariantNumeric: string;
        };
        ORDINAL: {
            fontVariantNumeric: string;
        };
        SLASHED_ZERO: {
            fontVariantNumeric: string;
        };
    };
    FontVariantPosition: {
        set: (...params: Param[]) => Sheet;
        NORMAL: {
            fontVariantPosition: string;
        };
        SUB: {
            fontVariantPosition: string;
        };
        SUPER: {
            fontVariantPosition: string;
        };
    };
    FontVariationSettings: {
        set: (...params: Param[]) => Sheet;
        NORMAL: {
            fontVariationSettings: string;
        };
    };
    FontWeight: {
        set: (...params: Param[]) => Sheet;
        NORMAL: {
            fontWeight: string;
        };
        BOLD: {
            fontWeight: string;
        };
        BOLDER: {
            fontWeight: string;
        };
        LIGHTER: {
            fontWeight: string;
        };
    };
    Gap: {
        set: (...params: Param[]) => Sheet;
        NORMAL: {
            gap: string;
        };
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    Grid: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            grid: string;
        };
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        MIN_CONTENT: {
            grid: string;
        };
        MAX_CONTENT: {
            grid: string;
        };
        AUTO: {
            grid: string;
        };
        minmax: (...params: Param[]) => Sheet;
        fitContent: (...params: Param[]) => Sheet;
        repeat: (...params: Param[]) => Sheet;
        AUTO_FLOW: {
            grid: string;
        };
        DENSE: {
            grid: string;
        };
    };
    GridArea: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            gridArea: string;
        };
        SPAN: {
            gridArea: string;
        };
    };
    GridAutoColumns: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        MIN_CONTENT: {
            gridAutoColumns: string;
        };
        MAX_CONTENT: {
            gridAutoColumns: string;
        };
        AUTO: {
            gridAutoColumns: string;
        };
        minmax: (...params: Param[]) => Sheet;
        fitContent: (...params: Param[]) => Sheet;
    };
    GridAutoFlow: {
        set: (...params: Param[]) => Sheet;
        ROW: {
            gridAutoFlow: string;
        };
        COLUMN: {
            gridAutoFlow: string;
        };
        DENSE: {
            gridAutoFlow: string;
        };
    };
    GridAutoRows: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        MIN_CONTENT: {
            gridAutoRows: string;
        };
        MAX_CONTENT: {
            gridAutoRows: string;
        };
        AUTO: {
            gridAutoRows: string;
        };
        minmax: (...params: Param[]) => Sheet;
        fitContent: (...params: Param[]) => Sheet;
    };
    GridColumn: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            gridColumn: string;
        };
        SPAN: {
            gridColumn: string;
        };
    };
    GridColumnEnd: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            gridColumnEnd: string;
        };
        SPAN: {
            gridColumnEnd: string;
        };
    };
    GridColumnGap: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    GridColumnStart: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            gridColumnStart: string;
        };
        SPAN: {
            gridColumnStart: string;
        };
    };
    GridGap: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    GridRow: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            gridRow: string;
        };
        SPAN: {
            gridRow: string;
        };
    };
    GridRowEnd: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            gridRowEnd: string;
        };
        SPAN: {
            gridRowEnd: string;
        };
    };
    GridRowGap: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    GridRowStart: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            gridRowStart: string;
        };
        SPAN: {
            gridRowStart: string;
        };
    };
    GridTemplate: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            gridTemplate: string;
        };
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        MIN_CONTENT: {
            gridTemplate: string;
        };
        MAX_CONTENT: {
            gridTemplate: string;
        };
        AUTO: {
            gridTemplate: string;
        };
        minmax: (...params: Param[]) => Sheet;
        fitContent: (...params: Param[]) => Sheet;
        repeat: (...params: Param[]) => Sheet;
    };
    GridTemplateAreas: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            gridTemplateAreas: string;
        };
    };
    GridTemplateColumns: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            gridTemplateColumns: string;
        };
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        MIN_CONTENT: {
            gridTemplateColumns: string;
        };
        MAX_CONTENT: {
            gridTemplateColumns: string;
        };
        AUTO: {
            gridTemplateColumns: string;
        };
        minmax: (...params: Param[]) => Sheet;
        fitContent: (...params: Param[]) => Sheet;
        repeat: (...params: Param[]) => Sheet;
    };
    GridTemplateRows: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            gridTemplateRows: string;
        };
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        MIN_CONTENT: {
            gridTemplateRows: string;
        };
        MAX_CONTENT: {
            gridTemplateRows: string;
        };
        AUTO: {
            gridTemplateRows: string;
        };
        minmax: (...params: Param[]) => Sheet;
        fitContent: (...params: Param[]) => Sheet;
        repeat: (...params: Param[]) => Sheet;
    };
    HangingPunctuation: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            hangingPunctuation: string;
        };
        FIRST: {
            hangingPunctuation: string;
        };
        FORCE_END: {
            hangingPunctuation: string;
        };
        ALLOW_END: {
            hangingPunctuation: string;
        };
        LAST: {
            hangingPunctuation: string;
        };
    };
    Height: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        BORDER_BOX: {
            height: string;
        };
        CONTENT_BOX: {
            height: string;
        };
        AVAILABLE: {
            height: string;
        };
        MIN_CONTENT: {
            height: string;
        };
        MAX_CONTENT: {
            height: string;
        };
        FIT_CONTENT: {
            height: string;
        };
        AUTO: {
            height: string;
        };
    };
    Hyphens: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            hyphens: string;
        };
        MANUAL: {
            hyphens: string;
        };
        AUTO: {
            hyphens: string;
        };
    };
    ImageOrientation: {
        set: (...params: Param[]) => Sheet;
        FROM_IMAGE: {
            imageOrientation: string;
        };
        deg: (...nums: number[]) => Sheet;
        rad: (...nums: number[]) => Sheet;
        grad: (...nums: number[]) => Sheet;
        turn: (...nums: number[]) => Sheet;
        FLIP: {
            imageOrientation: string;
        };
    };
    ImageRendering: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            imageRendering: string;
        };
        CRISP_EDGES: {
            imageRendering: string;
        };
        PIXELATED: {
            imageRendering: string;
        };
    };
    ImageResolution: {
        set: (...params: Param[]) => Sheet;
        FROM_IMAGE: {
            imageResolution: string;
        };
        dpi: (...nums: number[]) => Sheet;
        dpcm: (...nums: number[]) => Sheet;
        dppx: (...nums: number[]) => Sheet;
        x: (...nums: number[]) => Sheet;
        SNAP: {
            imageResolution: string;
        };
    };
    ImeMode: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            imeMode: string;
        };
        NORMAL: {
            imeMode: string;
        };
        ACTIVE: {
            imeMode: string;
        };
        INACTIVE: {
            imeMode: string;
        };
        DISABLED: {
            imeMode: string;
        };
    };
    InitialLetter: {
        set: (...params: Param[]) => Sheet;
        NORMAL: {
            initialLetter: string;
        };
    };
    InitialLetterAlign: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            initialLetterAlign: string;
        };
        ALPHABETIC: {
            initialLetterAlign: string;
        };
        HANGING: {
            initialLetterAlign: string;
        };
        IDEOGRAPHIC: {
            initialLetterAlign: string;
        };
    };
    InlineSize: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        BORDER_BOX: {
            inlineSize: string;
        };
        CONTENT_BOX: {
            inlineSize: string;
        };
        AVAILABLE: {
            inlineSize: string;
        };
        MIN_CONTENT: {
            inlineSize: string;
        };
        MAX_CONTENT: {
            inlineSize: string;
        };
        FIT_CONTENT: {
            inlineSize: string;
        };
        AUTO: {
            inlineSize: string;
        };
    };
    InsetBlockEnd: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        AUTO: {
            insetBlockEnd: string;
        };
    };
    InsetBlockStart: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        AUTO: {
            insetBlockStart: string;
        };
    };
    InsetInlineEnd: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        AUTO: {
            insetInlineEnd: string;
        };
    };
    InsetInlineStart: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        AUTO: {
            insetInlineStart: string;
        };
    };
    Isolation: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            isolation: string;
        };
        ISOLATE: {
            isolation: string;
        };
    };
    JustifyContent: {
        set: (...params: Param[]) => Sheet;
        NORMAL: {
            justifyContent: string;
        };
        SPACE_BETWEEN: {
            justifyContent: string;
        };
        SPACE_AROUND: {
            justifyContent: string;
        };
        SPACE_EVENLY: {
            justifyContent: string;
        };
        STRETCH: {
            justifyContent: string;
        };
        UNSAFE: {
            justifyContent: string;
        };
        SAFE: {
            justifyContent: string;
        };
        CENTER: {
            justifyContent: string;
        };
        START: {
            justifyContent: string;
        };
        END: {
            justifyContent: string;
        };
        FLEX_START: {
            justifyContent: string;
        };
        FLEX_END: {
            justifyContent: string;
        };
        LEFT: {
            justifyContent: string;
        };
        RIGHT: {
            justifyContent: string;
        };
    };
    JustifyItems: {
        set: (...params: Param[]) => Sheet;
        NORMAL: {
            justifyItems: string;
        };
        STRETCH: {
            justifyItems: string;
        };
        FIRST: {
            justifyItems: string;
        };
        LAST: {
            justifyItems: string;
        };
        BASELINE: {
            justifyItems: string;
        };
        UNSAFE: {
            justifyItems: string;
        };
        SAFE: {
            justifyItems: string;
        };
        CENTER: {
            justifyItems: string;
        };
        START: {
            justifyItems: string;
        };
        END: {
            justifyItems: string;
        };
        SELF_START: {
            justifyItems: string;
        };
        SELF_END: {
            justifyItems: string;
        };
        FLEX_START: {
            justifyItems: string;
        };
        FLEX_END: {
            justifyItems: string;
        };
        LEFT: {
            justifyItems: string;
        };
        RIGHT: {
            justifyItems: string;
        };
        LEGACY: {
            justifyItems: string;
        };
    };
    JustifySelf: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            justifySelf: string;
        };
        NORMAL: {
            justifySelf: string;
        };
        STRETCH: {
            justifySelf: string;
        };
        FIRST: {
            justifySelf: string;
        };
        LAST: {
            justifySelf: string;
        };
        BASELINE: {
            justifySelf: string;
        };
        UNSAFE: {
            justifySelf: string;
        };
        SAFE: {
            justifySelf: string;
        };
        CENTER: {
            justifySelf: string;
        };
        START: {
            justifySelf: string;
        };
        END: {
            justifySelf: string;
        };
        SELF_START: {
            justifySelf: string;
        };
        SELF_END: {
            justifySelf: string;
        };
        FLEX_START: {
            justifySelf: string;
        };
        FLEX_END: {
            justifySelf: string;
        };
        LEFT: {
            justifySelf: string;
        };
        RIGHT: {
            justifySelf: string;
        };
    };
    Left: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        AUTO: {
            left: string;
        };
    };
    LetterSpacing: {
        set: (...params: Param[]) => Sheet;
        NORMAL: {
            letterSpacing: string;
        };
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
    };
    LineBreak: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            lineBreak: string;
        };
        LOOSE: {
            lineBreak: string;
        };
        NORMAL: {
            lineBreak: string;
        };
        STRICT: {
            lineBreak: string;
        };
    };
    LineClamp: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            lineClamp: string;
        };
    };
    LineHeight: {
        set: (...params: Param[]) => Sheet;
        NORMAL: {
            lineHeight: string;
        };
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    ListStyle: {
        set: (...params: Param[]) => Sheet;
        symbols: (...params: Param[]) => Sheet;
        NONE: {
            listStyle: string;
        };
        INSIDE: {
            listStyle: string;
        };
        OUTSIDE: {
            listStyle: string;
        };
    };
    ListStyleImage: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            listStyleImage: string;
        };
    };
    ListStylePosition: {
        set: (...params: Param[]) => Sheet;
        INSIDE: {
            listStylePosition: string;
        };
        OUTSIDE: {
            listStylePosition: string;
        };
    };
    ListStyleType: {
        set: (...params: Param[]) => Sheet;
        symbols: (...params: Param[]) => Sheet;
        NONE: {
            listStyleType: string;
        };
    };
    Margin: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        AUTO: {
            margin: string;
        };
    };
    MarginBlockEnd: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        AUTO: {
            marginBlockEnd: string;
        };
    };
    MarginBlockStart: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        AUTO: {
            marginBlockStart: string;
        };
    };
    MarginBottom: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        AUTO: {
            marginBottom: string;
        };
    };
    MarginInlineEnd: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        AUTO: {
            marginInlineEnd: string;
        };
    };
    MarginInlineStart: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        AUTO: {
            marginInlineStart: string;
        };
    };
    MarginLeft: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        AUTO: {
            marginLeft: string;
        };
    };
    MarginRight: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        AUTO: {
            marginRight: string;
        };
    };
    MarginTop: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        AUTO: {
            marginTop: string;
        };
    };
    Mask: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            mask: string;
        };
        image: (...params: Param[]) => Sheet;
        imageSet: (...params: Param[]) => Sheet;
        element: (...params: Param[]) => Sheet;
        crossFade: (...params: Param[]) => Sheet;
        linearGradient: (...params: Param[]) => Sheet;
        repeatingLinearGradient: (...params: Param[]) => Sheet;
        radialGradient: (...params: Param[]) => Sheet;
        repeatingRadialGradient: (...params: Param[]) => Sheet;
        AUTO: {
            mask: string;
        };
        COVER: {
            mask: string;
        };
        CONTAIN: {
            mask: string;
        };
        REPEAT_X: {
            mask: string;
        };
        REPEAT_Y: {
            mask: string;
        };
        REPEAT: {
            mask: string;
        };
        SPACE: {
            mask: string;
        };
        ROUND: {
            mask: string;
        };
        NO_REPEAT: {
            mask: string;
        };
        BORDER_BOX: {
            mask: string;
        };
        PADDING_BOX: {
            mask: string;
        };
        CONTENT_BOX: {
            mask: string;
        };
        MARGIN_BOX: {
            mask: string;
        };
        FILL_BOX: {
            mask: string;
        };
        STROKE_BOX: {
            mask: string;
        };
        VIEW_BOX: {
            mask: string;
        };
        NO_CLIP: {
            mask: string;
        };
        ADD: {
            mask: string;
        };
        SUBTRACT: {
            mask: string;
        };
        INTERSECT: {
            mask: string;
        };
        EXCLUDE: {
            mask: string;
        };
        ALPHA: {
            mask: string;
        };
        LUMINANCE: {
            mask: string;
        };
        MATCH_SOURCE: {
            mask: string;
        };
    };
    MaskBorder: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            maskBorder: string;
        };
        image: (...params: Param[]) => Sheet;
        imageSet: (...params: Param[]) => Sheet;
        element: (...params: Param[]) => Sheet;
        crossFade: (...params: Param[]) => Sheet;
        linearGradient: (...params: Param[]) => Sheet;
        repeatingLinearGradient: (...params: Param[]) => Sheet;
        radialGradient: (...params: Param[]) => Sheet;
        repeatingRadialGradient: (...params: Param[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        FILL: {
            maskBorder: string;
        };
        AUTO: {
            maskBorder: string;
        };
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        STRETCH: {
            maskBorder: string;
        };
        REPEAT: {
            maskBorder: string;
        };
        ROUND: {
            maskBorder: string;
        };
        SPACE: {
            maskBorder: string;
        };
        LUMINANCE: {
            maskBorder: string;
        };
        ALPHA: {
            maskBorder: string;
        };
    };
    MaskBorderMode: {
        set: (...params: Param[]) => Sheet;
        LUMINANCE: {
            maskBorderMode: string;
        };
        ALPHA: {
            maskBorderMode: string;
        };
    };
    MaskBorderOutset: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
    };
    MaskBorderRepeat: {
        set: (...params: Param[]) => Sheet;
        STRETCH: {
            maskBorderRepeat: string;
        };
        REPEAT: {
            maskBorderRepeat: string;
        };
        ROUND: {
            maskBorderRepeat: string;
        };
        SPACE: {
            maskBorderRepeat: string;
        };
    };
    MaskBorderSlice: {
        set: (...params: Param[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        FILL: {
            maskBorderSlice: string;
        };
    };
    MaskBorderSource: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            maskBorderSource: string;
        };
        image: (...params: Param[]) => Sheet;
        imageSet: (...params: Param[]) => Sheet;
        element: (...params: Param[]) => Sheet;
        crossFade: (...params: Param[]) => Sheet;
        linearGradient: (...params: Param[]) => Sheet;
        repeatingLinearGradient: (...params: Param[]) => Sheet;
        radialGradient: (...params: Param[]) => Sheet;
        repeatingRadialGradient: (...params: Param[]) => Sheet;
    };
    MaskBorderWidth: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        AUTO: {
            maskBorderWidth: string;
        };
    };
    MaskClip: {
        set: (...params: Param[]) => Sheet;
        BORDER_BOX: {
            maskClip: string;
        };
        PADDING_BOX: {
            maskClip: string;
        };
        CONTENT_BOX: {
            maskClip: string;
        };
        MARGIN_BOX: {
            maskClip: string;
        };
        FILL_BOX: {
            maskClip: string;
        };
        STROKE_BOX: {
            maskClip: string;
        };
        VIEW_BOX: {
            maskClip: string;
        };
        NO_CLIP: {
            maskClip: string;
        };
    };
    MaskComposite: {
        set: (...params: Param[]) => Sheet;
        ADD: {
            maskComposite: string;
        };
        SUBTRACT: {
            maskComposite: string;
        };
        INTERSECT: {
            maskComposite: string;
        };
        EXCLUDE: {
            maskComposite: string;
        };
    };
    MaskImage: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            maskImage: string;
        };
        image: (...params: Param[]) => Sheet;
        imageSet: (...params: Param[]) => Sheet;
        element: (...params: Param[]) => Sheet;
        crossFade: (...params: Param[]) => Sheet;
        linearGradient: (...params: Param[]) => Sheet;
        repeatingLinearGradient: (...params: Param[]) => Sheet;
        radialGradient: (...params: Param[]) => Sheet;
        repeatingRadialGradient: (...params: Param[]) => Sheet;
    };
    MaskMode: {
        set: (...params: Param[]) => Sheet;
        ALPHA: {
            maskMode: string;
        };
        LUMINANCE: {
            maskMode: string;
        };
        MATCH_SOURCE: {
            maskMode: string;
        };
    };
    MaskOrigin: {
        set: (...params: Param[]) => Sheet;
        BORDER_BOX: {
            maskOrigin: string;
        };
        PADDING_BOX: {
            maskOrigin: string;
        };
        CONTENT_BOX: {
            maskOrigin: string;
        };
        MARGIN_BOX: {
            maskOrigin: string;
        };
        FILL_BOX: {
            maskOrigin: string;
        };
        STROKE_BOX: {
            maskOrigin: string;
        };
        VIEW_BOX: {
            maskOrigin: string;
        };
    };
    MaskPosition: {
        set: (...params: Param[]) => Sheet;
        LEFT: {
            maskPosition: string;
        };
        CENTER: {
            maskPosition: string;
        };
        RIGHT: {
            maskPosition: string;
        };
        TOP: {
            maskPosition: string;
        };
        BOTTOM: {
            maskPosition: string;
        };
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    MaskRepeat: {
        set: (...params: Param[]) => Sheet;
        REPEAT_X: {
            maskRepeat: string;
        };
        REPEAT_Y: {
            maskRepeat: string;
        };
        REPEAT: {
            maskRepeat: string;
        };
        SPACE: {
            maskRepeat: string;
        };
        ROUND: {
            maskRepeat: string;
        };
        NO_REPEAT: {
            maskRepeat: string;
        };
    };
    MaskSize: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        AUTO: {
            maskSize: string;
        };
        COVER: {
            maskSize: string;
        };
        CONTAIN: {
            maskSize: string;
        };
    };
    MaskType: {
        set: (...params: Param[]) => Sheet;
        LUMINANCE: {
            maskType: string;
        };
        ALPHA: {
            maskType: string;
        };
    };
    MaxBlockSize: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        NONE: {
            maxBlockSize: string;
        };
        MAX_CONTENT: {
            maxBlockSize: string;
        };
        MIN_CONTENT: {
            maxBlockSize: string;
        };
        FIT_CONTENT: {
            maxBlockSize: string;
        };
        FILL_AVAILABLE: {
            maxBlockSize: string;
        };
    };
    MaxHeight: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        NONE: {
            maxHeight: string;
        };
        MAX_CONTENT: {
            maxHeight: string;
        };
        MIN_CONTENT: {
            maxHeight: string;
        };
        FIT_CONTENT: {
            maxHeight: string;
        };
        FILL_AVAILABLE: {
            maxHeight: string;
        };
    };
    MaxInlineSize: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        NONE: {
            maxInlineSize: string;
        };
        MAX_CONTENT: {
            maxInlineSize: string;
        };
        MIN_CONTENT: {
            maxInlineSize: string;
        };
        FIT_CONTENT: {
            maxInlineSize: string;
        };
        FILL_AVAILABLE: {
            maxInlineSize: string;
        };
    };
    MaxLines: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            maxLines: string;
        };
    };
    MaxWidth: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        NONE: {
            maxWidth: string;
        };
        MAX_CONTENT: {
            maxWidth: string;
        };
        MIN_CONTENT: {
            maxWidth: string;
        };
        FIT_CONTENT: {
            maxWidth: string;
        };
        FILL_AVAILABLE: {
            maxWidth: string;
        };
    };
    MinBlockSize: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        AUTO: {
            minBlockSize: string;
        };
        MAX_CONTENT: {
            minBlockSize: string;
        };
        MIN_CONTENT: {
            minBlockSize: string;
        };
        FIT_CONTENT: {
            minBlockSize: string;
        };
        FILL_AVAILABLE: {
            minBlockSize: string;
        };
    };
    MinHeight: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        AUTO: {
            minHeight: string;
        };
        MAX_CONTENT: {
            minHeight: string;
        };
        MIN_CONTENT: {
            minHeight: string;
        };
        FIT_CONTENT: {
            minHeight: string;
        };
        FILL_AVAILABLE: {
            minHeight: string;
        };
    };
    MinInlineSize: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        AUTO: {
            minInlineSize: string;
        };
        MAX_CONTENT: {
            minInlineSize: string;
        };
        MIN_CONTENT: {
            minInlineSize: string;
        };
        FIT_CONTENT: {
            minInlineSize: string;
        };
        FILL_AVAILABLE: {
            minInlineSize: string;
        };
    };
    MinWidth: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        AUTO: {
            minWidth: string;
        };
        MAX_CONTENT: {
            minWidth: string;
        };
        MIN_CONTENT: {
            minWidth: string;
        };
        FIT_CONTENT: {
            minWidth: string;
        };
        FILL_AVAILABLE: {
            minWidth: string;
        };
    };
    MixBlendMode: {
        set: (...params: Param[]) => Sheet;
        NORMAL: {
            mixBlendMode: string;
        };
        MULTIPLY: {
            mixBlendMode: string;
        };
        SCREEN: {
            mixBlendMode: string;
        };
        OVERLAY: {
            mixBlendMode: string;
        };
        DARKEN: {
            mixBlendMode: string;
        };
        LIGHTEN: {
            mixBlendMode: string;
        };
        COLOR_DODGE: {
            mixBlendMode: string;
        };
        COLOR_BURN: {
            mixBlendMode: string;
        };
        HARD_LIGHT: {
            mixBlendMode: string;
        };
        SOFT_LIGHT: {
            mixBlendMode: string;
        };
        DIFFERENCE: {
            mixBlendMode: string;
        };
        EXCLUSION: {
            mixBlendMode: string;
        };
        HUE: {
            mixBlendMode: string;
        };
        SATURATION: {
            mixBlendMode: string;
        };
        COLOR: {
            mixBlendMode: string;
        };
        LUMINOSITY: {
            mixBlendMode: string;
        };
    };
    Motion: {
        set: (...params: Param[]) => Sheet;
        inset: (...params: Param[]) => Sheet;
        circle: (...params: Param[]) => Sheet;
        ellipse: (...params: Param[]) => Sheet;
        polygon: (...params: Param[]) => Sheet;
        BORDER_BOX: {
            motion: string;
        };
        PADDING_BOX: {
            motion: string;
        };
        CONTENT_BOX: {
            motion: string;
        };
        MARGIN_BOX: {
            motion: string;
        };
        FILL_BOX: {
            motion: string;
        };
        STROKE_BOX: {
            motion: string;
        };
        VIEW_BOX: {
            motion: string;
        };
        NONE: {
            motion: string;
        };
        AMP: {
            motion: string;
        };
        AUTO: {
            motion: string;
        };
        REVERSE: {
            motion: string;
        };
        deg: (...nums: number[]) => Sheet;
        rad: (...nums: number[]) => Sheet;
        grad: (...nums: number[]) => Sheet;
        turn: (...nums: number[]) => Sheet;
    };
    MotionOffset: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    MotionPath: {
        set: (...params: Param[]) => Sheet;
        inset: (...params: Param[]) => Sheet;
        circle: (...params: Param[]) => Sheet;
        ellipse: (...params: Param[]) => Sheet;
        polygon: (...params: Param[]) => Sheet;
        BORDER_BOX: {
            motionPath: string;
        };
        PADDING_BOX: {
            motionPath: string;
        };
        CONTENT_BOX: {
            motionPath: string;
        };
        MARGIN_BOX: {
            motionPath: string;
        };
        FILL_BOX: {
            motionPath: string;
        };
        STROKE_BOX: {
            motionPath: string;
        };
        VIEW_BOX: {
            motionPath: string;
        };
        NONE: {
            motionPath: string;
        };
    };
    MotionRotation: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            motionRotation: string;
        };
        REVERSE: {
            motionRotation: string;
        };
        AMP: {
            motionRotation: string;
        };
        deg: (...nums: number[]) => Sheet;
        rad: (...nums: number[]) => Sheet;
        grad: (...nums: number[]) => Sheet;
        turn: (...nums: number[]) => Sheet;
    };
    MozAppearance: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            mozAppearance: string;
        };
        BUTTON: {
            mozAppearance: string;
        };
        BUTTON_ARROW_DOWN: {
            mozAppearance: string;
        };
        BUTTON_ARROW_NEXT: {
            mozAppearance: string;
        };
        BUTTON_ARROW_PREVIOUS: {
            mozAppearance: string;
        };
        BUTTON_ARROW_UP: {
            mozAppearance: string;
        };
        BUTTON_BEVEL: {
            mozAppearance: string;
        };
        BUTTON_FOCUS: {
            mozAppearance: string;
        };
        CARET: {
            mozAppearance: string;
        };
        CHECKBOX: {
            mozAppearance: string;
        };
        CHECKBOX_CONTAINER: {
            mozAppearance: string;
        };
        CHECKBOX_LABEL: {
            mozAppearance: string;
        };
        CHECKMENUITEM: {
            mozAppearance: string;
        };
        DUALBUTTON: {
            mozAppearance: string;
        };
        GROUPBOX: {
            mozAppearance: string;
        };
        LISTBOX: {
            mozAppearance: string;
        };
        LISTITEM: {
            mozAppearance: string;
        };
        MENUARROW: {
            mozAppearance: string;
        };
        MENUBAR: {
            mozAppearance: string;
        };
        MENUCHECKBOX: {
            mozAppearance: string;
        };
        MENUIMAGE: {
            mozAppearance: string;
        };
        MENUITEM: {
            mozAppearance: string;
        };
        MENUITEMTEXT: {
            mozAppearance: string;
        };
        MENULIST: {
            mozAppearance: string;
        };
        MENULIST_BUTTON: {
            mozAppearance: string;
        };
        MENULIST_TEXT: {
            mozAppearance: string;
        };
        MENULIST_TEXTFIELD: {
            mozAppearance: string;
        };
        MENUPOPUP: {
            mozAppearance: string;
        };
        MENURADIO: {
            mozAppearance: string;
        };
        MENUSEPARATOR: {
            mozAppearance: string;
        };
        METERBAR: {
            mozAppearance: string;
        };
        METERCHUNK: {
            mozAppearance: string;
        };
        PROGRESSBAR: {
            mozAppearance: string;
        };
        PROGRESSBAR_VERTICAL: {
            mozAppearance: string;
        };
        PROGRESSCHUNK: {
            mozAppearance: string;
        };
        PROGRESSCHUNK_VERTICAL: {
            mozAppearance: string;
        };
        RADIO: {
            mozAppearance: string;
        };
        RADIO_CONTAINER: {
            mozAppearance: string;
        };
        RADIO_LABEL: {
            mozAppearance: string;
        };
        RADIOMENUITEM: {
            mozAppearance: string;
        };
        RANGE: {
            mozAppearance: string;
        };
        RANGE_THUMB: {
            mozAppearance: string;
        };
        RESIZER: {
            mozAppearance: string;
        };
        RESIZERPANEL: {
            mozAppearance: string;
        };
        SCALE_HORIZONTAL: {
            mozAppearance: string;
        };
        SCALETHUMBEND: {
            mozAppearance: string;
        };
        SCALETHUMB_HORIZONTAL: {
            mozAppearance: string;
        };
        SCALETHUMBSTART: {
            mozAppearance: string;
        };
        SCALETHUMBTICK: {
            mozAppearance: string;
        };
        SCALETHUMB_VERTICAL: {
            mozAppearance: string;
        };
        SCALE_VERTICAL: {
            mozAppearance: string;
        };
        SCROLLBARBUTTON_DOWN: {
            mozAppearance: string;
        };
        SCROLLBARBUTTON_LEFT: {
            mozAppearance: string;
        };
        SCROLLBARBUTTON_RIGHT: {
            mozAppearance: string;
        };
        SCROLLBARBUTTON_UP: {
            mozAppearance: string;
        };
        SCROLLBARTHUMB_HORIZONTAL: {
            mozAppearance: string;
        };
        SCROLLBARTHUMB_VERTICAL: {
            mozAppearance: string;
        };
        SCROLLBARTRACK_HORIZONTAL: {
            mozAppearance: string;
        };
        SCROLLBARTRACK_VERTICAL: {
            mozAppearance: string;
        };
        SEARCHFIELD: {
            mozAppearance: string;
        };
        SEPARATOR: {
            mozAppearance: string;
        };
        SHEET: {
            mozAppearance: string;
        };
        SPINNER: {
            mozAppearance: string;
        };
        SPINNER_DOWNBUTTON: {
            mozAppearance: string;
        };
        SPINNER_TEXTFIELD: {
            mozAppearance: string;
        };
        SPINNER_UPBUTTON: {
            mozAppearance: string;
        };
        SPLITTER: {
            mozAppearance: string;
        };
        STATUSBAR: {
            mozAppearance: string;
        };
        STATUSBARPANEL: {
            mozAppearance: string;
        };
        TAB: {
            mozAppearance: string;
        };
        TABPANEL: {
            mozAppearance: string;
        };
        TABPANELS: {
            mozAppearance: string;
        };
        TAB_SCROLL_ARROW_BACK: {
            mozAppearance: string;
        };
        TAB_SCROLL_ARROW_FORWARD: {
            mozAppearance: string;
        };
        TEXTFIELD: {
            mozAppearance: string;
        };
        TEXTFIELD_MULTILINE: {
            mozAppearance: string;
        };
        TOOLBAR: {
            mozAppearance: string;
        };
        TOOLBARBUTTON: {
            mozAppearance: string;
        };
        TOOLBARBUTTON_DROPDOWN: {
            mozAppearance: string;
        };
        TOOLBARGRIPPER: {
            mozAppearance: string;
        };
        TOOLBOX: {
            mozAppearance: string;
        };
        TOOLTIP: {
            mozAppearance: string;
        };
        TREEHEADER: {
            mozAppearance: string;
        };
        TREEHEADERCELL: {
            mozAppearance: string;
        };
        TREEHEADERSORTARROW: {
            mozAppearance: string;
        };
        TREEITEM: {
            mozAppearance: string;
        };
        TREELINE: {
            mozAppearance: string;
        };
        TREETWISTY: {
            mozAppearance: string;
        };
        TREETWISTYOPEN: {
            mozAppearance: string;
        };
        TREEVIEW: {
            mozAppearance: string;
        };
        MOZ_MAC_UNIFIED_TOOLBAR: {
            mozAppearance: string;
        };
        MOZ_WIN_BORDERLESS_GLASS: {
            mozAppearance: string;
        };
        MOZ_WIN_BROWSERTABBAR_TOOLBOX: {
            mozAppearance: string;
        };
        MOZ_WIN_COMMUNICATIONSTEXT: {
            mozAppearance: string;
        };
        MOZ_WIN_COMMUNICATIONS_TOOLBOX: {
            mozAppearance: string;
        };
        MOZ_WIN_EXCLUDE_GLASS: {
            mozAppearance: string;
        };
        MOZ_WIN_GLASS: {
            mozAppearance: string;
        };
        MOZ_WIN_MEDIATEXT: {
            mozAppearance: string;
        };
        MOZ_WIN_MEDIA_TOOLBOX: {
            mozAppearance: string;
        };
        MOZ_WINDOW_BUTTON_BOX: {
            mozAppearance: string;
        };
        MOZ_WINDOW_BUTTON_BOX_MAXIMIZED: {
            mozAppearance: string;
        };
        MOZ_WINDOW_BUTTON_CLOSE: {
            mozAppearance: string;
        };
        MOZ_WINDOW_BUTTON_MAXIMIZE: {
            mozAppearance: string;
        };
        MOZ_WINDOW_BUTTON_MINIMIZE: {
            mozAppearance: string;
        };
        MOZ_WINDOW_BUTTON_RESTORE: {
            mozAppearance: string;
        };
        MOZ_WINDOW_FRAME_BOTTOM: {
            mozAppearance: string;
        };
        MOZ_WINDOW_FRAME_LEFT: {
            mozAppearance: string;
        };
        MOZ_WINDOW_FRAME_RIGHT: {
            mozAppearance: string;
        };
        MOZ_WINDOW_TITLEBAR: {
            mozAppearance: string;
        };
        MOZ_WINDOW_TITLEBAR_MAXIMIZED: {
            mozAppearance: string;
        };
    };
    MozBinding: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            mozBinding: string;
        };
    };
    MozBorderBottomColors: {
        set: (...params: Param[]) => Sheet;
        rgb: (...params: Param[]) => Sheet;
        hex: (code: string) => Sheet;
        hexa: (code: string, alpha: number) => Sheet;
        rgba: (...params: Param[]) => Sheet;
        hsl: (...params: Param[]) => Sheet;
        hsla: (...params: Param[]) => Sheet;
        BLACK: {
            mozBorderBottomColors: string;
        };
        SILVER: {
            mozBorderBottomColors: string;
        };
        GRAY: {
            mozBorderBottomColors: string;
        };
        WHITE: {
            mozBorderBottomColors: string;
        };
        MAROON: {
            mozBorderBottomColors: string;
        };
        RED: {
            mozBorderBottomColors: string;
        };
        PURPLE: {
            mozBorderBottomColors: string;
        };
        FUCHSIA: {
            mozBorderBottomColors: string;
        };
        GREEN: {
            mozBorderBottomColors: string;
        };
        LIME: {
            mozBorderBottomColors: string;
        };
        OLIVE: {
            mozBorderBottomColors: string;
        };
        YELLOW: {
            mozBorderBottomColors: string;
        };
        NAVY: {
            mozBorderBottomColors: string;
        };
        BLUE: {
            mozBorderBottomColors: string;
        };
        TEAL: {
            mozBorderBottomColors: string;
        };
        AQUA: {
            mozBorderBottomColors: string;
        };
        CURRENTCOLOR: {
            mozBorderBottomColors: string;
        };
        ACTIVEBORDER: {
            mozBorderBottomColors: string;
        };
        ACTIVECAPTION: {
            mozBorderBottomColors: string;
        };
        APPWORKSPACE: {
            mozBorderBottomColors: string;
        };
        BACKGROUND: {
            mozBorderBottomColors: string;
        };
        BUTTONFACE: {
            mozBorderBottomColors: string;
        };
        BUTTONHIGHLIGHT: {
            mozBorderBottomColors: string;
        };
        BUTTONSHADOW: {
            mozBorderBottomColors: string;
        };
        BUTTONTEXT: {
            mozBorderBottomColors: string;
        };
        CAPTIONTEXT: {
            mozBorderBottomColors: string;
        };
        GRAYTEXT: {
            mozBorderBottomColors: string;
        };
        HIGHLIGHT: {
            mozBorderBottomColors: string;
        };
        HIGHLIGHTTEXT: {
            mozBorderBottomColors: string;
        };
        INACTIVEBORDER: {
            mozBorderBottomColors: string;
        };
        INACTIVECAPTION: {
            mozBorderBottomColors: string;
        };
        INACTIVECAPTIONTEXT: {
            mozBorderBottomColors: string;
        };
        INFOBACKGROUND: {
            mozBorderBottomColors: string;
        };
        INFOTEXT: {
            mozBorderBottomColors: string;
        };
        MENU: {
            mozBorderBottomColors: string;
        };
        MENUTEXT: {
            mozBorderBottomColors: string;
        };
        SCROLLBAR: {
            mozBorderBottomColors: string;
        };
        THREEDDARKSHADOW: {
            mozBorderBottomColors: string;
        };
        THREEDFACE: {
            mozBorderBottomColors: string;
        };
        THREEDHIGHLIGHT: {
            mozBorderBottomColors: string;
        };
        THREEDLIGHTSHADOW: {
            mozBorderBottomColors: string;
        };
        THREEDSHADOW: {
            mozBorderBottomColors: string;
        };
        WINDOW: {
            mozBorderBottomColors: string;
        };
        WINDOWFRAME: {
            mozBorderBottomColors: string;
        };
        WINDOWTEXT: {
            mozBorderBottomColors: string;
        };
        NONE: {
            mozBorderBottomColors: string;
        };
    };
    MozBorderLeftColors: {
        set: (...params: Param[]) => Sheet;
        rgb: (...params: Param[]) => Sheet;
        hex: (code: string) => Sheet;
        hexa: (code: string, alpha: number) => Sheet;
        rgba: (...params: Param[]) => Sheet;
        hsl: (...params: Param[]) => Sheet;
        hsla: (...params: Param[]) => Sheet;
        BLACK: {
            mozBorderLeftColors: string;
        };
        SILVER: {
            mozBorderLeftColors: string;
        };
        GRAY: {
            mozBorderLeftColors: string;
        };
        WHITE: {
            mozBorderLeftColors: string;
        };
        MAROON: {
            mozBorderLeftColors: string;
        };
        RED: {
            mozBorderLeftColors: string;
        };
        PURPLE: {
            mozBorderLeftColors: string;
        };
        FUCHSIA: {
            mozBorderLeftColors: string;
        };
        GREEN: {
            mozBorderLeftColors: string;
        };
        LIME: {
            mozBorderLeftColors: string;
        };
        OLIVE: {
            mozBorderLeftColors: string;
        };
        YELLOW: {
            mozBorderLeftColors: string;
        };
        NAVY: {
            mozBorderLeftColors: string;
        };
        BLUE: {
            mozBorderLeftColors: string;
        };
        TEAL: {
            mozBorderLeftColors: string;
        };
        AQUA: {
            mozBorderLeftColors: string;
        };
        CURRENTCOLOR: {
            mozBorderLeftColors: string;
        };
        ACTIVEBORDER: {
            mozBorderLeftColors: string;
        };
        ACTIVECAPTION: {
            mozBorderLeftColors: string;
        };
        APPWORKSPACE: {
            mozBorderLeftColors: string;
        };
        BACKGROUND: {
            mozBorderLeftColors: string;
        };
        BUTTONFACE: {
            mozBorderLeftColors: string;
        };
        BUTTONHIGHLIGHT: {
            mozBorderLeftColors: string;
        };
        BUTTONSHADOW: {
            mozBorderLeftColors: string;
        };
        BUTTONTEXT: {
            mozBorderLeftColors: string;
        };
        CAPTIONTEXT: {
            mozBorderLeftColors: string;
        };
        GRAYTEXT: {
            mozBorderLeftColors: string;
        };
        HIGHLIGHT: {
            mozBorderLeftColors: string;
        };
        HIGHLIGHTTEXT: {
            mozBorderLeftColors: string;
        };
        INACTIVEBORDER: {
            mozBorderLeftColors: string;
        };
        INACTIVECAPTION: {
            mozBorderLeftColors: string;
        };
        INACTIVECAPTIONTEXT: {
            mozBorderLeftColors: string;
        };
        INFOBACKGROUND: {
            mozBorderLeftColors: string;
        };
        INFOTEXT: {
            mozBorderLeftColors: string;
        };
        MENU: {
            mozBorderLeftColors: string;
        };
        MENUTEXT: {
            mozBorderLeftColors: string;
        };
        SCROLLBAR: {
            mozBorderLeftColors: string;
        };
        THREEDDARKSHADOW: {
            mozBorderLeftColors: string;
        };
        THREEDFACE: {
            mozBorderLeftColors: string;
        };
        THREEDHIGHLIGHT: {
            mozBorderLeftColors: string;
        };
        THREEDLIGHTSHADOW: {
            mozBorderLeftColors: string;
        };
        THREEDSHADOW: {
            mozBorderLeftColors: string;
        };
        WINDOW: {
            mozBorderLeftColors: string;
        };
        WINDOWFRAME: {
            mozBorderLeftColors: string;
        };
        WINDOWTEXT: {
            mozBorderLeftColors: string;
        };
        NONE: {
            mozBorderLeftColors: string;
        };
    };
    MozBorderRightColors: {
        set: (...params: Param[]) => Sheet;
        rgb: (...params: Param[]) => Sheet;
        hex: (code: string) => Sheet;
        hexa: (code: string, alpha: number) => Sheet;
        rgba: (...params: Param[]) => Sheet;
        hsl: (...params: Param[]) => Sheet;
        hsla: (...params: Param[]) => Sheet;
        BLACK: {
            mozBorderRightColors: string;
        };
        SILVER: {
            mozBorderRightColors: string;
        };
        GRAY: {
            mozBorderRightColors: string;
        };
        WHITE: {
            mozBorderRightColors: string;
        };
        MAROON: {
            mozBorderRightColors: string;
        };
        RED: {
            mozBorderRightColors: string;
        };
        PURPLE: {
            mozBorderRightColors: string;
        };
        FUCHSIA: {
            mozBorderRightColors: string;
        };
        GREEN: {
            mozBorderRightColors: string;
        };
        LIME: {
            mozBorderRightColors: string;
        };
        OLIVE: {
            mozBorderRightColors: string;
        };
        YELLOW: {
            mozBorderRightColors: string;
        };
        NAVY: {
            mozBorderRightColors: string;
        };
        BLUE: {
            mozBorderRightColors: string;
        };
        TEAL: {
            mozBorderRightColors: string;
        };
        AQUA: {
            mozBorderRightColors: string;
        };
        CURRENTCOLOR: {
            mozBorderRightColors: string;
        };
        ACTIVEBORDER: {
            mozBorderRightColors: string;
        };
        ACTIVECAPTION: {
            mozBorderRightColors: string;
        };
        APPWORKSPACE: {
            mozBorderRightColors: string;
        };
        BACKGROUND: {
            mozBorderRightColors: string;
        };
        BUTTONFACE: {
            mozBorderRightColors: string;
        };
        BUTTONHIGHLIGHT: {
            mozBorderRightColors: string;
        };
        BUTTONSHADOW: {
            mozBorderRightColors: string;
        };
        BUTTONTEXT: {
            mozBorderRightColors: string;
        };
        CAPTIONTEXT: {
            mozBorderRightColors: string;
        };
        GRAYTEXT: {
            mozBorderRightColors: string;
        };
        HIGHLIGHT: {
            mozBorderRightColors: string;
        };
        HIGHLIGHTTEXT: {
            mozBorderRightColors: string;
        };
        INACTIVEBORDER: {
            mozBorderRightColors: string;
        };
        INACTIVECAPTION: {
            mozBorderRightColors: string;
        };
        INACTIVECAPTIONTEXT: {
            mozBorderRightColors: string;
        };
        INFOBACKGROUND: {
            mozBorderRightColors: string;
        };
        INFOTEXT: {
            mozBorderRightColors: string;
        };
        MENU: {
            mozBorderRightColors: string;
        };
        MENUTEXT: {
            mozBorderRightColors: string;
        };
        SCROLLBAR: {
            mozBorderRightColors: string;
        };
        THREEDDARKSHADOW: {
            mozBorderRightColors: string;
        };
        THREEDFACE: {
            mozBorderRightColors: string;
        };
        THREEDHIGHLIGHT: {
            mozBorderRightColors: string;
        };
        THREEDLIGHTSHADOW: {
            mozBorderRightColors: string;
        };
        THREEDSHADOW: {
            mozBorderRightColors: string;
        };
        WINDOW: {
            mozBorderRightColors: string;
        };
        WINDOWFRAME: {
            mozBorderRightColors: string;
        };
        WINDOWTEXT: {
            mozBorderRightColors: string;
        };
        NONE: {
            mozBorderRightColors: string;
        };
    };
    MozBorderTopColors: {
        set: (...params: Param[]) => Sheet;
        rgb: (...params: Param[]) => Sheet;
        hex: (code: string) => Sheet;
        hexa: (code: string, alpha: number) => Sheet;
        rgba: (...params: Param[]) => Sheet;
        hsl: (...params: Param[]) => Sheet;
        hsla: (...params: Param[]) => Sheet;
        BLACK: {
            mozBorderTopColors: string;
        };
        SILVER: {
            mozBorderTopColors: string;
        };
        GRAY: {
            mozBorderTopColors: string;
        };
        WHITE: {
            mozBorderTopColors: string;
        };
        MAROON: {
            mozBorderTopColors: string;
        };
        RED: {
            mozBorderTopColors: string;
        };
        PURPLE: {
            mozBorderTopColors: string;
        };
        FUCHSIA: {
            mozBorderTopColors: string;
        };
        GREEN: {
            mozBorderTopColors: string;
        };
        LIME: {
            mozBorderTopColors: string;
        };
        OLIVE: {
            mozBorderTopColors: string;
        };
        YELLOW: {
            mozBorderTopColors: string;
        };
        NAVY: {
            mozBorderTopColors: string;
        };
        BLUE: {
            mozBorderTopColors: string;
        };
        TEAL: {
            mozBorderTopColors: string;
        };
        AQUA: {
            mozBorderTopColors: string;
        };
        CURRENTCOLOR: {
            mozBorderTopColors: string;
        };
        ACTIVEBORDER: {
            mozBorderTopColors: string;
        };
        ACTIVECAPTION: {
            mozBorderTopColors: string;
        };
        APPWORKSPACE: {
            mozBorderTopColors: string;
        };
        BACKGROUND: {
            mozBorderTopColors: string;
        };
        BUTTONFACE: {
            mozBorderTopColors: string;
        };
        BUTTONHIGHLIGHT: {
            mozBorderTopColors: string;
        };
        BUTTONSHADOW: {
            mozBorderTopColors: string;
        };
        BUTTONTEXT: {
            mozBorderTopColors: string;
        };
        CAPTIONTEXT: {
            mozBorderTopColors: string;
        };
        GRAYTEXT: {
            mozBorderTopColors: string;
        };
        HIGHLIGHT: {
            mozBorderTopColors: string;
        };
        HIGHLIGHTTEXT: {
            mozBorderTopColors: string;
        };
        INACTIVEBORDER: {
            mozBorderTopColors: string;
        };
        INACTIVECAPTION: {
            mozBorderTopColors: string;
        };
        INACTIVECAPTIONTEXT: {
            mozBorderTopColors: string;
        };
        INFOBACKGROUND: {
            mozBorderTopColors: string;
        };
        INFOTEXT: {
            mozBorderTopColors: string;
        };
        MENU: {
            mozBorderTopColors: string;
        };
        MENUTEXT: {
            mozBorderTopColors: string;
        };
        SCROLLBAR: {
            mozBorderTopColors: string;
        };
        THREEDDARKSHADOW: {
            mozBorderTopColors: string;
        };
        THREEDFACE: {
            mozBorderTopColors: string;
        };
        THREEDHIGHLIGHT: {
            mozBorderTopColors: string;
        };
        THREEDLIGHTSHADOW: {
            mozBorderTopColors: string;
        };
        THREEDSHADOW: {
            mozBorderTopColors: string;
        };
        WINDOW: {
            mozBorderTopColors: string;
        };
        WINDOWFRAME: {
            mozBorderTopColors: string;
        };
        WINDOWTEXT: {
            mozBorderTopColors: string;
        };
        NONE: {
            mozBorderTopColors: string;
        };
    };
    MozContextProperties: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            mozContextProperties: string;
        };
        FILL: {
            mozContextProperties: string;
        };
        FILL_OPACITY: {
            mozContextProperties: string;
        };
        STROKE: {
            mozContextProperties: string;
        };
        STROKE_OPACITY: {
            mozContextProperties: string;
        };
    };
    MozFloatEdge: {
        set: (...params: Param[]) => Sheet;
        BORDER_BOX: {
            mozFloatEdge: string;
        };
        CONTENT_BOX: {
            mozFloatEdge: string;
        };
        MARGIN_BOX: {
            mozFloatEdge: string;
        };
        PADDING_BOX: {
            mozFloatEdge: string;
        };
    };
    MozForceBrokenImageIcon: {
        set: (...params: Param[]) => Sheet;
    };
    MozImageRegion: {
        set: (...params: Param[]) => Sheet;
        rect: (...params: Param[]) => Sheet;
        AUTO: {
            mozImageRegion: string;
        };
    };
    MozOrient: {
        set: (...params: Param[]) => Sheet;
        INLINE: {
            mozOrient: string;
        };
        BLOCK: {
            mozOrient: string;
        };
        HORIZONTAL: {
            mozOrient: string;
        };
        VERTICAL: {
            mozOrient: string;
        };
    };
    MozOutlineRadius: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    MozOutlineRadiusBottomleft: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    MozOutlineRadiusBottomright: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    MozOutlineRadiusTopleft: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    MozOutlineRadiusTopright: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    MozStackSizing: {
        set: (...params: Param[]) => Sheet;
        IGNORE: {
            mozStackSizing: string;
        };
        STRETCH_TO_FIT: {
            mozStackSizing: string;
        };
    };
    MozTextBlink: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            mozTextBlink: string;
        };
        BLINK: {
            mozTextBlink: string;
        };
    };
    MozUserFocus: {
        set: (...params: Param[]) => Sheet;
        IGNORE: {
            mozUserFocus: string;
        };
        NORMAL: {
            mozUserFocus: string;
        };
        SELECT_AFTER: {
            mozUserFocus: string;
        };
        SELECT_BEFORE: {
            mozUserFocus: string;
        };
        SELECT_MENU: {
            mozUserFocus: string;
        };
        SELECT_SAME: {
            mozUserFocus: string;
        };
        SELECT_ALL: {
            mozUserFocus: string;
        };
        NONE: {
            mozUserFocus: string;
        };
    };
    MozUserInput: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            mozUserInput: string;
        };
        NONE: {
            mozUserInput: string;
        };
        ENABLED: {
            mozUserInput: string;
        };
        DISABLED: {
            mozUserInput: string;
        };
    };
    MozUserModify: {
        set: (...params: Param[]) => Sheet;
        READ_ONLY: {
            mozUserModify: string;
        };
        READ_WRITE: {
            mozUserModify: string;
        };
        WRITE_ONLY: {
            mozUserModify: string;
        };
    };
    MozWindowDragging: {
        set: (...params: Param[]) => Sheet;
        DRAG: {
            mozWindowDragging: string;
        };
        NO_DRAG: {
            mozWindowDragging: string;
        };
    };
    MozWindowShadow: {
        set: (...params: Param[]) => Sheet;
        DEFAULT: {
            mozWindowShadow: string;
        };
        MENU: {
            mozWindowShadow: string;
        };
        TOOLTIP: {
            mozWindowShadow: string;
        };
        SHEET: {
            mozWindowShadow: string;
        };
        NONE: {
            mozWindowShadow: string;
        };
    };
    MsAccelerator: {
        set: (...params: Param[]) => Sheet;
        FALSE: {
            msAccelerator: string;
        };
        TRUE: {
            msAccelerator: string;
        };
    };
    MsBlockProgression: {
        set: (...params: Param[]) => Sheet;
        TB: {
            msBlockProgression: string;
        };
        RL: {
            msBlockProgression: string;
        };
        BT: {
            msBlockProgression: string;
        };
        LR: {
            msBlockProgression: string;
        };
    };
    MsContentZoomChaining: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            msContentZoomChaining: string;
        };
        CHAINED: {
            msContentZoomChaining: string;
        };
    };
    MsContentZoomLimit: {
        set: (...params: Param[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    MsContentZoomLimitMax: {
        set: (...params: Param[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    MsContentZoomLimitMin: {
        set: (...params: Param[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    MsContentZoomSnap: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            msContentZoomSnap: string;
        };
        PROXIMITY: {
            msContentZoomSnap: string;
        };
        MANDATORY: {
            msContentZoomSnap: string;
        };
        snapInterval: (...params: Param[]) => Sheet;
        snapList: (...params: Param[]) => Sheet;
    };
    MsContentZoomSnapPoints: {
        set: (...params: Param[]) => Sheet;
        snapInterval: (...params: Param[]) => Sheet;
        snapList: (...params: Param[]) => Sheet;
    };
    MsContentZoomSnapType: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            msContentZoomSnapType: string;
        };
        PROXIMITY: {
            msContentZoomSnapType: string;
        };
        MANDATORY: {
            msContentZoomSnapType: string;
        };
    };
    MsContentZooming: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            msContentZooming: string;
        };
        ZOOM: {
            msContentZooming: string;
        };
    };
    MsFilter: {
        set: (...params: Param[]) => Sheet;
    };
    MsFlowFrom: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            msFlowFrom: string;
        };
    };
    MsFlowInto: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            msFlowInto: string;
        };
    };
    MsHighContrastAdjust: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            msHighContrastAdjust: string;
        };
        NONE: {
            msHighContrastAdjust: string;
        };
    };
    MsHyphenateLimitChars: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            msHyphenateLimitChars: string;
        };
    };
    MsHyphenateLimitLines: {
        set: (...params: Param[]) => Sheet;
        NO_LIMIT: {
            msHyphenateLimitLines: string;
        };
    };
    MsHyphenateLimitZone: {
        set: (...params: Param[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
    };
    MsImeAlign: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            msImeAlign: string;
        };
        AFTER: {
            msImeAlign: string;
        };
    };
    MsOverflowStyle: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            msOverflowStyle: string;
        };
        NONE: {
            msOverflowStyle: string;
        };
        SCROLLBAR: {
            msOverflowStyle: string;
        };
        MS_AUTOHIDING_SCROLLBAR: {
            msOverflowStyle: string;
        };
    };
    MsScrollChaining: {
        set: (...params: Param[]) => Sheet;
        CHAINED: {
            msScrollChaining: string;
        };
        NONE: {
            msScrollChaining: string;
        };
    };
    MsScrollLimit: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        AUTO: {
            msScrollLimit: string;
        };
    };
    MsScrollLimitXMax: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            msScrollLimitXMax: string;
        };
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
    };
    MsScrollLimitXMin: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
    };
    MsScrollLimitYMax: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            msScrollLimitYMax: string;
        };
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
    };
    MsScrollLimitYMin: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
    };
    MsScrollRails: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            msScrollRails: string;
        };
        RAILED: {
            msScrollRails: string;
        };
    };
    MsScrollSnapPointsX: {
        set: (...params: Param[]) => Sheet;
        snapInterval: (...params: Param[]) => Sheet;
        snapList: (...params: Param[]) => Sheet;
    };
    MsScrollSnapPointsY: {
        set: (...params: Param[]) => Sheet;
        snapInterval: (...params: Param[]) => Sheet;
        snapList: (...params: Param[]) => Sheet;
    };
    MsScrollSnapType: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            msScrollSnapType: string;
        };
        PROXIMITY: {
            msScrollSnapType: string;
        };
        MANDATORY: {
            msScrollSnapType: string;
        };
    };
    MsScrollSnapX: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            msScrollSnapX: string;
        };
        PROXIMITY: {
            msScrollSnapX: string;
        };
        MANDATORY: {
            msScrollSnapX: string;
        };
        snapInterval: (...params: Param[]) => Sheet;
        snapList: (...params: Param[]) => Sheet;
    };
    MsScrollSnapY: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            msScrollSnapY: string;
        };
        PROXIMITY: {
            msScrollSnapY: string;
        };
        MANDATORY: {
            msScrollSnapY: string;
        };
        snapInterval: (...params: Param[]) => Sheet;
        snapList: (...params: Param[]) => Sheet;
    };
    MsScrollTranslation: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            msScrollTranslation: string;
        };
        VERTICAL_TO_HORIZONTAL: {
            msScrollTranslation: string;
        };
    };
    MsScrollbar3dlightColor: {
        set: (...params: Param[]) => Sheet;
        rgb: (...params: Param[]) => Sheet;
        hex: (code: string) => Sheet;
        hexa: (code: string, alpha: number) => Sheet;
        rgba: (...params: Param[]) => Sheet;
        hsl: (...params: Param[]) => Sheet;
        hsla: (...params: Param[]) => Sheet;
        BLACK: {
            msScrollbar3dlightColor: string;
        };
        SILVER: {
            msScrollbar3dlightColor: string;
        };
        GRAY: {
            msScrollbar3dlightColor: string;
        };
        WHITE: {
            msScrollbar3dlightColor: string;
        };
        MAROON: {
            msScrollbar3dlightColor: string;
        };
        RED: {
            msScrollbar3dlightColor: string;
        };
        PURPLE: {
            msScrollbar3dlightColor: string;
        };
        FUCHSIA: {
            msScrollbar3dlightColor: string;
        };
        GREEN: {
            msScrollbar3dlightColor: string;
        };
        LIME: {
            msScrollbar3dlightColor: string;
        };
        OLIVE: {
            msScrollbar3dlightColor: string;
        };
        YELLOW: {
            msScrollbar3dlightColor: string;
        };
        NAVY: {
            msScrollbar3dlightColor: string;
        };
        BLUE: {
            msScrollbar3dlightColor: string;
        };
        TEAL: {
            msScrollbar3dlightColor: string;
        };
        AQUA: {
            msScrollbar3dlightColor: string;
        };
        CURRENTCOLOR: {
            msScrollbar3dlightColor: string;
        };
        ACTIVEBORDER: {
            msScrollbar3dlightColor: string;
        };
        ACTIVECAPTION: {
            msScrollbar3dlightColor: string;
        };
        APPWORKSPACE: {
            msScrollbar3dlightColor: string;
        };
        BACKGROUND: {
            msScrollbar3dlightColor: string;
        };
        BUTTONFACE: {
            msScrollbar3dlightColor: string;
        };
        BUTTONHIGHLIGHT: {
            msScrollbar3dlightColor: string;
        };
        BUTTONSHADOW: {
            msScrollbar3dlightColor: string;
        };
        BUTTONTEXT: {
            msScrollbar3dlightColor: string;
        };
        CAPTIONTEXT: {
            msScrollbar3dlightColor: string;
        };
        GRAYTEXT: {
            msScrollbar3dlightColor: string;
        };
        HIGHLIGHT: {
            msScrollbar3dlightColor: string;
        };
        HIGHLIGHTTEXT: {
            msScrollbar3dlightColor: string;
        };
        INACTIVEBORDER: {
            msScrollbar3dlightColor: string;
        };
        INACTIVECAPTION: {
            msScrollbar3dlightColor: string;
        };
        INACTIVECAPTIONTEXT: {
            msScrollbar3dlightColor: string;
        };
        INFOBACKGROUND: {
            msScrollbar3dlightColor: string;
        };
        INFOTEXT: {
            msScrollbar3dlightColor: string;
        };
        MENU: {
            msScrollbar3dlightColor: string;
        };
        MENUTEXT: {
            msScrollbar3dlightColor: string;
        };
        SCROLLBAR: {
            msScrollbar3dlightColor: string;
        };
        THREEDDARKSHADOW: {
            msScrollbar3dlightColor: string;
        };
        THREEDFACE: {
            msScrollbar3dlightColor: string;
        };
        THREEDHIGHLIGHT: {
            msScrollbar3dlightColor: string;
        };
        THREEDLIGHTSHADOW: {
            msScrollbar3dlightColor: string;
        };
        THREEDSHADOW: {
            msScrollbar3dlightColor: string;
        };
        WINDOW: {
            msScrollbar3dlightColor: string;
        };
        WINDOWFRAME: {
            msScrollbar3dlightColor: string;
        };
        WINDOWTEXT: {
            msScrollbar3dlightColor: string;
        };
    };
    MsScrollbarArrowColor: {
        set: (...params: Param[]) => Sheet;
        rgb: (...params: Param[]) => Sheet;
        hex: (code: string) => Sheet;
        hexa: (code: string, alpha: number) => Sheet;
        rgba: (...params: Param[]) => Sheet;
        hsl: (...params: Param[]) => Sheet;
        hsla: (...params: Param[]) => Sheet;
        BLACK: {
            msScrollbarArrowColor: string;
        };
        SILVER: {
            msScrollbarArrowColor: string;
        };
        GRAY: {
            msScrollbarArrowColor: string;
        };
        WHITE: {
            msScrollbarArrowColor: string;
        };
        MAROON: {
            msScrollbarArrowColor: string;
        };
        RED: {
            msScrollbarArrowColor: string;
        };
        PURPLE: {
            msScrollbarArrowColor: string;
        };
        FUCHSIA: {
            msScrollbarArrowColor: string;
        };
        GREEN: {
            msScrollbarArrowColor: string;
        };
        LIME: {
            msScrollbarArrowColor: string;
        };
        OLIVE: {
            msScrollbarArrowColor: string;
        };
        YELLOW: {
            msScrollbarArrowColor: string;
        };
        NAVY: {
            msScrollbarArrowColor: string;
        };
        BLUE: {
            msScrollbarArrowColor: string;
        };
        TEAL: {
            msScrollbarArrowColor: string;
        };
        AQUA: {
            msScrollbarArrowColor: string;
        };
        CURRENTCOLOR: {
            msScrollbarArrowColor: string;
        };
        ACTIVEBORDER: {
            msScrollbarArrowColor: string;
        };
        ACTIVECAPTION: {
            msScrollbarArrowColor: string;
        };
        APPWORKSPACE: {
            msScrollbarArrowColor: string;
        };
        BACKGROUND: {
            msScrollbarArrowColor: string;
        };
        BUTTONFACE: {
            msScrollbarArrowColor: string;
        };
        BUTTONHIGHLIGHT: {
            msScrollbarArrowColor: string;
        };
        BUTTONSHADOW: {
            msScrollbarArrowColor: string;
        };
        BUTTONTEXT: {
            msScrollbarArrowColor: string;
        };
        CAPTIONTEXT: {
            msScrollbarArrowColor: string;
        };
        GRAYTEXT: {
            msScrollbarArrowColor: string;
        };
        HIGHLIGHT: {
            msScrollbarArrowColor: string;
        };
        HIGHLIGHTTEXT: {
            msScrollbarArrowColor: string;
        };
        INACTIVEBORDER: {
            msScrollbarArrowColor: string;
        };
        INACTIVECAPTION: {
            msScrollbarArrowColor: string;
        };
        INACTIVECAPTIONTEXT: {
            msScrollbarArrowColor: string;
        };
        INFOBACKGROUND: {
            msScrollbarArrowColor: string;
        };
        INFOTEXT: {
            msScrollbarArrowColor: string;
        };
        MENU: {
            msScrollbarArrowColor: string;
        };
        MENUTEXT: {
            msScrollbarArrowColor: string;
        };
        SCROLLBAR: {
            msScrollbarArrowColor: string;
        };
        THREEDDARKSHADOW: {
            msScrollbarArrowColor: string;
        };
        THREEDFACE: {
            msScrollbarArrowColor: string;
        };
        THREEDHIGHLIGHT: {
            msScrollbarArrowColor: string;
        };
        THREEDLIGHTSHADOW: {
            msScrollbarArrowColor: string;
        };
        THREEDSHADOW: {
            msScrollbarArrowColor: string;
        };
        WINDOW: {
            msScrollbarArrowColor: string;
        };
        WINDOWFRAME: {
            msScrollbarArrowColor: string;
        };
        WINDOWTEXT: {
            msScrollbarArrowColor: string;
        };
    };
    MsScrollbarBaseColor: {
        set: (...params: Param[]) => Sheet;
        rgb: (...params: Param[]) => Sheet;
        hex: (code: string) => Sheet;
        hexa: (code: string, alpha: number) => Sheet;
        rgba: (...params: Param[]) => Sheet;
        hsl: (...params: Param[]) => Sheet;
        hsla: (...params: Param[]) => Sheet;
        BLACK: {
            msScrollbarBaseColor: string;
        };
        SILVER: {
            msScrollbarBaseColor: string;
        };
        GRAY: {
            msScrollbarBaseColor: string;
        };
        WHITE: {
            msScrollbarBaseColor: string;
        };
        MAROON: {
            msScrollbarBaseColor: string;
        };
        RED: {
            msScrollbarBaseColor: string;
        };
        PURPLE: {
            msScrollbarBaseColor: string;
        };
        FUCHSIA: {
            msScrollbarBaseColor: string;
        };
        GREEN: {
            msScrollbarBaseColor: string;
        };
        LIME: {
            msScrollbarBaseColor: string;
        };
        OLIVE: {
            msScrollbarBaseColor: string;
        };
        YELLOW: {
            msScrollbarBaseColor: string;
        };
        NAVY: {
            msScrollbarBaseColor: string;
        };
        BLUE: {
            msScrollbarBaseColor: string;
        };
        TEAL: {
            msScrollbarBaseColor: string;
        };
        AQUA: {
            msScrollbarBaseColor: string;
        };
        CURRENTCOLOR: {
            msScrollbarBaseColor: string;
        };
        ACTIVEBORDER: {
            msScrollbarBaseColor: string;
        };
        ACTIVECAPTION: {
            msScrollbarBaseColor: string;
        };
        APPWORKSPACE: {
            msScrollbarBaseColor: string;
        };
        BACKGROUND: {
            msScrollbarBaseColor: string;
        };
        BUTTONFACE: {
            msScrollbarBaseColor: string;
        };
        BUTTONHIGHLIGHT: {
            msScrollbarBaseColor: string;
        };
        BUTTONSHADOW: {
            msScrollbarBaseColor: string;
        };
        BUTTONTEXT: {
            msScrollbarBaseColor: string;
        };
        CAPTIONTEXT: {
            msScrollbarBaseColor: string;
        };
        GRAYTEXT: {
            msScrollbarBaseColor: string;
        };
        HIGHLIGHT: {
            msScrollbarBaseColor: string;
        };
        HIGHLIGHTTEXT: {
            msScrollbarBaseColor: string;
        };
        INACTIVEBORDER: {
            msScrollbarBaseColor: string;
        };
        INACTIVECAPTION: {
            msScrollbarBaseColor: string;
        };
        INACTIVECAPTIONTEXT: {
            msScrollbarBaseColor: string;
        };
        INFOBACKGROUND: {
            msScrollbarBaseColor: string;
        };
        INFOTEXT: {
            msScrollbarBaseColor: string;
        };
        MENU: {
            msScrollbarBaseColor: string;
        };
        MENUTEXT: {
            msScrollbarBaseColor: string;
        };
        SCROLLBAR: {
            msScrollbarBaseColor: string;
        };
        THREEDDARKSHADOW: {
            msScrollbarBaseColor: string;
        };
        THREEDFACE: {
            msScrollbarBaseColor: string;
        };
        THREEDHIGHLIGHT: {
            msScrollbarBaseColor: string;
        };
        THREEDLIGHTSHADOW: {
            msScrollbarBaseColor: string;
        };
        THREEDSHADOW: {
            msScrollbarBaseColor: string;
        };
        WINDOW: {
            msScrollbarBaseColor: string;
        };
        WINDOWFRAME: {
            msScrollbarBaseColor: string;
        };
        WINDOWTEXT: {
            msScrollbarBaseColor: string;
        };
    };
    MsScrollbarDarkshadowColor: {
        set: (...params: Param[]) => Sheet;
        rgb: (...params: Param[]) => Sheet;
        hex: (code: string) => Sheet;
        hexa: (code: string, alpha: number) => Sheet;
        rgba: (...params: Param[]) => Sheet;
        hsl: (...params: Param[]) => Sheet;
        hsla: (...params: Param[]) => Sheet;
        BLACK: {
            msScrollbarDarkshadowColor: string;
        };
        SILVER: {
            msScrollbarDarkshadowColor: string;
        };
        GRAY: {
            msScrollbarDarkshadowColor: string;
        };
        WHITE: {
            msScrollbarDarkshadowColor: string;
        };
        MAROON: {
            msScrollbarDarkshadowColor: string;
        };
        RED: {
            msScrollbarDarkshadowColor: string;
        };
        PURPLE: {
            msScrollbarDarkshadowColor: string;
        };
        FUCHSIA: {
            msScrollbarDarkshadowColor: string;
        };
        GREEN: {
            msScrollbarDarkshadowColor: string;
        };
        LIME: {
            msScrollbarDarkshadowColor: string;
        };
        OLIVE: {
            msScrollbarDarkshadowColor: string;
        };
        YELLOW: {
            msScrollbarDarkshadowColor: string;
        };
        NAVY: {
            msScrollbarDarkshadowColor: string;
        };
        BLUE: {
            msScrollbarDarkshadowColor: string;
        };
        TEAL: {
            msScrollbarDarkshadowColor: string;
        };
        AQUA: {
            msScrollbarDarkshadowColor: string;
        };
        CURRENTCOLOR: {
            msScrollbarDarkshadowColor: string;
        };
        ACTIVEBORDER: {
            msScrollbarDarkshadowColor: string;
        };
        ACTIVECAPTION: {
            msScrollbarDarkshadowColor: string;
        };
        APPWORKSPACE: {
            msScrollbarDarkshadowColor: string;
        };
        BACKGROUND: {
            msScrollbarDarkshadowColor: string;
        };
        BUTTONFACE: {
            msScrollbarDarkshadowColor: string;
        };
        BUTTONHIGHLIGHT: {
            msScrollbarDarkshadowColor: string;
        };
        BUTTONSHADOW: {
            msScrollbarDarkshadowColor: string;
        };
        BUTTONTEXT: {
            msScrollbarDarkshadowColor: string;
        };
        CAPTIONTEXT: {
            msScrollbarDarkshadowColor: string;
        };
        GRAYTEXT: {
            msScrollbarDarkshadowColor: string;
        };
        HIGHLIGHT: {
            msScrollbarDarkshadowColor: string;
        };
        HIGHLIGHTTEXT: {
            msScrollbarDarkshadowColor: string;
        };
        INACTIVEBORDER: {
            msScrollbarDarkshadowColor: string;
        };
        INACTIVECAPTION: {
            msScrollbarDarkshadowColor: string;
        };
        INACTIVECAPTIONTEXT: {
            msScrollbarDarkshadowColor: string;
        };
        INFOBACKGROUND: {
            msScrollbarDarkshadowColor: string;
        };
        INFOTEXT: {
            msScrollbarDarkshadowColor: string;
        };
        MENU: {
            msScrollbarDarkshadowColor: string;
        };
        MENUTEXT: {
            msScrollbarDarkshadowColor: string;
        };
        SCROLLBAR: {
            msScrollbarDarkshadowColor: string;
        };
        THREEDDARKSHADOW: {
            msScrollbarDarkshadowColor: string;
        };
        THREEDFACE: {
            msScrollbarDarkshadowColor: string;
        };
        THREEDHIGHLIGHT: {
            msScrollbarDarkshadowColor: string;
        };
        THREEDLIGHTSHADOW: {
            msScrollbarDarkshadowColor: string;
        };
        THREEDSHADOW: {
            msScrollbarDarkshadowColor: string;
        };
        WINDOW: {
            msScrollbarDarkshadowColor: string;
        };
        WINDOWFRAME: {
            msScrollbarDarkshadowColor: string;
        };
        WINDOWTEXT: {
            msScrollbarDarkshadowColor: string;
        };
    };
    MsScrollbarFaceColor: {
        set: (...params: Param[]) => Sheet;
        rgb: (...params: Param[]) => Sheet;
        hex: (code: string) => Sheet;
        hexa: (code: string, alpha: number) => Sheet;
        rgba: (...params: Param[]) => Sheet;
        hsl: (...params: Param[]) => Sheet;
        hsla: (...params: Param[]) => Sheet;
        BLACK: {
            msScrollbarFaceColor: string;
        };
        SILVER: {
            msScrollbarFaceColor: string;
        };
        GRAY: {
            msScrollbarFaceColor: string;
        };
        WHITE: {
            msScrollbarFaceColor: string;
        };
        MAROON: {
            msScrollbarFaceColor: string;
        };
        RED: {
            msScrollbarFaceColor: string;
        };
        PURPLE: {
            msScrollbarFaceColor: string;
        };
        FUCHSIA: {
            msScrollbarFaceColor: string;
        };
        GREEN: {
            msScrollbarFaceColor: string;
        };
        LIME: {
            msScrollbarFaceColor: string;
        };
        OLIVE: {
            msScrollbarFaceColor: string;
        };
        YELLOW: {
            msScrollbarFaceColor: string;
        };
        NAVY: {
            msScrollbarFaceColor: string;
        };
        BLUE: {
            msScrollbarFaceColor: string;
        };
        TEAL: {
            msScrollbarFaceColor: string;
        };
        AQUA: {
            msScrollbarFaceColor: string;
        };
        CURRENTCOLOR: {
            msScrollbarFaceColor: string;
        };
        ACTIVEBORDER: {
            msScrollbarFaceColor: string;
        };
        ACTIVECAPTION: {
            msScrollbarFaceColor: string;
        };
        APPWORKSPACE: {
            msScrollbarFaceColor: string;
        };
        BACKGROUND: {
            msScrollbarFaceColor: string;
        };
        BUTTONFACE: {
            msScrollbarFaceColor: string;
        };
        BUTTONHIGHLIGHT: {
            msScrollbarFaceColor: string;
        };
        BUTTONSHADOW: {
            msScrollbarFaceColor: string;
        };
        BUTTONTEXT: {
            msScrollbarFaceColor: string;
        };
        CAPTIONTEXT: {
            msScrollbarFaceColor: string;
        };
        GRAYTEXT: {
            msScrollbarFaceColor: string;
        };
        HIGHLIGHT: {
            msScrollbarFaceColor: string;
        };
        HIGHLIGHTTEXT: {
            msScrollbarFaceColor: string;
        };
        INACTIVEBORDER: {
            msScrollbarFaceColor: string;
        };
        INACTIVECAPTION: {
            msScrollbarFaceColor: string;
        };
        INACTIVECAPTIONTEXT: {
            msScrollbarFaceColor: string;
        };
        INFOBACKGROUND: {
            msScrollbarFaceColor: string;
        };
        INFOTEXT: {
            msScrollbarFaceColor: string;
        };
        MENU: {
            msScrollbarFaceColor: string;
        };
        MENUTEXT: {
            msScrollbarFaceColor: string;
        };
        SCROLLBAR: {
            msScrollbarFaceColor: string;
        };
        THREEDDARKSHADOW: {
            msScrollbarFaceColor: string;
        };
        THREEDFACE: {
            msScrollbarFaceColor: string;
        };
        THREEDHIGHLIGHT: {
            msScrollbarFaceColor: string;
        };
        THREEDLIGHTSHADOW: {
            msScrollbarFaceColor: string;
        };
        THREEDSHADOW: {
            msScrollbarFaceColor: string;
        };
        WINDOW: {
            msScrollbarFaceColor: string;
        };
        WINDOWFRAME: {
            msScrollbarFaceColor: string;
        };
        WINDOWTEXT: {
            msScrollbarFaceColor: string;
        };
    };
    MsScrollbarHighlightColor: {
        set: (...params: Param[]) => Sheet;
        rgb: (...params: Param[]) => Sheet;
        hex: (code: string) => Sheet;
        hexa: (code: string, alpha: number) => Sheet;
        rgba: (...params: Param[]) => Sheet;
        hsl: (...params: Param[]) => Sheet;
        hsla: (...params: Param[]) => Sheet;
        BLACK: {
            msScrollbarHighlightColor: string;
        };
        SILVER: {
            msScrollbarHighlightColor: string;
        };
        GRAY: {
            msScrollbarHighlightColor: string;
        };
        WHITE: {
            msScrollbarHighlightColor: string;
        };
        MAROON: {
            msScrollbarHighlightColor: string;
        };
        RED: {
            msScrollbarHighlightColor: string;
        };
        PURPLE: {
            msScrollbarHighlightColor: string;
        };
        FUCHSIA: {
            msScrollbarHighlightColor: string;
        };
        GREEN: {
            msScrollbarHighlightColor: string;
        };
        LIME: {
            msScrollbarHighlightColor: string;
        };
        OLIVE: {
            msScrollbarHighlightColor: string;
        };
        YELLOW: {
            msScrollbarHighlightColor: string;
        };
        NAVY: {
            msScrollbarHighlightColor: string;
        };
        BLUE: {
            msScrollbarHighlightColor: string;
        };
        TEAL: {
            msScrollbarHighlightColor: string;
        };
        AQUA: {
            msScrollbarHighlightColor: string;
        };
        CURRENTCOLOR: {
            msScrollbarHighlightColor: string;
        };
        ACTIVEBORDER: {
            msScrollbarHighlightColor: string;
        };
        ACTIVECAPTION: {
            msScrollbarHighlightColor: string;
        };
        APPWORKSPACE: {
            msScrollbarHighlightColor: string;
        };
        BACKGROUND: {
            msScrollbarHighlightColor: string;
        };
        BUTTONFACE: {
            msScrollbarHighlightColor: string;
        };
        BUTTONHIGHLIGHT: {
            msScrollbarHighlightColor: string;
        };
        BUTTONSHADOW: {
            msScrollbarHighlightColor: string;
        };
        BUTTONTEXT: {
            msScrollbarHighlightColor: string;
        };
        CAPTIONTEXT: {
            msScrollbarHighlightColor: string;
        };
        GRAYTEXT: {
            msScrollbarHighlightColor: string;
        };
        HIGHLIGHT: {
            msScrollbarHighlightColor: string;
        };
        HIGHLIGHTTEXT: {
            msScrollbarHighlightColor: string;
        };
        INACTIVEBORDER: {
            msScrollbarHighlightColor: string;
        };
        INACTIVECAPTION: {
            msScrollbarHighlightColor: string;
        };
        INACTIVECAPTIONTEXT: {
            msScrollbarHighlightColor: string;
        };
        INFOBACKGROUND: {
            msScrollbarHighlightColor: string;
        };
        INFOTEXT: {
            msScrollbarHighlightColor: string;
        };
        MENU: {
            msScrollbarHighlightColor: string;
        };
        MENUTEXT: {
            msScrollbarHighlightColor: string;
        };
        SCROLLBAR: {
            msScrollbarHighlightColor: string;
        };
        THREEDDARKSHADOW: {
            msScrollbarHighlightColor: string;
        };
        THREEDFACE: {
            msScrollbarHighlightColor: string;
        };
        THREEDHIGHLIGHT: {
            msScrollbarHighlightColor: string;
        };
        THREEDLIGHTSHADOW: {
            msScrollbarHighlightColor: string;
        };
        THREEDSHADOW: {
            msScrollbarHighlightColor: string;
        };
        WINDOW: {
            msScrollbarHighlightColor: string;
        };
        WINDOWFRAME: {
            msScrollbarHighlightColor: string;
        };
        WINDOWTEXT: {
            msScrollbarHighlightColor: string;
        };
    };
    MsScrollbarShadowColor: {
        set: (...params: Param[]) => Sheet;
        rgb: (...params: Param[]) => Sheet;
        hex: (code: string) => Sheet;
        hexa: (code: string, alpha: number) => Sheet;
        rgba: (...params: Param[]) => Sheet;
        hsl: (...params: Param[]) => Sheet;
        hsla: (...params: Param[]) => Sheet;
        BLACK: {
            msScrollbarShadowColor: string;
        };
        SILVER: {
            msScrollbarShadowColor: string;
        };
        GRAY: {
            msScrollbarShadowColor: string;
        };
        WHITE: {
            msScrollbarShadowColor: string;
        };
        MAROON: {
            msScrollbarShadowColor: string;
        };
        RED: {
            msScrollbarShadowColor: string;
        };
        PURPLE: {
            msScrollbarShadowColor: string;
        };
        FUCHSIA: {
            msScrollbarShadowColor: string;
        };
        GREEN: {
            msScrollbarShadowColor: string;
        };
        LIME: {
            msScrollbarShadowColor: string;
        };
        OLIVE: {
            msScrollbarShadowColor: string;
        };
        YELLOW: {
            msScrollbarShadowColor: string;
        };
        NAVY: {
            msScrollbarShadowColor: string;
        };
        BLUE: {
            msScrollbarShadowColor: string;
        };
        TEAL: {
            msScrollbarShadowColor: string;
        };
        AQUA: {
            msScrollbarShadowColor: string;
        };
        CURRENTCOLOR: {
            msScrollbarShadowColor: string;
        };
        ACTIVEBORDER: {
            msScrollbarShadowColor: string;
        };
        ACTIVECAPTION: {
            msScrollbarShadowColor: string;
        };
        APPWORKSPACE: {
            msScrollbarShadowColor: string;
        };
        BACKGROUND: {
            msScrollbarShadowColor: string;
        };
        BUTTONFACE: {
            msScrollbarShadowColor: string;
        };
        BUTTONHIGHLIGHT: {
            msScrollbarShadowColor: string;
        };
        BUTTONSHADOW: {
            msScrollbarShadowColor: string;
        };
        BUTTONTEXT: {
            msScrollbarShadowColor: string;
        };
        CAPTIONTEXT: {
            msScrollbarShadowColor: string;
        };
        GRAYTEXT: {
            msScrollbarShadowColor: string;
        };
        HIGHLIGHT: {
            msScrollbarShadowColor: string;
        };
        HIGHLIGHTTEXT: {
            msScrollbarShadowColor: string;
        };
        INACTIVEBORDER: {
            msScrollbarShadowColor: string;
        };
        INACTIVECAPTION: {
            msScrollbarShadowColor: string;
        };
        INACTIVECAPTIONTEXT: {
            msScrollbarShadowColor: string;
        };
        INFOBACKGROUND: {
            msScrollbarShadowColor: string;
        };
        INFOTEXT: {
            msScrollbarShadowColor: string;
        };
        MENU: {
            msScrollbarShadowColor: string;
        };
        MENUTEXT: {
            msScrollbarShadowColor: string;
        };
        SCROLLBAR: {
            msScrollbarShadowColor: string;
        };
        THREEDDARKSHADOW: {
            msScrollbarShadowColor: string;
        };
        THREEDFACE: {
            msScrollbarShadowColor: string;
        };
        THREEDHIGHLIGHT: {
            msScrollbarShadowColor: string;
        };
        THREEDLIGHTSHADOW: {
            msScrollbarShadowColor: string;
        };
        THREEDSHADOW: {
            msScrollbarShadowColor: string;
        };
        WINDOW: {
            msScrollbarShadowColor: string;
        };
        WINDOWFRAME: {
            msScrollbarShadowColor: string;
        };
        WINDOWTEXT: {
            msScrollbarShadowColor: string;
        };
    };
    MsScrollbarTrackColor: {
        set: (...params: Param[]) => Sheet;
        rgb: (...params: Param[]) => Sheet;
        hex: (code: string) => Sheet;
        hexa: (code: string, alpha: number) => Sheet;
        rgba: (...params: Param[]) => Sheet;
        hsl: (...params: Param[]) => Sheet;
        hsla: (...params: Param[]) => Sheet;
        BLACK: {
            msScrollbarTrackColor: string;
        };
        SILVER: {
            msScrollbarTrackColor: string;
        };
        GRAY: {
            msScrollbarTrackColor: string;
        };
        WHITE: {
            msScrollbarTrackColor: string;
        };
        MAROON: {
            msScrollbarTrackColor: string;
        };
        RED: {
            msScrollbarTrackColor: string;
        };
        PURPLE: {
            msScrollbarTrackColor: string;
        };
        FUCHSIA: {
            msScrollbarTrackColor: string;
        };
        GREEN: {
            msScrollbarTrackColor: string;
        };
        LIME: {
            msScrollbarTrackColor: string;
        };
        OLIVE: {
            msScrollbarTrackColor: string;
        };
        YELLOW: {
            msScrollbarTrackColor: string;
        };
        NAVY: {
            msScrollbarTrackColor: string;
        };
        BLUE: {
            msScrollbarTrackColor: string;
        };
        TEAL: {
            msScrollbarTrackColor: string;
        };
        AQUA: {
            msScrollbarTrackColor: string;
        };
        CURRENTCOLOR: {
            msScrollbarTrackColor: string;
        };
        ACTIVEBORDER: {
            msScrollbarTrackColor: string;
        };
        ACTIVECAPTION: {
            msScrollbarTrackColor: string;
        };
        APPWORKSPACE: {
            msScrollbarTrackColor: string;
        };
        BACKGROUND: {
            msScrollbarTrackColor: string;
        };
        BUTTONFACE: {
            msScrollbarTrackColor: string;
        };
        BUTTONHIGHLIGHT: {
            msScrollbarTrackColor: string;
        };
        BUTTONSHADOW: {
            msScrollbarTrackColor: string;
        };
        BUTTONTEXT: {
            msScrollbarTrackColor: string;
        };
        CAPTIONTEXT: {
            msScrollbarTrackColor: string;
        };
        GRAYTEXT: {
            msScrollbarTrackColor: string;
        };
        HIGHLIGHT: {
            msScrollbarTrackColor: string;
        };
        HIGHLIGHTTEXT: {
            msScrollbarTrackColor: string;
        };
        INACTIVEBORDER: {
            msScrollbarTrackColor: string;
        };
        INACTIVECAPTION: {
            msScrollbarTrackColor: string;
        };
        INACTIVECAPTIONTEXT: {
            msScrollbarTrackColor: string;
        };
        INFOBACKGROUND: {
            msScrollbarTrackColor: string;
        };
        INFOTEXT: {
            msScrollbarTrackColor: string;
        };
        MENU: {
            msScrollbarTrackColor: string;
        };
        MENUTEXT: {
            msScrollbarTrackColor: string;
        };
        SCROLLBAR: {
            msScrollbarTrackColor: string;
        };
        THREEDDARKSHADOW: {
            msScrollbarTrackColor: string;
        };
        THREEDFACE: {
            msScrollbarTrackColor: string;
        };
        THREEDHIGHLIGHT: {
            msScrollbarTrackColor: string;
        };
        THREEDLIGHTSHADOW: {
            msScrollbarTrackColor: string;
        };
        THREEDSHADOW: {
            msScrollbarTrackColor: string;
        };
        WINDOW: {
            msScrollbarTrackColor: string;
        };
        WINDOWFRAME: {
            msScrollbarTrackColor: string;
        };
        WINDOWTEXT: {
            msScrollbarTrackColor: string;
        };
    };
    MsTextAutospace: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            msTextAutospace: string;
        };
        IDEOGRAPH_ALPHA: {
            msTextAutospace: string;
        };
        IDEOGRAPH_NUMERIC: {
            msTextAutospace: string;
        };
        IDEOGRAPH_PARENTHESIS: {
            msTextAutospace: string;
        };
        IDEOGRAPH_SPACE: {
            msTextAutospace: string;
        };
    };
    MsTouchSelect: {
        set: (...params: Param[]) => Sheet;
        GRIPPERS: {
            msTouchSelect: string;
        };
        NONE: {
            msTouchSelect: string;
        };
    };
    MsUserSelect: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            msUserSelect: string;
        };
        ELEMENT: {
            msUserSelect: string;
        };
        TEXT: {
            msUserSelect: string;
        };
    };
    MsWrapFlow: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            msWrapFlow: string;
        };
        BOTH: {
            msWrapFlow: string;
        };
        START: {
            msWrapFlow: string;
        };
        END: {
            msWrapFlow: string;
        };
        MAXIMUM: {
            msWrapFlow: string;
        };
        CLEAR: {
            msWrapFlow: string;
        };
    };
    MsWrapMargin: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
    };
    MsWrapThrough: {
        set: (...params: Param[]) => Sheet;
        WRAP: {
            msWrapThrough: string;
        };
        NONE: {
            msWrapThrough: string;
        };
    };
    ObjectFit: {
        set: (...params: Param[]) => Sheet;
        FILL: {
            objectFit: string;
        };
        CONTAIN: {
            objectFit: string;
        };
        COVER: {
            objectFit: string;
        };
        NONE: {
            objectFit: string;
        };
        SCALE_DOWN: {
            objectFit: string;
        };
    };
    ObjectPosition: {
        set: (...params: Param[]) => Sheet;
        LEFT: {
            objectPosition: string;
        };
        CENTER: {
            objectPosition: string;
        };
        RIGHT: {
            objectPosition: string;
        };
        TOP: {
            objectPosition: string;
        };
        BOTTOM: {
            objectPosition: string;
        };
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    OffsetPosition: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            offsetPosition: string;
        };
        LEFT: {
            offsetPosition: string;
        };
        CENTER: {
            offsetPosition: string;
        };
        RIGHT: {
            offsetPosition: string;
        };
        TOP: {
            offsetPosition: string;
        };
        BOTTOM: {
            offsetPosition: string;
        };
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    Opacity: {
        set: (...params: Param[]) => Sheet;
    };
    Order: {
        set: (...params: Param[]) => Sheet;
    };
    Orphans: {
        set: (...params: Param[]) => Sheet;
    };
    Outline: {
        set: (...params: Param[]) => Sheet;
        rgb: (...params: Param[]) => Sheet;
        hex: (code: string) => Sheet;
        hexa: (code: string, alpha: number) => Sheet;
        rgba: (...params: Param[]) => Sheet;
        hsl: (...params: Param[]) => Sheet;
        hsla: (...params: Param[]) => Sheet;
        BLACK: {
            outline: string;
        };
        SILVER: {
            outline: string;
        };
        GRAY: {
            outline: string;
        };
        WHITE: {
            outline: string;
        };
        MAROON: {
            outline: string;
        };
        RED: {
            outline: string;
        };
        PURPLE: {
            outline: string;
        };
        FUCHSIA: {
            outline: string;
        };
        GREEN: {
            outline: string;
        };
        LIME: {
            outline: string;
        };
        OLIVE: {
            outline: string;
        };
        YELLOW: {
            outline: string;
        };
        NAVY: {
            outline: string;
        };
        BLUE: {
            outline: string;
        };
        TEAL: {
            outline: string;
        };
        AQUA: {
            outline: string;
        };
        CURRENTCOLOR: {
            outline: string;
        };
        ACTIVEBORDER: {
            outline: string;
        };
        ACTIVECAPTION: {
            outline: string;
        };
        APPWORKSPACE: {
            outline: string;
        };
        BACKGROUND: {
            outline: string;
        };
        BUTTONFACE: {
            outline: string;
        };
        BUTTONHIGHLIGHT: {
            outline: string;
        };
        BUTTONSHADOW: {
            outline: string;
        };
        BUTTONTEXT: {
            outline: string;
        };
        CAPTIONTEXT: {
            outline: string;
        };
        GRAYTEXT: {
            outline: string;
        };
        HIGHLIGHT: {
            outline: string;
        };
        HIGHLIGHTTEXT: {
            outline: string;
        };
        INACTIVEBORDER: {
            outline: string;
        };
        INACTIVECAPTION: {
            outline: string;
        };
        INACTIVECAPTIONTEXT: {
            outline: string;
        };
        INFOBACKGROUND: {
            outline: string;
        };
        INFOTEXT: {
            outline: string;
        };
        MENU: {
            outline: string;
        };
        MENUTEXT: {
            outline: string;
        };
        SCROLLBAR: {
            outline: string;
        };
        THREEDDARKSHADOW: {
            outline: string;
        };
        THREEDFACE: {
            outline: string;
        };
        THREEDHIGHLIGHT: {
            outline: string;
        };
        THREEDLIGHTSHADOW: {
            outline: string;
        };
        THREEDSHADOW: {
            outline: string;
        };
        WINDOW: {
            outline: string;
        };
        WINDOWFRAME: {
            outline: string;
        };
        WINDOWTEXT: {
            outline: string;
        };
        INVERT: {
            outline: string;
        };
        AUTO: {
            outline: string;
        };
        NONE: {
            outline: string;
        };
        HIDDEN: {
            outline: string;
        };
        DOTTED: {
            outline: string;
        };
        DASHED: {
            outline: string;
        };
        SOLID: {
            outline: string;
        };
        DOUBLE: {
            outline: string;
        };
        GROOVE: {
            outline: string;
        };
        RIDGE: {
            outline: string;
        };
        INSET: {
            outline: string;
        };
        OUTSET: {
            outline: string;
        };
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        THIN: {
            outline: string;
        };
        MEDIUM: {
            outline: string;
        };
        THICK: {
            outline: string;
        };
    };
    OutlineColor: {
        set: (...params: Param[]) => Sheet;
        rgb: (...params: Param[]) => Sheet;
        hex: (code: string) => Sheet;
        hexa: (code: string, alpha: number) => Sheet;
        rgba: (...params: Param[]) => Sheet;
        hsl: (...params: Param[]) => Sheet;
        hsla: (...params: Param[]) => Sheet;
        BLACK: {
            outlineColor: string;
        };
        SILVER: {
            outlineColor: string;
        };
        GRAY: {
            outlineColor: string;
        };
        WHITE: {
            outlineColor: string;
        };
        MAROON: {
            outlineColor: string;
        };
        RED: {
            outlineColor: string;
        };
        PURPLE: {
            outlineColor: string;
        };
        FUCHSIA: {
            outlineColor: string;
        };
        GREEN: {
            outlineColor: string;
        };
        LIME: {
            outlineColor: string;
        };
        OLIVE: {
            outlineColor: string;
        };
        YELLOW: {
            outlineColor: string;
        };
        NAVY: {
            outlineColor: string;
        };
        BLUE: {
            outlineColor: string;
        };
        TEAL: {
            outlineColor: string;
        };
        AQUA: {
            outlineColor: string;
        };
        CURRENTCOLOR: {
            outlineColor: string;
        };
        ACTIVEBORDER: {
            outlineColor: string;
        };
        ACTIVECAPTION: {
            outlineColor: string;
        };
        APPWORKSPACE: {
            outlineColor: string;
        };
        BACKGROUND: {
            outlineColor: string;
        };
        BUTTONFACE: {
            outlineColor: string;
        };
        BUTTONHIGHLIGHT: {
            outlineColor: string;
        };
        BUTTONSHADOW: {
            outlineColor: string;
        };
        BUTTONTEXT: {
            outlineColor: string;
        };
        CAPTIONTEXT: {
            outlineColor: string;
        };
        GRAYTEXT: {
            outlineColor: string;
        };
        HIGHLIGHT: {
            outlineColor: string;
        };
        HIGHLIGHTTEXT: {
            outlineColor: string;
        };
        INACTIVEBORDER: {
            outlineColor: string;
        };
        INACTIVECAPTION: {
            outlineColor: string;
        };
        INACTIVECAPTIONTEXT: {
            outlineColor: string;
        };
        INFOBACKGROUND: {
            outlineColor: string;
        };
        INFOTEXT: {
            outlineColor: string;
        };
        MENU: {
            outlineColor: string;
        };
        MENUTEXT: {
            outlineColor: string;
        };
        SCROLLBAR: {
            outlineColor: string;
        };
        THREEDDARKSHADOW: {
            outlineColor: string;
        };
        THREEDFACE: {
            outlineColor: string;
        };
        THREEDHIGHLIGHT: {
            outlineColor: string;
        };
        THREEDLIGHTSHADOW: {
            outlineColor: string;
        };
        THREEDSHADOW: {
            outlineColor: string;
        };
        WINDOW: {
            outlineColor: string;
        };
        WINDOWFRAME: {
            outlineColor: string;
        };
        WINDOWTEXT: {
            outlineColor: string;
        };
        INVERT: {
            outlineColor: string;
        };
    };
    OutlineOffset: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
    };
    OutlineStyle: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            outlineStyle: string;
        };
        NONE: {
            outlineStyle: string;
        };
        HIDDEN: {
            outlineStyle: string;
        };
        DOTTED: {
            outlineStyle: string;
        };
        DASHED: {
            outlineStyle: string;
        };
        SOLID: {
            outlineStyle: string;
        };
        DOUBLE: {
            outlineStyle: string;
        };
        GROOVE: {
            outlineStyle: string;
        };
        RIDGE: {
            outlineStyle: string;
        };
        INSET: {
            outlineStyle: string;
        };
        OUTSET: {
            outlineStyle: string;
        };
    };
    OutlineWidth: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        THIN: {
            outlineWidth: string;
        };
        MEDIUM: {
            outlineWidth: string;
        };
        THICK: {
            outlineWidth: string;
        };
    };
    Overflow: {
        set: (...params: Param[]) => Sheet;
        VISIBLE: {
            overflow: string;
        };
        HIDDEN: {
            overflow: string;
        };
        CLIP: {
            overflow: string;
        };
        SCROLL: {
            overflow: string;
        };
        AUTO: {
            overflow: string;
        };
    };
    OverflowAnchor: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            overflowAnchor: string;
        };
        NONE: {
            overflowAnchor: string;
        };
    };
    OverflowBlock: {
        set: (...params: Param[]) => Sheet;
        VISIBLE: {
            overflowBlock: string;
        };
        HIDDEN: {
            overflowBlock: string;
        };
        CLIP: {
            overflowBlock: string;
        };
        SCROLL: {
            overflowBlock: string;
        };
        AUTO: {
            overflowBlock: string;
        };
    };
    OverflowClipBox: {
        set: (...params: Param[]) => Sheet;
        PADDING_BOX: {
            overflowClipBox: string;
        };
        CONTENT_BOX: {
            overflowClipBox: string;
        };
    };
    OverflowInline: {
        set: (...params: Param[]) => Sheet;
        VISIBLE: {
            overflowInline: string;
        };
        HIDDEN: {
            overflowInline: string;
        };
        CLIP: {
            overflowInline: string;
        };
        SCROLL: {
            overflowInline: string;
        };
        AUTO: {
            overflowInline: string;
        };
    };
    OverflowWrap: {
        set: (...params: Param[]) => Sheet;
        NORMAL: {
            overflowWrap: string;
        };
        BREAK_WORD: {
            overflowWrap: string;
        };
    };
    OverflowX: {
        set: (...params: Param[]) => Sheet;
        VISIBLE: {
            overflowX: string;
        };
        HIDDEN: {
            overflowX: string;
        };
        CLIP: {
            overflowX: string;
        };
        SCROLL: {
            overflowX: string;
        };
        AUTO: {
            overflowX: string;
        };
    };
    OverflowY: {
        set: (...params: Param[]) => Sheet;
        VISIBLE: {
            overflowY: string;
        };
        HIDDEN: {
            overflowY: string;
        };
        CLIP: {
            overflowY: string;
        };
        SCROLL: {
            overflowY: string;
        };
        AUTO: {
            overflowY: string;
        };
    };
    OverscrollBehavior: {
        set: (...params: Param[]) => Sheet;
        CONTAIN: {
            overscrollBehavior: string;
        };
        NONE: {
            overscrollBehavior: string;
        };
        AUTO: {
            overscrollBehavior: string;
        };
    };
    OverscrollBehaviorX: {
        set: (...params: Param[]) => Sheet;
        CONTAIN: {
            overscrollBehaviorX: string;
        };
        NONE: {
            overscrollBehaviorX: string;
        };
        AUTO: {
            overscrollBehaviorX: string;
        };
    };
    OverscrollBehaviorY: {
        set: (...params: Param[]) => Sheet;
        CONTAIN: {
            overscrollBehaviorY: string;
        };
        NONE: {
            overscrollBehaviorY: string;
        };
        AUTO: {
            overscrollBehaviorY: string;
        };
    };
    Padding: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    PaddingBlockEnd: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    PaddingBlockStart: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    PaddingBottom: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    PaddingInlineEnd: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    PaddingInlineStart: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    PaddingLeft: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    PaddingRight: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    PaddingTop: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    PageBreakAfter: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            pageBreakAfter: string;
        };
        ALWAYS: {
            pageBreakAfter: string;
        };
        AVOID: {
            pageBreakAfter: string;
        };
        LEFT: {
            pageBreakAfter: string;
        };
        RIGHT: {
            pageBreakAfter: string;
        };
        RECTO: {
            pageBreakAfter: string;
        };
        VERSO: {
            pageBreakAfter: string;
        };
    };
    PageBreakBefore: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            pageBreakBefore: string;
        };
        ALWAYS: {
            pageBreakBefore: string;
        };
        AVOID: {
            pageBreakBefore: string;
        };
        LEFT: {
            pageBreakBefore: string;
        };
        RIGHT: {
            pageBreakBefore: string;
        };
        RECTO: {
            pageBreakBefore: string;
        };
        VERSO: {
            pageBreakBefore: string;
        };
    };
    PageBreakInside: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            pageBreakInside: string;
        };
        AVOID: {
            pageBreakInside: string;
        };
    };
    PaintOrder: {
        set: (...params: Param[]) => Sheet;
        NORMAL: {
            paintOrder: string;
        };
        FILL: {
            paintOrder: string;
        };
        STROKE: {
            paintOrder: string;
        };
        MARKERS: {
            paintOrder: string;
        };
    };
    Perspective: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            perspective: string;
        };
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
    };
    PerspectiveOrigin: {
        set: (...params: Param[]) => Sheet;
        LEFT: {
            perspectiveOrigin: string;
        };
        CENTER: {
            perspectiveOrigin: string;
        };
        RIGHT: {
            perspectiveOrigin: string;
        };
        TOP: {
            perspectiveOrigin: string;
        };
        BOTTOM: {
            perspectiveOrigin: string;
        };
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    PlaceContent: {
        set: (...params: Param[]) => Sheet;
        NORMAL: {
            placeContent: string;
        };
        FIRST: {
            placeContent: string;
        };
        LAST: {
            placeContent: string;
        };
        BASELINE: {
            placeContent: string;
        };
        SPACE_BETWEEN: {
            placeContent: string;
        };
        SPACE_AROUND: {
            placeContent: string;
        };
        SPACE_EVENLY: {
            placeContent: string;
        };
        STRETCH: {
            placeContent: string;
        };
        UNSAFE: {
            placeContent: string;
        };
        SAFE: {
            placeContent: string;
        };
        CENTER: {
            placeContent: string;
        };
        START: {
            placeContent: string;
        };
        END: {
            placeContent: string;
        };
        FLEX_START: {
            placeContent: string;
        };
        FLEX_END: {
            placeContent: string;
        };
        LEFT: {
            placeContent: string;
        };
        RIGHT: {
            placeContent: string;
        };
    };
    PlaceItems: {
        set: (...params: Param[]) => Sheet;
        NORMAL: {
            placeItems: string;
        };
        STRETCH: {
            placeItems: string;
        };
        FIRST: {
            placeItems: string;
        };
        LAST: {
            placeItems: string;
        };
        BASELINE: {
            placeItems: string;
        };
        UNSAFE: {
            placeItems: string;
        };
        SAFE: {
            placeItems: string;
        };
        CENTER: {
            placeItems: string;
        };
        START: {
            placeItems: string;
        };
        END: {
            placeItems: string;
        };
        SELF_START: {
            placeItems: string;
        };
        SELF_END: {
            placeItems: string;
        };
        FLEX_START: {
            placeItems: string;
        };
        FLEX_END: {
            placeItems: string;
        };
        LEFT: {
            placeItems: string;
        };
        RIGHT: {
            placeItems: string;
        };
        LEGACY: {
            placeItems: string;
        };
    };
    PointerEvents: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            pointerEvents: string;
        };
        NONE: {
            pointerEvents: string;
        };
        VISIBLEPAINTED: {
            pointerEvents: string;
        };
        VISIBLEFILL: {
            pointerEvents: string;
        };
        VISIBLESTROKE: {
            pointerEvents: string;
        };
        VISIBLE: {
            pointerEvents: string;
        };
        PAINTED: {
            pointerEvents: string;
        };
        FILL: {
            pointerEvents: string;
        };
        STROKE: {
            pointerEvents: string;
        };
        ALL: {
            pointerEvents: string;
        };
        INHERIT: {
            pointerEvents: string;
        };
    };
    Position: {
        set: (...params: Param[]) => Sheet;
        STATIC: {
            position: string;
        };
        RELATIVE: {
            position: string;
        };
        ABSOLUTE: {
            position: string;
        };
        STICKY: {
            position: string;
        };
        FIXED: {
            position: string;
        };
    };
    Quotes: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            quotes: string;
        };
    };
    Resize: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            resize: string;
        };
        BOTH: {
            resize: string;
        };
        HORIZONTAL: {
            resize: string;
        };
        VERTICAL: {
            resize: string;
        };
        BLOCK: {
            resize: string;
        };
        INLINE: {
            resize: string;
        };
    };
    Right: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        AUTO: {
            right: string;
        };
    };
    Rotate: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            rotate: string;
        };
        X: {
            rotate: string;
        };
        Y: {
            rotate: string;
        };
        Z: {
            rotate: string;
        };
        deg: (...nums: number[]) => Sheet;
        rad: (...nums: number[]) => Sheet;
        grad: (...nums: number[]) => Sheet;
        turn: (...nums: number[]) => Sheet;
    };
    RowGap: {
        set: (...params: Param[]) => Sheet;
        NORMAL: {
            rowGap: string;
        };
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    RubyAlign: {
        set: (...params: Param[]) => Sheet;
        START: {
            rubyAlign: string;
        };
        CENTER: {
            rubyAlign: string;
        };
        SPACE_BETWEEN: {
            rubyAlign: string;
        };
        SPACE_AROUND: {
            rubyAlign: string;
        };
    };
    RubyMerge: {
        set: (...params: Param[]) => Sheet;
        SEPARATE: {
            rubyMerge: string;
        };
        COLLAPSE: {
            rubyMerge: string;
        };
        AUTO: {
            rubyMerge: string;
        };
    };
    RubyPosition: {
        set: (...params: Param[]) => Sheet;
        OVER: {
            rubyPosition: string;
        };
        UNDER: {
            rubyPosition: string;
        };
        INTER_CHARACTER: {
            rubyPosition: string;
        };
    };
    Scale: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            scale: string;
        };
    };
    ScrollBehavior: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            scrollBehavior: string;
        };
        SMOOTH: {
            scrollBehavior: string;
        };
    };
    ScrollSnapCoordinate: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            scrollSnapCoordinate: string;
        };
        LEFT: {
            scrollSnapCoordinate: string;
        };
        CENTER: {
            scrollSnapCoordinate: string;
        };
        RIGHT: {
            scrollSnapCoordinate: string;
        };
        TOP: {
            scrollSnapCoordinate: string;
        };
        BOTTOM: {
            scrollSnapCoordinate: string;
        };
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    ScrollSnapDestination: {
        set: (...params: Param[]) => Sheet;
        LEFT: {
            scrollSnapDestination: string;
        };
        CENTER: {
            scrollSnapDestination: string;
        };
        RIGHT: {
            scrollSnapDestination: string;
        };
        TOP: {
            scrollSnapDestination: string;
        };
        BOTTOM: {
            scrollSnapDestination: string;
        };
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    ScrollSnapPointsX: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            scrollSnapPointsX: string;
        };
        repeat: (...params: Param[]) => Sheet;
    };
    ScrollSnapPointsY: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            scrollSnapPointsY: string;
        };
        repeat: (...params: Param[]) => Sheet;
    };
    ScrollSnapType: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            scrollSnapType: string;
        };
        MANDATORY: {
            scrollSnapType: string;
        };
        PROXIMITY: {
            scrollSnapType: string;
        };
    };
    ScrollSnapTypeX: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            scrollSnapTypeX: string;
        };
        MANDATORY: {
            scrollSnapTypeX: string;
        };
        PROXIMITY: {
            scrollSnapTypeX: string;
        };
    };
    ScrollSnapTypeY: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            scrollSnapTypeY: string;
        };
        MANDATORY: {
            scrollSnapTypeY: string;
        };
        PROXIMITY: {
            scrollSnapTypeY: string;
        };
    };
    ShapeImageThreshold: {
        set: (...params: Param[]) => Sheet;
    };
    ShapeMargin: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    ShapeOutside: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            shapeOutside: string;
        };
        BORDER_BOX: {
            shapeOutside: string;
        };
        PADDING_BOX: {
            shapeOutside: string;
        };
        CONTENT_BOX: {
            shapeOutside: string;
        };
        MARGIN_BOX: {
            shapeOutside: string;
        };
        inset: (...params: Param[]) => Sheet;
        circle: (...params: Param[]) => Sheet;
        ellipse: (...params: Param[]) => Sheet;
        polygon: (...params: Param[]) => Sheet;
        image: (...params: Param[]) => Sheet;
        imageSet: (...params: Param[]) => Sheet;
        element: (...params: Param[]) => Sheet;
        crossFade: (...params: Param[]) => Sheet;
        linearGradient: (...params: Param[]) => Sheet;
        repeatingLinearGradient: (...params: Param[]) => Sheet;
        radialGradient: (...params: Param[]) => Sheet;
        repeatingRadialGradient: (...params: Param[]) => Sheet;
    };
    TabSize: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
    };
    TableLayout: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            tableLayout: string;
        };
        FIXED: {
            tableLayout: string;
        };
    };
    TextAlign: {
        set: (...params: Param[]) => Sheet;
        START: {
            textAlign: string;
        };
        END: {
            textAlign: string;
        };
        LEFT: {
            textAlign: string;
        };
        RIGHT: {
            textAlign: string;
        };
        CENTER: {
            textAlign: string;
        };
        JUSTIFY: {
            textAlign: string;
        };
        MATCH_PARENT: {
            textAlign: string;
        };
    };
    TextAlignLast: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            textAlignLast: string;
        };
        START: {
            textAlignLast: string;
        };
        END: {
            textAlignLast: string;
        };
        LEFT: {
            textAlignLast: string;
        };
        RIGHT: {
            textAlignLast: string;
        };
        CENTER: {
            textAlignLast: string;
        };
        JUSTIFY: {
            textAlignLast: string;
        };
    };
    TextCombineUpright: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            textCombineUpright: string;
        };
        ALL: {
            textCombineUpright: string;
        };
        DIGITS: {
            textCombineUpright: string;
        };
    };
    TextDecoration: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            textDecoration: string;
        };
        UNDERLINE: {
            textDecoration: string;
        };
        OVERLINE: {
            textDecoration: string;
        };
        LINE_THROUGH: {
            textDecoration: string;
        };
        BLINK: {
            textDecoration: string;
        };
        SOLID: {
            textDecoration: string;
        };
        DOUBLE: {
            textDecoration: string;
        };
        DOTTED: {
            textDecoration: string;
        };
        DASHED: {
            textDecoration: string;
        };
        WAVY: {
            textDecoration: string;
        };
        rgb: (...params: Param[]) => Sheet;
        hex: (code: string) => Sheet;
        hexa: (code: string, alpha: number) => Sheet;
        rgba: (...params: Param[]) => Sheet;
        hsl: (...params: Param[]) => Sheet;
        hsla: (...params: Param[]) => Sheet;
        BLACK: {
            textDecoration: string;
        };
        SILVER: {
            textDecoration: string;
        };
        GRAY: {
            textDecoration: string;
        };
        WHITE: {
            textDecoration: string;
        };
        MAROON: {
            textDecoration: string;
        };
        RED: {
            textDecoration: string;
        };
        PURPLE: {
            textDecoration: string;
        };
        FUCHSIA: {
            textDecoration: string;
        };
        GREEN: {
            textDecoration: string;
        };
        LIME: {
            textDecoration: string;
        };
        OLIVE: {
            textDecoration: string;
        };
        YELLOW: {
            textDecoration: string;
        };
        NAVY: {
            textDecoration: string;
        };
        BLUE: {
            textDecoration: string;
        };
        TEAL: {
            textDecoration: string;
        };
        AQUA: {
            textDecoration: string;
        };
        CURRENTCOLOR: {
            textDecoration: string;
        };
        ACTIVEBORDER: {
            textDecoration: string;
        };
        ACTIVECAPTION: {
            textDecoration: string;
        };
        APPWORKSPACE: {
            textDecoration: string;
        };
        BACKGROUND: {
            textDecoration: string;
        };
        BUTTONFACE: {
            textDecoration: string;
        };
        BUTTONHIGHLIGHT: {
            textDecoration: string;
        };
        BUTTONSHADOW: {
            textDecoration: string;
        };
        BUTTONTEXT: {
            textDecoration: string;
        };
        CAPTIONTEXT: {
            textDecoration: string;
        };
        GRAYTEXT: {
            textDecoration: string;
        };
        HIGHLIGHT: {
            textDecoration: string;
        };
        HIGHLIGHTTEXT: {
            textDecoration: string;
        };
        INACTIVEBORDER: {
            textDecoration: string;
        };
        INACTIVECAPTION: {
            textDecoration: string;
        };
        INACTIVECAPTIONTEXT: {
            textDecoration: string;
        };
        INFOBACKGROUND: {
            textDecoration: string;
        };
        INFOTEXT: {
            textDecoration: string;
        };
        MENU: {
            textDecoration: string;
        };
        MENUTEXT: {
            textDecoration: string;
        };
        SCROLLBAR: {
            textDecoration: string;
        };
        THREEDDARKSHADOW: {
            textDecoration: string;
        };
        THREEDFACE: {
            textDecoration: string;
        };
        THREEDHIGHLIGHT: {
            textDecoration: string;
        };
        THREEDLIGHTSHADOW: {
            textDecoration: string;
        };
        THREEDSHADOW: {
            textDecoration: string;
        };
        WINDOW: {
            textDecoration: string;
        };
        WINDOWFRAME: {
            textDecoration: string;
        };
        WINDOWTEXT: {
            textDecoration: string;
        };
    };
    TextDecorationColor: {
        set: (...params: Param[]) => Sheet;
        rgb: (...params: Param[]) => Sheet;
        hex: (code: string) => Sheet;
        hexa: (code: string, alpha: number) => Sheet;
        rgba: (...params: Param[]) => Sheet;
        hsl: (...params: Param[]) => Sheet;
        hsla: (...params: Param[]) => Sheet;
        BLACK: {
            textDecorationColor: string;
        };
        SILVER: {
            textDecorationColor: string;
        };
        GRAY: {
            textDecorationColor: string;
        };
        WHITE: {
            textDecorationColor: string;
        };
        MAROON: {
            textDecorationColor: string;
        };
        RED: {
            textDecorationColor: string;
        };
        PURPLE: {
            textDecorationColor: string;
        };
        FUCHSIA: {
            textDecorationColor: string;
        };
        GREEN: {
            textDecorationColor: string;
        };
        LIME: {
            textDecorationColor: string;
        };
        OLIVE: {
            textDecorationColor: string;
        };
        YELLOW: {
            textDecorationColor: string;
        };
        NAVY: {
            textDecorationColor: string;
        };
        BLUE: {
            textDecorationColor: string;
        };
        TEAL: {
            textDecorationColor: string;
        };
        AQUA: {
            textDecorationColor: string;
        };
        CURRENTCOLOR: {
            textDecorationColor: string;
        };
        ACTIVEBORDER: {
            textDecorationColor: string;
        };
        ACTIVECAPTION: {
            textDecorationColor: string;
        };
        APPWORKSPACE: {
            textDecorationColor: string;
        };
        BACKGROUND: {
            textDecorationColor: string;
        };
        BUTTONFACE: {
            textDecorationColor: string;
        };
        BUTTONHIGHLIGHT: {
            textDecorationColor: string;
        };
        BUTTONSHADOW: {
            textDecorationColor: string;
        };
        BUTTONTEXT: {
            textDecorationColor: string;
        };
        CAPTIONTEXT: {
            textDecorationColor: string;
        };
        GRAYTEXT: {
            textDecorationColor: string;
        };
        HIGHLIGHT: {
            textDecorationColor: string;
        };
        HIGHLIGHTTEXT: {
            textDecorationColor: string;
        };
        INACTIVEBORDER: {
            textDecorationColor: string;
        };
        INACTIVECAPTION: {
            textDecorationColor: string;
        };
        INACTIVECAPTIONTEXT: {
            textDecorationColor: string;
        };
        INFOBACKGROUND: {
            textDecorationColor: string;
        };
        INFOTEXT: {
            textDecorationColor: string;
        };
        MENU: {
            textDecorationColor: string;
        };
        MENUTEXT: {
            textDecorationColor: string;
        };
        SCROLLBAR: {
            textDecorationColor: string;
        };
        THREEDDARKSHADOW: {
            textDecorationColor: string;
        };
        THREEDFACE: {
            textDecorationColor: string;
        };
        THREEDHIGHLIGHT: {
            textDecorationColor: string;
        };
        THREEDLIGHTSHADOW: {
            textDecorationColor: string;
        };
        THREEDSHADOW: {
            textDecorationColor: string;
        };
        WINDOW: {
            textDecorationColor: string;
        };
        WINDOWFRAME: {
            textDecorationColor: string;
        };
        WINDOWTEXT: {
            textDecorationColor: string;
        };
    };
    TextDecorationLine: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            textDecorationLine: string;
        };
        UNDERLINE: {
            textDecorationLine: string;
        };
        OVERLINE: {
            textDecorationLine: string;
        };
        LINE_THROUGH: {
            textDecorationLine: string;
        };
        BLINK: {
            textDecorationLine: string;
        };
    };
    TextDecorationSkip: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            textDecorationSkip: string;
        };
        OBJECTS: {
            textDecorationSkip: string;
        };
        SPACES: {
            textDecorationSkip: string;
        };
        LEADING_SPACES: {
            textDecorationSkip: string;
        };
        TRAILING_SPACES: {
            textDecorationSkip: string;
        };
        EDGES: {
            textDecorationSkip: string;
        };
        BOX_DECORATION: {
            textDecorationSkip: string;
        };
    };
    TextDecorationSkipInk: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            textDecorationSkipInk: string;
        };
        NONE: {
            textDecorationSkipInk: string;
        };
    };
    TextDecorationStyle: {
        set: (...params: Param[]) => Sheet;
        SOLID: {
            textDecorationStyle: string;
        };
        DOUBLE: {
            textDecorationStyle: string;
        };
        DOTTED: {
            textDecorationStyle: string;
        };
        DASHED: {
            textDecorationStyle: string;
        };
        WAVY: {
            textDecorationStyle: string;
        };
    };
    TextEmphasis: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            textEmphasis: string;
        };
        FILLED: {
            textEmphasis: string;
        };
        OPEN: {
            textEmphasis: string;
        };
        DOT: {
            textEmphasis: string;
        };
        CIRCLE: {
            textEmphasis: string;
        };
        DOUBLE_CIRCLE: {
            textEmphasis: string;
        };
        TRIANGLE: {
            textEmphasis: string;
        };
        SESAME: {
            textEmphasis: string;
        };
        rgb: (...params: Param[]) => Sheet;
        hex: (code: string) => Sheet;
        hexa: (code: string, alpha: number) => Sheet;
        rgba: (...params: Param[]) => Sheet;
        hsl: (...params: Param[]) => Sheet;
        hsla: (...params: Param[]) => Sheet;
        BLACK: {
            textEmphasis: string;
        };
        SILVER: {
            textEmphasis: string;
        };
        GRAY: {
            textEmphasis: string;
        };
        WHITE: {
            textEmphasis: string;
        };
        MAROON: {
            textEmphasis: string;
        };
        RED: {
            textEmphasis: string;
        };
        PURPLE: {
            textEmphasis: string;
        };
        FUCHSIA: {
            textEmphasis: string;
        };
        GREEN: {
            textEmphasis: string;
        };
        LIME: {
            textEmphasis: string;
        };
        OLIVE: {
            textEmphasis: string;
        };
        YELLOW: {
            textEmphasis: string;
        };
        NAVY: {
            textEmphasis: string;
        };
        BLUE: {
            textEmphasis: string;
        };
        TEAL: {
            textEmphasis: string;
        };
        AQUA: {
            textEmphasis: string;
        };
        CURRENTCOLOR: {
            textEmphasis: string;
        };
        ACTIVEBORDER: {
            textEmphasis: string;
        };
        ACTIVECAPTION: {
            textEmphasis: string;
        };
        APPWORKSPACE: {
            textEmphasis: string;
        };
        BACKGROUND: {
            textEmphasis: string;
        };
        BUTTONFACE: {
            textEmphasis: string;
        };
        BUTTONHIGHLIGHT: {
            textEmphasis: string;
        };
        BUTTONSHADOW: {
            textEmphasis: string;
        };
        BUTTONTEXT: {
            textEmphasis: string;
        };
        CAPTIONTEXT: {
            textEmphasis: string;
        };
        GRAYTEXT: {
            textEmphasis: string;
        };
        HIGHLIGHT: {
            textEmphasis: string;
        };
        HIGHLIGHTTEXT: {
            textEmphasis: string;
        };
        INACTIVEBORDER: {
            textEmphasis: string;
        };
        INACTIVECAPTION: {
            textEmphasis: string;
        };
        INACTIVECAPTIONTEXT: {
            textEmphasis: string;
        };
        INFOBACKGROUND: {
            textEmphasis: string;
        };
        INFOTEXT: {
            textEmphasis: string;
        };
        MENU: {
            textEmphasis: string;
        };
        MENUTEXT: {
            textEmphasis: string;
        };
        SCROLLBAR: {
            textEmphasis: string;
        };
        THREEDDARKSHADOW: {
            textEmphasis: string;
        };
        THREEDFACE: {
            textEmphasis: string;
        };
        THREEDHIGHLIGHT: {
            textEmphasis: string;
        };
        THREEDLIGHTSHADOW: {
            textEmphasis: string;
        };
        THREEDSHADOW: {
            textEmphasis: string;
        };
        WINDOW: {
            textEmphasis: string;
        };
        WINDOWFRAME: {
            textEmphasis: string;
        };
        WINDOWTEXT: {
            textEmphasis: string;
        };
    };
    TextEmphasisColor: {
        set: (...params: Param[]) => Sheet;
        rgb: (...params: Param[]) => Sheet;
        hex: (code: string) => Sheet;
        hexa: (code: string, alpha: number) => Sheet;
        rgba: (...params: Param[]) => Sheet;
        hsl: (...params: Param[]) => Sheet;
        hsla: (...params: Param[]) => Sheet;
        BLACK: {
            textEmphasisColor: string;
        };
        SILVER: {
            textEmphasisColor: string;
        };
        GRAY: {
            textEmphasisColor: string;
        };
        WHITE: {
            textEmphasisColor: string;
        };
        MAROON: {
            textEmphasisColor: string;
        };
        RED: {
            textEmphasisColor: string;
        };
        PURPLE: {
            textEmphasisColor: string;
        };
        FUCHSIA: {
            textEmphasisColor: string;
        };
        GREEN: {
            textEmphasisColor: string;
        };
        LIME: {
            textEmphasisColor: string;
        };
        OLIVE: {
            textEmphasisColor: string;
        };
        YELLOW: {
            textEmphasisColor: string;
        };
        NAVY: {
            textEmphasisColor: string;
        };
        BLUE: {
            textEmphasisColor: string;
        };
        TEAL: {
            textEmphasisColor: string;
        };
        AQUA: {
            textEmphasisColor: string;
        };
        CURRENTCOLOR: {
            textEmphasisColor: string;
        };
        ACTIVEBORDER: {
            textEmphasisColor: string;
        };
        ACTIVECAPTION: {
            textEmphasisColor: string;
        };
        APPWORKSPACE: {
            textEmphasisColor: string;
        };
        BACKGROUND: {
            textEmphasisColor: string;
        };
        BUTTONFACE: {
            textEmphasisColor: string;
        };
        BUTTONHIGHLIGHT: {
            textEmphasisColor: string;
        };
        BUTTONSHADOW: {
            textEmphasisColor: string;
        };
        BUTTONTEXT: {
            textEmphasisColor: string;
        };
        CAPTIONTEXT: {
            textEmphasisColor: string;
        };
        GRAYTEXT: {
            textEmphasisColor: string;
        };
        HIGHLIGHT: {
            textEmphasisColor: string;
        };
        HIGHLIGHTTEXT: {
            textEmphasisColor: string;
        };
        INACTIVEBORDER: {
            textEmphasisColor: string;
        };
        INACTIVECAPTION: {
            textEmphasisColor: string;
        };
        INACTIVECAPTIONTEXT: {
            textEmphasisColor: string;
        };
        INFOBACKGROUND: {
            textEmphasisColor: string;
        };
        INFOTEXT: {
            textEmphasisColor: string;
        };
        MENU: {
            textEmphasisColor: string;
        };
        MENUTEXT: {
            textEmphasisColor: string;
        };
        SCROLLBAR: {
            textEmphasisColor: string;
        };
        THREEDDARKSHADOW: {
            textEmphasisColor: string;
        };
        THREEDFACE: {
            textEmphasisColor: string;
        };
        THREEDHIGHLIGHT: {
            textEmphasisColor: string;
        };
        THREEDLIGHTSHADOW: {
            textEmphasisColor: string;
        };
        THREEDSHADOW: {
            textEmphasisColor: string;
        };
        WINDOW: {
            textEmphasisColor: string;
        };
        WINDOWFRAME: {
            textEmphasisColor: string;
        };
        WINDOWTEXT: {
            textEmphasisColor: string;
        };
    };
    TextEmphasisPosition: {
        set: (...params: Param[]) => Sheet;
        OVER: {
            textEmphasisPosition: string;
        };
        UNDER: {
            textEmphasisPosition: string;
        };
        RIGHT: {
            textEmphasisPosition: string;
        };
        LEFT: {
            textEmphasisPosition: string;
        };
    };
    TextEmphasisStyle: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            textEmphasisStyle: string;
        };
        FILLED: {
            textEmphasisStyle: string;
        };
        OPEN: {
            textEmphasisStyle: string;
        };
        DOT: {
            textEmphasisStyle: string;
        };
        CIRCLE: {
            textEmphasisStyle: string;
        };
        DOUBLE_CIRCLE: {
            textEmphasisStyle: string;
        };
        TRIANGLE: {
            textEmphasisStyle: string;
        };
        SESAME: {
            textEmphasisStyle: string;
        };
    };
    TextIndent: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        HANGING: {
            textIndent: string;
        };
        EACH_LINE: {
            textIndent: string;
        };
    };
    TextJustify: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            textJustify: string;
        };
        INTER_CHARACTER: {
            textJustify: string;
        };
        INTER_WORD: {
            textJustify: string;
        };
        NONE: {
            textJustify: string;
        };
    };
    TextOrientation: {
        set: (...params: Param[]) => Sheet;
        MIXED: {
            textOrientation: string;
        };
        UPRIGHT: {
            textOrientation: string;
        };
        SIDEWAYS: {
            textOrientation: string;
        };
    };
    TextOverflow: {
        set: (...params: Param[]) => Sheet;
        CLIP: {
            textOverflow: string;
        };
        ELLIPSIS: {
            textOverflow: string;
        };
    };
    TextRendering: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            textRendering: string;
        };
        OPTIMIZESPEED: {
            textRendering: string;
        };
        OPTIMIZELEGIBILITY: {
            textRendering: string;
        };
        GEOMETRICPRECISION: {
            textRendering: string;
        };
    };
    TextShadow: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            textShadow: string;
        };
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        rgb: (...params: Param[]) => Sheet;
        hex: (code: string) => Sheet;
        hexa: (code: string, alpha: number) => Sheet;
        rgba: (...params: Param[]) => Sheet;
        hsl: (...params: Param[]) => Sheet;
        hsla: (...params: Param[]) => Sheet;
        BLACK: {
            textShadow: string;
        };
        SILVER: {
            textShadow: string;
        };
        GRAY: {
            textShadow: string;
        };
        WHITE: {
            textShadow: string;
        };
        MAROON: {
            textShadow: string;
        };
        RED: {
            textShadow: string;
        };
        PURPLE: {
            textShadow: string;
        };
        FUCHSIA: {
            textShadow: string;
        };
        GREEN: {
            textShadow: string;
        };
        LIME: {
            textShadow: string;
        };
        OLIVE: {
            textShadow: string;
        };
        YELLOW: {
            textShadow: string;
        };
        NAVY: {
            textShadow: string;
        };
        BLUE: {
            textShadow: string;
        };
        TEAL: {
            textShadow: string;
        };
        AQUA: {
            textShadow: string;
        };
        CURRENTCOLOR: {
            textShadow: string;
        };
        ACTIVEBORDER: {
            textShadow: string;
        };
        ACTIVECAPTION: {
            textShadow: string;
        };
        APPWORKSPACE: {
            textShadow: string;
        };
        BACKGROUND: {
            textShadow: string;
        };
        BUTTONFACE: {
            textShadow: string;
        };
        BUTTONHIGHLIGHT: {
            textShadow: string;
        };
        BUTTONSHADOW: {
            textShadow: string;
        };
        BUTTONTEXT: {
            textShadow: string;
        };
        CAPTIONTEXT: {
            textShadow: string;
        };
        GRAYTEXT: {
            textShadow: string;
        };
        HIGHLIGHT: {
            textShadow: string;
        };
        HIGHLIGHTTEXT: {
            textShadow: string;
        };
        INACTIVEBORDER: {
            textShadow: string;
        };
        INACTIVECAPTION: {
            textShadow: string;
        };
        INACTIVECAPTIONTEXT: {
            textShadow: string;
        };
        INFOBACKGROUND: {
            textShadow: string;
        };
        INFOTEXT: {
            textShadow: string;
        };
        MENU: {
            textShadow: string;
        };
        MENUTEXT: {
            textShadow: string;
        };
        SCROLLBAR: {
            textShadow: string;
        };
        THREEDDARKSHADOW: {
            textShadow: string;
        };
        THREEDFACE: {
            textShadow: string;
        };
        THREEDHIGHLIGHT: {
            textShadow: string;
        };
        THREEDLIGHTSHADOW: {
            textShadow: string;
        };
        THREEDSHADOW: {
            textShadow: string;
        };
        WINDOW: {
            textShadow: string;
        };
        WINDOWFRAME: {
            textShadow: string;
        };
        WINDOWTEXT: {
            textShadow: string;
        };
    };
    TextSizeAdjust: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            textSizeAdjust: string;
        };
        AUTO: {
            textSizeAdjust: string;
        };
        X: (...nums: number[]) => Sheet;
    };
    TextTransform: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            textTransform: string;
        };
        CAPITALIZE: {
            textTransform: string;
        };
        UPPERCASE: {
            textTransform: string;
        };
        LOWERCASE: {
            textTransform: string;
        };
        FULL_WIDTH: {
            textTransform: string;
        };
    };
    TextUnderlinePosition: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            textUnderlinePosition: string;
        };
        UNDER: {
            textUnderlinePosition: string;
        };
        LEFT: {
            textUnderlinePosition: string;
        };
        RIGHT: {
            textUnderlinePosition: string;
        };
    };
    Top: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        AUTO: {
            top: string;
        };
    };
    TouchAction: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            touchAction: string;
        };
        NONE: {
            touchAction: string;
        };
        PAN_X: {
            touchAction: string;
        };
        PAN_LEFT: {
            touchAction: string;
        };
        PAN_RIGHT: {
            touchAction: string;
        };
        PAN_Y: {
            touchAction: string;
        };
        PAN_UP: {
            touchAction: string;
        };
        PAN_DOWN: {
            touchAction: string;
        };
        PINCH_ZOOM: {
            touchAction: string;
        };
        MANIPULATION: {
            touchAction: string;
        };
    };
    Transform: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            transform: string;
        };
        matrix: (...params: Param[]) => Sheet;
        translate: (...params: Param[]) => Sheet;
        translateX: (...params: Param[]) => Sheet;
        translateY: (...params: Param[]) => Sheet;
        scale: (...params: Param[]) => Sheet;
        scaleX: (...params: Param[]) => Sheet;
        scaleY: (...params: Param[]) => Sheet;
        rotate: (...params: Param[]) => Sheet;
        skew: (...params: Param[]) => Sheet;
        skewX: (...params: Param[]) => Sheet;
        skewY: (...params: Param[]) => Sheet;
        matrix3d: (...params: Param[]) => Sheet;
        translate3d: (...params: Param[]) => Sheet;
        translateZ: (...params: Param[]) => Sheet;
        scale3d: (...params: Param[]) => Sheet;
        scaleZ: (...params: Param[]) => Sheet;
        rotate3d: (...params: Param[]) => Sheet;
        rotateX: (...params: Param[]) => Sheet;
        rotateY: (...params: Param[]) => Sheet;
        rotateZ: (...params: Param[]) => Sheet;
        perspective: (...params: Param[]) => Sheet;
    };
    TransformBox: {
        set: (...params: Param[]) => Sheet;
        BORDER_BOX: {
            transformBox: string;
        };
        FILL_BOX: {
            transformBox: string;
        };
        VIEW_BOX: {
            transformBox: string;
        };
    };
    TransformOrigin: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        LEFT: {
            transformOrigin: string;
        };
        CENTER: {
            transformOrigin: string;
        };
        RIGHT: {
            transformOrigin: string;
        };
        TOP: {
            transformOrigin: string;
        };
        BOTTOM: {
            transformOrigin: string;
        };
    };
    TransformStyle: {
        set: (...params: Param[]) => Sheet;
        FLAT: {
            transformStyle: string;
        };
        PRESERVE_3D: {
            transformStyle: string;
        };
    };
    Transition: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            transition: string;
        };
        MS_ACCELERATOR: {
            transition: string;
        };
        MS_BLOCK_PROGRESSION: {
            transition: string;
        };
        MS_CONTENT_ZOOM_CHAINING: {
            transition: string;
        };
        MS_CONTENT_ZOOMING: {
            transition: string;
        };
        MS_CONTENT_ZOOM_LIMIT: {
            transition: string;
        };
        MS_CONTENT_ZOOM_LIMIT_MAX: {
            transition: string;
        };
        MS_CONTENT_ZOOM_LIMIT_MIN: {
            transition: string;
        };
        MS_CONTENT_ZOOM_SNAP: {
            transition: string;
        };
        MS_CONTENT_ZOOM_SNAP_POINTS: {
            transition: string;
        };
        MS_CONTENT_ZOOM_SNAP_TYPE: {
            transition: string;
        };
        MS_FILTER: {
            transition: string;
        };
        MS_FLOW_FROM: {
            transition: string;
        };
        MS_FLOW_INTO: {
            transition: string;
        };
        MS_HIGH_CONTRAST_ADJUST: {
            transition: string;
        };
        MS_HYPHENATE_LIMIT_CHARS: {
            transition: string;
        };
        MS_HYPHENATE_LIMIT_LINES: {
            transition: string;
        };
        MS_HYPHENATE_LIMIT_ZONE: {
            transition: string;
        };
        MS_IME_ALIGN: {
            transition: string;
        };
        MS_OVERFLOW_STYLE: {
            transition: string;
        };
        MS_SCROLLBAR_3DLIGHT_COLOR: {
            transition: string;
        };
        MS_SCROLLBAR_ARROW_COLOR: {
            transition: string;
        };
        MS_SCROLLBAR_BASE_COLOR: {
            transition: string;
        };
        MS_SCROLLBAR_DARKSHADOW_COLOR: {
            transition: string;
        };
        MS_SCROLLBAR_FACE_COLOR: {
            transition: string;
        };
        MS_SCROLLBAR_HIGHLIGHT_COLOR: {
            transition: string;
        };
        MS_SCROLLBAR_SHADOW_COLOR: {
            transition: string;
        };
        MS_SCROLLBAR_TRACK_COLOR: {
            transition: string;
        };
        MS_SCROLL_CHAINING: {
            transition: string;
        };
        MS_SCROLL_LIMIT: {
            transition: string;
        };
        MS_SCROLL_LIMIT_X_MAX: {
            transition: string;
        };
        MS_SCROLL_LIMIT_X_MIN: {
            transition: string;
        };
        MS_SCROLL_LIMIT_Y_MAX: {
            transition: string;
        };
        MS_SCROLL_LIMIT_Y_MIN: {
            transition: string;
        };
        MS_SCROLL_RAILS: {
            transition: string;
        };
        MS_SCROLL_SNAP_POINTS_X: {
            transition: string;
        };
        MS_SCROLL_SNAP_POINTS_Y: {
            transition: string;
        };
        MS_SCROLL_SNAP_TYPE: {
            transition: string;
        };
        MS_SCROLL_SNAP_X: {
            transition: string;
        };
        MS_SCROLL_SNAP_Y: {
            transition: string;
        };
        MS_SCROLL_TRANSLATION: {
            transition: string;
        };
        MS_TEXT_AUTOSPACE: {
            transition: string;
        };
        MS_TOUCH_SELECT: {
            transition: string;
        };
        MS_USER_SELECT: {
            transition: string;
        };
        MS_WRAP_FLOW: {
            transition: string;
        };
        MS_WRAP_MARGIN: {
            transition: string;
        };
        MS_WRAP_THROUGH: {
            transition: string;
        };
        MOZ_APPEARANCE: {
            transition: string;
        };
        MOZ_BINDING: {
            transition: string;
        };
        MOZ_BORDER_BOTTOM_COLORS: {
            transition: string;
        };
        MOZ_BORDER_LEFT_COLORS: {
            transition: string;
        };
        MOZ_BORDER_RIGHT_COLORS: {
            transition: string;
        };
        MOZ_BORDER_TOP_COLORS: {
            transition: string;
        };
        MOZ_CONTEXT_PROPERTIES: {
            transition: string;
        };
        MOZ_FLOAT_EDGE: {
            transition: string;
        };
        MOZ_FORCE_BROKEN_IMAGE_ICON: {
            transition: string;
        };
        MOZ_IMAGE_REGION: {
            transition: string;
        };
        MOZ_ORIENT: {
            transition: string;
        };
        MOZ_OUTLINE_RADIUS: {
            transition: string;
        };
        MOZ_OUTLINE_RADIUS_BOTTOMLEFT: {
            transition: string;
        };
        MOZ_OUTLINE_RADIUS_BOTTOMRIGHT: {
            transition: string;
        };
        MOZ_OUTLINE_RADIUS_TOPLEFT: {
            transition: string;
        };
        MOZ_OUTLINE_RADIUS_TOPRIGHT: {
            transition: string;
        };
        MOZ_STACK_SIZING: {
            transition: string;
        };
        MOZ_TEXT_BLINK: {
            transition: string;
        };
        MOZ_USER_FOCUS: {
            transition: string;
        };
        MOZ_USER_INPUT: {
            transition: string;
        };
        MOZ_USER_MODIFY: {
            transition: string;
        };
        MOZ_WINDOW_DRAGGING: {
            transition: string;
        };
        MOZ_WINDOW_SHADOW: {
            transition: string;
        };
        WEBKIT_APPEARANCE: {
            transition: string;
        };
        WEBKIT_BORDER_BEFORE: {
            transition: string;
        };
        WEBKIT_BORDER_BEFORE_COLOR: {
            transition: string;
        };
        WEBKIT_BORDER_BEFORE_STYLE: {
            transition: string;
        };
        WEBKIT_BORDER_BEFORE_WIDTH: {
            transition: string;
        };
        WEBKIT_BOX_REFLECT: {
            transition: string;
        };
        WEBKIT_MASK: {
            transition: string;
        };
        WEBKIT_MASK_ATTACHMENT: {
            transition: string;
        };
        WEBKIT_MASK_CLIP: {
            transition: string;
        };
        WEBKIT_MASK_COMPOSITE: {
            transition: string;
        };
        WEBKIT_MASK_IMAGE: {
            transition: string;
        };
        WEBKIT_MASK_ORIGIN: {
            transition: string;
        };
        WEBKIT_MASK_POSITION: {
            transition: string;
        };
        WEBKIT_MASK_POSITION_X: {
            transition: string;
        };
        WEBKIT_MASK_POSITION_Y: {
            transition: string;
        };
        WEBKIT_MASK_REPEAT: {
            transition: string;
        };
        WEBKIT_MASK_REPEAT_X: {
            transition: string;
        };
        WEBKIT_MASK_REPEAT_Y: {
            transition: string;
        };
        WEBKIT_MASK_SIZE: {
            transition: string;
        };
        WEBKIT_OVERFLOW_SCROLLING: {
            transition: string;
        };
        WEBKIT_TAP_HIGHLIGHT_COLOR: {
            transition: string;
        };
        WEBKIT_TEXT_FILL_COLOR: {
            transition: string;
        };
        WEBKIT_TEXT_STROKE: {
            transition: string;
        };
        WEBKIT_TEXT_STROKE_COLOR: {
            transition: string;
        };
        WEBKIT_TEXT_STROKE_WIDTH: {
            transition: string;
        };
        WEBKIT_TOUCH_CALLOUT: {
            transition: string;
        };
        WEBKIT_USER_MODIFY: {
            transition: string;
        };
        ALIGN_CONTENT: {
            transition: string;
        };
        ALIGN_ITEMS: {
            transition: string;
        };
        ALIGN_SELF: {
            transition: string;
        };
        ALL: {
            transition: string;
        };
        ANIMATION: {
            transition: string;
        };
        ANIMATION_DELAY: {
            transition: string;
        };
        ANIMATION_DIRECTION: {
            transition: string;
        };
        ANIMATION_DURATION: {
            transition: string;
        };
        ANIMATION_FILL_MODE: {
            transition: string;
        };
        ANIMATION_ITERATION_COUNT: {
            transition: string;
        };
        ANIMATION_NAME: {
            transition: string;
        };
        ANIMATION_PLAY_STATE: {
            transition: string;
        };
        ANIMATION_TIMING_FUNCTION: {
            transition: string;
        };
        APPEARANCE: {
            transition: string;
        };
        AZIMUTH: {
            transition: string;
        };
        BACKDROP_FILTER: {
            transition: string;
        };
        BACKFACE_VISIBILITY: {
            transition: string;
        };
        BACKGROUND: {
            transition: string;
        };
        BACKGROUND_ATTACHMENT: {
            transition: string;
        };
        BACKGROUND_BLEND_MODE: {
            transition: string;
        };
        BACKGROUND_CLIP: {
            transition: string;
        };
        BACKGROUND_COLOR: {
            transition: string;
        };
        BACKGROUND_IMAGE: {
            transition: string;
        };
        BACKGROUND_ORIGIN: {
            transition: string;
        };
        BACKGROUND_POSITION: {
            transition: string;
        };
        BACKGROUND_POSITION_X: {
            transition: string;
        };
        BACKGROUND_POSITION_Y: {
            transition: string;
        };
        BACKGROUND_REPEAT: {
            transition: string;
        };
        BACKGROUND_SIZE: {
            transition: string;
        };
        BLOCK_OVERFLOW: {
            transition: string;
        };
        BLOCK_SIZE: {
            transition: string;
        };
        BORDER: {
            transition: string;
        };
        BORDER_BLOCK_END: {
            transition: string;
        };
        BORDER_BLOCK_END_COLOR: {
            transition: string;
        };
        BORDER_BLOCK_END_STYLE: {
            transition: string;
        };
        BORDER_BLOCK_END_WIDTH: {
            transition: string;
        };
        BORDER_BLOCK_START: {
            transition: string;
        };
        BORDER_BLOCK_START_COLOR: {
            transition: string;
        };
        BORDER_BLOCK_START_STYLE: {
            transition: string;
        };
        BORDER_BLOCK_START_WIDTH: {
            transition: string;
        };
        BORDER_BOTTOM: {
            transition: string;
        };
        BORDER_BOTTOM_COLOR: {
            transition: string;
        };
        BORDER_BOTTOM_LEFT_RADIUS: {
            transition: string;
        };
        BORDER_BOTTOM_RIGHT_RADIUS: {
            transition: string;
        };
        BORDER_BOTTOM_STYLE: {
            transition: string;
        };
        BORDER_BOTTOM_WIDTH: {
            transition: string;
        };
        BORDER_COLLAPSE: {
            transition: string;
        };
        BORDER_COLOR: {
            transition: string;
        };
        BORDER_IMAGE: {
            transition: string;
        };
        BORDER_IMAGE_OUTSET: {
            transition: string;
        };
        BORDER_IMAGE_REPEAT: {
            transition: string;
        };
        BORDER_IMAGE_SLICE: {
            transition: string;
        };
        BORDER_IMAGE_SOURCE: {
            transition: string;
        };
        BORDER_IMAGE_WIDTH: {
            transition: string;
        };
        BORDER_INLINE_END: {
            transition: string;
        };
        BORDER_INLINE_END_COLOR: {
            transition: string;
        };
        BORDER_INLINE_END_STYLE: {
            transition: string;
        };
        BORDER_INLINE_END_WIDTH: {
            transition: string;
        };
        BORDER_INLINE_START: {
            transition: string;
        };
        BORDER_INLINE_START_COLOR: {
            transition: string;
        };
        BORDER_INLINE_START_STYLE: {
            transition: string;
        };
        BORDER_INLINE_START_WIDTH: {
            transition: string;
        };
        BORDER_LEFT: {
            transition: string;
        };
        BORDER_LEFT_COLOR: {
            transition: string;
        };
        BORDER_LEFT_STYLE: {
            transition: string;
        };
        BORDER_LEFT_WIDTH: {
            transition: string;
        };
        BORDER_RADIUS: {
            transition: string;
        };
        BORDER_RIGHT: {
            transition: string;
        };
        BORDER_RIGHT_COLOR: {
            transition: string;
        };
        BORDER_RIGHT_STYLE: {
            transition: string;
        };
        BORDER_RIGHT_WIDTH: {
            transition: string;
        };
        BORDER_SPACING: {
            transition: string;
        };
        BORDER_STYLE: {
            transition: string;
        };
        BORDER_TOP: {
            transition: string;
        };
        BORDER_TOP_COLOR: {
            transition: string;
        };
        BORDER_TOP_LEFT_RADIUS: {
            transition: string;
        };
        BORDER_TOP_RIGHT_RADIUS: {
            transition: string;
        };
        BORDER_TOP_STYLE: {
            transition: string;
        };
        BORDER_TOP_WIDTH: {
            transition: string;
        };
        BORDER_WIDTH: {
            transition: string;
        };
        BOTTOM: {
            transition: string;
        };
        BOX_ALIGN: {
            transition: string;
        };
        BOX_DECORATION_BREAK: {
            transition: string;
        };
        BOX_DIRECTION: {
            transition: string;
        };
        BOX_FLEX: {
            transition: string;
        };
        BOX_FLEX_GROUP: {
            transition: string;
        };
        BOX_LINES: {
            transition: string;
        };
        BOX_ORDINAL_GROUP: {
            transition: string;
        };
        BOX_ORIENT: {
            transition: string;
        };
        BOX_PACK: {
            transition: string;
        };
        BOX_SHADOW: {
            transition: string;
        };
        BOX_SIZING: {
            transition: string;
        };
        BREAK_AFTER: {
            transition: string;
        };
        BREAK_BEFORE: {
            transition: string;
        };
        BREAK_INSIDE: {
            transition: string;
        };
        CAPTION_SIDE: {
            transition: string;
        };
        CARET_COLOR: {
            transition: string;
        };
        CLEAR: {
            transition: string;
        };
        CLIP: {
            transition: string;
        };
        CLIP_PATH: {
            transition: string;
        };
        COLOR: {
            transition: string;
        };
        COLOR_ADJUST: {
            transition: string;
        };
        COLUMN_COUNT: {
            transition: string;
        };
        COLUMN_FILL: {
            transition: string;
        };
        COLUMN_GAP: {
            transition: string;
        };
        COLUMN_RULE: {
            transition: string;
        };
        COLUMN_RULE_COLOR: {
            transition: string;
        };
        COLUMN_RULE_STYLE: {
            transition: string;
        };
        COLUMN_RULE_WIDTH: {
            transition: string;
        };
        COLUMN_SPAN: {
            transition: string;
        };
        COLUMN_WIDTH: {
            transition: string;
        };
        COLUMNS: {
            transition: string;
        };
        CONTAIN: {
            transition: string;
        };
        CONTENT: {
            transition: string;
        };
        COUNTER_INCREMENT: {
            transition: string;
        };
        COUNTER_RESET: {
            transition: string;
        };
        CURSOR: {
            transition: string;
        };
        DIRECTION: {
            transition: string;
        };
        DISPLAY: {
            transition: string;
        };
        EMPTY_CELLS: {
            transition: string;
        };
        FILTER: {
            transition: string;
        };
        FLEX: {
            transition: string;
        };
        FLEX_BASIS: {
            transition: string;
        };
        FLEX_DIRECTION: {
            transition: string;
        };
        FLEX_FLOW: {
            transition: string;
        };
        FLEX_GROW: {
            transition: string;
        };
        FLEX_SHRINK: {
            transition: string;
        };
        FLEX_WRAP: {
            transition: string;
        };
        FLOAT: {
            transition: string;
        };
        FONT: {
            transition: string;
        };
        FONT_FAMILY: {
            transition: string;
        };
        FONT_FEATURE_SETTINGS: {
            transition: string;
        };
        FONT_KERNING: {
            transition: string;
        };
        FONT_LANGUAGE_OVERRIDE: {
            transition: string;
        };
        FONT_OPTICAL_SIZING: {
            transition: string;
        };
        FONT_VARIATION_SETTINGS: {
            transition: string;
        };
        FONT_SIZE: {
            transition: string;
        };
        FONT_SIZE_ADJUST: {
            transition: string;
        };
        FONT_STRETCH: {
            transition: string;
        };
        FONT_STYLE: {
            transition: string;
        };
        FONT_SYNTHESIS: {
            transition: string;
        };
        FONT_VARIANT: {
            transition: string;
        };
        FONT_VARIANT_ALTERNATES: {
            transition: string;
        };
        FONT_VARIANT_CAPS: {
            transition: string;
        };
        FONT_VARIANT_EAST_ASIAN: {
            transition: string;
        };
        FONT_VARIANT_LIGATURES: {
            transition: string;
        };
        FONT_VARIANT_NUMERIC: {
            transition: string;
        };
        FONT_VARIANT_POSITION: {
            transition: string;
        };
        FONT_WEIGHT: {
            transition: string;
        };
        GAP: {
            transition: string;
        };
        GRID: {
            transition: string;
        };
        GRID_AREA: {
            transition: string;
        };
        GRID_AUTO_COLUMNS: {
            transition: string;
        };
        GRID_AUTO_FLOW: {
            transition: string;
        };
        GRID_AUTO_ROWS: {
            transition: string;
        };
        GRID_COLUMN: {
            transition: string;
        };
        GRID_COLUMN_END: {
            transition: string;
        };
        GRID_COLUMN_GAP: {
            transition: string;
        };
        GRID_COLUMN_START: {
            transition: string;
        };
        GRID_GAP: {
            transition: string;
        };
        GRID_ROW: {
            transition: string;
        };
        GRID_ROW_END: {
            transition: string;
        };
        GRID_ROW_GAP: {
            transition: string;
        };
        GRID_ROW_START: {
            transition: string;
        };
        GRID_TEMPLATE: {
            transition: string;
        };
        GRID_TEMPLATE_AREAS: {
            transition: string;
        };
        GRID_TEMPLATE_COLUMNS: {
            transition: string;
        };
        GRID_TEMPLATE_ROWS: {
            transition: string;
        };
        HANGING_PUNCTUATION: {
            transition: string;
        };
        HEIGHT: {
            transition: string;
        };
        HYPHENS: {
            transition: string;
        };
        IMAGE_ORIENTATION: {
            transition: string;
        };
        IMAGE_RENDERING: {
            transition: string;
        };
        IMAGE_RESOLUTION: {
            transition: string;
        };
        IME_MODE: {
            transition: string;
        };
        INITIAL_LETTER: {
            transition: string;
        };
        INITIAL_LETTER_ALIGN: {
            transition: string;
        };
        INLINE_SIZE: {
            transition: string;
        };
        INSET_BLOCK_END: {
            transition: string;
        };
        INSET_BLOCK_START: {
            transition: string;
        };
        INSET_INLINE_END: {
            transition: string;
        };
        INSET_INLINE_START: {
            transition: string;
        };
        ISOLATION: {
            transition: string;
        };
        JUSTIFY_CONTENT: {
            transition: string;
        };
        JUSTIFY_ITEMS: {
            transition: string;
        };
        JUSTIFY_SELF: {
            transition: string;
        };
        LEFT: {
            transition: string;
        };
        LETTER_SPACING: {
            transition: string;
        };
        LINE_BREAK: {
            transition: string;
        };
        LINE_CLAMP: {
            transition: string;
        };
        LINE_HEIGHT: {
            transition: string;
        };
        LIST_STYLE: {
            transition: string;
        };
        LIST_STYLE_IMAGE: {
            transition: string;
        };
        LIST_STYLE_POSITION: {
            transition: string;
        };
        LIST_STYLE_TYPE: {
            transition: string;
        };
        MARGIN: {
            transition: string;
        };
        MARGIN_BLOCK_END: {
            transition: string;
        };
        MARGIN_BLOCK_START: {
            transition: string;
        };
        MARGIN_BOTTOM: {
            transition: string;
        };
        MARGIN_INLINE_END: {
            transition: string;
        };
        MARGIN_INLINE_START: {
            transition: string;
        };
        MARGIN_LEFT: {
            transition: string;
        };
        MARGIN_RIGHT: {
            transition: string;
        };
        MARGIN_TOP: {
            transition: string;
        };
        MASK: {
            transition: string;
        };
        MASK_BORDER: {
            transition: string;
        };
        MASK_BORDER_MODE: {
            transition: string;
        };
        MASK_BORDER_OUTSET: {
            transition: string;
        };
        MASK_BORDER_REPEAT: {
            transition: string;
        };
        MASK_BORDER_SLICE: {
            transition: string;
        };
        MASK_BORDER_SOURCE: {
            transition: string;
        };
        MASK_BORDER_WIDTH: {
            transition: string;
        };
        MASK_CLIP: {
            transition: string;
        };
        MASK_COMPOSITE: {
            transition: string;
        };
        MASK_IMAGE: {
            transition: string;
        };
        MASK_MODE: {
            transition: string;
        };
        MASK_ORIGIN: {
            transition: string;
        };
        MASK_POSITION: {
            transition: string;
        };
        MASK_REPEAT: {
            transition: string;
        };
        MASK_SIZE: {
            transition: string;
        };
        MASK_TYPE: {
            transition: string;
        };
        MAX_BLOCK_SIZE: {
            transition: string;
        };
        MAX_HEIGHT: {
            transition: string;
        };
        MAX_INLINE_SIZE: {
            transition: string;
        };
        MAX_LINES: {
            transition: string;
        };
        MAX_WIDTH: {
            transition: string;
        };
        MIN_BLOCK_SIZE: {
            transition: string;
        };
        MIN_HEIGHT: {
            transition: string;
        };
        MIN_INLINE_SIZE: {
            transition: string;
        };
        MIN_WIDTH: {
            transition: string;
        };
        MIX_BLEND_MODE: {
            transition: string;
        };
        MOTION: {
            transition: string;
        };
        MOTION_OFFSET: {
            transition: string;
        };
        MOTION_PATH: {
            transition: string;
        };
        MOTION_ROTATION: {
            transition: string;
        };
        OBJECT_FIT: {
            transition: string;
        };
        OBJECT_POSITION: {
            transition: string;
        };
        OFFSET_POSITION: {
            transition: string;
        };
        OPACITY: {
            transition: string;
        };
        ORDER: {
            transition: string;
        };
        ORPHANS: {
            transition: string;
        };
        OUTLINE: {
            transition: string;
        };
        OUTLINE_COLOR: {
            transition: string;
        };
        OUTLINE_OFFSET: {
            transition: string;
        };
        OUTLINE_STYLE: {
            transition: string;
        };
        OUTLINE_WIDTH: {
            transition: string;
        };
        OVERFLOW: {
            transition: string;
        };
        OVERFLOW_ANCHOR: {
            transition: string;
        };
        OVERFLOW_BLOCK: {
            transition: string;
        };
        OVERFLOW_CLIP_BOX: {
            transition: string;
        };
        OVERFLOW_INLINE: {
            transition: string;
        };
        OVERFLOW_WRAP: {
            transition: string;
        };
        OVERFLOW_X: {
            transition: string;
        };
        OVERFLOW_Y: {
            transition: string;
        };
        OVERSCROLL_BEHAVIOR: {
            transition: string;
        };
        OVERSCROLL_BEHAVIOR_X: {
            transition: string;
        };
        OVERSCROLL_BEHAVIOR_Y: {
            transition: string;
        };
        PADDING: {
            transition: string;
        };
        PADDING_BLOCK_END: {
            transition: string;
        };
        PADDING_BLOCK_START: {
            transition: string;
        };
        PADDING_BOTTOM: {
            transition: string;
        };
        PADDING_INLINE_END: {
            transition: string;
        };
        PADDING_INLINE_START: {
            transition: string;
        };
        PADDING_LEFT: {
            transition: string;
        };
        PADDING_RIGHT: {
            transition: string;
        };
        PADDING_TOP: {
            transition: string;
        };
        PAGE_BREAK_AFTER: {
            transition: string;
        };
        PAGE_BREAK_BEFORE: {
            transition: string;
        };
        PAGE_BREAK_INSIDE: {
            transition: string;
        };
        PAINT_ORDER: {
            transition: string;
        };
        PERSPECTIVE: {
            transition: string;
        };
        PERSPECTIVE_ORIGIN: {
            transition: string;
        };
        PLACE_CONTENT: {
            transition: string;
        };
        PLACE_ITEMS: {
            transition: string;
        };
        POINTER_EVENTS: {
            transition: string;
        };
        POSITION: {
            transition: string;
        };
        QUOTES: {
            transition: string;
        };
        RESIZE: {
            transition: string;
        };
        RIGHT: {
            transition: string;
        };
        ROTATE: {
            transition: string;
        };
        ROW_GAP: {
            transition: string;
        };
        RUBY_ALIGN: {
            transition: string;
        };
        RUBY_MERGE: {
            transition: string;
        };
        RUBY_POSITION: {
            transition: string;
        };
        SCALE: {
            transition: string;
        };
        SCROLL_BEHAVIOR: {
            transition: string;
        };
        SCROLL_SNAP_COORDINATE: {
            transition: string;
        };
        SCROLL_SNAP_DESTINATION: {
            transition: string;
        };
        SCROLL_SNAP_POINTS_X: {
            transition: string;
        };
        SCROLL_SNAP_POINTS_Y: {
            transition: string;
        };
        SCROLL_SNAP_TYPE: {
            transition: string;
        };
        SCROLL_SNAP_TYPE_X: {
            transition: string;
        };
        SCROLL_SNAP_TYPE_Y: {
            transition: string;
        };
        SHAPE_IMAGE_THRESHOLD: {
            transition: string;
        };
        SHAPE_MARGIN: {
            transition: string;
        };
        SHAPE_OUTSIDE: {
            transition: string;
        };
        TAB_SIZE: {
            transition: string;
        };
        TABLE_LAYOUT: {
            transition: string;
        };
        TEXT_ALIGN: {
            transition: string;
        };
        TEXT_ALIGN_LAST: {
            transition: string;
        };
        TEXT_COMBINE_UPRIGHT: {
            transition: string;
        };
        TEXT_DECORATION: {
            transition: string;
        };
        TEXT_DECORATION_COLOR: {
            transition: string;
        };
        TEXT_DECORATION_LINE: {
            transition: string;
        };
        TEXT_DECORATION_SKIP: {
            transition: string;
        };
        TEXT_DECORATION_SKIP_INK: {
            transition: string;
        };
        TEXT_DECORATION_STYLE: {
            transition: string;
        };
        TEXT_EMPHASIS: {
            transition: string;
        };
        TEXT_EMPHASIS_COLOR: {
            transition: string;
        };
        TEXT_EMPHASIS_POSITION: {
            transition: string;
        };
        TEXT_EMPHASIS_STYLE: {
            transition: string;
        };
        TEXT_INDENT: {
            transition: string;
        };
        TEXT_JUSTIFY: {
            transition: string;
        };
        TEXT_ORIENTATION: {
            transition: string;
        };
        TEXT_OVERFLOW: {
            transition: string;
        };
        TEXT_RENDERING: {
            transition: string;
        };
        TEXT_SHADOW: {
            transition: string;
        };
        TEXT_SIZE_ADJUST: {
            transition: string;
        };
        TEXT_TRANSFORM: {
            transition: string;
        };
        TEXT_UNDERLINE_POSITION: {
            transition: string;
        };
        TOP: {
            transition: string;
        };
        TOUCH_ACTION: {
            transition: string;
        };
        TRANSFORM: {
            transition: string;
        };
        TRANSFORM_BOX: {
            transition: string;
        };
        TRANSFORM_ORIGIN: {
            transition: string;
        };
        TRANSFORM_STYLE: {
            transition: string;
        };
        TRANSITION: {
            transition: string;
        };
        TRANSITION_DELAY: {
            transition: string;
        };
        TRANSITION_DURATION: {
            transition: string;
        };
        TRANSITION_PROPERTY: {
            transition: string;
        };
        TRANSITION_TIMING_FUNCTION: {
            transition: string;
        };
        TRANSLATE: {
            transition: string;
        };
        UNICODE_BIDI: {
            transition: string;
        };
        USER_SELECT: {
            transition: string;
        };
        VERTICAL_ALIGN: {
            transition: string;
        };
        VISIBILITY: {
            transition: string;
        };
        WHITE_SPACE: {
            transition: string;
        };
        WIDOWS: {
            transition: string;
        };
        WIDTH: {
            transition: string;
        };
        WILL_CHANGE: {
            transition: string;
        };
        WORD_BREAK: {
            transition: string;
        };
        WORD_SPACING: {
            transition: string;
        };
        WORD_WRAP: {
            transition: string;
        };
        WRITING_MODE: {
            transition: string;
        };
        Z_INDEX: {
            transition: string;
        };
        ZOOM: {
            transition: string;
        };
        s: (...nums: number[]) => Sheet;
        ms: (...nums: number[]) => Sheet;
        LINEAR: {
            transition: string;
        };
        EASE: {
            transition: string;
        };
        EASE_IN: {
            transition: string;
        };
        EASE_OUT: {
            transition: string;
        };
        EASE_IN_OUT: {
            transition: string;
        };
        cubicBezier: (...params: Param[]) => Sheet;
        STEP_START: {
            transition: string;
        };
        STEP_END: {
            transition: string;
        };
        steps: (...params: Param[]) => Sheet;
        frames: (...params: Param[]) => Sheet;
    };
    TransitionDelay: {
        set: (...params: Param[]) => Sheet;
        s: (...nums: number[]) => Sheet;
        ms: (...nums: number[]) => Sheet;
    };
    TransitionDuration: {
        set: (...params: Param[]) => Sheet;
        s: (...nums: number[]) => Sheet;
        ms: (...nums: number[]) => Sheet;
    };
    TransitionProperty: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            transitionProperty: string;
        };
        MS_ACCELERATOR: {
            transitionProperty: string;
        };
        MS_BLOCK_PROGRESSION: {
            transitionProperty: string;
        };
        MS_CONTENT_ZOOM_CHAINING: {
            transitionProperty: string;
        };
        MS_CONTENT_ZOOMING: {
            transitionProperty: string;
        };
        MS_CONTENT_ZOOM_LIMIT: {
            transitionProperty: string;
        };
        MS_CONTENT_ZOOM_LIMIT_MAX: {
            transitionProperty: string;
        };
        MS_CONTENT_ZOOM_LIMIT_MIN: {
            transitionProperty: string;
        };
        MS_CONTENT_ZOOM_SNAP: {
            transitionProperty: string;
        };
        MS_CONTENT_ZOOM_SNAP_POINTS: {
            transitionProperty: string;
        };
        MS_CONTENT_ZOOM_SNAP_TYPE: {
            transitionProperty: string;
        };
        MS_FILTER: {
            transitionProperty: string;
        };
        MS_FLOW_FROM: {
            transitionProperty: string;
        };
        MS_FLOW_INTO: {
            transitionProperty: string;
        };
        MS_HIGH_CONTRAST_ADJUST: {
            transitionProperty: string;
        };
        MS_HYPHENATE_LIMIT_CHARS: {
            transitionProperty: string;
        };
        MS_HYPHENATE_LIMIT_LINES: {
            transitionProperty: string;
        };
        MS_HYPHENATE_LIMIT_ZONE: {
            transitionProperty: string;
        };
        MS_IME_ALIGN: {
            transitionProperty: string;
        };
        MS_OVERFLOW_STYLE: {
            transitionProperty: string;
        };
        MS_SCROLLBAR_3DLIGHT_COLOR: {
            transitionProperty: string;
        };
        MS_SCROLLBAR_ARROW_COLOR: {
            transitionProperty: string;
        };
        MS_SCROLLBAR_BASE_COLOR: {
            transitionProperty: string;
        };
        MS_SCROLLBAR_DARKSHADOW_COLOR: {
            transitionProperty: string;
        };
        MS_SCROLLBAR_FACE_COLOR: {
            transitionProperty: string;
        };
        MS_SCROLLBAR_HIGHLIGHT_COLOR: {
            transitionProperty: string;
        };
        MS_SCROLLBAR_SHADOW_COLOR: {
            transitionProperty: string;
        };
        MS_SCROLLBAR_TRACK_COLOR: {
            transitionProperty: string;
        };
        MS_SCROLL_CHAINING: {
            transitionProperty: string;
        };
        MS_SCROLL_LIMIT: {
            transitionProperty: string;
        };
        MS_SCROLL_LIMIT_X_MAX: {
            transitionProperty: string;
        };
        MS_SCROLL_LIMIT_X_MIN: {
            transitionProperty: string;
        };
        MS_SCROLL_LIMIT_Y_MAX: {
            transitionProperty: string;
        };
        MS_SCROLL_LIMIT_Y_MIN: {
            transitionProperty: string;
        };
        MS_SCROLL_RAILS: {
            transitionProperty: string;
        };
        MS_SCROLL_SNAP_POINTS_X: {
            transitionProperty: string;
        };
        MS_SCROLL_SNAP_POINTS_Y: {
            transitionProperty: string;
        };
        MS_SCROLL_SNAP_TYPE: {
            transitionProperty: string;
        };
        MS_SCROLL_SNAP_X: {
            transitionProperty: string;
        };
        MS_SCROLL_SNAP_Y: {
            transitionProperty: string;
        };
        MS_SCROLL_TRANSLATION: {
            transitionProperty: string;
        };
        MS_TEXT_AUTOSPACE: {
            transitionProperty: string;
        };
        MS_TOUCH_SELECT: {
            transitionProperty: string;
        };
        MS_USER_SELECT: {
            transitionProperty: string;
        };
        MS_WRAP_FLOW: {
            transitionProperty: string;
        };
        MS_WRAP_MARGIN: {
            transitionProperty: string;
        };
        MS_WRAP_THROUGH: {
            transitionProperty: string;
        };
        MOZ_APPEARANCE: {
            transitionProperty: string;
        };
        MOZ_BINDING: {
            transitionProperty: string;
        };
        MOZ_BORDER_BOTTOM_COLORS: {
            transitionProperty: string;
        };
        MOZ_BORDER_LEFT_COLORS: {
            transitionProperty: string;
        };
        MOZ_BORDER_RIGHT_COLORS: {
            transitionProperty: string;
        };
        MOZ_BORDER_TOP_COLORS: {
            transitionProperty: string;
        };
        MOZ_CONTEXT_PROPERTIES: {
            transitionProperty: string;
        };
        MOZ_FLOAT_EDGE: {
            transitionProperty: string;
        };
        MOZ_FORCE_BROKEN_IMAGE_ICON: {
            transitionProperty: string;
        };
        MOZ_IMAGE_REGION: {
            transitionProperty: string;
        };
        MOZ_ORIENT: {
            transitionProperty: string;
        };
        MOZ_OUTLINE_RADIUS: {
            transitionProperty: string;
        };
        MOZ_OUTLINE_RADIUS_BOTTOMLEFT: {
            transitionProperty: string;
        };
        MOZ_OUTLINE_RADIUS_BOTTOMRIGHT: {
            transitionProperty: string;
        };
        MOZ_OUTLINE_RADIUS_TOPLEFT: {
            transitionProperty: string;
        };
        MOZ_OUTLINE_RADIUS_TOPRIGHT: {
            transitionProperty: string;
        };
        MOZ_STACK_SIZING: {
            transitionProperty: string;
        };
        MOZ_TEXT_BLINK: {
            transitionProperty: string;
        };
        MOZ_USER_FOCUS: {
            transitionProperty: string;
        };
        MOZ_USER_INPUT: {
            transitionProperty: string;
        };
        MOZ_USER_MODIFY: {
            transitionProperty: string;
        };
        MOZ_WINDOW_DRAGGING: {
            transitionProperty: string;
        };
        MOZ_WINDOW_SHADOW: {
            transitionProperty: string;
        };
        WEBKIT_APPEARANCE: {
            transitionProperty: string;
        };
        WEBKIT_BORDER_BEFORE: {
            transitionProperty: string;
        };
        WEBKIT_BORDER_BEFORE_COLOR: {
            transitionProperty: string;
        };
        WEBKIT_BORDER_BEFORE_STYLE: {
            transitionProperty: string;
        };
        WEBKIT_BORDER_BEFORE_WIDTH: {
            transitionProperty: string;
        };
        WEBKIT_BOX_REFLECT: {
            transitionProperty: string;
        };
        WEBKIT_MASK: {
            transitionProperty: string;
        };
        WEBKIT_MASK_ATTACHMENT: {
            transitionProperty: string;
        };
        WEBKIT_MASK_CLIP: {
            transitionProperty: string;
        };
        WEBKIT_MASK_COMPOSITE: {
            transitionProperty: string;
        };
        WEBKIT_MASK_IMAGE: {
            transitionProperty: string;
        };
        WEBKIT_MASK_ORIGIN: {
            transitionProperty: string;
        };
        WEBKIT_MASK_POSITION: {
            transitionProperty: string;
        };
        WEBKIT_MASK_POSITION_X: {
            transitionProperty: string;
        };
        WEBKIT_MASK_POSITION_Y: {
            transitionProperty: string;
        };
        WEBKIT_MASK_REPEAT: {
            transitionProperty: string;
        };
        WEBKIT_MASK_REPEAT_X: {
            transitionProperty: string;
        };
        WEBKIT_MASK_REPEAT_Y: {
            transitionProperty: string;
        };
        WEBKIT_MASK_SIZE: {
            transitionProperty: string;
        };
        WEBKIT_OVERFLOW_SCROLLING: {
            transitionProperty: string;
        };
        WEBKIT_TAP_HIGHLIGHT_COLOR: {
            transitionProperty: string;
        };
        WEBKIT_TEXT_FILL_COLOR: {
            transitionProperty: string;
        };
        WEBKIT_TEXT_STROKE: {
            transitionProperty: string;
        };
        WEBKIT_TEXT_STROKE_COLOR: {
            transitionProperty: string;
        };
        WEBKIT_TEXT_STROKE_WIDTH: {
            transitionProperty: string;
        };
        WEBKIT_TOUCH_CALLOUT: {
            transitionProperty: string;
        };
        WEBKIT_USER_MODIFY: {
            transitionProperty: string;
        };
        ALIGN_CONTENT: {
            transitionProperty: string;
        };
        ALIGN_ITEMS: {
            transitionProperty: string;
        };
        ALIGN_SELF: {
            transitionProperty: string;
        };
        ALL: {
            transitionProperty: string;
        };
        ANIMATION: {
            transitionProperty: string;
        };
        ANIMATION_DELAY: {
            transitionProperty: string;
        };
        ANIMATION_DIRECTION: {
            transitionProperty: string;
        };
        ANIMATION_DURATION: {
            transitionProperty: string;
        };
        ANIMATION_FILL_MODE: {
            transitionProperty: string;
        };
        ANIMATION_ITERATION_COUNT: {
            transitionProperty: string;
        };
        ANIMATION_NAME: {
            transitionProperty: string;
        };
        ANIMATION_PLAY_STATE: {
            transitionProperty: string;
        };
        ANIMATION_TIMING_FUNCTION: {
            transitionProperty: string;
        };
        APPEARANCE: {
            transitionProperty: string;
        };
        AZIMUTH: {
            transitionProperty: string;
        };
        BACKDROP_FILTER: {
            transitionProperty: string;
        };
        BACKFACE_VISIBILITY: {
            transitionProperty: string;
        };
        BACKGROUND: {
            transitionProperty: string;
        };
        BACKGROUND_ATTACHMENT: {
            transitionProperty: string;
        };
        BACKGROUND_BLEND_MODE: {
            transitionProperty: string;
        };
        BACKGROUND_CLIP: {
            transitionProperty: string;
        };
        BACKGROUND_COLOR: {
            transitionProperty: string;
        };
        BACKGROUND_IMAGE: {
            transitionProperty: string;
        };
        BACKGROUND_ORIGIN: {
            transitionProperty: string;
        };
        BACKGROUND_POSITION: {
            transitionProperty: string;
        };
        BACKGROUND_POSITION_X: {
            transitionProperty: string;
        };
        BACKGROUND_POSITION_Y: {
            transitionProperty: string;
        };
        BACKGROUND_REPEAT: {
            transitionProperty: string;
        };
        BACKGROUND_SIZE: {
            transitionProperty: string;
        };
        BLOCK_OVERFLOW: {
            transitionProperty: string;
        };
        BLOCK_SIZE: {
            transitionProperty: string;
        };
        BORDER: {
            transitionProperty: string;
        };
        BORDER_BLOCK_END: {
            transitionProperty: string;
        };
        BORDER_BLOCK_END_COLOR: {
            transitionProperty: string;
        };
        BORDER_BLOCK_END_STYLE: {
            transitionProperty: string;
        };
        BORDER_BLOCK_END_WIDTH: {
            transitionProperty: string;
        };
        BORDER_BLOCK_START: {
            transitionProperty: string;
        };
        BORDER_BLOCK_START_COLOR: {
            transitionProperty: string;
        };
        BORDER_BLOCK_START_STYLE: {
            transitionProperty: string;
        };
        BORDER_BLOCK_START_WIDTH: {
            transitionProperty: string;
        };
        BORDER_BOTTOM: {
            transitionProperty: string;
        };
        BORDER_BOTTOM_COLOR: {
            transitionProperty: string;
        };
        BORDER_BOTTOM_LEFT_RADIUS: {
            transitionProperty: string;
        };
        BORDER_BOTTOM_RIGHT_RADIUS: {
            transitionProperty: string;
        };
        BORDER_BOTTOM_STYLE: {
            transitionProperty: string;
        };
        BORDER_BOTTOM_WIDTH: {
            transitionProperty: string;
        };
        BORDER_COLLAPSE: {
            transitionProperty: string;
        };
        BORDER_COLOR: {
            transitionProperty: string;
        };
        BORDER_IMAGE: {
            transitionProperty: string;
        };
        BORDER_IMAGE_OUTSET: {
            transitionProperty: string;
        };
        BORDER_IMAGE_REPEAT: {
            transitionProperty: string;
        };
        BORDER_IMAGE_SLICE: {
            transitionProperty: string;
        };
        BORDER_IMAGE_SOURCE: {
            transitionProperty: string;
        };
        BORDER_IMAGE_WIDTH: {
            transitionProperty: string;
        };
        BORDER_INLINE_END: {
            transitionProperty: string;
        };
        BORDER_INLINE_END_COLOR: {
            transitionProperty: string;
        };
        BORDER_INLINE_END_STYLE: {
            transitionProperty: string;
        };
        BORDER_INLINE_END_WIDTH: {
            transitionProperty: string;
        };
        BORDER_INLINE_START: {
            transitionProperty: string;
        };
        BORDER_INLINE_START_COLOR: {
            transitionProperty: string;
        };
        BORDER_INLINE_START_STYLE: {
            transitionProperty: string;
        };
        BORDER_INLINE_START_WIDTH: {
            transitionProperty: string;
        };
        BORDER_LEFT: {
            transitionProperty: string;
        };
        BORDER_LEFT_COLOR: {
            transitionProperty: string;
        };
        BORDER_LEFT_STYLE: {
            transitionProperty: string;
        };
        BORDER_LEFT_WIDTH: {
            transitionProperty: string;
        };
        BORDER_RADIUS: {
            transitionProperty: string;
        };
        BORDER_RIGHT: {
            transitionProperty: string;
        };
        BORDER_RIGHT_COLOR: {
            transitionProperty: string;
        };
        BORDER_RIGHT_STYLE: {
            transitionProperty: string;
        };
        BORDER_RIGHT_WIDTH: {
            transitionProperty: string;
        };
        BORDER_SPACING: {
            transitionProperty: string;
        };
        BORDER_STYLE: {
            transitionProperty: string;
        };
        BORDER_TOP: {
            transitionProperty: string;
        };
        BORDER_TOP_COLOR: {
            transitionProperty: string;
        };
        BORDER_TOP_LEFT_RADIUS: {
            transitionProperty: string;
        };
        BORDER_TOP_RIGHT_RADIUS: {
            transitionProperty: string;
        };
        BORDER_TOP_STYLE: {
            transitionProperty: string;
        };
        BORDER_TOP_WIDTH: {
            transitionProperty: string;
        };
        BORDER_WIDTH: {
            transitionProperty: string;
        };
        BOTTOM: {
            transitionProperty: string;
        };
        BOX_ALIGN: {
            transitionProperty: string;
        };
        BOX_DECORATION_BREAK: {
            transitionProperty: string;
        };
        BOX_DIRECTION: {
            transitionProperty: string;
        };
        BOX_FLEX: {
            transitionProperty: string;
        };
        BOX_FLEX_GROUP: {
            transitionProperty: string;
        };
        BOX_LINES: {
            transitionProperty: string;
        };
        BOX_ORDINAL_GROUP: {
            transitionProperty: string;
        };
        BOX_ORIENT: {
            transitionProperty: string;
        };
        BOX_PACK: {
            transitionProperty: string;
        };
        BOX_SHADOW: {
            transitionProperty: string;
        };
        BOX_SIZING: {
            transitionProperty: string;
        };
        BREAK_AFTER: {
            transitionProperty: string;
        };
        BREAK_BEFORE: {
            transitionProperty: string;
        };
        BREAK_INSIDE: {
            transitionProperty: string;
        };
        CAPTION_SIDE: {
            transitionProperty: string;
        };
        CARET_COLOR: {
            transitionProperty: string;
        };
        CLEAR: {
            transitionProperty: string;
        };
        CLIP: {
            transitionProperty: string;
        };
        CLIP_PATH: {
            transitionProperty: string;
        };
        COLOR: {
            transitionProperty: string;
        };
        COLOR_ADJUST: {
            transitionProperty: string;
        };
        COLUMN_COUNT: {
            transitionProperty: string;
        };
        COLUMN_FILL: {
            transitionProperty: string;
        };
        COLUMN_GAP: {
            transitionProperty: string;
        };
        COLUMN_RULE: {
            transitionProperty: string;
        };
        COLUMN_RULE_COLOR: {
            transitionProperty: string;
        };
        COLUMN_RULE_STYLE: {
            transitionProperty: string;
        };
        COLUMN_RULE_WIDTH: {
            transitionProperty: string;
        };
        COLUMN_SPAN: {
            transitionProperty: string;
        };
        COLUMN_WIDTH: {
            transitionProperty: string;
        };
        COLUMNS: {
            transitionProperty: string;
        };
        CONTAIN: {
            transitionProperty: string;
        };
        CONTENT: {
            transitionProperty: string;
        };
        COUNTER_INCREMENT: {
            transitionProperty: string;
        };
        COUNTER_RESET: {
            transitionProperty: string;
        };
        CURSOR: {
            transitionProperty: string;
        };
        DIRECTION: {
            transitionProperty: string;
        };
        DISPLAY: {
            transitionProperty: string;
        };
        EMPTY_CELLS: {
            transitionProperty: string;
        };
        FILTER: {
            transitionProperty: string;
        };
        FLEX: {
            transitionProperty: string;
        };
        FLEX_BASIS: {
            transitionProperty: string;
        };
        FLEX_DIRECTION: {
            transitionProperty: string;
        };
        FLEX_FLOW: {
            transitionProperty: string;
        };
        FLEX_GROW: {
            transitionProperty: string;
        };
        FLEX_SHRINK: {
            transitionProperty: string;
        };
        FLEX_WRAP: {
            transitionProperty: string;
        };
        FLOAT: {
            transitionProperty: string;
        };
        FONT: {
            transitionProperty: string;
        };
        FONT_FAMILY: {
            transitionProperty: string;
        };
        FONT_FEATURE_SETTINGS: {
            transitionProperty: string;
        };
        FONT_KERNING: {
            transitionProperty: string;
        };
        FONT_LANGUAGE_OVERRIDE: {
            transitionProperty: string;
        };
        FONT_OPTICAL_SIZING: {
            transitionProperty: string;
        };
        FONT_VARIATION_SETTINGS: {
            transitionProperty: string;
        };
        FONT_SIZE: {
            transitionProperty: string;
        };
        FONT_SIZE_ADJUST: {
            transitionProperty: string;
        };
        FONT_STRETCH: {
            transitionProperty: string;
        };
        FONT_STYLE: {
            transitionProperty: string;
        };
        FONT_SYNTHESIS: {
            transitionProperty: string;
        };
        FONT_VARIANT: {
            transitionProperty: string;
        };
        FONT_VARIANT_ALTERNATES: {
            transitionProperty: string;
        };
        FONT_VARIANT_CAPS: {
            transitionProperty: string;
        };
        FONT_VARIANT_EAST_ASIAN: {
            transitionProperty: string;
        };
        FONT_VARIANT_LIGATURES: {
            transitionProperty: string;
        };
        FONT_VARIANT_NUMERIC: {
            transitionProperty: string;
        };
        FONT_VARIANT_POSITION: {
            transitionProperty: string;
        };
        FONT_WEIGHT: {
            transitionProperty: string;
        };
        GAP: {
            transitionProperty: string;
        };
        GRID: {
            transitionProperty: string;
        };
        GRID_AREA: {
            transitionProperty: string;
        };
        GRID_AUTO_COLUMNS: {
            transitionProperty: string;
        };
        GRID_AUTO_FLOW: {
            transitionProperty: string;
        };
        GRID_AUTO_ROWS: {
            transitionProperty: string;
        };
        GRID_COLUMN: {
            transitionProperty: string;
        };
        GRID_COLUMN_END: {
            transitionProperty: string;
        };
        GRID_COLUMN_GAP: {
            transitionProperty: string;
        };
        GRID_COLUMN_START: {
            transitionProperty: string;
        };
        GRID_GAP: {
            transitionProperty: string;
        };
        GRID_ROW: {
            transitionProperty: string;
        };
        GRID_ROW_END: {
            transitionProperty: string;
        };
        GRID_ROW_GAP: {
            transitionProperty: string;
        };
        GRID_ROW_START: {
            transitionProperty: string;
        };
        GRID_TEMPLATE: {
            transitionProperty: string;
        };
        GRID_TEMPLATE_AREAS: {
            transitionProperty: string;
        };
        GRID_TEMPLATE_COLUMNS: {
            transitionProperty: string;
        };
        GRID_TEMPLATE_ROWS: {
            transitionProperty: string;
        };
        HANGING_PUNCTUATION: {
            transitionProperty: string;
        };
        HEIGHT: {
            transitionProperty: string;
        };
        HYPHENS: {
            transitionProperty: string;
        };
        IMAGE_ORIENTATION: {
            transitionProperty: string;
        };
        IMAGE_RENDERING: {
            transitionProperty: string;
        };
        IMAGE_RESOLUTION: {
            transitionProperty: string;
        };
        IME_MODE: {
            transitionProperty: string;
        };
        INITIAL_LETTER: {
            transitionProperty: string;
        };
        INITIAL_LETTER_ALIGN: {
            transitionProperty: string;
        };
        INLINE_SIZE: {
            transitionProperty: string;
        };
        INSET_BLOCK_END: {
            transitionProperty: string;
        };
        INSET_BLOCK_START: {
            transitionProperty: string;
        };
        INSET_INLINE_END: {
            transitionProperty: string;
        };
        INSET_INLINE_START: {
            transitionProperty: string;
        };
        ISOLATION: {
            transitionProperty: string;
        };
        JUSTIFY_CONTENT: {
            transitionProperty: string;
        };
        JUSTIFY_ITEMS: {
            transitionProperty: string;
        };
        JUSTIFY_SELF: {
            transitionProperty: string;
        };
        LEFT: {
            transitionProperty: string;
        };
        LETTER_SPACING: {
            transitionProperty: string;
        };
        LINE_BREAK: {
            transitionProperty: string;
        };
        LINE_CLAMP: {
            transitionProperty: string;
        };
        LINE_HEIGHT: {
            transitionProperty: string;
        };
        LIST_STYLE: {
            transitionProperty: string;
        };
        LIST_STYLE_IMAGE: {
            transitionProperty: string;
        };
        LIST_STYLE_POSITION: {
            transitionProperty: string;
        };
        LIST_STYLE_TYPE: {
            transitionProperty: string;
        };
        MARGIN: {
            transitionProperty: string;
        };
        MARGIN_BLOCK_END: {
            transitionProperty: string;
        };
        MARGIN_BLOCK_START: {
            transitionProperty: string;
        };
        MARGIN_BOTTOM: {
            transitionProperty: string;
        };
        MARGIN_INLINE_END: {
            transitionProperty: string;
        };
        MARGIN_INLINE_START: {
            transitionProperty: string;
        };
        MARGIN_LEFT: {
            transitionProperty: string;
        };
        MARGIN_RIGHT: {
            transitionProperty: string;
        };
        MARGIN_TOP: {
            transitionProperty: string;
        };
        MASK: {
            transitionProperty: string;
        };
        MASK_BORDER: {
            transitionProperty: string;
        };
        MASK_BORDER_MODE: {
            transitionProperty: string;
        };
        MASK_BORDER_OUTSET: {
            transitionProperty: string;
        };
        MASK_BORDER_REPEAT: {
            transitionProperty: string;
        };
        MASK_BORDER_SLICE: {
            transitionProperty: string;
        };
        MASK_BORDER_SOURCE: {
            transitionProperty: string;
        };
        MASK_BORDER_WIDTH: {
            transitionProperty: string;
        };
        MASK_CLIP: {
            transitionProperty: string;
        };
        MASK_COMPOSITE: {
            transitionProperty: string;
        };
        MASK_IMAGE: {
            transitionProperty: string;
        };
        MASK_MODE: {
            transitionProperty: string;
        };
        MASK_ORIGIN: {
            transitionProperty: string;
        };
        MASK_POSITION: {
            transitionProperty: string;
        };
        MASK_REPEAT: {
            transitionProperty: string;
        };
        MASK_SIZE: {
            transitionProperty: string;
        };
        MASK_TYPE: {
            transitionProperty: string;
        };
        MAX_BLOCK_SIZE: {
            transitionProperty: string;
        };
        MAX_HEIGHT: {
            transitionProperty: string;
        };
        MAX_INLINE_SIZE: {
            transitionProperty: string;
        };
        MAX_LINES: {
            transitionProperty: string;
        };
        MAX_WIDTH: {
            transitionProperty: string;
        };
        MIN_BLOCK_SIZE: {
            transitionProperty: string;
        };
        MIN_HEIGHT: {
            transitionProperty: string;
        };
        MIN_INLINE_SIZE: {
            transitionProperty: string;
        };
        MIN_WIDTH: {
            transitionProperty: string;
        };
        MIX_BLEND_MODE: {
            transitionProperty: string;
        };
        MOTION: {
            transitionProperty: string;
        };
        MOTION_OFFSET: {
            transitionProperty: string;
        };
        MOTION_PATH: {
            transitionProperty: string;
        };
        MOTION_ROTATION: {
            transitionProperty: string;
        };
        OBJECT_FIT: {
            transitionProperty: string;
        };
        OBJECT_POSITION: {
            transitionProperty: string;
        };
        OFFSET_POSITION: {
            transitionProperty: string;
        };
        OPACITY: {
            transitionProperty: string;
        };
        ORDER: {
            transitionProperty: string;
        };
        ORPHANS: {
            transitionProperty: string;
        };
        OUTLINE: {
            transitionProperty: string;
        };
        OUTLINE_COLOR: {
            transitionProperty: string;
        };
        OUTLINE_OFFSET: {
            transitionProperty: string;
        };
        OUTLINE_STYLE: {
            transitionProperty: string;
        };
        OUTLINE_WIDTH: {
            transitionProperty: string;
        };
        OVERFLOW: {
            transitionProperty: string;
        };
        OVERFLOW_ANCHOR: {
            transitionProperty: string;
        };
        OVERFLOW_BLOCK: {
            transitionProperty: string;
        };
        OVERFLOW_CLIP_BOX: {
            transitionProperty: string;
        };
        OVERFLOW_INLINE: {
            transitionProperty: string;
        };
        OVERFLOW_WRAP: {
            transitionProperty: string;
        };
        OVERFLOW_X: {
            transitionProperty: string;
        };
        OVERFLOW_Y: {
            transitionProperty: string;
        };
        OVERSCROLL_BEHAVIOR: {
            transitionProperty: string;
        };
        OVERSCROLL_BEHAVIOR_X: {
            transitionProperty: string;
        };
        OVERSCROLL_BEHAVIOR_Y: {
            transitionProperty: string;
        };
        PADDING: {
            transitionProperty: string;
        };
        PADDING_BLOCK_END: {
            transitionProperty: string;
        };
        PADDING_BLOCK_START: {
            transitionProperty: string;
        };
        PADDING_BOTTOM: {
            transitionProperty: string;
        };
        PADDING_INLINE_END: {
            transitionProperty: string;
        };
        PADDING_INLINE_START: {
            transitionProperty: string;
        };
        PADDING_LEFT: {
            transitionProperty: string;
        };
        PADDING_RIGHT: {
            transitionProperty: string;
        };
        PADDING_TOP: {
            transitionProperty: string;
        };
        PAGE_BREAK_AFTER: {
            transitionProperty: string;
        };
        PAGE_BREAK_BEFORE: {
            transitionProperty: string;
        };
        PAGE_BREAK_INSIDE: {
            transitionProperty: string;
        };
        PAINT_ORDER: {
            transitionProperty: string;
        };
        PERSPECTIVE: {
            transitionProperty: string;
        };
        PERSPECTIVE_ORIGIN: {
            transitionProperty: string;
        };
        PLACE_CONTENT: {
            transitionProperty: string;
        };
        PLACE_ITEMS: {
            transitionProperty: string;
        };
        POINTER_EVENTS: {
            transitionProperty: string;
        };
        POSITION: {
            transitionProperty: string;
        };
        QUOTES: {
            transitionProperty: string;
        };
        RESIZE: {
            transitionProperty: string;
        };
        RIGHT: {
            transitionProperty: string;
        };
        ROTATE: {
            transitionProperty: string;
        };
        ROW_GAP: {
            transitionProperty: string;
        };
        RUBY_ALIGN: {
            transitionProperty: string;
        };
        RUBY_MERGE: {
            transitionProperty: string;
        };
        RUBY_POSITION: {
            transitionProperty: string;
        };
        SCALE: {
            transitionProperty: string;
        };
        SCROLL_BEHAVIOR: {
            transitionProperty: string;
        };
        SCROLL_SNAP_COORDINATE: {
            transitionProperty: string;
        };
        SCROLL_SNAP_DESTINATION: {
            transitionProperty: string;
        };
        SCROLL_SNAP_POINTS_X: {
            transitionProperty: string;
        };
        SCROLL_SNAP_POINTS_Y: {
            transitionProperty: string;
        };
        SCROLL_SNAP_TYPE: {
            transitionProperty: string;
        };
        SCROLL_SNAP_TYPE_X: {
            transitionProperty: string;
        };
        SCROLL_SNAP_TYPE_Y: {
            transitionProperty: string;
        };
        SHAPE_IMAGE_THRESHOLD: {
            transitionProperty: string;
        };
        SHAPE_MARGIN: {
            transitionProperty: string;
        };
        SHAPE_OUTSIDE: {
            transitionProperty: string;
        };
        TAB_SIZE: {
            transitionProperty: string;
        };
        TABLE_LAYOUT: {
            transitionProperty: string;
        };
        TEXT_ALIGN: {
            transitionProperty: string;
        };
        TEXT_ALIGN_LAST: {
            transitionProperty: string;
        };
        TEXT_COMBINE_UPRIGHT: {
            transitionProperty: string;
        };
        TEXT_DECORATION: {
            transitionProperty: string;
        };
        TEXT_DECORATION_COLOR: {
            transitionProperty: string;
        };
        TEXT_DECORATION_LINE: {
            transitionProperty: string;
        };
        TEXT_DECORATION_SKIP: {
            transitionProperty: string;
        };
        TEXT_DECORATION_SKIP_INK: {
            transitionProperty: string;
        };
        TEXT_DECORATION_STYLE: {
            transitionProperty: string;
        };
        TEXT_EMPHASIS: {
            transitionProperty: string;
        };
        TEXT_EMPHASIS_COLOR: {
            transitionProperty: string;
        };
        TEXT_EMPHASIS_POSITION: {
            transitionProperty: string;
        };
        TEXT_EMPHASIS_STYLE: {
            transitionProperty: string;
        };
        TEXT_INDENT: {
            transitionProperty: string;
        };
        TEXT_JUSTIFY: {
            transitionProperty: string;
        };
        TEXT_ORIENTATION: {
            transitionProperty: string;
        };
        TEXT_OVERFLOW: {
            transitionProperty: string;
        };
        TEXT_RENDERING: {
            transitionProperty: string;
        };
        TEXT_SHADOW: {
            transitionProperty: string;
        };
        TEXT_SIZE_ADJUST: {
            transitionProperty: string;
        };
        TEXT_TRANSFORM: {
            transitionProperty: string;
        };
        TEXT_UNDERLINE_POSITION: {
            transitionProperty: string;
        };
        TOP: {
            transitionProperty: string;
        };
        TOUCH_ACTION: {
            transitionProperty: string;
        };
        TRANSFORM: {
            transitionProperty: string;
        };
        TRANSFORM_BOX: {
            transitionProperty: string;
        };
        TRANSFORM_ORIGIN: {
            transitionProperty: string;
        };
        TRANSFORM_STYLE: {
            transitionProperty: string;
        };
        TRANSITION: {
            transitionProperty: string;
        };
        TRANSITION_DELAY: {
            transitionProperty: string;
        };
        TRANSITION_DURATION: {
            transitionProperty: string;
        };
        TRANSITION_PROPERTY: {
            transitionProperty: string;
        };
        TRANSITION_TIMING_FUNCTION: {
            transitionProperty: string;
        };
        TRANSLATE: {
            transitionProperty: string;
        };
        UNICODE_BIDI: {
            transitionProperty: string;
        };
        USER_SELECT: {
            transitionProperty: string;
        };
        VERTICAL_ALIGN: {
            transitionProperty: string;
        };
        VISIBILITY: {
            transitionProperty: string;
        };
        WHITE_SPACE: {
            transitionProperty: string;
        };
        WIDOWS: {
            transitionProperty: string;
        };
        WIDTH: {
            transitionProperty: string;
        };
        WILL_CHANGE: {
            transitionProperty: string;
        };
        WORD_BREAK: {
            transitionProperty: string;
        };
        WORD_SPACING: {
            transitionProperty: string;
        };
        WORD_WRAP: {
            transitionProperty: string;
        };
        WRITING_MODE: {
            transitionProperty: string;
        };
        Z_INDEX: {
            transitionProperty: string;
        };
        ZOOM: {
            transitionProperty: string;
        };
    };
    TransitionTimingFunction: {
        set: (...params: Param[]) => Sheet;
        LINEAR: {
            transitionTimingFunction: string;
        };
        EASE: {
            transitionTimingFunction: string;
        };
        EASE_IN: {
            transitionTimingFunction: string;
        };
        EASE_OUT: {
            transitionTimingFunction: string;
        };
        EASE_IN_OUT: {
            transitionTimingFunction: string;
        };
        cubicBezier: (...params: Param[]) => Sheet;
        STEP_START: {
            transitionTimingFunction: string;
        };
        STEP_END: {
            transitionTimingFunction: string;
        };
        steps: (...params: Param[]) => Sheet;
        frames: (...params: Param[]) => Sheet;
    };
    Translate: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            translate: string;
        };
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    UnicodeBidi: {
        set: (...params: Param[]) => Sheet;
        NORMAL: {
            unicodeBidi: string;
        };
        EMBED: {
            unicodeBidi: string;
        };
        ISOLATE: {
            unicodeBidi: string;
        };
        BIDI_OVERRIDE: {
            unicodeBidi: string;
        };
        ISOLATE_OVERRIDE: {
            unicodeBidi: string;
        };
        PLAINTEXT: {
            unicodeBidi: string;
        };
    };
    UserSelect: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            userSelect: string;
        };
        TEXT: {
            userSelect: string;
        };
        NONE: {
            userSelect: string;
        };
        CONTAIN: {
            userSelect: string;
        };
        ALL: {
            userSelect: string;
        };
    };
    VerticalAlign: {
        set: (...params: Param[]) => Sheet;
        BASELINE: {
            verticalAlign: string;
        };
        SUB: {
            verticalAlign: string;
        };
        SUPER: {
            verticalAlign: string;
        };
        TEXT_TOP: {
            verticalAlign: string;
        };
        TEXT_BOTTOM: {
            verticalAlign: string;
        };
        MIDDLE: {
            verticalAlign: string;
        };
        TOP: {
            verticalAlign: string;
        };
        BOTTOM: {
            verticalAlign: string;
        };
        X: (...nums: number[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
    };
    Visibility: {
        set: (...params: Param[]) => Sheet;
        VISIBLE: {
            visibility: string;
        };
        HIDDEN: {
            visibility: string;
        };
        COLLAPSE: {
            visibility: string;
        };
    };
    WebkitAppearance: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            webkitAppearance: string;
        };
        BUTTON: {
            webkitAppearance: string;
        };
        BUTTON_BEVEL: {
            webkitAppearance: string;
        };
        CARET: {
            webkitAppearance: string;
        };
        CHECKBOX: {
            webkitAppearance: string;
        };
        DEFAULT_BUTTON: {
            webkitAppearance: string;
        };
        INNER_SPIN_BUTTON: {
            webkitAppearance: string;
        };
        LISTBOX: {
            webkitAppearance: string;
        };
        LISTITEM: {
            webkitAppearance: string;
        };
        MEDIA_CONTROLS_BACKGROUND: {
            webkitAppearance: string;
        };
        MEDIA_CONTROLS_FULLSCREEN_BACKGROUND: {
            webkitAppearance: string;
        };
        MEDIA_CURRENT_TIME_DISPLAY: {
            webkitAppearance: string;
        };
        MEDIA_ENTER_FULLSCREEN_BUTTON: {
            webkitAppearance: string;
        };
        MEDIA_EXIT_FULLSCREEN_BUTTON: {
            webkitAppearance: string;
        };
        MEDIA_FULLSCREEN_BUTTON: {
            webkitAppearance: string;
        };
        MEDIA_MUTE_BUTTON: {
            webkitAppearance: string;
        };
        MEDIA_OVERLAY_PLAY_BUTTON: {
            webkitAppearance: string;
        };
        MEDIA_PLAY_BUTTON: {
            webkitAppearance: string;
        };
        MEDIA_SEEK_BACK_BUTTON: {
            webkitAppearance: string;
        };
        MEDIA_SEEK_FORWARD_BUTTON: {
            webkitAppearance: string;
        };
        MEDIA_SLIDER: {
            webkitAppearance: string;
        };
        MEDIA_SLIDERTHUMB: {
            webkitAppearance: string;
        };
        MEDIA_TIME_REMAINING_DISPLAY: {
            webkitAppearance: string;
        };
        MEDIA_TOGGLE_CLOSED_CAPTIONS_BUTTON: {
            webkitAppearance: string;
        };
        MEDIA_VOLUME_SLIDER: {
            webkitAppearance: string;
        };
        MEDIA_VOLUME_SLIDER_CONTAINER: {
            webkitAppearance: string;
        };
        MEDIA_VOLUME_SLIDERTHUMB: {
            webkitAppearance: string;
        };
        MENULIST: {
            webkitAppearance: string;
        };
        MENULIST_BUTTON: {
            webkitAppearance: string;
        };
        MENULIST_TEXT: {
            webkitAppearance: string;
        };
        MENULIST_TEXTFIELD: {
            webkitAppearance: string;
        };
        METER: {
            webkitAppearance: string;
        };
        PROGRESS_BAR: {
            webkitAppearance: string;
        };
        PROGRESS_BAR_VALUE: {
            webkitAppearance: string;
        };
        PUSH_BUTTON: {
            webkitAppearance: string;
        };
        RADIO: {
            webkitAppearance: string;
        };
        SEARCHFIELD: {
            webkitAppearance: string;
        };
        SEARCHFIELD_CANCEL_BUTTON: {
            webkitAppearance: string;
        };
        SEARCHFIELD_DECORATION: {
            webkitAppearance: string;
        };
        SEARCHFIELD_RESULTS_BUTTON: {
            webkitAppearance: string;
        };
        SEARCHFIELD_RESULTS_DECORATION: {
            webkitAppearance: string;
        };
        SLIDER_HORIZONTAL: {
            webkitAppearance: string;
        };
        SLIDER_VERTICAL: {
            webkitAppearance: string;
        };
        SLIDERTHUMB_HORIZONTAL: {
            webkitAppearance: string;
        };
        SLIDERTHUMB_VERTICAL: {
            webkitAppearance: string;
        };
        SQUARE_BUTTON: {
            webkitAppearance: string;
        };
        TEXTAREA: {
            webkitAppearance: string;
        };
        TEXTFIELD: {
            webkitAppearance: string;
        };
    };
    WebkitBorderBefore: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        THIN: {
            webkitBorderBefore: string;
        };
        MEDIUM: {
            webkitBorderBefore: string;
        };
        THICK: {
            webkitBorderBefore: string;
        };
        NONE: {
            webkitBorderBefore: string;
        };
        HIDDEN: {
            webkitBorderBefore: string;
        };
        DOTTED: {
            webkitBorderBefore: string;
        };
        DASHED: {
            webkitBorderBefore: string;
        };
        SOLID: {
            webkitBorderBefore: string;
        };
        DOUBLE: {
            webkitBorderBefore: string;
        };
        GROOVE: {
            webkitBorderBefore: string;
        };
        RIDGE: {
            webkitBorderBefore: string;
        };
        INSET: {
            webkitBorderBefore: string;
        };
        OUTSET: {
            webkitBorderBefore: string;
        };
    };
    WebkitBorderBeforeColor: {
        set: (...params: Param[]) => Sheet;
    };
    WebkitBorderBeforeStyle: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            webkitBorderBeforeStyle: string;
        };
        HIDDEN: {
            webkitBorderBeforeStyle: string;
        };
        DOTTED: {
            webkitBorderBeforeStyle: string;
        };
        DASHED: {
            webkitBorderBeforeStyle: string;
        };
        SOLID: {
            webkitBorderBeforeStyle: string;
        };
        DOUBLE: {
            webkitBorderBeforeStyle: string;
        };
        GROOVE: {
            webkitBorderBeforeStyle: string;
        };
        RIDGE: {
            webkitBorderBeforeStyle: string;
        };
        INSET: {
            webkitBorderBeforeStyle: string;
        };
        OUTSET: {
            webkitBorderBeforeStyle: string;
        };
    };
    WebkitBorderBeforeWidth: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        THIN: {
            webkitBorderBeforeWidth: string;
        };
        MEDIUM: {
            webkitBorderBeforeWidth: string;
        };
        THICK: {
            webkitBorderBeforeWidth: string;
        };
    };
    WebkitBoxReflect: {
        set: (...params: Param[]) => Sheet;
        ABOVE: {
            webkitBoxReflect: string;
        };
        BELOW: {
            webkitBoxReflect: string;
        };
        RIGHT: {
            webkitBoxReflect: string;
        };
        LEFT: {
            webkitBoxReflect: string;
        };
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        image: (...params: Param[]) => Sheet;
        imageSet: (...params: Param[]) => Sheet;
        element: (...params: Param[]) => Sheet;
        crossFade: (...params: Param[]) => Sheet;
        linearGradient: (...params: Param[]) => Sheet;
        repeatingLinearGradient: (...params: Param[]) => Sheet;
        radialGradient: (...params: Param[]) => Sheet;
        repeatingRadialGradient: (...params: Param[]) => Sheet;
    };
    WebkitMask: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            webkitMask: string;
        };
        image: (...params: Param[]) => Sheet;
        imageSet: (...params: Param[]) => Sheet;
        element: (...params: Param[]) => Sheet;
        crossFade: (...params: Param[]) => Sheet;
        linearGradient: (...params: Param[]) => Sheet;
        repeatingLinearGradient: (...params: Param[]) => Sheet;
        radialGradient: (...params: Param[]) => Sheet;
        repeatingRadialGradient: (...params: Param[]) => Sheet;
        AUTO: {
            webkitMask: string;
        };
        COVER: {
            webkitMask: string;
        };
        CONTAIN: {
            webkitMask: string;
        };
        REPEAT_X: {
            webkitMask: string;
        };
        REPEAT_Y: {
            webkitMask: string;
        };
        REPEAT: {
            webkitMask: string;
        };
        SPACE: {
            webkitMask: string;
        };
        ROUND: {
            webkitMask: string;
        };
        NO_REPEAT: {
            webkitMask: string;
        };
        BORDER_BOX: {
            webkitMask: string;
        };
        PADDING_BOX: {
            webkitMask: string;
        };
        CONTENT_BOX: {
            webkitMask: string;
        };
        BORDER: {
            webkitMask: string;
        };
        PADDING: {
            webkitMask: string;
        };
        CONTENT: {
            webkitMask: string;
        };
        TEXT: {
            webkitMask: string;
        };
    };
    WebkitMaskAttachment: {
        set: (...params: Param[]) => Sheet;
        SCROLL: {
            webkitMaskAttachment: string;
        };
        FIXED: {
            webkitMaskAttachment: string;
        };
        LOCAL: {
            webkitMaskAttachment: string;
        };
    };
    WebkitMaskClip: {
        set: (...params: Param[]) => Sheet;
        BORDER_BOX: {
            webkitMaskClip: string;
        };
        PADDING_BOX: {
            webkitMaskClip: string;
        };
        CONTENT_BOX: {
            webkitMaskClip: string;
        };
        BORDER: {
            webkitMaskClip: string;
        };
        PADDING: {
            webkitMaskClip: string;
        };
        CONTENT: {
            webkitMaskClip: string;
        };
        TEXT: {
            webkitMaskClip: string;
        };
    };
    WebkitMaskComposite: {
        set: (...params: Param[]) => Sheet;
        CLEAR: {
            webkitMaskComposite: string;
        };
        COPY: {
            webkitMaskComposite: string;
        };
        SOURCE_OVER: {
            webkitMaskComposite: string;
        };
        SOURCE_IN: {
            webkitMaskComposite: string;
        };
        SOURCE_OUT: {
            webkitMaskComposite: string;
        };
        SOURCE_ATOP: {
            webkitMaskComposite: string;
        };
        DESTINATION_OVER: {
            webkitMaskComposite: string;
        };
        DESTINATION_IN: {
            webkitMaskComposite: string;
        };
        DESTINATION_OUT: {
            webkitMaskComposite: string;
        };
        DESTINATION_ATOP: {
            webkitMaskComposite: string;
        };
        XOR: {
            webkitMaskComposite: string;
        };
    };
    WebkitMaskImage: {
        set: (...params: Param[]) => Sheet;
        NONE: {
            webkitMaskImage: string;
        };
        image: (...params: Param[]) => Sheet;
        imageSet: (...params: Param[]) => Sheet;
        element: (...params: Param[]) => Sheet;
        crossFade: (...params: Param[]) => Sheet;
        linearGradient: (...params: Param[]) => Sheet;
        repeatingLinearGradient: (...params: Param[]) => Sheet;
        radialGradient: (...params: Param[]) => Sheet;
        repeatingRadialGradient: (...params: Param[]) => Sheet;
    };
    WebkitMaskOrigin: {
        set: (...params: Param[]) => Sheet;
        BORDER_BOX: {
            webkitMaskOrigin: string;
        };
        PADDING_BOX: {
            webkitMaskOrigin: string;
        };
        CONTENT_BOX: {
            webkitMaskOrigin: string;
        };
        BORDER: {
            webkitMaskOrigin: string;
        };
        PADDING: {
            webkitMaskOrigin: string;
        };
        CONTENT: {
            webkitMaskOrigin: string;
        };
    };
    WebkitMaskPosition: {
        set: (...params: Param[]) => Sheet;
        LEFT: {
            webkitMaskPosition: string;
        };
        CENTER: {
            webkitMaskPosition: string;
        };
        RIGHT: {
            webkitMaskPosition: string;
        };
        TOP: {
            webkitMaskPosition: string;
        };
        BOTTOM: {
            webkitMaskPosition: string;
        };
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    WebkitMaskPositionX: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        LEFT: {
            webkitMaskPositionX: string;
        };
        CENTER: {
            webkitMaskPositionX: string;
        };
        RIGHT: {
            webkitMaskPositionX: string;
        };
    };
    WebkitMaskPositionY: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        TOP: {
            webkitMaskPositionY: string;
        };
        CENTER: {
            webkitMaskPositionY: string;
        };
        BOTTOM: {
            webkitMaskPositionY: string;
        };
    };
    WebkitMaskRepeat: {
        set: (...params: Param[]) => Sheet;
        REPEAT_X: {
            webkitMaskRepeat: string;
        };
        REPEAT_Y: {
            webkitMaskRepeat: string;
        };
        REPEAT: {
            webkitMaskRepeat: string;
        };
        SPACE: {
            webkitMaskRepeat: string;
        };
        ROUND: {
            webkitMaskRepeat: string;
        };
        NO_REPEAT: {
            webkitMaskRepeat: string;
        };
    };
    WebkitMaskRepeatX: {
        set: (...params: Param[]) => Sheet;
        REPEAT: {
            webkitMaskRepeatX: string;
        };
        NO_REPEAT: {
            webkitMaskRepeatX: string;
        };
        SPACE: {
            webkitMaskRepeatX: string;
        };
        ROUND: {
            webkitMaskRepeatX: string;
        };
    };
    WebkitMaskRepeatY: {
        set: (...params: Param[]) => Sheet;
        REPEAT: {
            webkitMaskRepeatY: string;
        };
        NO_REPEAT: {
            webkitMaskRepeatY: string;
        };
        SPACE: {
            webkitMaskRepeatY: string;
        };
        ROUND: {
            webkitMaskRepeatY: string;
        };
    };
    WebkitMaskSize: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        AUTO: {
            webkitMaskSize: string;
        };
        COVER: {
            webkitMaskSize: string;
        };
        CONTAIN: {
            webkitMaskSize: string;
        };
    };
    WebkitOverflowScrolling: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            webkitOverflowScrolling: string;
        };
        TOUCH: {
            webkitOverflowScrolling: string;
        };
    };
    WebkitTapHighlightColor: {
        set: (...params: Param[]) => Sheet;
        rgb: (...params: Param[]) => Sheet;
        hex: (code: string) => Sheet;
        hexa: (code: string, alpha: number) => Sheet;
        rgba: (...params: Param[]) => Sheet;
        hsl: (...params: Param[]) => Sheet;
        hsla: (...params: Param[]) => Sheet;
        BLACK: {
            webkitTapHighlightColor: string;
        };
        SILVER: {
            webkitTapHighlightColor: string;
        };
        GRAY: {
            webkitTapHighlightColor: string;
        };
        WHITE: {
            webkitTapHighlightColor: string;
        };
        MAROON: {
            webkitTapHighlightColor: string;
        };
        RED: {
            webkitTapHighlightColor: string;
        };
        PURPLE: {
            webkitTapHighlightColor: string;
        };
        FUCHSIA: {
            webkitTapHighlightColor: string;
        };
        GREEN: {
            webkitTapHighlightColor: string;
        };
        LIME: {
            webkitTapHighlightColor: string;
        };
        OLIVE: {
            webkitTapHighlightColor: string;
        };
        YELLOW: {
            webkitTapHighlightColor: string;
        };
        NAVY: {
            webkitTapHighlightColor: string;
        };
        BLUE: {
            webkitTapHighlightColor: string;
        };
        TEAL: {
            webkitTapHighlightColor: string;
        };
        AQUA: {
            webkitTapHighlightColor: string;
        };
        CURRENTCOLOR: {
            webkitTapHighlightColor: string;
        };
        ACTIVEBORDER: {
            webkitTapHighlightColor: string;
        };
        ACTIVECAPTION: {
            webkitTapHighlightColor: string;
        };
        APPWORKSPACE: {
            webkitTapHighlightColor: string;
        };
        BACKGROUND: {
            webkitTapHighlightColor: string;
        };
        BUTTONFACE: {
            webkitTapHighlightColor: string;
        };
        BUTTONHIGHLIGHT: {
            webkitTapHighlightColor: string;
        };
        BUTTONSHADOW: {
            webkitTapHighlightColor: string;
        };
        BUTTONTEXT: {
            webkitTapHighlightColor: string;
        };
        CAPTIONTEXT: {
            webkitTapHighlightColor: string;
        };
        GRAYTEXT: {
            webkitTapHighlightColor: string;
        };
        HIGHLIGHT: {
            webkitTapHighlightColor: string;
        };
        HIGHLIGHTTEXT: {
            webkitTapHighlightColor: string;
        };
        INACTIVEBORDER: {
            webkitTapHighlightColor: string;
        };
        INACTIVECAPTION: {
            webkitTapHighlightColor: string;
        };
        INACTIVECAPTIONTEXT: {
            webkitTapHighlightColor: string;
        };
        INFOBACKGROUND: {
            webkitTapHighlightColor: string;
        };
        INFOTEXT: {
            webkitTapHighlightColor: string;
        };
        MENU: {
            webkitTapHighlightColor: string;
        };
        MENUTEXT: {
            webkitTapHighlightColor: string;
        };
        SCROLLBAR: {
            webkitTapHighlightColor: string;
        };
        THREEDDARKSHADOW: {
            webkitTapHighlightColor: string;
        };
        THREEDFACE: {
            webkitTapHighlightColor: string;
        };
        THREEDHIGHLIGHT: {
            webkitTapHighlightColor: string;
        };
        THREEDLIGHTSHADOW: {
            webkitTapHighlightColor: string;
        };
        THREEDSHADOW: {
            webkitTapHighlightColor: string;
        };
        WINDOW: {
            webkitTapHighlightColor: string;
        };
        WINDOWFRAME: {
            webkitTapHighlightColor: string;
        };
        WINDOWTEXT: {
            webkitTapHighlightColor: string;
        };
    };
    WebkitTextFillColor: {
        set: (...params: Param[]) => Sheet;
        rgb: (...params: Param[]) => Sheet;
        hex: (code: string) => Sheet;
        hexa: (code: string, alpha: number) => Sheet;
        rgba: (...params: Param[]) => Sheet;
        hsl: (...params: Param[]) => Sheet;
        hsla: (...params: Param[]) => Sheet;
        BLACK: {
            webkitTextFillColor: string;
        };
        SILVER: {
            webkitTextFillColor: string;
        };
        GRAY: {
            webkitTextFillColor: string;
        };
        WHITE: {
            webkitTextFillColor: string;
        };
        MAROON: {
            webkitTextFillColor: string;
        };
        RED: {
            webkitTextFillColor: string;
        };
        PURPLE: {
            webkitTextFillColor: string;
        };
        FUCHSIA: {
            webkitTextFillColor: string;
        };
        GREEN: {
            webkitTextFillColor: string;
        };
        LIME: {
            webkitTextFillColor: string;
        };
        OLIVE: {
            webkitTextFillColor: string;
        };
        YELLOW: {
            webkitTextFillColor: string;
        };
        NAVY: {
            webkitTextFillColor: string;
        };
        BLUE: {
            webkitTextFillColor: string;
        };
        TEAL: {
            webkitTextFillColor: string;
        };
        AQUA: {
            webkitTextFillColor: string;
        };
        CURRENTCOLOR: {
            webkitTextFillColor: string;
        };
        ACTIVEBORDER: {
            webkitTextFillColor: string;
        };
        ACTIVECAPTION: {
            webkitTextFillColor: string;
        };
        APPWORKSPACE: {
            webkitTextFillColor: string;
        };
        BACKGROUND: {
            webkitTextFillColor: string;
        };
        BUTTONFACE: {
            webkitTextFillColor: string;
        };
        BUTTONHIGHLIGHT: {
            webkitTextFillColor: string;
        };
        BUTTONSHADOW: {
            webkitTextFillColor: string;
        };
        BUTTONTEXT: {
            webkitTextFillColor: string;
        };
        CAPTIONTEXT: {
            webkitTextFillColor: string;
        };
        GRAYTEXT: {
            webkitTextFillColor: string;
        };
        HIGHLIGHT: {
            webkitTextFillColor: string;
        };
        HIGHLIGHTTEXT: {
            webkitTextFillColor: string;
        };
        INACTIVEBORDER: {
            webkitTextFillColor: string;
        };
        INACTIVECAPTION: {
            webkitTextFillColor: string;
        };
        INACTIVECAPTIONTEXT: {
            webkitTextFillColor: string;
        };
        INFOBACKGROUND: {
            webkitTextFillColor: string;
        };
        INFOTEXT: {
            webkitTextFillColor: string;
        };
        MENU: {
            webkitTextFillColor: string;
        };
        MENUTEXT: {
            webkitTextFillColor: string;
        };
        SCROLLBAR: {
            webkitTextFillColor: string;
        };
        THREEDDARKSHADOW: {
            webkitTextFillColor: string;
        };
        THREEDFACE: {
            webkitTextFillColor: string;
        };
        THREEDHIGHLIGHT: {
            webkitTextFillColor: string;
        };
        THREEDLIGHTSHADOW: {
            webkitTextFillColor: string;
        };
        THREEDSHADOW: {
            webkitTextFillColor: string;
        };
        WINDOW: {
            webkitTextFillColor: string;
        };
        WINDOWFRAME: {
            webkitTextFillColor: string;
        };
        WINDOWTEXT: {
            webkitTextFillColor: string;
        };
    };
    WebkitTextStroke: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        rgb: (...params: Param[]) => Sheet;
        hex: (code: string) => Sheet;
        hexa: (code: string, alpha: number) => Sheet;
        rgba: (...params: Param[]) => Sheet;
        hsl: (...params: Param[]) => Sheet;
        hsla: (...params: Param[]) => Sheet;
        BLACK: {
            webkitTextStroke: string;
        };
        SILVER: {
            webkitTextStroke: string;
        };
        GRAY: {
            webkitTextStroke: string;
        };
        WHITE: {
            webkitTextStroke: string;
        };
        MAROON: {
            webkitTextStroke: string;
        };
        RED: {
            webkitTextStroke: string;
        };
        PURPLE: {
            webkitTextStroke: string;
        };
        FUCHSIA: {
            webkitTextStroke: string;
        };
        GREEN: {
            webkitTextStroke: string;
        };
        LIME: {
            webkitTextStroke: string;
        };
        OLIVE: {
            webkitTextStroke: string;
        };
        YELLOW: {
            webkitTextStroke: string;
        };
        NAVY: {
            webkitTextStroke: string;
        };
        BLUE: {
            webkitTextStroke: string;
        };
        TEAL: {
            webkitTextStroke: string;
        };
        AQUA: {
            webkitTextStroke: string;
        };
        CURRENTCOLOR: {
            webkitTextStroke: string;
        };
        ACTIVEBORDER: {
            webkitTextStroke: string;
        };
        ACTIVECAPTION: {
            webkitTextStroke: string;
        };
        APPWORKSPACE: {
            webkitTextStroke: string;
        };
        BACKGROUND: {
            webkitTextStroke: string;
        };
        BUTTONFACE: {
            webkitTextStroke: string;
        };
        BUTTONHIGHLIGHT: {
            webkitTextStroke: string;
        };
        BUTTONSHADOW: {
            webkitTextStroke: string;
        };
        BUTTONTEXT: {
            webkitTextStroke: string;
        };
        CAPTIONTEXT: {
            webkitTextStroke: string;
        };
        GRAYTEXT: {
            webkitTextStroke: string;
        };
        HIGHLIGHT: {
            webkitTextStroke: string;
        };
        HIGHLIGHTTEXT: {
            webkitTextStroke: string;
        };
        INACTIVEBORDER: {
            webkitTextStroke: string;
        };
        INACTIVECAPTION: {
            webkitTextStroke: string;
        };
        INACTIVECAPTIONTEXT: {
            webkitTextStroke: string;
        };
        INFOBACKGROUND: {
            webkitTextStroke: string;
        };
        INFOTEXT: {
            webkitTextStroke: string;
        };
        MENU: {
            webkitTextStroke: string;
        };
        MENUTEXT: {
            webkitTextStroke: string;
        };
        SCROLLBAR: {
            webkitTextStroke: string;
        };
        THREEDDARKSHADOW: {
            webkitTextStroke: string;
        };
        THREEDFACE: {
            webkitTextStroke: string;
        };
        THREEDHIGHLIGHT: {
            webkitTextStroke: string;
        };
        THREEDLIGHTSHADOW: {
            webkitTextStroke: string;
        };
        THREEDSHADOW: {
            webkitTextStroke: string;
        };
        WINDOW: {
            webkitTextStroke: string;
        };
        WINDOWFRAME: {
            webkitTextStroke: string;
        };
        WINDOWTEXT: {
            webkitTextStroke: string;
        };
    };
    WebkitTextStrokeColor: {
        set: (...params: Param[]) => Sheet;
        rgb: (...params: Param[]) => Sheet;
        hex: (code: string) => Sheet;
        hexa: (code: string, alpha: number) => Sheet;
        rgba: (...params: Param[]) => Sheet;
        hsl: (...params: Param[]) => Sheet;
        hsla: (...params: Param[]) => Sheet;
        BLACK: {
            webkitTextStrokeColor: string;
        };
        SILVER: {
            webkitTextStrokeColor: string;
        };
        GRAY: {
            webkitTextStrokeColor: string;
        };
        WHITE: {
            webkitTextStrokeColor: string;
        };
        MAROON: {
            webkitTextStrokeColor: string;
        };
        RED: {
            webkitTextStrokeColor: string;
        };
        PURPLE: {
            webkitTextStrokeColor: string;
        };
        FUCHSIA: {
            webkitTextStrokeColor: string;
        };
        GREEN: {
            webkitTextStrokeColor: string;
        };
        LIME: {
            webkitTextStrokeColor: string;
        };
        OLIVE: {
            webkitTextStrokeColor: string;
        };
        YELLOW: {
            webkitTextStrokeColor: string;
        };
        NAVY: {
            webkitTextStrokeColor: string;
        };
        BLUE: {
            webkitTextStrokeColor: string;
        };
        TEAL: {
            webkitTextStrokeColor: string;
        };
        AQUA: {
            webkitTextStrokeColor: string;
        };
        CURRENTCOLOR: {
            webkitTextStrokeColor: string;
        };
        ACTIVEBORDER: {
            webkitTextStrokeColor: string;
        };
        ACTIVECAPTION: {
            webkitTextStrokeColor: string;
        };
        APPWORKSPACE: {
            webkitTextStrokeColor: string;
        };
        BACKGROUND: {
            webkitTextStrokeColor: string;
        };
        BUTTONFACE: {
            webkitTextStrokeColor: string;
        };
        BUTTONHIGHLIGHT: {
            webkitTextStrokeColor: string;
        };
        BUTTONSHADOW: {
            webkitTextStrokeColor: string;
        };
        BUTTONTEXT: {
            webkitTextStrokeColor: string;
        };
        CAPTIONTEXT: {
            webkitTextStrokeColor: string;
        };
        GRAYTEXT: {
            webkitTextStrokeColor: string;
        };
        HIGHLIGHT: {
            webkitTextStrokeColor: string;
        };
        HIGHLIGHTTEXT: {
            webkitTextStrokeColor: string;
        };
        INACTIVEBORDER: {
            webkitTextStrokeColor: string;
        };
        INACTIVECAPTION: {
            webkitTextStrokeColor: string;
        };
        INACTIVECAPTIONTEXT: {
            webkitTextStrokeColor: string;
        };
        INFOBACKGROUND: {
            webkitTextStrokeColor: string;
        };
        INFOTEXT: {
            webkitTextStrokeColor: string;
        };
        MENU: {
            webkitTextStrokeColor: string;
        };
        MENUTEXT: {
            webkitTextStrokeColor: string;
        };
        SCROLLBAR: {
            webkitTextStrokeColor: string;
        };
        THREEDDARKSHADOW: {
            webkitTextStrokeColor: string;
        };
        THREEDFACE: {
            webkitTextStrokeColor: string;
        };
        THREEDHIGHLIGHT: {
            webkitTextStrokeColor: string;
        };
        THREEDLIGHTSHADOW: {
            webkitTextStrokeColor: string;
        };
        THREEDSHADOW: {
            webkitTextStrokeColor: string;
        };
        WINDOW: {
            webkitTextStrokeColor: string;
        };
        WINDOWFRAME: {
            webkitTextStrokeColor: string;
        };
        WINDOWTEXT: {
            webkitTextStrokeColor: string;
        };
    };
    WebkitTextStrokeWidth: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
    };
    WebkitTouchCallout: {
        set: (...params: Param[]) => Sheet;
        DEFAULT: {
            webkitTouchCallout: string;
        };
        NONE: {
            webkitTouchCallout: string;
        };
    };
    WebkitUserModify: {
        set: (...params: Param[]) => Sheet;
        READ_ONLY: {
            webkitUserModify: string;
        };
        READ_WRITE: {
            webkitUserModify: string;
        };
        READ_WRITE_PLAINTEXT_ONLY: {
            webkitUserModify: string;
        };
    };
    WhiteSpace: {
        set: (...params: Param[]) => Sheet;
        NORMAL: {
            whiteSpace: string;
        };
        PRE: {
            whiteSpace: string;
        };
        NOWRAP: {
            whiteSpace: string;
        };
        PRE_WRAP: {
            whiteSpace: string;
        };
        PRE_LINE: {
            whiteSpace: string;
        };
    };
    Widows: {
        set: (...params: Param[]) => Sheet;
    };
    Width: {
        set: (...params: Param[]) => Sheet;
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
        BORDER_BOX: {
            width: string;
        };
        CONTENT_BOX: {
            width: string;
        };
        AVAILABLE: {
            width: string;
        };
        MIN_CONTENT: {
            width: string;
        };
        MAX_CONTENT: {
            width: string;
        };
        FIT_CONTENT: {
            width: string;
        };
        AUTO: {
            width: string;
        };
    };
    WillChange: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            willChange: string;
        };
        SCROLL_POSITION: {
            willChange: string;
        };
        CONTENTS: {
            willChange: string;
        };
    };
    WordBreak: {
        set: (...params: Param[]) => Sheet;
        NORMAL: {
            wordBreak: string;
        };
        BREAK_ALL: {
            wordBreak: string;
        };
        KEEP_ALL: {
            wordBreak: string;
        };
        BREAK_WORD: {
            wordBreak: string;
        };
    };
    WordSpacing: {
        set: (...params: Param[]) => Sheet;
        NORMAL: {
            wordSpacing: string;
        };
        cap: (...nums: number[]) => Sheet;
        ch: (...nums: number[]) => Sheet;
        em: (...nums: number[]) => Sheet;
        ex: (...nums: number[]) => Sheet;
        ic: (...nums: number[]) => Sheet;
        lh: (...nums: number[]) => Sheet;
        rem: (...nums: number[]) => Sheet;
        rlh: (...nums: number[]) => Sheet;
        vh: (...nums: number[]) => Sheet;
        vw: (...nums: number[]) => Sheet;
        vi: (...nums: number[]) => Sheet;
        vb: (...nums: number[]) => Sheet;
        vmin: (...nums: number[]) => Sheet;
        vmax: (...nums: number[]) => Sheet;
        px: (...nums: number[]) => Sheet;
        cm: (...nums: number[]) => Sheet;
        mm: (...nums: number[]) => Sheet;
        Q: (...nums: number[]) => Sheet;
        in: (...nums: number[]) => Sheet;
        pc: (...nums: number[]) => Sheet;
        pt: (...nums: number[]) => Sheet;
        fr: (...nums: number[]) => Sheet;
        X: (...nums: number[]) => Sheet;
    };
    WordWrap: {
        set: (...params: Param[]) => Sheet;
        NORMAL: {
            wordWrap: string;
        };
        BREAK_WORD: {
            wordWrap: string;
        };
    };
    WritingMode: {
        set: (...params: Param[]) => Sheet;
        HORIZONTAL_TB: {
            writingMode: string;
        };
        VERTICAL_RL: {
            writingMode: string;
        };
        VERTICAL_LR: {
            writingMode: string;
        };
        SIDEWAYS_RL: {
            writingMode: string;
        };
        SIDEWAYS_LR: {
            writingMode: string;
        };
    };
    ZIndex: {
        set: (...params: Param[]) => Sheet;
        AUTO: {
            zIndex: string;
        };
    };
    Zoom: {
        set: (...params: Param[]) => Sheet;
        NORMAL: {
            zoom: string;
        };
        RESET: {
            zoom: string;
        };
        X: (...nums: number[]) => Sheet;
    };
    sheet: (...properties: Sheet[]) => Sheet;
};
export declare const _Element: {
    A: string;
    ABBR: string;
    ACRONYM: string;
    ADDRESS: string;
    APPLET: string;
    AREA: string;
    ARTICLE: string;
    ASIDE: string;
    AUDIO: string;
    B: string;
    BASE: string;
    BASEFONT: string;
    BDI: string;
    BDO: string;
    BIG: string;
    BLOCKQUOTE: string;
    BODY: string;
    BR: string;
    BUTTON: string;
    CANVAS: string;
    CAPTION: string;
    CENTER: string;
    CITE: string;
    CODE: string;
    COL: string;
    COLGROUP: string;
    DATA: string;
    DATALIST: string;
    DD: string;
    DEL: string;
    DETAILS: string;
    DFN: string;
    DIALOG: string;
    DIR: string;
    DIV: string;
    DL: string;
    DT: string;
    EM: string;
    EMBED: string;
    FIELDSET: string;
    FIGCAPTION: string;
    FIGURE: string;
    FONT: string;
    FOOTER: string;
    FORM: string;
    FRAME: string;
    FRAMESET: string;
    H1: string;
    HEAD: string;
    HEADER: string;
    HR: string;
    HTML: string;
    I: string;
    IFRAME: string;
    IMG: string;
    INPUT: string;
    INS: string;
    KBD: string;
    LABEL: string;
    LEGEND: string;
    LI: string;
    LINK: string;
    MAIN: string;
    MAP: string;
    MARK: string;
    META: string;
    METER: string;
    NAV: string;
    NOFRAMES: string;
    NOSCRIPT: string;
    OBJECT: string;
    OL: string;
    OPTGROUP: string;
    OPTION: string;
    OUTPUT: string;
    P: string;
    PARAM: string;
    PICTURE: string;
    PRE: string;
    PROGRESS: string;
    Q: string;
    RP: string;
    RT: string;
    RUBY: string;
    S: string;
    SAMP: string;
    SCRIPT: string;
    SECTION: string;
    SELECT: string;
    SMALL: string;
    SOURCE: string;
    SPAN: string;
    STRIKE: string;
    STRONG: string;
    STYLE: string;
    SUB: string;
    SUMMARY: string;
    SUP: string;
    SVG: string;
    TABLE: string;
    TBODY: string;
    TD: string;
    TEMPLATE: string;
    TEXTAREA: string;
    TFOOT: string;
    TH: string;
    THEAD: string;
    TIME: string;
    TITLE: string;
    TR: string;
    TRACK: string;
    TT: string;
    U: string;
    UL: string;
    VAR: string;
    VIDEO: string;
    WBR: string;
};
export declare const _Pseudo: {
    Class: {
        ACTIVE: string;
        ANY_LINK: string;
        BLANK: string;
        CHECKED: string;
        CURRENT: string;
        DEFAULT: string;
        DEFINED: string;
        dir: (...params: Param[]) => string;
        DISABLED: string;
        DROP: string;
        EMPTY: string;
        ENABLED: string;
        FIRST: string;
        FIRST_CHILD: string;
        FIRST_OF_TYPE: string;
        FULLSCREEN: string;
        FUTURE: string;
        FOCUS: string;
        FOCUS_VISIBLE: string;
        FOCUS_WITHIN: string;
        has: (...params: Param[]) => string;
        HOST: string;
        host: (...params: Param[]) => string;
        hostContext: (...params: Param[]) => string;
        HOVER: string;
        INDETERMINATE: string;
        IN_RANGE: string;
        INVALID: string;
        lang: (...params: Param[]) => string;
        LAST_CHILD: string;
        LAST_OF_TYPE: string;
        LEFT: string;
        LINK: string;
        LOCAL_LINK: string;
        matches: (...params: Param[]) => string;
        not: (...params: Param[]) => string;
        nthChild: (...params: Param[]) => string;
        nthCol: (...params: Param[]) => string;
        nthLastChild: (...params: Param[]) => string;
        nthLastCol: (...params: Param[]) => string;
        nthLastOfType: (...params: Param[]) => string;
        nthOfType: (...params: Param[]) => string;
        ONLY_CHILD: string;
        ONLY_OF_TYPE: string;
        OPTIONAL: string;
        OUT_OF_RANGE: string;
        PAST: string;
        PLACEHOLDER_SHOWN: string;
        READ_ONLY: string;
        READ_WRITE: string;
        REQUIRED: string;
        RIGHT: string;
        ROOT: string;
        SCOPE: string;
        TARGET: string;
        TARGET_WITHIN: string;
        USER_INVALID: string;
        VALID: string;
        VISITED: string;
    };
    Element: {
        AFTER: string;
        BACKDROP: string;
        BEFORE: string;
        CUE: string;
        FIRST_LETTER: string;
        FIRST_LINE: string;
        GRAMMAR_ERROR: string;
        MARKER: string;
        PLACEHOLDER: string;
        SELECTION: string;
        slotted: (...params: Param[]) => string;
        SPELLING_ERROR: string;
    };
};
export declare const _Query: {
    and: typeof mqAnd;
    or: typeof mqOr;
    not: typeof mqNot;
    only: typeof mqOnly;
    ALL: string;
    BRAILLE: string;
    EMBOSSED: string;
    HANDHELD: string;
    PRINT: string;
    PROJECTION: string;
    SCREEN: string;
    SPEECH: string;
    TTY: string;
    TV: string;
    Width: {
        set: (value: string | number) => string;
        range: (min: string | number, max: string | number) => string;
        cap: (num: number) => string;
        ch: (num: number) => string;
        em: (num: number) => string;
        ex: (num: number) => string;
        ic: (num: number) => string;
        lh: (num: number) => string;
        rem: (num: number) => string;
        rlh: (num: number) => string;
        vh: (num: number) => string;
        vw: (num: number) => string;
        vi: (num: number) => string;
        vb: (num: number) => string;
        vmin: (num: number) => string;
        vmax: (num: number) => string;
        px: (num: number) => string;
        cm: (num: number) => string;
        mm: (num: number) => string;
        Q: (num: number) => string;
        in: (num: number) => string;
        pc: (num: number) => string;
        pt: (num: number) => string;
        fr: (num: number) => string;
    };
    MinWidth: {
        set: (value: string | number) => string;
        cap: (num: number) => string;
        ch: (num: number) => string;
        em: (num: number) => string;
        ex: (num: number) => string;
        ic: (num: number) => string;
        lh: (num: number) => string;
        rem: (num: number) => string;
        rlh: (num: number) => string;
        vh: (num: number) => string;
        vw: (num: number) => string;
        vi: (num: number) => string;
        vb: (num: number) => string;
        vmin: (num: number) => string;
        vmax: (num: number) => string;
        px: (num: number) => string;
        cm: (num: number) => string;
        mm: (num: number) => string;
        Q: (num: number) => string;
        in: (num: number) => string;
        pc: (num: number) => string;
        pt: (num: number) => string;
        fr: (num: number) => string;
    };
    MaxWidth: {
        set: (value: string | number) => string;
        cap: (num: number) => string;
        ch: (num: number) => string;
        em: (num: number) => string;
        ex: (num: number) => string;
        ic: (num: number) => string;
        lh: (num: number) => string;
        rem: (num: number) => string;
        rlh: (num: number) => string;
        vh: (num: number) => string;
        vw: (num: number) => string;
        vi: (num: number) => string;
        vb: (num: number) => string;
        vmin: (num: number) => string;
        vmax: (num: number) => string;
        px: (num: number) => string;
        cm: (num: number) => string;
        mm: (num: number) => string;
        Q: (num: number) => string;
        in: (num: number) => string;
        pc: (num: number) => string;
        pt: (num: number) => string;
        fr: (num: number) => string;
    };
    Height: {
        set: (value: string | number) => string;
        range: (min: string | number, max: string | number) => string;
        cap: (num: number) => string;
        ch: (num: number) => string;
        em: (num: number) => string;
        ex: (num: number) => string;
        ic: (num: number) => string;
        lh: (num: number) => string;
        rem: (num: number) => string;
        rlh: (num: number) => string;
        vh: (num: number) => string;
        vw: (num: number) => string;
        vi: (num: number) => string;
        vb: (num: number) => string;
        vmin: (num: number) => string;
        vmax: (num: number) => string;
        px: (num: number) => string;
        cm: (num: number) => string;
        mm: (num: number) => string;
        Q: (num: number) => string;
        in: (num: number) => string;
        pc: (num: number) => string;
        pt: (num: number) => string;
        fr: (num: number) => string;
    };
    MinHeight: {
        set: (value: string | number) => string;
        cap: (num: number) => string;
        ch: (num: number) => string;
        em: (num: number) => string;
        ex: (num: number) => string;
        ic: (num: number) => string;
        lh: (num: number) => string;
        rem: (num: number) => string;
        rlh: (num: number) => string;
        vh: (num: number) => string;
        vw: (num: number) => string;
        vi: (num: number) => string;
        vb: (num: number) => string;
        vmin: (num: number) => string;
        vmax: (num: number) => string;
        px: (num: number) => string;
        cm: (num: number) => string;
        mm: (num: number) => string;
        Q: (num: number) => string;
        in: (num: number) => string;
        pc: (num: number) => string;
        pt: (num: number) => string;
        fr: (num: number) => string;
    };
    MaxHeight: {
        set: (value: string | number) => string;
        cap: (num: number) => string;
        ch: (num: number) => string;
        em: (num: number) => string;
        ex: (num: number) => string;
        ic: (num: number) => string;
        lh: (num: number) => string;
        rem: (num: number) => string;
        rlh: (num: number) => string;
        vh: (num: number) => string;
        vw: (num: number) => string;
        vi: (num: number) => string;
        vb: (num: number) => string;
        vmin: (num: number) => string;
        vmax: (num: number) => string;
        px: (num: number) => string;
        cm: (num: number) => string;
        mm: (num: number) => string;
        Q: (num: number) => string;
        in: (num: number) => string;
        pc: (num: number) => string;
        pt: (num: number) => string;
        fr: (num: number) => string;
    };
    AspectRatio: {
        set: (value: string | number) => string;
        range: (min: string | number, max: string | number) => string;
    };
    MinAspectRatio: {
        set: (value: string | number) => string;
    };
    MaxAspectRatio: {
        set: (value: string | number) => string;
    };
    Orientation: {
        set: (value: string | number) => string;
        PORTRAIT: string;
        LANDSCAPE: string;
    };
    Resolution: {
        set: (value: string | number) => string;
        range: (min: string | number, max: string | number) => string;
        dpi: (num: number) => string;
        dpcm: (num: number) => string;
        dppx: (num: number) => string;
        x: (num: number) => string;
    };
    MinResolution: {
        set: (value: string | number) => string;
        dpi: (num: number) => string;
        dpcm: (num: number) => string;
        dppx: (num: number) => string;
        x: (num: number) => string;
    };
    MaxResolution: {
        set: (value: string | number) => string;
        dpi: (num: number) => string;
        dpcm: (num: number) => string;
        dppx: (num: number) => string;
        x: (num: number) => string;
    };
    Scan: {
        set: (value: string | number) => string;
        INTERLACE: string;
        PROGRESSIVE: string;
    };
    Grid: {
        set: (value: string | number) => string;
        _0: string;
        _1: string;
    };
    Update: {
        set: (value: string | number) => string;
        NONE: string;
        SLOW: string;
        FAST: string;
    };
    OverflowBlock: {
        set: (value: string | number) => string;
        NONE: string;
        SCROLL: string;
        OPTIONAL_PAGED: string;
        PAGED: string;
    };
    OverflowInline: {
        set: (value: string | number) => string;
        NONE: string;
        SCROLL: string;
    };
    Color: {
        set: (value: string | number) => string;
    };
    ColorGamut: {
        set: (value: string | number) => string;
        SRGB: string;
        P3: string;
        REC2020: string;
    };
    ColorIndex: {
        set: (value: string | number) => string;
        range: (min: string | number, max: string | number) => string;
    };
    MinColorIndex: {
        set: (value: string | number) => string;
    };
    MaxColorIndex: {
        set: (value: string | number) => string;
    };
    DisplayMode: {
        set: (value: string | number) => string;
        FULLSCREEN: string;
        STANDALONE: string;
        MINIMAL_UI: string;
        BROWSER: string;
    };
    Monochrome: {
        set: (value: string | number) => string;
        range: (min: string | number, max: string | number) => string;
    };
    MinMonochrome: {
        set: (value: string | number) => string;
    };
    MaxMonochrome: {
        set: (value: string | number) => string;
    };
    InvertedColors: {
        set: (value: string | number) => string;
        NONE: string;
        INVERTED: string;
    };
    Pointer: {
        set: (value: string | number) => string;
        NONE: string;
        COARSE: string;
        FINE: string;
    };
    Hover: {
        set: (value: string | number) => string;
        NONE: string;
        HOVER: string;
    };
    AnyPointer: {
        set: (value: string | number) => string;
        NONE: string;
        COARSE: string;
        FINE: string;
    };
    AnyHover: {
        set: (value: string | number) => string;
        NONE: string;
        HOVER: string;
    };
    LightLevel: {
        set: (value: string | number) => string;
        DIM: string;
        NORMAL: string;
        WASHED: string;
    };
    PrefersReducedMotion: {
        set: (value: string | number) => string;
        NO_PREFERENCE: string;
        REDUCE: string;
    };
    PrefersReducedTransparency: {
        set: (value: string | number) => string;
        NO_PREFERENCE: string;
        REDUCE: string;
    };
    PrefersContrast: {
        set: (value: string | number) => string;
        NO_PREFERENCE: string;
        HIGH: string;
        LOW: string;
    };
    PrefersColorScheme: {
        set: (value: string | number) => string;
        NO_PREFERENCE: string;
        LIGHT: string;
        DARK: string;
    };
    Scripting: {
        set: (value: string | number) => string;
        NONE: string;
        INITIAL_ONLY: string;
        ENABLED: string;
    };
};
export declare const Selector: {
    Class: (value: string) => string;
    Id: (value: string) => string;
    ALL: string;
    NONE: string;
    and: (...values: string[]) => string;
    inside: (...values: string[]) => string;
    child: (...values: string[]) => string;
    after: (...values: string[]) => string;
    following: (...values: string[]) => string;
    attribute: (element: string, attributes: string) => string;
    Element: {
        A: string;
        ABBR: string;
        ACRONYM: string;
        ADDRESS: string;
        APPLET: string;
        AREA: string;
        ARTICLE: string;
        ASIDE: string;
        AUDIO: string;
        B: string;
        BASE: string;
        BASEFONT: string;
        BDI: string;
        BDO: string;
        BIG: string;
        BLOCKQUOTE: string;
        BODY: string;
        BR: string;
        BUTTON: string;
        CANVAS: string;
        CAPTION: string;
        CENTER: string;
        CITE: string;
        CODE: string;
        COL: string;
        COLGROUP: string;
        DATA: string;
        DATALIST: string;
        DD: string;
        DEL: string;
        DETAILS: string;
        DFN: string;
        DIALOG: string;
        DIR: string;
        DIV: string;
        DL: string;
        DT: string;
        EM: string;
        EMBED: string;
        FIELDSET: string;
        FIGCAPTION: string;
        FIGURE: string;
        FONT: string;
        FOOTER: string;
        FORM: string;
        FRAME: string;
        FRAMESET: string;
        H1: string;
        HEAD: string;
        HEADER: string;
        HR: string;
        HTML: string;
        I: string;
        IFRAME: string;
        IMG: string;
        INPUT: string;
        INS: string;
        KBD: string;
        LABEL: string;
        LEGEND: string;
        LI: string;
        LINK: string;
        MAIN: string;
        MAP: string;
        MARK: string;
        META: string;
        METER: string;
        NAV: string;
        NOFRAMES: string;
        NOSCRIPT: string;
        OBJECT: string;
        OL: string;
        OPTGROUP: string;
        OPTION: string;
        OUTPUT: string;
        P: string;
        PARAM: string;
        PICTURE: string;
        PRE: string;
        PROGRESS: string;
        Q: string;
        RP: string;
        RT: string;
        RUBY: string;
        S: string;
        SAMP: string;
        SCRIPT: string;
        SECTION: string;
        SELECT: string;
        SMALL: string;
        SOURCE: string;
        SPAN: string;
        STRIKE: string;
        STRONG: string;
        STYLE: string;
        SUB: string;
        SUMMARY: string;
        SUP: string;
        SVG: string;
        TABLE: string;
        TBODY: string;
        TD: string;
        TEMPLATE: string;
        TEXTAREA: string;
        TFOOT: string;
        TH: string;
        THEAD: string;
        TIME: string;
        TITLE: string;
        TR: string;
        TRACK: string;
        TT: string;
        U: string;
        UL: string;
        VAR: string;
        VIDEO: string;
        WBR: string;
    };
    Query: {
        and: typeof mqAnd;
        or: typeof mqOr;
        not: typeof mqNot;
        only: typeof mqOnly;
        ALL: string;
        BRAILLE: string;
        EMBOSSED: string;
        HANDHELD: string;
        PRINT: string;
        PROJECTION: string;
        SCREEN: string;
        SPEECH: string;
        TTY: string;
        TV: string;
        Width: {
            set: (value: string | number) => string;
            range: (min: string | number, max: string | number) => string;
            cap: (num: number) => string;
            ch: (num: number) => string;
            em: (num: number) => string;
            ex: (num: number) => string;
            ic: (num: number) => string;
            lh: (num: number) => string;
            rem: (num: number) => string;
            rlh: (num: number) => string;
            vh: (num: number) => string;
            vw: (num: number) => string;
            vi: (num: number) => string;
            vb: (num: number) => string;
            vmin: (num: number) => string;
            vmax: (num: number) => string;
            px: (num: number) => string;
            cm: (num: number) => string;
            mm: (num: number) => string;
            Q: (num: number) => string;
            in: (num: number) => string;
            pc: (num: number) => string;
            pt: (num: number) => string;
            fr: (num: number) => string;
        };
        MinWidth: {
            set: (value: string | number) => string;
            cap: (num: number) => string;
            ch: (num: number) => string;
            em: (num: number) => string;
            ex: (num: number) => string;
            ic: (num: number) => string;
            lh: (num: number) => string;
            rem: (num: number) => string;
            rlh: (num: number) => string;
            vh: (num: number) => string;
            vw: (num: number) => string;
            vi: (num: number) => string;
            vb: (num: number) => string;
            vmin: (num: number) => string;
            vmax: (num: number) => string;
            px: (num: number) => string;
            cm: (num: number) => string;
            mm: (num: number) => string;
            Q: (num: number) => string;
            in: (num: number) => string;
            pc: (num: number) => string;
            pt: (num: number) => string;
            fr: (num: number) => string;
        };
        MaxWidth: {
            set: (value: string | number) => string;
            cap: (num: number) => string;
            ch: (num: number) => string;
            em: (num: number) => string;
            ex: (num: number) => string;
            ic: (num: number) => string;
            lh: (num: number) => string;
            rem: (num: number) => string;
            rlh: (num: number) => string;
            vh: (num: number) => string;
            vw: (num: number) => string;
            vi: (num: number) => string;
            vb: (num: number) => string;
            vmin: (num: number) => string;
            vmax: (num: number) => string;
            px: (num: number) => string;
            cm: (num: number) => string;
            mm: (num: number) => string;
            Q: (num: number) => string;
            in: (num: number) => string;
            pc: (num: number) => string;
            pt: (num: number) => string;
            fr: (num: number) => string;
        };
        Height: {
            set: (value: string | number) => string;
            range: (min: string | number, max: string | number) => string;
            cap: (num: number) => string;
            ch: (num: number) => string;
            em: (num: number) => string;
            ex: (num: number) => string;
            ic: (num: number) => string;
            lh: (num: number) => string;
            rem: (num: number) => string;
            rlh: (num: number) => string;
            vh: (num: number) => string;
            vw: (num: number) => string;
            vi: (num: number) => string;
            vb: (num: number) => string;
            vmin: (num: number) => string;
            vmax: (num: number) => string;
            px: (num: number) => string;
            cm: (num: number) => string;
            mm: (num: number) => string;
            Q: (num: number) => string;
            in: (num: number) => string;
            pc: (num: number) => string;
            pt: (num: number) => string;
            fr: (num: number) => string;
        };
        MinHeight: {
            set: (value: string | number) => string;
            cap: (num: number) => string;
            ch: (num: number) => string;
            em: (num: number) => string;
            ex: (num: number) => string;
            ic: (num: number) => string;
            lh: (num: number) => string;
            rem: (num: number) => string;
            rlh: (num: number) => string;
            vh: (num: number) => string;
            vw: (num: number) => string;
            vi: (num: number) => string;
            vb: (num: number) => string;
            vmin: (num: number) => string;
            vmax: (num: number) => string;
            px: (num: number) => string;
            cm: (num: number) => string;
            mm: (num: number) => string;
            Q: (num: number) => string;
            in: (num: number) => string;
            pc: (num: number) => string;
            pt: (num: number) => string;
            fr: (num: number) => string;
        };
        MaxHeight: {
            set: (value: string | number) => string;
            cap: (num: number) => string;
            ch: (num: number) => string;
            em: (num: number) => string;
            ex: (num: number) => string;
            ic: (num: number) => string;
            lh: (num: number) => string;
            rem: (num: number) => string;
            rlh: (num: number) => string;
            vh: (num: number) => string;
            vw: (num: number) => string;
            vi: (num: number) => string;
            vb: (num: number) => string;
            vmin: (num: number) => string;
            vmax: (num: number) => string;
            px: (num: number) => string;
            cm: (num: number) => string;
            mm: (num: number) => string;
            Q: (num: number) => string;
            in: (num: number) => string;
            pc: (num: number) => string;
            pt: (num: number) => string;
            fr: (num: number) => string;
        };
        AspectRatio: {
            set: (value: string | number) => string;
            range: (min: string | number, max: string | number) => string;
        };
        MinAspectRatio: {
            set: (value: string | number) => string;
        };
        MaxAspectRatio: {
            set: (value: string | number) => string;
        };
        Orientation: {
            set: (value: string | number) => string;
            PORTRAIT: string;
            LANDSCAPE: string;
        };
        Resolution: {
            set: (value: string | number) => string;
            range: (min: string | number, max: string | number) => string;
            dpi: (num: number) => string;
            dpcm: (num: number) => string;
            dppx: (num: number) => string;
            x: (num: number) => string;
        };
        MinResolution: {
            set: (value: string | number) => string;
            dpi: (num: number) => string;
            dpcm: (num: number) => string;
            dppx: (num: number) => string;
            x: (num: number) => string;
        };
        MaxResolution: {
            set: (value: string | number) => string;
            dpi: (num: number) => string;
            dpcm: (num: number) => string;
            dppx: (num: number) => string;
            x: (num: number) => string;
        };
        Scan: {
            set: (value: string | number) => string;
            INTERLACE: string;
            PROGRESSIVE: string;
        };
        Grid: {
            set: (value: string | number) => string;
            _0: string;
            _1: string;
        };
        Update: {
            set: (value: string | number) => string;
            NONE: string;
            SLOW: string;
            FAST: string;
        };
        OverflowBlock: {
            set: (value: string | number) => string;
            NONE: string;
            SCROLL: string;
            OPTIONAL_PAGED: string;
            PAGED: string;
        };
        OverflowInline: {
            set: (value: string | number) => string;
            NONE: string;
            SCROLL: string;
        };
        Color: {
            set: (value: string | number) => string;
        };
        ColorGamut: {
            set: (value: string | number) => string;
            SRGB: string;
            P3: string;
            REC2020: string;
        };
        ColorIndex: {
            set: (value: string | number) => string;
            range: (min: string | number, max: string | number) => string;
        };
        MinColorIndex: {
            set: (value: string | number) => string;
        };
        MaxColorIndex: {
            set: (value: string | number) => string;
        };
        DisplayMode: {
            set: (value: string | number) => string;
            FULLSCREEN: string;
            STANDALONE: string;
            MINIMAL_UI: string;
            BROWSER: string;
        };
        Monochrome: {
            set: (value: string | number) => string;
            range: (min: string | number, max: string | number) => string;
        };
        MinMonochrome: {
            set: (value: string | number) => string;
        };
        MaxMonochrome: {
            set: (value: string | number) => string;
        };
        InvertedColors: {
            set: (value: string | number) => string;
            NONE: string;
            INVERTED: string;
        };
        Pointer: {
            set: (value: string | number) => string;
            NONE: string;
            COARSE: string;
            FINE: string;
        };
        Hover: {
            set: (value: string | number) => string;
            NONE: string;
            HOVER: string;
        };
        AnyPointer: {
            set: (value: string | number) => string;
            NONE: string;
            COARSE: string;
            FINE: string;
        };
        AnyHover: {
            set: (value: string | number) => string;
            NONE: string;
            HOVER: string;
        };
        LightLevel: {
            set: (value: string | number) => string;
            DIM: string;
            NORMAL: string;
            WASHED: string;
        };
        PrefersReducedMotion: {
            set: (value: string | number) => string;
            NO_PREFERENCE: string;
            REDUCE: string;
        };
        PrefersReducedTransparency: {
            set: (value: string | number) => string;
            NO_PREFERENCE: string;
            REDUCE: string;
        };
        PrefersContrast: {
            set: (value: string | number) => string;
            NO_PREFERENCE: string;
            HIGH: string;
            LOW: string;
        };
        PrefersColorScheme: {
            set: (value: string | number) => string;
            NO_PREFERENCE: string;
            LIGHT: string;
            DARK: string;
        };
        Scripting: {
            set: (value: string | number) => string;
            NONE: string;
            INITIAL_ONLY: string;
            ENABLED: string;
        };
    };
    Pseudo: {
        Class: {
            ACTIVE: string;
            ANY_LINK: string;
            BLANK: string;
            CHECKED: string;
            CURRENT: string;
            DEFAULT: string;
            DEFINED: string;
            dir: (...params: Param[]) => string;
            DISABLED: string;
            DROP: string;
            EMPTY: string;
            ENABLED: string;
            FIRST: string;
            FIRST_CHILD: string;
            FIRST_OF_TYPE: string;
            FULLSCREEN: string;
            FUTURE: string;
            FOCUS: string;
            FOCUS_VISIBLE: string;
            FOCUS_WITHIN: string;
            has: (...params: Param[]) => string;
            HOST: string;
            host: (...params: Param[]) => string;
            hostContext: (...params: Param[]) => string;
            HOVER: string;
            INDETERMINATE: string;
            IN_RANGE: string;
            INVALID: string;
            lang: (...params: Param[]) => string;
            LAST_CHILD: string;
            LAST_OF_TYPE: string;
            LEFT: string;
            LINK: string;
            LOCAL_LINK: string;
            matches: (...params: Param[]) => string;
            not: (...params: Param[]) => string;
            nthChild: (...params: Param[]) => string;
            nthCol: (...params: Param[]) => string;
            nthLastChild: (...params: Param[]) => string;
            nthLastCol: (...params: Param[]) => string;
            nthLastOfType: (...params: Param[]) => string;
            nthOfType: (...params: Param[]) => string;
            ONLY_CHILD: string;
            ONLY_OF_TYPE: string;
            OPTIONAL: string;
            OUT_OF_RANGE: string;
            PAST: string;
            PLACEHOLDER_SHOWN: string;
            READ_ONLY: string;
            READ_WRITE: string;
            REQUIRED: string;
            RIGHT: string;
            ROOT: string;
            SCOPE: string;
            TARGET: string;
            TARGET_WITHIN: string;
            USER_INVALID: string;
            VALID: string;
            VISITED: string;
        };
        Element: {
            AFTER: string;
            BACKDROP: string;
            BEFORE: string;
            CUE: string;
            FIRST_LETTER: string;
            FIRST_LINE: string;
            GRAMMAR_ERROR: string;
            MARKER: string;
            PLACEHOLDER: string;
            SELECTION: string;
            slotted: (...params: Param[]) => string;
            SPELLING_ERROR: string;
        };
    };
};
export {};
